%--------------------------------------------------------------------------
% File     : SET722+4 : TPTP v2.2.1. Bugfixed v2.2.1.
% Domain   : Set Theory (Mappings)
% Problem  : If the composition of F and G is surjective, then F is surjective
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.1
% Syntax   : Number of formulae    :  114 (   2 unit)
%            Number of atoms       :  354 ( 124 equality)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :  242 (   2 ~  ;   2  |; 105  &)
%                                         (  30 <=>; 103 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 2-6 arity)
%            Number of functors    :   15 (   1 constant; 0-5 arity)
%            Number of variables   :  509 (   0 singleton; 501 !;   9 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v2.2.1 - Bugfixes in SET006+1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include mappings axioms
include('Axioms/SET006+1.ax').
include('Axioms/SET006+1.eq').
%--------------------------------------------------------------------------
input_formula(thII13,conjecture,(
    ! [F,G,A,B,C] : 
      ( ( maps(F,A,B)
        & maps(G,B,C)
        & surjective(compose_function(G,F,A,B,C),A,C) )
     => surjective(G,B,C) )   )).
%--------------------------------------------------------------------------
