%--------------------------------------------------------------------------
% File     : SET745+4 : TPTP v2.2.1. Bugfixed v2.2.1.
% Domain   : Set Theory (Mappings)
% Problem  : Problem on composition of mappings 10
% Version  : [Pas99] axioms.
% English  : Consider three mappings F1 from A1 to B,F2 from A2 to B,
%            F which is equal to F1 on A1 and to F2 on A2, then F is a 
%            mapping from union(A1,A2) to B if and only if F1 and F2 are 
%            equal on the intersection of A1 and A2.

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.1
% Syntax   : Number of formulae    :  114 (   2 unit)
%            Number of atoms       :  367 ( 125 equality)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :  255 (   2 ~  ;   3  |; 113  &)
%                                         (  32 <=>; 105 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 2-6 arity)
%            Number of functors    :   15 (   1 constant; 0-5 arity)
%            Number of variables   :  514 (   0 singleton; 507 !;   9 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v2.2.1 - Bugfixes in SET006+1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include mappings axioms
include('Axioms/SET006+1.ax').
include('Axioms/SET006+1.eq').
%--------------------------------------------------------------------------
input_formula(thII36,conjecture,(
    ! [F1,F2,F,A1,A2,B] : 
      ( ( maps(F1,A1,B)
        & maps(F2,A2,B)
        & ! [X,Y] : 
            ( ( member(X,union(A1,A2))
              & member(Y,B) )
           => ( apply(F,X,Y)
            <=> ( ( member(X,A1)
                  & apply(F1,X,Y) )
                | ( member(X,A2)
                  & apply(F2,X,Y) ) ) ) ) )
     => ( maps(F,union(A1,A2),B)
      <=> ! [X,Y1,Y2] : 
            ( ( member(X,A1)
              & member(X,A2)
              & member(Y1,B)
              & member(Y2,B)
              & apply(F1,X,Y1)
              & apply(F2,X,Y2) )
           => equal(Y1,Y2) ) ) )   )).
%--------------------------------------------------------------------------
