%--------------------------------------------------------------------------
% File     : SET771+4 : TPTP v2.2.1. Bugfixed v2.2.1.
% Domain   : Set Theory (Equivalence relations)
% Problem  : Equality of images defines a equivalence relation 
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.1
% Syntax   : Number of formulae    :  130 (   2 unit)
%            Number of atoms       :  427 ( 139 equality)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :  300 (   3 ~  ;   2  |; 132  &)
%                                         (  36 <=>; 127 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   20 (   0 propositional; 2-6 arity)
%            Number of functors    :   16 (   1 constant; 0-5 arity)
%            Number of variables   :  569 (   0 singleton; 564 !;  13 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v2.2.1 - Bugfixes in SET006+1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include mappings axioms
include('Axioms/SET006+1.ax').
include('Axioms/SET006+1.eq').
%----Include equivalence relation axioms
include('Axioms/SET006+2.ax').
include('Axioms/SET006+2.eq').
%--------------------------------------------------------------------------
input_formula(thIII07,conjecture,(
    ! [F,A,B,R] : 
      ( ( maps(F,A,B)
        & ! [X1,X2] : 
            ( ( member(X1,A)
              & member(X2,A) )
           => ( apply(R,X1,X2)
            <=> ? [Y] : 
                  ( member(Y,B)
                  & apply(F,X1,Y)
                  & apply(F,X2,Y) ) ) ) )
     => equivalence(R,A) )   )).
%--------------------------------------------------------------------------
