%--------------------------------------------------------------------------
% File     : GRP003-0 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Group Theory
% Axioms   : Substitution axioms for group theory axioms
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [Wos88] Wos (1988), Automated Reasoning - 33 Basic Research Pr
% Source   : [MOW76]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :    6 (   0 non-Horn;   0 unit;   4 RR)
%            Number of literals   :   15 (   9 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-3 arity)
%            Number of functors   :    2 (   0 constant; 1-2 arity)
%            Number of variables  :   20 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : These axioms are used in [Wos88] p.184.
%--------------------------------------------------------------------------
input_clause(inverse_substitution,axiom,
    [--equal(X,Y),
     ++equal(inverse(X),inverse(Y))]).

input_clause(multiply_substitution1,axiom,
    [--equal(X,Y),
     ++equal(multiply(X,W),multiply(Y,W))]).

input_clause(multiply_substitution2,axiom,
    [--equal(X,Y),
     ++equal(multiply(W,X),multiply(W,Y))]).

input_clause(product_substitution1,axiom,
    [--equal(X,Y),
     --product(X,W,Z),
     ++product(Y,W,Z)]).

input_clause(product_substitution2,axiom,
    [--equal(X,Y),
     --product(W,X,Z),
     ++product(W,Y,Z)]).

input_clause(product_substitution3,axiom,
    [--equal(X,Y),
     --product(W,Z,X),
     ++product(W,Z,Y)]).
%--------------------------------------------------------------------------
