%--------------------------------------------------------------------------
% File     : HEN001-0 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Henkin Models
% Axioms   : Substitution axioms for Henkin model axioms
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [MOW76]
% Names    : 

% Status   : 
% Syntax   : Number of clauses    :    7 (   0 non-Horn;   0 unit;   5 RR)
%            Number of literals   :   19 (   9 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    1 (   0 constant; 2-2 arity)
%            Number of variables  :   24 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Equality substitution axioms 
input_clause(quotient_substitution1,axiom,
    [--equal(X,Y),
     --quotient(X,W,Z),
     ++quotient(Y,W,Z)]).

input_clause(quotient_substitution2,axiom,
    [--equal(X,Y),
     --quotient(W,X,Z),
     ++quotient(W,Y,Z)]).

input_clause(quotient_substitution3,axiom,
    [--equal(X,Y),
     --quotient(W,Z,X),
     ++quotient(W,Z,Y)]).

input_clause(less_equal_substitution1,axiom,
    [--equal(X,Y),
     --less_equal(Z,X),
     ++less_equal(Z,Y)]).

input_clause(less_equal_substitution2,axiom,
    [--equal(X,Y),
     --less_equal(X,Z),
     ++less_equal(Y,Z)]).

input_clause(divide_substitution1,axiom,
    [--equal(X,Y),
     ++equal(divide(X,W),divide(Y,W))]).

input_clause(divide_substitution2,axiom,
    [--equal(X,Y),
     ++equal(divide(W,X),divide(W,Y))]).
%--------------------------------------------------------------------------
