%--------------------------------------------------------------------------
% File     : SET006+2 : TPTP v2.2.1. Released v2.2.0.
% Domain   : Set Theory
% Axioms   : Substitution axioms for set theory axioms
% Version  : [Pas99] axioms.
% English  :

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   :
% Syntax   : Number of formulae    :   11 (   0 unit)
%            Number of atoms       :   30 (  14 equality)
%            Maximal formula depth :    4 (   3 average)
%            Number of connectives :   19 (   0 ~  ;   0  |;   8  &)
%                                         (   0 <=>;  11 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    5 (   0 propositional; 2-2 arity)
%            Number of functors    :    1 (   0 constant; 3-3 arity)
%            Number of variables   :   36 (   0 singleton;  36 !;   0 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(disjoint_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & disjoint(A,C) )
     => disjoint(B,C) )   )).

input_formula(disjoint_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & disjoint(C,A) )
     => disjoint(C,B) )   )).

input_formula(partition_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & partition(A,C) )
     => partition(B,C) )   )).

input_formula(partition_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & partition(C,A) )
     => partition(C,B) )   )).

input_formula(equivalence_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & equivalence(A,C) )
     => equivalence(B,C) )   )).

input_formula(equivalence_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & equivalence(C,A) )
     => equivalence(C,B) )   )).

input_formula(equivalence_class_substitution_1,axiom,(
    ! [A,B,C,D] : 
      ( equal(A,B)
     => equal(equivalence_class(A,C,D),equivalence_class(B,C,D)) )   )).

input_formula(equivalence_class_substitution_2,axiom,(
    ! [A,B,C,D] : 
      ( equal(A,B)
     => equal(equivalence_class(C,A,D),equivalence_class(C,B,D)) )   )).

input_formula(equivalence_class_substitution_3,axiom,(
    ! [A,B,C,D] : 
      ( equal(A,B)
     => equal(equivalence_class(C,D,A),equivalence_class(C,D,B)) )   )).

input_formula(pre_order_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & pre_order(A,C) )
     => pre_order(B,C) )   )).

input_formula(pre_order_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & pre_order(C,A) )
     => pre_order(C,B) )   )).
%--------------------------------------------------------------------------
