%--------------------------------------------------------------------------
% File     : ALG004-1 : TPTP v2.2.1. Released v2.2.0.
% Domain   : Medial algebras
% Problem  : Cancellative medial algebras satisfy the quotient condition.
% Version  : [MP96] (equality) axioms.
% English  : 

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : MED-7 [MP96]

% Status   : unsatisfiable
% Rating   : ? v2.2.0
% Syntax   : Number of clauses    :   12 (   0 non-Horn;   6 unit;   8 RR)
%            Number of literals   :   21 (  21 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    9 (   8 constant; 0-2 arity)
%            Number of variables  :   24 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(multiply_substitution_1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution_2,axiom,
    [--equal(A,B),
     ++equal(multiply(C,A),multiply(C,B))]).

%----Left and right cancellation:
input_clause(left_cancellation,axiom,
    [--equal(multiply(X,Y),Z),
     --equal(multiply(U,Y),Z),
     ++equal(X,U)]).

input_clause(right_cancelaation,axiom,
    [--equal(multiply(X,Y),Z),
     --equal(multiply(X,U),Z),
     ++equal(Y,U)]).

%----Medial law:
input_clause(medial_law,axiom,
    [++equal(multiply(multiply(X,Y),multiply(Z,U)),
multiply(multiply(X,Z),multiply(Y,U)))]).

%----Denial of the quotient condition:
input_clause(prove_quotient_condition1,conjecture,
    [++equal(multiply(b,b0),multiply(a,a0))]).

input_clause(prove_quotient_condition2,conjecture,
    [++equal(multiply(d,b0),multiply(c,a0))]).

input_clause(prove_quotient_condition3,conjecture,
    [++equal(multiply(b,d0),multiply(a,c0))]).

input_clause(prove_quotient_condition4,conjecture,
    [--equal(multiply(d,d0),multiply(c,c0))]).
%--------------------------------------------------------------------------
