%--------------------------------------------------------------------------
% File     : ALG005-1 : TPTP v2.2.1. Released v2.2.0.
% Domain   : General Algebra
% Problem  : Associativity of intersection in terms of set difference.
% Version  : [MP96] (equality) axioms : Especial.
% English  : Starting with Kalman's basis for families of sets closed under
%            set difference, we define intersection and show it to be
%            associative.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : SD-2-a [MP96]

% Status   : unsatisfiable
% Rating   : ? v2.2.0
% Syntax   : Number of clauses    :   12 (   0 non-Horn;   6 unit;   3 RR)
%            Number of literals   :   19 (  19 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   27 (   1 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(difference_substitution_1,axiom,
    [--equal(A,B),
     ++equal(difference(A,C),difference(B,C))]).

input_clause(difference_substitution_2,axiom,
    [--equal(A,B),
     ++equal(difference(C,A),difference(C,B))]).

input_clause(multiply_substitution_1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C),multiply(B,C))]).

input_clause(multiply_substitution_2,axiom,
    [--equal(A,B),
     ++equal(multiply(C,A),multiply(C,B))]).

%----Kalman's axioms for set difference:
input_clause(set_difference_1,axiom,
    [++equal(difference(X,difference(Y,X)),X)]).

input_clause(set_difference_2,axiom,
    [++equal(difference(X,difference(X,Y)),difference(Y,difference(Y,X)))]).

input_clause(set_difference_3,axiom,
    [++equal(difference(difference(X,Y),Z),difference(difference(X,Z),
difference(Y,Z)))]).

%----Definition of intersection:
input_clause(intersection,axiom,
    [++equal(multiply(X,Y),difference(X,difference(X,Y)))]).

%----Denial of associativity:
input_clause(prove_associativity_of_multiply,conjecture,
    [--equal(multiply(multiply(a,b),c),multiply(a,multiply(b,c)))]).
%--------------------------------------------------------------------------
