%--------------------------------------------------------------------------
% File     : ALG007-1 : TPTP v2.2.1. Released v2.2.0.
% Domain   : General Algebra
% Problem  : Simplification of Kalman's set difference basis (part 2)
% Version  : [MP96] (equality) axioms : Especial.
% English  : This is part 2 of a proof that one of the axioms in Kalman's
%            basis for set difference can be simplified.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : SD-3-b [MP96]

% Status   : unsatisfiable
% Rating   : ? v2.2.0
% Syntax   : Number of clauses    :    9 (   0 non-Horn;   5 unit;   3 RR)
%            Number of literals   :   14 (  14 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :   19 (   1 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(difference_substitution_1,axiom,
    [--equal(A,B),
     ++equal(difference(A,C),difference(B,C))]).

input_clause(difference_substitution_2,axiom,
    [--equal(A,B),
     ++equal(difference(C,A),difference(C,B))]).

%----Kalman's axioms for set difference:
input_clause(set_difference_1,axiom,
    [++equal(difference(X,difference(Y,X)),X)]).

input_clause(set_difference_2,axiom,
    [++equal(difference(X,difference(X,Y)),difference(Y,difference(Y,X)))]).

%----Simplified third axiom:
input_clause(set_difference_3_simplified,axiom,
    [++equal(difference(difference(X,Y),Z),difference(difference(X,Z),Y))]).

%----Denial of original third axiom:
input_clause(prove_set_difference_3,conjecture,
    [--equal(difference(difference(a,b),c),difference(difference(a,c),
difference(b,c)))]).
%--------------------------------------------------------------------------
