%--------------------------------------------------------------------------
% File     : BOO011-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Boolean Algebra
% Problem  : Inverse of additive identity = Multiplicative identity
% Version  : [MOW76] axioms.
% English  : The inverse of the additive identity is the multiplicative 
%            identity.

% Refs     : [Whi61] Whitesitt (1961), Boolean Algebra and Its Applications
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [MOW76]
% Names    : B7 [MOW76]
%          : prob7.ver1 [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   37 (   0 non-Horn;  12 unit;  22 RR)
%            Number of literals   :   95 (  25 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :  126 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include Boolean algebra axioms 
include('Axioms/BOO002-0.ax').
%----Include Boolean algebra equality axioms 
include('Axioms/BOO002-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_equation,conjecture,
    [--equal(inverse(additive_identity),multiplicative_identity)]).
%--------------------------------------------------------------------------
