%--------------------------------------------------------------------------
% File     : BOO020-1 : TPTP v2.2.1. Released v2.2.0.
% Domain   : Boolean Algebra
% Problem  : Frink's Theorem
% Version  : [MP96] (equality) axioms.
% English  : Prove that Frink's implicational basis for Boolean algebra
%            implies Huntington's equational basis for Boolean algebra.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : BA-1 [MP96]

% Status   : unsatisfiable
% Rating   : ? v2.2.0
% Syntax   : Number of clauses    :   10 (   0 non-Horn;   2 unit;   6 RR)
%            Number of literals   :   20 (  20 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   4 constant; 0-2 arity)
%            Number of variables  :   23 (   0 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(add_substitution_1,axiom,
    [--equal(A,B),
     ++equal(add(A,C),add(B,C))]).

input_clause(add_substitution_2,axiom,
    [--equal(A,B),
     ++equal(add(C,A),add(C,B))]).

input_clause(inverse_substitution_1,axiom,
    [--equal(A,B),
     ++equal(inverse(A),inverse(B))]).

%----Frink's implicational basis for Boolean Algebra:
input_clause(frink1,axiom,
    [++equal(add(X,X),X)]).

input_clause(frink2,axiom,
    [--equal(add(add(add(X,Y),Z),U),add(add(Y,Z),X)),
     ++equal(add(add(add(X,Y),Z),inverse(U)),0)]).

input_clause(frink3,axiom,
    [--equal(add(add(add(X,Y),Z),inverse(U)),0),
     ++equal(add(add(add(X,Y),Z),U),add(add(Y,Z),X))]).

%----Denial of Huntington's equational basis for Boolean Algebra:
input_clause(prove_huntington,conjecture,
    [--equal(add(inverse(add(a,inverse(b))),
inverse(add(inverse(a),inverse(b)))),b),
     --equal(add(add(a,b),c),add(a,add(b,c))),
     --equal(add(b,a),add(a,b))]).
%--------------------------------------------------------------------------
