%--------------------------------------------------------------------------
% File     : BOO035-1 : TPTP v2.2.1. Released v2.2.0.
% Domain   : Boolean Algebra (Ternary)
% Problem  : Ternary Boolean Algebra Single axiom is complete.
% Version  : [MP96] (equality) axioms.
% English  : We show that that the standard axioms for TAB can be derived
%            from an equation that turns out to be a single axiom for TBA.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : TBA-1-b [MP96]

% Status   : unsatisfiable
% Rating   : ? v2.2.0
% Syntax   : Number of clauses    :    9 (   0 non-Horn;   2 unit;   4 RR)
%            Number of literals   :   20 (  20 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   5 constant; 0-3 arity)
%            Number of variables  :   27 (   0 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(inverse_substitution_1,axiom,
    [--equal(A,B),
     ++equal(inverse(A),inverse(B))]).

input_clause(multiply_substitution_1,axiom,
    [--equal(A,B),
     ++equal(multiply(A,C,D),multiply(B,C,D))]).

input_clause(multiply_substitution_2,axiom,
    [--equal(A,B),
     ++equal(multiply(C,A,D),multiply(C,B,D))]).

input_clause(multiply_substitution_3,axiom,
    [--equal(A,B),
     ++equal(multiply(C,D,A),multiply(C,D,B))]).

%----Single axiom for TBA:
input_clause(single_axiom,axiom,
    [++equal(multiply(multiply(X,inverse(X),Y),
inverse(multiply(multiply(Z,U,V),W,multiply(Z,U,V6))),
multiply(U,multiply(V6,W,V),Z)),Y)]).

%----Denial of the standard basis for TBA:
input_clause(prove_tba_axioms,conjecture,
    [--equal(multiply(multiply(d,e,a),b,multiply(d,e,c)),multiply(d,e,
multiply(a,b,c))),
     --equal(multiply(b,a,a),a),
     --equal(multiply(a,b,inverse(b)),a),
     --equal(multiply(a,a,b),a),
     --equal(multiply(inverse(b),b,a),a)]).
%--------------------------------------------------------------------------
