%--------------------------------------------------------------------------
% File     : CAT003-4 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Category Theory
% Problem  : XY epimorphism => X epimorphism
% Version  : [Sco79] axioms : Reduced > Complete.
% English  : If xy is an epimorphism, then x is an epimorphism.

% Refs     : [Sco79] Scott (1979), Identity and Existence in Intuitionist L
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.11 v2.2.0, 0.14 v2.1.0, 0.40 v2.0.0
% Syntax   : Number of clauses    :   26 (   0 non-Horn;   8 unit;  20 RR)
%            Number of literals   :   51 (  29 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   46 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : The dependent axioms have been removed.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Scott's axioms for category theory 
include('Axioms/CAT004-0.ax').
include('Axioms/CAT004-0.eq').
%--------------------------------------------------------------------------
input_clause(assume_ab_exists,hypothesis,
    [++there_exists(compose(a,b))]).

input_clause(epimorphism,hypothesis,
    [--equal(compose(X,compose(a,b)),Y),
     --equal(compose(Z,compose(a,b)),Y),
     ++equal(X,Z)]).

input_clause(assume_h_exists,hypothesis,
    [++there_exists(h)]).

input_clause(ha_equals_ga,hypothesis,
    [++equal(compose(h,a),compose(g,a))]).

input_clause(prove_g_equals_h,conjecture,
    [--equal(g,h)]).
%--------------------------------------------------------------------------
