%--------------------------------------------------------------------------
% File     : COL002-5 : TPTP v2.2.1. Released v2.1.0.
% Domain   : Combinatory Logic
% Problem  : Weak fixed point for S, B, C, and I
% Version  : [WM88] (equality) axioms.
%            Theorem formulation : The fixed point is provided and checked.
% English  : The weak fixed point property holds for the set P consisting 
%            of the combinators S, B, C, and I, where ((Sx)y)z = (xz)(yz), 
%            ((Bx)y)z = x(yz), ((Cx)y)z = (xz)y, and Ix = x.

% Refs     : [WM88]  Wos & McCune (1988), Challenge Problems Focusing on Eq
% Source   : [TPTP]
% Names    : 

% Status   : unsatisfiable
% Rating   : 0.43 v2.2.1, 0.38 v2.2.0, 0.60 v2.1.0
% Syntax   : Number of clauses    :   11 (   0 non-Horn;   7 unit;   3 RR)
%            Number of literals   :   16 (  16 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   6 constant; 0-2 arity)
%            Number of variables  :   23 (   0 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : This is the one found in proof 3 of C1.1 in [WM88].
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(s_definition,axiom,
    [++equal(apply(apply(apply(s,X),Y),Z),apply(apply(X,Z),apply(Y,Z)))]).

input_clause(b_definition,axiom,
    [++equal(apply(apply(apply(b,X),Y),Z),apply(X,apply(Y,Z)))]).

input_clause(c_definition,axiom,
    [++equal(apply(apply(apply(c,X),Y),Z),apply(apply(X,Z),Y))]).

input_clause(i_definition,axiom,
    [++equal(apply(i,X),X)]).

input_clause(apply_substitution1,axiom,
    [--equal(A,B),
     ++equal(apply(A,C),apply(B,C))]).

input_clause(apply_substitution2,axiom,
    [--equal(D,E),
     ++equal(apply(F,D),apply(F,E))]).

input_clause(weak_fixed_point,axiom,
    [++equal(weak_fixed_point,
apply(apply(apply(s,apply(c,apply(b,X))),apply(s,apply(c,apply(b,X)))),
      apply(s,apply(c,apply(b,X)))))]).

input_clause(prove_weak_fixed_point,conjecture,
    [--equal(weak_fixed_point,apply(fixed_pt,weak_fixed_point))]).
%--------------------------------------------------------------------------
