%--------------------------------------------------------------------------
% File     : COL015-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Combinatory Logic
% Problem  : Weak fixed point for Q and M
% Version  : [WM88] (equality) axioms.
% English  : The weak fixed point property holds for the set P consisting 
%            of the combinators Q and M, where Mx = xx, ((Qx)y)z = y(xz).

% Refs     : [Smu85] Smullyan (1978), To Mock a Mocking Bird and Other Logi
%          : [MW87]  McCune & Wos (1987), A Case Study in Automated Theorem
%          : [WM88]  Wos & McCune (1988), Challenge Problems Focusing on Eq
%          : [MW88]  McCune & Wos (1988), Some Fixed Point Problems in Comb
% Source   : [MW88]
% Names    : - [MW88]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    8 (   0 non-Horn;   4 unit;   3 RR)
%            Number of literals   :   13 (  13 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   3 constant; 0-2 arity)
%            Number of variables  :   17 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(m_definition,axiom,
    [++equal(apply(m,X),apply(X,X))]).

input_clause(q_definition,axiom,
    [++equal(apply(apply(apply(q,X),Y),Z),apply(Y,apply(X,Z)))]).

input_clause(apply_substitution1,axiom,
    [--equal(A,B),
     ++equal(apply(A,C),apply(B,C))]).

input_clause(apply_substitution2,axiom,
    [--equal(D,E),
     ++equal(apply(F,D),apply(F,E))]).

input_clause(prove_fixed_point,conjecture,
    [--equal(Y,apply(combinator,Y))]).
%--------------------------------------------------------------------------
