%--------------------------------------------------------------------------
% File     : COL055-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Combinatory Logic
% Problem  : Happy Birds
% Version  : Especial.
% English  : There exists a bird which is fond of some other bird. Prove 
%            that any bird that is fond of at least one bird must 
%            be happy.

% Refs     : [Smu85] Smullyan (1978), To Mock a Mocking Bird and Other Logi
% Source   : [ANL]
% Names    : bird7.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    7 (   0 non-Horn;   2 unit;   4 RR)
%            Number of literals   :   13 (  13 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   2 constant; 0-2 arity)
%            Number of variables  :   14 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(response_substitutivity1,axiom,
    [--equal(A,B),
     ++equal(response(A,C),response(B,C))]).

input_clause(response_substitutivity2,axiom,
    [--equal(D,E),
     ++equal(response(F,D),response(F,E))]).

%----First part of denial clause: there exists a bird which is fond 
%----of some other bird.
input_clause(fond_bird_exists,hypothesis,
    [++equal(response(a,b),b)]).

%----Hypothesis: Any bird that is fond of at least one bird must be happy.
%----  - FAx [If TEy (xy = y) then TEz TEw (xz = w) and (xw = z)].
%----  TEx -[- TEy (xy = y) | TEz TEw ((xz = w) and (xw = z))].
%----  TEx [ TEy (xy = y) and - TEz TEw ((xz = w) and (xw = z)) ].
%----  TEx [ TEy (xy = y) and FAz FAw -((xz = w) and (xw = z)) ].
%----  TEy (Ay = y) and FAz FAw -[(Az = w) and (Aw = z)].
%----  (AB = B) and [-(Az = w) | -(Aw = z)].
%----  Placing (AB = B) in the list of axiom, we have: 
input_clause(prove_happiness,conjecture,
    [--equal(response(a,Z),W),
     --equal(response(a,W),Z)]).
%--------------------------------------------------------------------------
