%--------------------------------------------------------------------------
% File     : COL058-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Combinatory Logic
% Problem  : If there's a lark, then there's an egocentric bird.
% Version  : Especial.
% English  : Suppose we are given a forest that conrtains a lark, and 
%            we are not given any other information. Prove that at least 
%            one bird in the forest must be egocentric.

% Refs     : [Smu85] Smullyan (1978), To Mock a Mocking Bird and Other Logi
%          : [GO86]  Glickfield & Overbeek (1986), A Foray into Combinatory
% Source   : [GO86]
% Names    : - [GO86]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    7 (   0 non-Horn;   3 unit;   3 RR)
%            Number of literals   :   12 (  12 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    2 (   1 constant; 0-2 arity)
%            Number of variables  :   15 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
%---- There exists a lark 
input_clause(lark_exists,axiom,
    [++equal(response(response(lark,X1),X2),response(X1,response(X2,X2)))]).

input_clause(response_substitution1,axiom,
    [--equal(G,H),
     ++equal(response(G,I),response(H,I))]).

input_clause(response_substitution2,axiom,
    [--equal(J,K),
     ++equal(response(L,J),response(L,K))]).

%---- Hypothesis: There exists a bird x that is fond of itself. 
input_clause(prove_the_bird_exists,conjecture,
    [--equal(response(X,X),X)]).
%--------------------------------------------------------------------------
