%--------------------------------------------------------------------------
% File     : COL071-1 : TPTP v2.2.1. Released v1.2.0.
% Domain   : Combinatory Logic
% Problem  : Strong fixed point for N and Q
% Version  : [WM88] (equality) axioms.
% English  : The strong fixed point property holds for the set 
%            P consisting of the combinators N and Q, where ((Nx)y)z 
%            = ((xz)y)z, ((Qx)y)z = y(xz).

% Refs     : [WM88]  Wos & McCune (1988), Challenge Problems Focusing on Eq
%          : [Wos93] Wos (1993), The Kernel Strategy and Its Use for the St
%          : [Zha95] Zhang (1995), Email to G. Sutcliffe
% Source   : [Wos93]
% Names    : Question 14 [Wos93]

% Status   : satisfiable
% Rating   : 0.75 v2.2.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :    9 (   0 non-Horn;   4 unit;   4 RR)
%            Number of literals   :   15 (  15 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    4 (   2 constant; 0-2 arity)
%            Number of variables  :   21 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : [Zha95] provided a 4 element model of these clauses.
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(n_definition,axiom,
    [++equal(apply(apply(apply(n,X),Y),Z),apply(apply(apply(X,Z),Y),Z))]).

input_clause(q_definition,axiom,
    [++equal(apply(apply(apply(q,X),Y),Z),apply(Y,apply(X,Z)))]).

input_clause(apply_substitution1,axiom,
    [--equal(A,B),
     ++equal(apply(A,C),apply(B,C))]).

input_clause(apply_substitution2,axiom,
    [--equal(D,E),
     ++equal(apply(F,D),apply(F,E))]).

input_clause(f_substitution1,axiom,
    [--equal(G,H),
     ++equal(f(G),f(H))]).

input_clause(prove_fixed_point,conjecture,
    [--equal(apply(Y,f(Y)),apply(f(Y),apply(Y,f(Y))))]).
%--------------------------------------------------------------------------
