%--------------------------------------------------------------------------
% File     : FLD075-2 : TPTP v2.2.1. Bugfixed v2.1.0.
% Domain   : Field Theory (Ordered fields)
% Problem  : Two-sided multiplication in an order relation, part 2
% Version  : [Dra93] axioms : Biased.
%            Theorem formulation : Relational with glxx axiom set.
% English  :

% Refs     : [Dra93] Draeger (1993), Anwendung des Theorembeweisers SETHEO 
% Source   : [Dra93]
% Names    :

% Status   : unknown
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :   37 (   3 non-Horn;  13 unit;  37 RR)
%            Number of literals   :   83 (   0 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :   11 (   7 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : Biased towards SETHEO.
% Bugfixes : v2.1.0 - Bugfix in FLD001-0.ax
%--------------------------------------------------------------------------
include('Axioms/FLD001-0.ax').
%--------------------------------------------------------------------------
input_clause(a_is_defined,conjecture,
    [++defined(a)]).

input_clause(b_is_defined,conjecture,
    [++defined(b)]).

input_clause(c_is_defined,conjecture,
    [++defined(c)]).

input_clause(u_is_defined,conjecture,
    [++defined(u)]).

input_clause(v_is_defined,conjecture,
    [++defined(v)]).

input_clause(multiply_equals_u_6,conjecture,
    [++equalish(multiply(a,c),u)]).

input_clause(multiply_equals_v_7,conjecture,
    [++equalish(multiply(b,c),v)]).

input_clause(less_or_equal_8,conjecture,
    [++less_or_equal(a,b)]).

input_clause(less_or_equal_9,conjecture,
    [++less_or_equal(c,additive_identity)]).

input_clause(not_less_or_equal_10,conjecture,
    [--less_or_equal(v,u)]).
%--------------------------------------------------------------------------
