%--------------------------------------------------------------------------
% File     : GEO002-1 : TPTP v2.2.1. Bugfixed v1.0.1.
% Domain   : Geometry
% Problem  : For all points x and y, x is between x and y
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
% Source   : [ANL]
% Names    : T2 [MOW76]
%          : t2.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.11 v2.2.0, 0.22 v2.1.0, 0.38 v2.0.0
% Syntax   : Number of clauses    :   56 (   6 non-Horn;   8 unit;  27 RR)
%            Number of literals   :  142 (  71 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   10 (   5 constant; 0-6 arity)
%            Number of variables  :  269 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v1.0.1 - Bug in GEO001-0.eq fixed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO001-0.ax').
include('Axioms/GEO001-0.eq').
%--------------------------------------------------------------------------
input_clause(prove_a_between_a_and_b,conjecture,
    [--between(a,a,b)]).
%--------------------------------------------------------------------------
