%--------------------------------------------------------------------------
% File     : GEO008-2 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Geometry
% Problem  : Betweenness for 5 points on a line (Five point theorem)
% Version  : [Qua89] axioms.
% English  : For all points x, y, z, w, and v, if y and w are between 
%            x and z, and v is between y and w, then v is between x and z.

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   57 (   5 non-Horn;  11 unit;  28 RR)
%            Number of literals   :  137 (  70 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-4 arity)
%            Number of functors   :   13 (   8 constant; 0-6 arity)
%            Number of variables  :  261 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
include('Axioms/GEO002-0.eq').
%--------------------------------------------------------------------------
input_clause(c_between_a_and_e,hypothesis,
    [++between(a,c,e)]).

input_clause(d_between_a_and_e,hypothesis,
    [++between(a,d,e)]).

input_clause(b_between_c_and_d,hypothesis,
    [++between(c,b,d)]).

input_clause(prove_betweenness,conjecture,
    [--between(a,b,e)]).
%--------------------------------------------------------------------------
