%--------------------------------------------------------------------------
% File     : GRP007-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Group Theory
% Problem  : The identity element is unique
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 3 [Wos65]
%          : wos3 [WM76]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   20 (   0 non-Horn;   9 unit;  10 RR)
%            Number of literals   :   40 (  17 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-3 arity)
%            Number of functors   :    4 (   2 constant; 0-2 arity)
%            Number of variables  :   50 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include group axioms 
include('Axioms/GRP003-0.ax').
%----Include group equality axioms 
include('Axioms/GRP003-0.eq').
%--------------------------------------------------------------------------
input_clause(another_left_identity,hypothesis,
    [++product(c,A,A)]).

input_clause(another_right_identity,hypothesis,
    [++product(A,c,A)]).

input_clause(prove_identity_equals_c,conjecture,
    [--equal(identity,c)]).
%--------------------------------------------------------------------------
