%--------------------------------------------------------------------------
% File     : GRP009-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Group Theory
% Problem  : The left inverse of an element is unique
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 6 [Wos65]
%          : wos6 [WM76]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   20 (   0 non-Horn;   9 unit;  12 RR)
%            Number of literals   :   40 (  17 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    2 (   0 propositional; 2-3 arity)
%            Number of functors   :    6 (   4 constant; 0-2 arity)
%            Number of variables  :   48 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include group theory axioms 
include('Axioms/GRP003-0.ax').
%----Include group theory equality axioms 
include('Axioms/GRP003-0.eq').
%--------------------------------------------------------------------------
input_clause(a_is_an_inverse_of_b,hypothesis,
    [++product(a,b,identity)]).

input_clause(c_is_an_inverse_of_b,hypothesis,
    [++product(c,b,identity)]).

input_clause(prove_a_equals_c,conjecture,
    [--equal(a,c)]).
%--------------------------------------------------------------------------
