%--------------------------------------------------------------------------
% File     : GRP024-5 : TPTP v2.2.1. Released v2.2.0.
% Domain   : Group Theory
% Problem  : Levi commutator problem.
% Version  : [McC98] (equality) axioms.
% English  : In group theory, if the commutator [x,y] is associative,
%            then x*[y,z] = [y,z]*x.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [ML92]  McCune & Lusk (1992), A Challenging Theorem of Levi
%          : [Kur56] Kurosh (1956), The Theory of Groups
% Source   : [McC98]
% Names    :

% Status   : unsatisfiable
% Rating   : ? v2.2.0
% Syntax   : Number of clauses    :   14 (   0 non-Horn;   7 unit;   4 RR)
%            Number of literals   :   22 (  22 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   30 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include the axioms of equality
include('Axioms/EQU001-0.ax').
%----Include group theory axioms
include('Axioms/GRP004-0.ax').
%--------------------------------------------------------------------------
%----Definition of commutator:
input_clause(name,axiom,
    [++equal(commutator(X,Y),multiply(inverse(X),multiply(inverse(Y),
multiply(X,Y))))]).

input_clause(commutator_substitutivity1,axiom,
    [--equal(A,B),
     ++equal(commutator(A,C),commutator(B,C))]).

input_clause(commutator_substitutivity2,axiom,
    [--equal(D,E),
     ++equal(commutator(F,D),commutator(F,E))]).

%----Theorem: commutator is associative implies x*[y,z] = [y,z]*x.
%----Hypothesis:
input_clause(associativity_of_commutator,hypothesis,
    [++equal(commutator(commutator(X,Y),Z),commutator(X,commutator(Y,Z)))]).

%----Denial of conclusion:
input_clause(prove_center,conjecture,
    [--equal(multiply(a,commutator(b,c)),multiply(commutator(b,c),a))]).
%--------------------------------------------------------------------------
