%--------------------------------------------------------------------------
% File     : GRP028-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Group Theory (Semigroups)
% Problem  : In semigroups, left and right solutions => right id exists
% Version  : [Cha70] axioms : Incomplete.
% English  : If there are left and right solutions, then there is a right 
%            identity element.

% Refs     : [Sla67] Slagle (1967), Automatic Theorem Proving with Renamabl
%          : [Cha70] Chang (1970), The Unit Proof and the Input Proof in Th
%          : [RR+72] Reboh et al. (1972), Study of automatic theorem provin
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [Cha70]
% Names    : ALGEBRA THEOREM [Sla67]
%          : Chang-Lee-1 [Cha70]
%          : GROUP1 [RR+72]
%          : GROUP1 [WM76]
%          : EX1 [SPRFN]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :    4 (   0 non-Horn;   3 unit;   2 RR)
%            Number of literals   :    7 (   0 equality)
%            Maximal clause size  :    4 (   1 average)
%            Number of predicates :    1 (   0 propositional; 3-3 arity)
%            Number of functors   :    3 (   0 constant; 1-2 arity)
%            Number of variables  :   11 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(associativity,axiom,
    [--product(X,Y,U),
     --product(Y,Z,V),
     --product(X,V,W),
     ++product(U,Z,W)]).

input_clause(left_soln,hypothesis,
    [++product(left_solution(X,Y),X,Y)]).

input_clause(right_soln,hypothesis,
    [++product(X,right_solution(X,Y),Y)]).

%----There is an element for which no X is identity 
input_clause(prove_there_is_a_right_identity,conjecture,
    [--product(not_identity(X),X,not_identity(X))]).
%--------------------------------------------------------------------------
