%--------------------------------------------------------------------------
% File     : GRP036-3 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Group Theory (Subgroups)
% Problem  : In subgroups, the identity element is unique
% Version  : [Wos65] axioms.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 16 [Wos65]
%          : wos16 [WM76]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   27 (   0 non-Horn;   8 unit;  19 RR)
%            Number of literals   :   58 (  20 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-3 arity)
%            Number of functors   :    5 (   2 constant; 0-2 arity)
%            Number of variables  :   60 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include group theory axioms 
include('Axioms/GRP003-0.ax').
%----Include group theory equality axioms 
include('Axioms/GRP003-0.eq').
%----Include sub-group theory axioms 
include('Axioms/GRP003-2.ax').
include('Axioms/GRP003-2.eq').
%--------------------------------------------------------------------------
input_clause(another_left_identity,hypothesis,
    [--subgroup_member(A),
     ++product(another_identity,A,A)]).

input_clause(another_right_identity,hypothesis,
    [--subgroup_member(A),
     ++product(A,another_identity,A)]).

input_clause(another_right_inverse,hypothesis,
    [--subgroup_member(A),
     ++product(A,another_inverse(A),another_identity)]).

input_clause(another_left_inverse,hypothesis,
    [--subgroup_member(A),
     ++product(another_inverse(A),A,another_identity)]).

input_clause(another_inverse_in_subgroup,hypothesis,
    [--subgroup_member(A),
     ++subgroup_member(another_inverse(A))]).

input_clause(another_inverse_substitution,hypothesis,
    [--equal(A,B),
     ++equal(another_inverse(A),another_inverse(B))]).

input_clause(another_identity_in_subgroup,hypothesis,
    [++subgroup_member(another_identity)]).

input_clause(prove_identity_equals_another_identity,conjecture,
    [--equal(identity,another_identity)]).
%--------------------------------------------------------------------------
