%--------------------------------------------------------------------------
% File     : GRP067-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Group Theory
% Problem  : Single axiom for group theory, in division and identity
% Version  : [McC93] (equality) axioms.
% English  : This is a single axiom for group theory, in terms of division 
%            and identity

% Refs     : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [McC93]
% Names    : Axiom 3.3.2 [McC93]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :   12 (   0 non-Horn;   4 unit;   4 RR)
%            Number of literals   :   22 (  22 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :   11 (   8 constant; 0-2 arity)
%            Number of variables  :   26 (   0 singleton)
%            Maximal term depth   :    7 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(single_axiom,axiom,
    [++equal(divide(divide(divide(X,X),divide(X,divide(Y,divide(divide(
identity,X),Z)))),Z),Y)]).

%----Definition of division 
input_clause(division,axiom,
    [++equal(divide(X,Y),multiply(X,inverse(Y)))]).

%----Definition of identity 
input_clause(identity,axiom,
    [++equal(identity,divide(X,X))]).

%----Substitution axioms 
input_clause(inverse_substitution,axiom,
    [--equal(X,Y),
     ++equal(inverse(X),inverse(Y))]).

input_clause(multiply_substitution1,axiom,
    [--equal(X,Y),
     ++equal(multiply(X,W),multiply(Y,W))]).

input_clause(multiply_substitution2,axiom,
    [--equal(X,Y),
     ++equal(multiply(W,X),multiply(W,Y))]).

input_clause(divide_substitution1,axiom,
    [--equal(X,Y),
     ++equal(divide(X,W),divide(Y,W))]).

input_clause(divide_substitution2,axiom,
    [--equal(X,Y),
     ++equal(divide(W,X),divide(W,Y))]).

input_clause(prove_these_axioms,conjecture,
    [--equal(multiply(inverse(a1),a1),multiply(inverse(b1),b1)),
     --equal(multiply(multiply(inverse(b2),b2),a2),a2),
     --equal(multiply(multiply(a3,b3),c3),multiply(a3,multiply(b3,c3)))]).
%--------------------------------------------------------------------------
