%--------------------------------------------------------------------------
% File     : GRP111-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Group Theory (Abelian)
% Problem  : Single axiom for Abelian group theory, in double div and inv
% Version  : [McC93] (equality) axioms.
% English  : This is a single axiom for Abelian group theory, in terms 
%            of double division and inverse.

% Refs     : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [McC93]
% Names    : Axiom 3.12.8 [McC93]

% Status   : unsatisfiable
% Rating   : 0.33 v2.2.0, 0.50 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :   11 (   0 non-Horn;   3 unit;   4 RR)
%            Number of literals   :   22 (  22 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :   10 (   7 constant; 0-2 arity)
%            Number of variables  :   27 (   0 singleton)
%            Maximal term depth   :    7 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(single_axiom,axiom,
    [++equal(double_divide(inverse(double_divide(inverse(double_divide(X,
inverse(Y))),Z)),double_divide(X,Z)),Y)]).

%----Definition of double division 
input_clause(double_division,axiom,
    [++equal(double_divide(X,Y),multiply(inverse(X),inverse(Y)))]).

%----Substitution axioms 
input_clause(inverse_substitution,axiom,
    [--equal(X,Y),
     ++equal(inverse(X),inverse(Y))]).

input_clause(multiply_substitution1,axiom,
    [--equal(X,Y),
     ++equal(multiply(X,W),multiply(Y,W))]).

input_clause(multiply_substitution2,axiom,
    [--equal(X,Y),
     ++equal(multiply(W,X),multiply(W,Y))]).

input_clause(double_divide_substitution1,axiom,
    [--equal(X,Y),
     ++equal(double_divide(X,W),double_divide(Y,W))]).

input_clause(double_divide_substitution2,axiom,
    [--equal(X,Y),
     ++equal(double_divide(W,X),double_divide(W,Y))]).

input_clause(prove_these_axioms,conjecture,
    [--equal(multiply(inverse(a1),a1),multiply(inverse(b1),b1)),
     --equal(multiply(multiply(inverse(b2),b2),a2),a2),
     --equal(multiply(multiply(a3,b3),c3),multiply(a3,multiply(b3,c3))),
     --equal(multiply(X,Y),multiply(Y,X))]).
%--------------------------------------------------------------------------
