%--------------------------------------------------------------------------
% File     : GRP112-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Group Theory
% Problem  : Single axiom for group theory, in product & inverse
% Version  : [McC93] (equality) axioms.
% English  : This is a single axiom for groups in which the square 
%            of every element is the identity, in terms of product and 
%            inverse.

% Refs     : [MP68]  Meredith & Prior (1968), Equational Logic
%          : [LW92]  Lusk & Wos (1992), Benchmark Problems in Which Equalit
%          : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [McC93]
% Names    : GT2 [LW92]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :    8 (   0 non-Horn;   2 unit;   4 RR)
%            Number of literals   :   17 (  17 equality)
%            Maximal clause size  :    4 (   2 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :   11 (   9 constant; 0-2 arity)
%            Number of variables  :   17 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : The group axioms that are proved are different from those 
%            given in [LW92]. Rather those suggested in [McC93] are used.
%          : Not sure if would be equivalent to show that the group is
%            commutative. If the square of every element is the identity
%            then commutativity follows, but maybe not vice versa.
%          : In general, I'm not sure if this is OK.
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
input_clause(single_axiom,axiom,
    [++equal(multiply(multiply(multiply(X,Y),Z),multiply(X,Z)),Y)]).

%----Substitution axioms 
input_clause(inverse_substitution,axiom,
    [--equal(X,Y),
     ++equal(inverse(X),inverse(Y))]).

input_clause(multiply_substitution1,axiom,
    [--equal(X,Y),
     ++equal(multiply(X,W),multiply(Y,W))]).

input_clause(multiply_substitution2,axiom,
    [--equal(X,Y),
     ++equal(multiply(W,X),multiply(W,Y))]).

input_clause(prove_these_axioms,conjecture,
    [--equal(multiply(inverse(a1),a1),multiply(inverse(b1),b1)),
     --equal(multiply(multiply(inverse(b2),b2),a2),a2),
     --equal(multiply(multiply(a3,b3),c3),multiply(a3,multiply(b3,c3))),
     --equal(multiply(a4,a4),multiply(b4,b4))]).
%--------------------------------------------------------------------------
