%--------------------------------------------------------------------------
% File     : GRP127-1.005 : TPTP v2.2.1. Released v1.2.0.
% Domain   : Group Theory (Quasigroups)
% Problem  : ((b.a).b).b) = a
% Version  : [Sla93] axioms. 
% English  : Generate the multiplication table for the specified quasi-
%            group with 5 elements.

% Refs     : [Ben89] Bennett (1989), Quasigroup Identities and Mendelsohn D
%          : [FSB93] Fujita et al. (1993), Automatic Generation of Some Res
%          : [Sla93] Slaney (1993), Email to G. Sutcliffe
%          : [SFS95] Slaney et al. (1995), Automated Reasoning and Exhausti
% Source   : [Sla93]
% Names    : QG5 [Sla93]
%          : QG5 [FSB93]
%          : QG5 [SFS95]
%          : Bennett QG5 [TPTP]

% Status   : satisfiable
% Rating   : 0.67 v2.2.0, 1.00 v2.1.0
% Syntax   : Number of clauses    :   31 (   1 non-Horn;  26 unit;  30 RR)
%            Number of literals   :   45 (   0 equality)
%            Maximal clause size  :    7 (   1 average)
%            Number of predicates :    3 (   0 propositional; 1-3 arity)
%            Number of functors   :    5 (   5 constant; 0-0 arity)
%            Number of variables  :   19 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : [SFS93]'s axiomatization has been modified for this.
%          : Substitution axioms are not needed, as any positive equality
%            literals should resolve on negative ones directly.
%          : This problem is extensively investigated in [Ben89].
%          : tptp2X: -f tptp -s5 GRP127-1.g 
%--------------------------------------------------------------------------
input_clause(element_1,axiom,
    [++group_element(e_1)]).

input_clause(element_2,axiom,
    [++group_element(e_2)]).

input_clause(element_3,axiom,
    [++group_element(e_3)]).

input_clause(element_4,axiom,
    [++group_element(e_4)]).

input_clause(element_5,axiom,
    [++group_element(e_5)]).

input_clause(e_1_is_not_e_2,axiom,
    [--equalish(e_1,e_2)]).

input_clause(e_1_is_not_e_3,axiom,
    [--equalish(e_1,e_3)]).

input_clause(e_1_is_not_e_4,axiom,
    [--equalish(e_1,e_4)]).

input_clause(e_1_is_not_e_5,axiom,
    [--equalish(e_1,e_5)]).

input_clause(e_2_is_not_e_1,axiom,
    [--equalish(e_2,e_1)]).

input_clause(e_2_is_not_e_3,axiom,
    [--equalish(e_2,e_3)]).

input_clause(e_2_is_not_e_4,axiom,
    [--equalish(e_2,e_4)]).

input_clause(e_2_is_not_e_5,axiom,
    [--equalish(e_2,e_5)]).

input_clause(e_3_is_not_e_1,axiom,
    [--equalish(e_3,e_1)]).

input_clause(e_3_is_not_e_2,axiom,
    [--equalish(e_3,e_2)]).

input_clause(e_3_is_not_e_4,axiom,
    [--equalish(e_3,e_4)]).

input_clause(e_3_is_not_e_5,axiom,
    [--equalish(e_3,e_5)]).

input_clause(e_4_is_not_e_1,axiom,
    [--equalish(e_4,e_1)]).

input_clause(e_4_is_not_e_2,axiom,
    [--equalish(e_4,e_2)]).

input_clause(e_4_is_not_e_3,axiom,
    [--equalish(e_4,e_3)]).

input_clause(e_4_is_not_e_5,axiom,
    [--equalish(e_4,e_5)]).

input_clause(e_5_is_not_e_1,axiom,
    [--equalish(e_5,e_1)]).

input_clause(e_5_is_not_e_2,axiom,
    [--equalish(e_5,e_2)]).

input_clause(e_5_is_not_e_3,axiom,
    [--equalish(e_5,e_3)]).

input_clause(e_5_is_not_e_4,axiom,
    [--equalish(e_5,e_4)]).

input_clause(product_total_function1,axiom,
    [--group_element(X),
     --group_element(Y),
     ++product(X,Y,e_1),
     ++product(X,Y,e_2),
     ++product(X,Y,e_3),
     ++product(X,Y,e_4),
     ++product(X,Y,e_5)]).

input_clause(product_total_function2,axiom,
    [--product(X,Y,W),
     --product(X,Y,Z),
     ++equalish(W,Z)]).

input_clause(product_right_cancellation,axiom,
    [--product(X,W,Y),
     --product(X,Z,Y),
     ++equalish(W,Z)]).

input_clause(product_left_cancellation,axiom,
    [--product(W,Y,X),
     --product(Z,Y,X),
     ++equalish(W,Z)]).

input_clause(product_idempotence,axiom,
    [++product(X,X,X)]).

input_clause(qg3,conjecture,
    [--product(Y,X,Z1),
     --product(Z1,Y,Z2),
     ++product(Z2,Y,X)]).
%--------------------------------------------------------------------------
