%--------------------------------------------------------------------------
% File     : GRP150-1 : TPTP v2.2.1. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Prove least upper-bound axiom using the LUB transformation
% Version  : [Fuc94] (equality) axioms.
% English  : This problem proves the original least upper-bound axiom from
%            the equational axiomatization.

% Refs     : [Fuc94] Fuchs (1994), The Application of Goal-Orientated Heuri
%          : [Sch95] Schulz (1995), Explanation Based Learning for Distribu
% Source   : [Sch95]
% Names    : ax_lub2a [Sch95] 

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   26 (   0 non-Horn;  17 unit;   4 RR)
%            Number of literals   :   36 (  36 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   59 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a > b
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(prove_ax_lub2a,conjecture,
    [--equal(least_upper_bound(a,least_upper_bound(a,b)),
least_upper_bound(a,b))]).
%--------------------------------------------------------------------------
