%--------------------------------------------------------------------------
% File     : GRP173-1 : TPTP v2.2.1. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Each subgroup of negative elements is trivial
% Version  : [Fuc94] (equality) axioms.
% English  : 

% Refs     : [Fuc94] Fuchs (1994), The Application of Goal-Orientated Heuri
%          : [Sch95] Schulz (1995), Explanation Based Learning for Distribu
%          : [Dah95] Dahn (1995), Email to G. Sutcliffe
% Source   : [Sch95]
% Names    : p05a [Sch95] 

% Status   : unsatisfiable
% Rating   : 0.25 v2.2.1, 0.22 v2.2.0, 0.29 v2.1.0, 0.14 v2.0.0
% Syntax   : Number of clauses    :   28 (   0 non-Horn;  19 unit;   6 RR)
%            Number of literals   :   38 (  38 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   2 constant; 0-2 arity)
%            Number of variables  :   59 (   2 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : ORDERING LPO greatest_lower_bound > least_upper_bound >
%            inverse > product > identity > a
%          : ORDERING LPO inverse > product > greatest_lower_bound > 
%            least_upper_bound > identity > a
%          : [Dah95] says "The proof is not difficult but combines group
%            theory, lattice theory and monotonicity."
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include equality group theory axioms 
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
input_clause(p05a_1,hypothesis,
    [++equal(least_upper_bound(identity,a),identity)]).

input_clause(p05a_2,hypothesis,
    [++equal(least_upper_bound(identity,inverse(a)),identity)]).

input_clause(prove_p05a,conjecture,
    [--equal(identity,a)]).
%--------------------------------------------------------------------------
