%--------------------------------------------------------------------------
% File     : GRP195-1 : TPTP v2.2.1. Released v2.2.0.
% Domain   : Group Theory (Semigroups)
% Problem  : In semigroups, xyy=yyx -> (uv)^4 = u^4v^4.
% Version  : [MP96] (equality) axioms.
% English  : In semigroups, xyy=yyx -> uvuvuvuuv=uuuuvvvv.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : CS-2 [MP96]

% Status   : unsatisfiable
% Rating   : ? v2.2.0
% Syntax   : Number of clauses    :    8 (   0 non-Horn;   4 unit;   3 RR)
%            Number of literals   :   13 (  13 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   2 constant; 0-2 arity)
%            Number of variables  :   17 (   0 singleton)
%            Maximal term depth   :    8 (   2 average)

% Comments : The problem was originally posed for cancellative semigroups,
%            but Otter discovered that cancellation is not necessary.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include semigroups axioms
include('Axioms/GRP008-0.ax').
%--------------------------------------------------------------------------
%----Hypothesis:
input_clause(condition,hypothesis,
    [++equal(multiply(X,multiply(Y,Y)),multiply(Y,multiply(Y,X)))]).

%----Denial of conclusion:
input_clause(prove_this,conjecture,
    [--equal(multiply(a,multiply(b,multiply(a,multiply(b,multiply(a,
multiply(b,multiply(a,b))))))),
multiply(a,multiply(a,multiply(a,multiply(a,multiply(b,multiply(b,
multiply(b,b))))))))]).
%--------------------------------------------------------------------------
