%--------------------------------------------------------------------------
% File     : GRP197-1 : TPTP v2.2.1. Released v2.2.0.
% Domain   : Group Theory (Cancellative semigroups)
% Problem  : In Cancellative semigroups, xxxyy=yxxyx -> bbaaa = abaab.
% Version  : [MP96] (equality) axioms.
% English  : In Cancellative semigroups, xxxyy=yxxyx -> bbaaa = abaab.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : CS-7 [MP96]

% Status   : unsatisfiable
% Rating   : ? v2.2.0
% Syntax   : Number of clauses    :   10 (   0 non-Horn;   4 unit;   5 RR)
%            Number of literals   :   19 (  19 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    3 (   2 constant; 0-2 arity)
%            Number of variables  :   25 (   0 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : The original CS-7 uses a nonstandard form of cancellation. That's
%            been fixed here.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include cancellative semigroups axioms
include('Axioms/GRP008-0.ax').
include('Axioms/GRP008-1.ax').
%--------------------------------------------------------------------------
%----Hypothesis:
input_clause(condition,hypothesis,
    [++equal(multiply(X,multiply(X,multiply(X,multiply(Y,Y)))),
multiply(Y,multiply(X,multiply(X,multiply(Y,X)))))]).

%----Denial of conclusion:
input_clause(prove_this,conjecture,
    [--equal(multiply(b,multiply(b,multiply(a,multiply(a,a)))),
multiply(a,multiply(b,multiply(a,multiply(a,b)))))]).
%--------------------------------------------------------------------------
