%--------------------------------------------------------------------------
% File     : HEN008-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : X <= Y => X/Z <= Y/Z
% Version  : [MOW76] axioms.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [ANL]
% Names    : hp8.ver1.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.33 v2.2.0, 0.29 v2.1.0, 0.20 v2.0.0
% Syntax   : Number of clauses    :   23 (   0 non-Horn;   8 unit;  17 RR)
%            Number of literals   :   50 (  17 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    8 (   7 constant; 0-2 arity)
%            Number of variables  :   55 (   3 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms 
include('Axioms/HEN001-0.ax').
%----Include Henkin model equality axioms 
include('Axioms/HEN001-0.eq').
%--------------------------------------------------------------------------
input_clause(aLEb,hypothesis,
    [++less_equal(a,b)]).

input_clause(aQc,hypothesis,
    [++quotient(a,c,aQc)]).

input_clause(bQc,hypothesis,
    [++quotient(b,c,bQc)]).

input_clause(prove_aQcLEbQc,conjecture,
    [--less_equal(aQc,bQc)]).
%--------------------------------------------------------------------------
