%--------------------------------------------------------------------------
% File     : HEN010-2 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Henkin Models
% Problem  : Define X' as identity/X. Then X' = X'/(identity/X')
% Version  : [MOW76] axioms : Augmented.
% English  : 

% Refs     : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [MOW76]
% Names    : H10 [MOW76]

% Status   : unsatisfiable
% Rating   : 0.11 v2.2.0, 0.14 v2.1.0, 0.20 v2.0.0
% Syntax   : Number of clauses    :   32 (   0 non-Horn;  12 unit;  22 RR)
%            Number of literals   :   73 (  19 equality)
%            Maximal clause size  :    6 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    7 (   6 constant; 0-2 arity)
%            Number of variables  :   81 (   6 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include Henkin model axioms 
include('Axioms/HEN001-0.ax').
%----Include Henkin model equality axioms 
include('Axioms/HEN001-0.eq').
%--------------------------------------------------------------------------
%----McCharen uses these earlier results too. I don't 
input_clause(everything_divide_identity_is_zero,axiom,
    [++quotient(X,identity,zero)]).

input_clause(zero_divide_anything_is_zero,axiom,
    [++quotient(zero,X,zero)]).

input_clause(x_divide_x_is_zero,axiom,
    [++quotient(X,X,zero)]).

input_clause(x_divde_zero_is_x,axiom,
    [++quotient(X,zero,X)]).

input_clause(transitivity_of_less_equal,axiom,
    [--less_equal(X,Y),
     --less_equal(Y,Z),
     ++less_equal(X,Z)]).

input_clause(xQyLEz_implies_xQzLEy,axiom,
    [--quotient(X,Y,W1),
     --less_equal(W1,Z),
     --quotient(X,Z,W2),
     ++less_equal(W2,Y)]).

input_clause(xLEy_implies_zQyLEzQx,axiom,
    [--less_equal(X,Y),
     --quotient(Z,Y,W1),
     --quotient(Z,X,W2),
     ++less_equal(W1,W2)]).

input_clause(xLEy_implies_xQzLEyQz,axiom,
    [--less_equal(X,Y),
     --quotient(X,Z,W1),
     --quotient(Y,Z,W2),
     ++less_equal(W1,W2)]).

input_clause(one_inversion_equals_three,axiom,
    [--quotient(identity,X,Y1),
     --quotient(identity,Y1,Y2),
     --quotient(identity,Y2,Y3),
     ++equal(Y1,Y3)]).

input_clause(identity_divide_a,hypothesis,
    [++quotient(identity,a,idQa)]).

input_clause(identity_divide_idQa,hypothesis,
    [++quotient(identity,idQa,idQ_idQa)]).

input_clause(identity_divide_idQ_idQa,hypothesis,
    [++quotient(idQa,idQ_idQa,idQa_Q__idQ_idQa)]).

input_clause(prove_idQa_equals_idQa_Q__idQ_idQa,conjecture,
    [--equal(idQa,idQa_Q__idQ_idQa)]).
%--------------------------------------------------------------------------
