%--------------------------------------------------------------------------
% File     : LAT017-1 : TPTP v2.2.1. Bugfixed v2.2.1.
% Domain   : Lattice Theory (Ortholattices)
% Problem  : E2 holds in Ortholattices.
% Version  : [McC98b] (equality) axioms.
% English  : Prove that from ortholattice axioms, one can derive equation E2.

% Refs     : [McC98a] McCune (1998), Automatic Proofs and Counterexamples f
%          : [McC98b] McCune (1998), Email to G. Sutcliffe
% Source   : [McC98b]
% Names    : OL-2 [McC98b]

% Status   : unsatisfiable
% Rating   : ? v2.2.1
% Syntax   : Number of clauses    :   19 (   0 non-Horn;  12 unit;   4 RR)
%            Number of literals   :   27 (  27 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   4 constant; 0-2 arity)
%            Number of variables  :   39 (   2 singleton)
%            Maximal term depth   :    7 (   1 average)

% Comments : Ortholattice lemmas are included in McCunes original, but have
%            been removed here.
% Bugfixes : v2.2.1 - Bugfix in LAT003-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001-0.ax').
%----Include ortholattice axioms
include('Axioms/LAT003-0.ax').
%--------------------------------------------------------------------------
%----Denial of equation E2
input_clause(prove_e2,conjecture,
    [--equal(join(a,join(meet(complement(a),meet(join(a,complement(b)),
join(a,b))),meet(complement(a),join(meet(complement(a),b),meet(complement(a),
complement(b)))))),1)]).
%--------------------------------------------------------------------------
