%--------------------------------------------------------------------------
% File     : LCL031-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Logic Calculi (Implication/Falsehood 2 valued sentential)
% Problem  : C0-CAMerideth depends on the Tarski-Bernays system
% Version  : [McC92] axioms.
% English  : Axiomatisations for the Implication/Falsehood 2 valued 
%            sentential calculus are {C0-1,C0-2,C0-3,C0-4} 
%            by Tarski-Bernays, {C0-2,C0-5,C0-6} by Church, and the single 
%            Meredith axioms. Show that the single Meredith axiom can 
%            be derived from the Tarski-Bernays system.

% Refs     : [MW92]  McCune & Wos (1992), Experiments in Automated Deductio
%          : [McC92] McCune (1992), Email to G. Sutcliffe
% Source   : [McC92]
% Names    : C0-43 [MW92]

% Status   : unsatisfiable
% Rating   : 0.90 v2.2.1, 1.00 v2.0.0
% Syntax   : Number of clauses    :    6 (   0 non-Horn;   5 unit;   2 RR)
%            Number of literals   :    8 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 1-1 arity)
%            Number of functors   :    6 (   5 constant; 0-2 arity)
%            Number of variables  :   10 (   3 singleton)
%            Maximal term depth   :    6 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(condensed_detachment,axiom,
    [--is_a_theorem(implies(X,Y)),
     --is_a_theorem(X),
     ++is_a_theorem(Y)]).

input_clause(c0_1,axiom,
    [++is_a_theorem(implies(implies(X,Y),implies(implies(Y,Z),
implies(X,Z))))]).

input_clause(c0_2,axiom,
    [++is_a_theorem(implies(X,implies(Y,X)))]).

input_clause(c0_3,axiom,
    [++is_a_theorem(implies(implies(implies(X,Y),X),X))]).

input_clause(c0_4,axiom,
    [++is_a_theorem(implies(falsehood,X))]).

input_clause(prove_c0_CAMerideth,conjecture,
    [--is_a_theorem(implies(implies(implies(implies(implies(a,b),
implies(c,falsehood)),e),falsehood),implies(implies(falsehood,a),
implies(c,a))))]).
%--------------------------------------------------------------------------
