%--------------------------------------------------------------------------
% File     : LCL109-5 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Logic Calculi (Wajsberg Algebra)
% Problem  : A theorem in the lattice structure of Wajsberg algebras
% Version  : [Bon91] (equality) axioms : Augmented.
%            Theorem formulation : Wajsberg algebras lattice structure.
% English  : 

% Refs     : [FRT84] Font et al. (1984), Wajsberg Algebras
%          : [Bon91] Bonacina (1991), Problems in Lukasiewicz Logic
% Source   : [Bon91]
% Names    : Lattice structure theorem 8 [Bon91]

% Status   : unsatisfiable
% Rating   : 0.33 v2.2.0, 0.43 v2.1.0, 0.60 v2.0.0
% Syntax   : Number of clauses    :   29 (   0 non-Horn;  12 unit;  10 RR)
%            Number of literals   :   49 (  35 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   70 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Wajsberg algebra axioms 
include('Axioms/LCL001-0.ax').
%----Include Wajsberg algebra lattice structure axioms 
include('Axioms/LCL001-1.ax').
%--------------------------------------------------------------------------
%----Lemmas in Wajsberg algebra lattice structures.
input_clause(lemma_1,axiom,
    [--ordered(X,Y),
     ++ordered(implies(X,Z),implies(Y,Z))]).

input_clause(lemma_2,axiom,
    [--ordered(X,Y),
     ++ordered(implies(Z,X),implies(Z,Y))]).

input_clause(lemma_3_1,axiom,
    [--ordered(X,implies(Y,Z)),
     ++ordered(Y,implies(X,Z))]).

input_clause(lemma_3_2,axiom,
    [--ordered(Y,implies(X,Z)),
     ++ordered(X,implies(Y,Z))]).

input_clause(lemma_4,axiom,
    [++equal(not(big_V(X,Y)),big_hat(not(X),not(Y)))]).

input_clause(lemma_5,axiom,
    [++equal(not(big_hat(X,Y)),big_V(not(X),not(Y)))]).

input_clause(lemma_6,axiom,
    [++equal(implies(big_V(X,Y),Z),big_hat(implies(X,Z),implies(Y,Z)))]).

input_clause(lemma_7,axiom,
    [++equal(implies(X,big_hat(Y,Z)),big_hat(implies(X,Y),implies(X,Z)))]).

input_clause(prove_mv_4,conjecture,
    [--equal(big_V(implies(x,y),implies(y,x)),true)]).
%--------------------------------------------------------------------------
