%--------------------------------------------------------------------------
% File     : LCL109-6 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Logic Calculi (Wajsberg Algebra)
% Problem  : A theorem in the lattice structure of Wajsberg algebras
% Version  : [Bon91] (equality) axioms : Augmented.
%            Theorem formulation : Alternative Wajsberg algebras lattice 
%            structure.
% English  : 

% Refs     : [FRT84] Font et al. (1984), Wajsberg Algebras
%          : [AB90]  Anantharaman & Bonacina (1990), An Application of the 
%          : [Bon91] Bonacina (1991), Problems in Lukasiewicz Logic
% Source   : [Bon91]
% Names    : Lattice structure theorem 8 [Bon91]

% Status   : unsatisfiable
% Rating   : 0.62 v2.2.1, 0.67 v2.2.0, 0.71 v2.1.0, 0.88 v2.0.0
% Syntax   : Number of clauses    :   24 (   0 non-Horn;  15 unit;   5 RR)
%            Number of literals   :   34 (  34 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   45 (   1 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Alternative Wajsberg algebra axioms 
include('Axioms/LCL002-0.ax').
%--------------------------------------------------------------------------
%----Include some Alternative Wajsberg algebra definitions 
% include('Axioms/LCL002-1.ax').
input_clause(and_star_substitution1,axiom,
    [--equal(G,H),
     ++equal(and_star(G,I),and_star(H,I))]).

input_clause(and_star_substitution2,axiom,
    [--equal(J,K),
     ++equal(and_star(L,J),and_star(L,K))]).

input_clause(xor_substitution1,axiom,
    [--equal(S,T),
     ++equal(xor(S,U),xor(T,U))]).

input_clause(xor_substitution2,axiom,
    [--equal(V,W),
     ++equal(xor(X,V),xor(X,W))]).

%----Definition that and_star is AC and xor is C 
input_clause(xor_commutativity,axiom,
    [++equal(xor(X,Y),xor(Y,X))]).

input_clause(and_star_associativity,axiom,
    [++equal(and_star(and_star(X,Y),Z),and_star(X,and_star(Y,Z)))]).

input_clause(and_star_commutativity,axiom,
    [++equal(and_star(X,Y),and_star(Y,X))]).

%----Definition of false in terms of true 
input_clause(false_definition,axiom,
    [++equal(not(true),false)]).

%----Include the definition of implies in terms of xor and and_star 
input_clause(implies_definition,axiom,
    [++equal(implies(X,Y),xor(true,and_star(X,xor(true,Y))))]).

input_clause(prove_wajsberg_mv_4,conjecture,
    [--equal(implies(implies(implies(a,b),implies(b,a)),
implies(b,a)),true)]).
%--------------------------------------------------------------------------
