%--------------------------------------------------------------------------
% File     : LCL136-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Logic Calculi (Wajsberg Algebra)
% Problem  : A lemma in Wajsberg algebras
% Version  : [Bon91] (equality) axioms.
% English  : An axiomatisation of the many valued sentential calculus 
%            is {MV-1,MV-2,MV-3,MV-5} by Meredith. Wajsberg provided 
%            a different axiomatisation. Show that a version of MV-2 
%            depends on the Wajsberg system.

% Refs     : [FRT84] Font et al. (1984), Wajsberg Algebras
%          : [Bon91] Bonacina (1991), Problems in Lukasiewicz Logic
%          : [MW92]  McCune & Wos (1992), Experiments in Automated Deductio
% Source   : [Bon91]
% Names    : Lemma 5 [Bon91]

% Status   : satisfiable
% Rating   : 0.75 v2.2.0, 0.67 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :   12 (   0 non-Horn;   7 unit;   5 RR)
%            Number of literals   :   18 (  18 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   4 constant; 0-2 arity)
%            Number of variables  :   22 (   0 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Wajsberg algebra axioms 
include('Axioms/LCL001-0.ax').
%--------------------------------------------------------------------------
input_clause(lemma_antecedent,conjecture,
    [++equal(implies(x,y),implies(y,z))]).

input_clause(prove_wajsberg_lemma,conjecture,
    [--equal(implies(x,z),true)]).
%--------------------------------------------------------------------------
