%--------------------------------------------------------------------------
% File     : LDA013-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : LD-Algebras (Embedding algebras)
% Problem  : Let g = cr(t). Show that aag <= ag, t=a
% Version  : [Jec93] axioms : Incomplete.
% English  : This is the base step of an induction proof.

% Refs     : [Jec93] Jech (1993), LD-Algebras
% Source   : [Jec93]
% Names    : Conjecture 1 [Jec93]

% Status   : unsatisfiable
% Rating   : 0.44 v2.2.0, 0.56 v2.1.0, 0.56 v2.0.0
% Syntax   : Number of clauses    :   21 (   2 non-Horn;   9 unit;  13 RR)
%            Number of literals   :   38 (  22 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   5 constant; 0-2 arity)
%            Number of variables  :   38 (   0 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include Embedding algebra axioms 
include('Axioms/LDA001-0.ax').
%--------------------------------------------------------------------------
input_clause(clause_1,axiom,
    [++equal(k,critical_point(a))]).

input_clause(clause_2,axiom,
    [++equal(aa,f(a,a))]).

input_clause(clause_3,axiom,
    [++equal(aak,f(aa,k))]).

input_clause(clause_4,axiom,
    [++equal(ak,f(a,k))]).

%----aak <= ak 
input_clause(prove_equation,conjecture,
    [++less(ak,aak)]).
%--------------------------------------------------------------------------
