%--------------------------------------------------------------------------
% File     : MGT009+1 : TPTP v2.2.1. Released v2.0.0.
% Domain   : Management (Organisation Theory)
% Problem  : Large organization have higher reproducibility
% Version  : [PB+94] axioms.
% English  : 

% Refs     : [PB+92] Peli et al. (1992), A Logical Approach to Formalizing
%          : [PB+94] Peli et al. (1994), A Logical Approach to Formalizing 
%          : [Kam94] Kamps (1994), Email to G. Sutcliffe
% Source   : [Kam94]
% Names    : THEOREM 9 [PB+92]
%          : T9FOL1 [PB+94]

% Status   : theorem
% Rating   : 0.00 v2.1.0
% Syntax   : Number of formulae    :    4 (   0 unit)
%            Number of atoms       :   34 (   0 equality)
%            Maximal formula depth :   13 (   9 average)
%            Number of connectives :   30 (   0 ~  ;   0  |;  25  &)
%                                         (   1 <=>;   4 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    7 (   0 propositional; 2-3 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   29 (   1 singleton;  28 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(mp5,axiom,(
    ! [X,T] : 
      ( organization(X,T)
     => ? [I] : inertia(X,I,T) )   )).

%----High levels of reproducibility of structure generate strong
%----inertial pressures.
input_formula(a3_FOL,hypothesis,(
    ! [X,Y,T1,T2,Rp1,Rp2,I1,I2] : 
      ( ( organization(X,T1)
        & organization(Y,T2)
        & reorganization_free(X,T1,T1)
        & reorganization_free(Y,T2,T2)
        & reproducibility(X,Rp1,T1)
        & reproducibility(Y,Rp2,T2)
        & inertia(X,I1,T1)
        & inertia(Y,I2,T2) )
     => ( greater(Rp2,Rp1)
      <=> greater(I2,I1) ) )   )).

%----The level of structural inertia increases with size for each class
%----of organizations.
input_formula(a5_FOL,hypothesis,(
    ! [X,Y,C,S1,S2,I1,I2,T1,T2] : 
      ( ( organization(X,T1)
        & organization(Y,T2)
        & class(X,C,T1)
        & class(Y,C,T2)
        & size(X,S1,T1)
        & size(Y,S2,T2)
        & inertia(X,I1,T1)
        & inertia(Y,I2,T2)
        & greater(S2,S1) )
     => greater(I2,I1) )   )).

input_formula(t9_FOL,conjecture,(
    ! [X,Y,C,Rp1,Rp2,S1,S2,T1,T2] : 
      ( ( organization(X,T1)
        & organization(Y,T2)
        & reorganization_free(X,T1,T1)
        & reorganization_free(Y,T2,T2)
        & class(X,C,T1)
        & class(Y,C,T2)
        & reproducibility(X,Rp1,T1)
        & reproducibility(Y,Rp2,T2)
        & size(X,S1,T1)
        & size(Y,S2,T2)
        & greater(S2,S1) )
     => greater(Rp2,Rp1) )   )).
%--------------------------------------------------------------------------
