%--------------------------------------------------------------------------
% File     : MSC009+1 : TPTP v2.2.1. Released v2.0.0.
% Domain   : Miscellaneous
% Problem  : Definitions of a family structure
% Version  : Especial.
% English  : 

% Refs     : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
% Source   : [FL+93]
% Names    : 

% Status   : satisfiable
% Rating   : 0.00 v2.1.0
% Syntax   : Number of formulae    :    7 (   0 unit)
%            Number of atoms       :   26 (   0 equality)
%            Maximal formula depth :    8 (   5 average)
%            Number of connectives :   21 (   2 ~  ;   1  |;  10  &)
%                                         (   7 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   10 (   0 propositional; 1-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :   13 (   0 singleton;   8 !;   5 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_formula(female,axiom,(
    ! [X] : 
      ( female(X)
    <=> ~ male(X) )   )).

input_formula(person,axiom,(
    ! [X] : 
      ( person(X)
    <=> ? [Y] : 
          ( sex(X,Y)
          & ( male(Y)
            | female(Y) ) ) )   )).

input_formula(parent,axiom,(
    ! [X] : 
      ( parent(X)
    <=> ( person(X)
        & ? [Y] : 
            ( child(X,Y)
            & person(Y) ) ) )   )).

input_formula(mother,axiom,(
    ! [X] : 
      ( mother(X)
    <=> ( parent(X)
        & ? [Y] : 
            ( sex(X,Y)
            & female(Y) ) ) )   )).

input_formula(father,axiom,(
    ! [X] : 
      ( father(X)
    <=> ( parent(X)
        & ~ mother(X) ) )   )).

input_formula(grandparent,axiom,(
    ! [X] : 
      ( grandparent(X)
    <=> ( parent(X)
        & ? [Y] : 
            ( child(X,Y)
            & parent(Y) ) ) )   )).

input_formula(parent_with_sons_only,axiom,(
    ! [X] : 
      ( parent_with_sons_only(X)
    <=> ( parent(X)
        & ! [Y] : 
            ( child(X,Y)
           => ? [Z] : 
                ( sex(Y,Z)
                & male(Z) ) ) ) )   )).
%--------------------------------------------------------------------------
