%--------------------------------------------------------------------------
% File     : NUM025-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Number Theory
% Problem  : If a<b then not b<a
% Version  : [LS74] axioms : Incomplete > Reduced > Incomplete.
% English  : 

% Refs     : [LS74]  Lawrence & Starkey (1974), Experimental Tests of Resol
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : ls76t1 [LS74]
%          : ls76t1 [WM76]

% Status   : unsatisfiable
% Rating   : 0.10 v2.2.1, 0.11 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   16 (   0 non-Horn;   9 unit;  11 RR)
%            Number of literals   :   25 (   0 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 2-2 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :   26 (   3 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Don't include equality axioms because it's incomplete
%include('Axioms/EQU001-0.ax').
%----Include recursive function + and * axioms 
include('Axioms/NUM001-0.ax').
%----Include recursive function less axioms 
include('Axioms/NUM001-1.ax').
%--------------------------------------------------------------------------
input_clause(reflexivity,axiom,
    [++equalish(X,X)]).

input_clause(symmetry,axiom,
    [--equalish(X,Y),
     ++equalish(Y,X)]).

input_clause(transitivity,axiom,
    [--equalish(X,Y),
     --equalish(Y,Z),
     ++equalish(X,Z)]).

input_clause(zero_is_the_first_number,axiom,
    [--equalish(successor(A),0)]).

input_clause(no_number_less_than_itself,axiom,
    [--less(A,A)]).

input_clause(a_less_than_b,hypothesis,
    [++less(a,b)]).

input_clause(prove_b_not_less_than_a,conjecture,
    [++less(b,a)]).
%--------------------------------------------------------------------------
