%--------------------------------------------------------------------------
% File     : PUZ001+1 : TPTP v2.2.1. Released v2.0.0.
% Domain   : Puzzles
% Problem  : Dreadbury Mansion
% Version  : Especial.
%            Theorem formulation : Reduced > Complete.
% English  : Someone who lives in Dreadbury Mansion killed Aunt Agatha. 
%            Agatha, the butler, and Charles live in Dreadbury Mansion, 
%            and are the only people who live therein. A killer always 
%            hates his victim, and is never richer than his victim. 
%            Charles hates no one that Aunt Agatha hates. Agatha hates 
%            everyone except the butler. The butler hates everyone not 
%            richer than Aunt Agatha. The butler hates everyone Aunt 
%            Agatha hates. No one hates everyone. Agatha is not the 
%            butler. Therefore : Agatha killed herself.

% Refs     : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
%          : [Hah94] Haehnle (1994), Email to G. Sutcliffe
% Source   : [Hah94]
% Names    : Pelletier 55 [Pel86]

% Status   : theorem
% Rating   : 0.00 v2.1.0
% Syntax   : Number of formulae    :   21 (   4 unit)
%            Number of atoms       :   48 (  17 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :   31 (   4 ~  ;   2  |;   9  &)
%                                         (   0 <=>;  16 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    5 (   0 propositional; 1-2 arity)
%            Number of functors    :    3 (   3 constant; 0-0 arity)
%            Number of variables   :   36 (   0 singleton;  35 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : Modified by Geoff Sutcliffe.
%          : Also known as "Who killed Aunt Agatha"
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001+0.ax').
%--------------------------------------------------------------------------
%----Substitution axioms
input_formula(hates_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & hates(A,C) )
     => hates(B,C) )   )).

input_formula(hates_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & hates(C,A) )
     => hates(C,B) )   )).

input_formula(killed_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & killed(A,C) )
     => killed(B,C) )   )).

input_formula(killed_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & killed(C,A) )
     => killed(C,B) )   )).

input_formula(lives_substitution_1,axiom,(
    ! [A,B] : 
      ( ( equal(A,B)
        & lives(A) )
     => lives(B) )   )).

input_formula(richer_substitution_1,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & richer(A,C) )
     => richer(B,C) )   )).

input_formula(richer_substitution_2,axiom,(
    ! [A,B,C] : 
      ( ( equal(A,B)
        & richer(C,A) )
     => richer(C,B) )   )).

%----Problem axioms
input_formula(pel55_1,axiom,(
    ? [X] : 
      ( lives(X)
      & killed(X,agatha) )   )).

input_formula(pel55_2_1,axiom,(
    lives(agatha)   )).

input_formula(pel55_2_2,axiom,(
    lives(butler)   )).

input_formula(pel55_2_3,axiom,(
    lives(charles)   )).

input_formula(pel55_3,axiom,(
    ! [X] : 
      ( lives(X)
     => ( equal(X,agatha)
        | equal(X,butler)
        | equal(X,charles) ) )   )).

input_formula(pel55_4,axiom,(
    ! [X,Y] : 
      ( killed(X,Y)
     => hates(X,Y) )   )).

input_formula(pel55_5,axiom,(
    ! [X,Y] : 
      ( killed(X,Y)
     => ~ richer(X,Y) )   )).

input_formula(pel55_6,axiom,(
    ! [X] : 
      ( hates(agatha,X)
     => ~ hates(charles,X) )   )).

input_formula(pel55_7,axiom,(
    ! [X] : 
      ( ~ equal(X,butler)
     => hates(agatha,X) )   )).

input_formula(pel55_8,axiom,(
    ! [X] : 
      ( ~ richer(X,agatha)
     => hates(butler,X) )   )).

input_formula(pel55_9,axiom,(
    ! [X] : 
      ( hates(agatha,X)
     => hates(butler,X) )   )).

input_formula(pel55_10,axiom,(
    ! [X] : 
    ? [Y] : ~ hates(X,Y)   )).

input_formula(pel55_11,axiom,(
    ~ equal(agatha,butler)   )).

input_formula(pel55,conjecture,(
    killed(agatha,agatha)   )).
%--------------------------------------------------------------------------
