%--------------------------------------------------------------------------
% File     : RNG025-8 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Ring Theory (Alternative)
% Problem  : Middle or Flexible Law
% Version  : [Ste87] (equality) axioms : Reduced & Augmented > Complete.
%            Theorem formulation : Linearized.
% English  : 

% Refs     : [Ste87] Stevens (1987), Some Experiments in Nonassociative Rin
% Source   : [TPTP]
% Names    : 

% Status   : satisfiable
% Rating   : 0.75 v2.2.0, 0.67 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :   31 (   0 non-Horn;  19 unit;   4 RR)
%            Number of literals   :   44 (  44 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    9 (   4 constant; 0-3 arity)
%            Number of variables  :   74 (   2 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Don't Include nonassociative ring axioms.
%----The associator has to be replaced by its linearised form. 
% include('axioms/RNG003-0.ax').
%--------------------------------------------------------------------------
%----Commutativity for addition 
input_clause(commutativity_for_addition,axiom,
    [++equal(add(X,Y),add(Y,X))]).

%----Associativity for addition 
input_clause(associativity_for_addition,axiom,
    [++equal(add(X,add(Y,Z)),add(add(X,Y),Z))]).

%----There exists an additive identity element 
input_clause(left_additive_identity,axiom,
    [++equal(add(additive_identity,X),X)]).

input_clause(right_additive_identity,axiom,
    [++equal(add(X,additive_identity),X)]).

%----Multiplicative zero 
input_clause(left_multiplicative_zero,axiom,
    [++equal(multiply(additive_identity,X),additive_identity)]).

input_clause(right_multiplicative_zero,axiom,
    [++equal(multiply(X,additive_identity),additive_identity)]).

%----Existence of left additive additive_inverse 
input_clause(left_additive_inverse,axiom,
    [++equal(add(additive_inverse(X),X),additive_identity)]).

input_clause(right_additive_inverse,axiom,
    [++equal(add(X,additive_inverse(X)),additive_identity)]).

%----Distributive property of product over sum 
input_clause(distribute1,axiom,
    [++equal(multiply(X,add(Y,Z)),add(multiply(X,Y),multiply(X,Z)))]).

input_clause(distribute2,axiom,
    [++equal(multiply(add(X,Y),Z),add(multiply(X,Z),multiply(Y,Z)))]).

%----Inverse of additive_inverse of X is X 
input_clause(additive_inverse_additive_inverse,axiom,
    [++equal(additive_inverse(additive_inverse(X)),X)]).

%----Right alternative law 
input_clause(right_alternative,axiom,
    [++equal(multiply(multiply(X,Y),Y),multiply(X,multiply(Y,Y)))]).

%----Left alternative law 
input_clause(left_alternative,axiom,
    [++equal(multiply(multiply(X,X),Y),multiply(X,multiply(X,Y)))]).

%----Associator 
% input_clause(associator,axiom,
%     [++equal(associator(X,Y,Z),add(multiply(multiply(X,Y),Z),
% additive_inverse(multiply(X,multiply(Y,Z)))))]).

%----Linearised for of the associator 
input_clause(linearised_associator1,axiom,
    [++equal(associator(X,Y,add(U,V)),add(associator(X,Y,U),
associator(X,Y,V)))]).

input_clause(linearised_associator2,axiom,
    [++equal(associator(X,add(U,V),Y),add(associator(X,U,Y),
associator(X,V,Y)))]).

input_clause(linearised_associator3,axiom,
    [++equal(associator(add(U,V),X,Y),add(associator(U,X,Y),
associator(V,X,Y)))]).

%----Commutator 
input_clause(commutator,axiom,
    [++equal(commutator(X,Y),add(multiply(Y,X),additive_inverse(
multiply(X,Y))))]).

%----Substitution axioms 
input_clause(add_substitution1,axiom,
    [--equal(D,E),
     ++equal(add(D,F),add(E,F))]).

input_clause(add_substitution2,axiom,
    [--equal(G,H),
     ++equal(add(I,G),add(I,H))]).

input_clause(additive_inverse_substitution1,axiom,
    [--equal(J,K),
     ++equal(additive_inverse(J),additive_inverse(K))]).

input_clause(associator_substitution1,axiom,
    [--equal(L,M),
     ++equal(associator(L,N,O),associator(M,N,O))]).

input_clause(associator_substitution2,axiom,
    [--equal(P,Q),
     ++equal(associator(R,P,S),associator(R,Q,S))]).

input_clause(associator_substitution3,axiom,
    [--equal(T,U),
     ++equal(associator(V,W,T),associator(V,W,U))]).

input_clause(commutator_substitution1,axiom,
    [--equal(X,Y),
     ++equal(commutator(X,Z),commutator(Y,Z))]).

input_clause(commutator_substitution2,axiom,
    [--equal(A1,B1),
     ++equal(commutator(C1,A1),commutator(C1,B1))]).

input_clause(multiply_substitution1,axiom,
    [--equal(D1,E1),
     ++equal(multiply(D1,F1),multiply(E1,F1))]).

input_clause(multiply_substitution2,axiom,
    [--equal(G1,H1),
     ++equal(multiply(I1,G1),multiply(I1,H1))]).

input_clause(prove_flexible_law,conjecture,
    [--equal(add(associator(a,b,c),associator(a,c,b)),
additive_identity)]).
%--------------------------------------------------------------------------
