%--------------------------------------------------------------------------
% File     : RNG034-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Ring Theory (Alternative)
% Problem  : A skew symmetry relation of the associator
% Version  : [AH90] (equality) axioms.
% English  : 

% Refs     : [AH90]  Anantharaman & Hsiang (1990), Automated Proofs of the 
% Source   : [AH90]
% Names    : PROOF II [AH90]

% Status   : unsatisfiable
% Rating   : 0.67 v2.2.1, 0.83 v2.2.0, 0.75 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses    :   30 (   0 non-Horn;  18 unit;   7 RR)
%            Number of literals   :   43 (  43 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    8 (   4 constant; 0-3 arity)
%            Number of variables  :   67 (   2 singleton)
%            Maximal term depth   :    5 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include equality axioms 
include('Axioms/EQU001-0.ax').
%----Include Ring theory (equality) axioms 
include('Axioms/RNG004-0.ax').
%--------------------------------------------------------------------------
%----Associator 
input_clause(associator,axiom,
    [++equal(associator(X,Y,Z),add(multiply(multiply(X,Y),Z),
additive_inverse(multiply(X,multiply(Y,Z)))))]).

input_clause(associator_substitution1,axiom,
    [--equal(L,M),
     ++equal(associator(L,N,O),associator(M,N,O))]).

input_clause(associator_substitution2,axiom,
    [--equal(P,Q),
     ++equal(associator(R,P,S),associator(R,Q,S))]).

input_clause(associator_substitution3,axiom,
    [--equal(T,U),
     ++equal(associator(V,W,T),associator(V,W,U))]).

input_clause(prove_skew_symmetry,conjecture,
    [--equal(associator(cy,cx,cz),additive_inverse(associator(cx,cy,cz)))]).
%--------------------------------------------------------------------------
