%--------------------------------------------------------------------------
% File     : RNG037-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : (X* -Y) + (X*Y) = additive_identity
% Version  : [Wos65] axioms.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [SPRFN]
% Names    : Problem 24 [Wos65]

% Status   : unsatisfiable
% Rating   : 0.22 v2.2.0, 0.14 v2.1.0, 0.20 v2.0.0
% Syntax   : Number of clauses    :   34 (   0 non-Horn;  10 unit;  23 RR)
%            Number of literals   :   87 (  24 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    8 (   5 constant; 0-2 arity)
%            Number of variables  :  115 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : These are the same axioms as in [MOW76].
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include ring theory axioms 
include('Axioms/RNG001-0.ax').
%----Include substitution axioms 
include('Axioms/RNG001-0.eq').
%--------------------------------------------------------------------------
input_clause(a_times_b,hypothesis,
    [++product(a,b,d)]).

input_clause(a_inverse_times_b,hypothesis,
    [++product(a,additive_inverse(b),c)]).

input_clause(prove_sum_is_additive_identity,conjecture,
    [--sum(c,d,additive_identity)]).
%--------------------------------------------------------------------------
