%--------------------------------------------------------------------------
% File     : RNG038-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : Ring property 1
% Version  : [Wos65] axioms.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
% Source   : [SPRFN]
% Names    : Problem 27 [Wos65]

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   37 (   0 non-Horn;  10 unit;  23 RR)
%            Number of literals   :   93 (  31 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    7 (   3 constant; 0-2 arity)
%            Number of variables  :  123 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : These are the same axioms as in [MOW76].
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include ring theory axioms 
include('Axioms/RNG001-0.ax').
%----Include substitution axioms 
include('Axioms/RNG001-0.eq').
%--------------------------------------------------------------------------
input_clause(some_property,hypothesis,
    [--equal(X,additive_identity),
     ++product(X,h(X,Y),Y)]).

input_clause(h_substitution1,axiom,
    [--equal(A,B),
     ++equal(h(A,C),h(B,C))]).

input_clause(h_substitution2,axiom,
    [--equal(D,E),
     ++equal(h(F,D),h(F,E))]).

input_clause(a_times_b,hypothesis,
    [++product(a,b,additive_identity)]).

%----Proving either a or b is the additive_identity. Either clause will
%----do.
input_clause(a_not_additive_identity,conjecture,
    [--equal(a,additive_identity)]).

input_clause(prove_b_is_additive_identity,conjecture,
    [--equal(b,additive_identity)]).
%--------------------------------------------------------------------------
