%--------------------------------------------------------------------------
% File     : RNG041-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Ring Theory
% Problem  : Unknown
% Version  : [Wos65] axioms.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 30 [Wos65]
%          : wos30 [WM76]

% Status   : unsatisfiable
% Rating   : 0.11 v2.2.0, 0.11 v2.1.0, 0.22 v2.0.0
% Syntax   : Number of clauses    :   41 (   2 non-Horn;  14 unit;  24 RR)
%            Number of literals   :   97 (  30 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :    3 (   0 propositional; 2-3 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :  123 (   2 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : These are the same axioms as in [MOW76].
%--------------------------------------------------------------------------
%----Include Reflexivity, symmetry and transitivity, of equality 
include('Axioms/EQU001-0.ax').
%----Include ring theory axioms 
include('Axioms/RNG001-0.ax').
%----Include substitution axioms 
include('Axioms/RNG001-0.eq').
%--------------------------------------------------------------------------
input_clause(h_substitution,axiom,
    [--equal(A,B),
     ++equal(h(A),h(B))]).

input_clause(multiplicative_identity1,hypothesis,
    [++product(additive_identity,A,additive_identity)]).

input_clause(multiplicative_identity2,hypothesis,
    [++product(A,additive_identity,additive_identity)]).

input_clause(right_multiplicative_identity,hypothesis,
    [++product(A,multiplicative_identity,A)]).

input_clause(left_multiplicative_identity,hypothesis,
    [++product(multiplicative_identity,A,A)]).

input_clause(clause41,hypothesis,
    [++product(A,h(A),multiplicative_identity),
     ++equal(A,additive_identity)]).

input_clause(clause42,hypothesis,
    [++product(h(A),A,multiplicative_identity),
     ++equal(A,additive_identity)]).

input_clause(a_times_b,conjecture,
    [++product(a,b,additive_identity)]).

input_clause(a_not_additive_identity,conjecture,
    [--equal(a,additive_identity)]).

input_clause(prove_b_is_additive_identity,conjecture,
    [--equal(b,additive_identity)]).
%--------------------------------------------------------------------------
