%--------------------------------------------------------------------------
% File     : ROB004-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Robbins Algebra
% Problem  : c = -d, c + d=d, and c + c=c => Boolean
% Version  : [Win90] (equality) axioms.
% English  : If there exist c, d such that c = -d, c+d=d, and c+c=c, then 
%            the algebra is Boolean.

% Refs     : [HMT71] Henkin et al. (1971), Cylindrical Algebras
%          : [Win90] Winker (1990), Robbins Algebra: Conditions that make a
% Source   : [Win90]
% Names    : Lemma 2.3 [Win90]

% Status   : unsatisfiable
% Rating   : 0.25 v2.2.1, 0.22 v2.2.0, 0.29 v2.1.0, 0.38 v2.0.0
% Syntax   : Number of clauses    :   13 (   0 non-Horn;   8 unit;   7 RR)
%            Number of literals   :   19 (  19 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    6 (   4 constant; 0-2 arity)
%            Number of variables  :   21 (   0 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Commutativity, associativity, and Huntington's axiom 
%            axiomatize Boolean algebra.
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms for Robbins algebra 
include('Axioms/ROB001-0.ax').
%--------------------------------------------------------------------------
input_clause(negate_d_is_c,hypothesis,
    [++equal(negate(d),c)]).

input_clause(c_plus_d_is_d,hypothesis,
    [++equal(add(c,d),d)]).

input_clause(c_plus_c_is_c,hypothesis,
    [++equal(add(c,c),c)]).

input_clause(prove_huntingtons_axiom,conjecture,
    [--equal(add(negate(add(a,negate(b))),negate(add(negate(a),
negate(b)))),b)]).
%--------------------------------------------------------------------------
