%--------------------------------------------------------------------------
% File     : ROB005-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Robbins Algebra
% Problem  : c + c=c => Boolean
% Version  : [Win90] (equality) axioms.
% English  : If there is an element c such that c+c=c, then the algebra 
%            is Boolean.

% Refs     : [HMT71] Henkin et al. (1971), Cylindrical Algebras
%          : [Win90] Winker (1990), Robbins Algebra: Conditions that make a
%          : [Ove90] Overbeek (1990), ATP competition announced at CADE-10
%          : [LW92]  Lusk & Wos (1992), Benchmark Problems in Which Equalit
%          : [Ove93] Overbeek (1993), The CADE-11 Competitions: A Personal 
%          : [LM93]  Lusk & McCune (1993), Uniform Strategies: The CADE-11 
%          : [Zha93] Zhang (1993), Automated Proofs of Equality Problems in
% Source   : [Ove90]
% Names    : CADE-11 Competition Eq-2 [Ove90]
%          : Lemma 2.4 [Win90]
%          : RA3 [LW92]
%          : THEOREM EQ-2 [LM93]
%          : PROBLEM 2 [Zha93]
%          : robbins.occ.in [OTTER]

% Status   : unsatisfiable
% Rating   : 0.62 v2.2.1, 0.67 v2.2.0, 0.71 v2.1.0, 0.88 v2.0.0
% Syntax   : Number of clauses    :   11 (   0 non-Horn;   6 unit;   5 RR)
%            Number of literals   :   17 (  17 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    5 (   3 constant; 0-2 arity)
%            Number of variables  :   21 (   0 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : Commutativity, associativity, and Huntington's axiom 
%            axiomatize Boolean algebra.
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms for Robbins algebra 
include('Axioms/ROB001-0.ax').
%--------------------------------------------------------------------------
input_clause(idempotence,hypothesis,
    [++equal(add(c,c),c)]).

input_clause(prove_huntingtons_axiom,conjecture,
    [--equal(add(negate(add(a,negate(b))),negate(add(negate(a),
negate(b)))),b)]).
%--------------------------------------------------------------------------
