%--------------------------------------------------------------------------
% File     : ROB015-2 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Robbins Algebra
% Problem  : If -(-e + -(d + -e)) = d then -(e + k(d + -(d + -e))) = -e
% Version  : [Win90] (equality) axioms : Augmented.
% English  : This is the induction step of an induction proof.

% Refs     : [Win90] Winker (1990), Robbins Algebra: Conditions that make a
% Source   : [Win90]
% Names    : Lemma 3.6 [Win90]

% Status   : unsatisfiable
% Rating   : 0.89 v2.2.1, 1.00 v2.0.0
% Syntax   : Number of clauses    :   23 (   0 non-Horn;  10 unit;  13 RR)
%            Number of literals   :   39 (  31 equality)
%            Maximal clause size  :    3 (   1 average)
%            Number of predicates :    2 (   0 propositional; 1-2 arity)
%            Number of functors   :    8 (   4 constant; 0-2 arity)
%            Number of variables  :   42 (   0 singleton)
%            Maximal term depth   :    8 (   1 average)

% Comments : The extra lemmas are suggested by [Win90].
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include axioms for Robbins algebra 
include('Axioms/ROB001-0.ax').
%----Include axioms for numbers in Robbins algebras 
include('Axioms/ROB001-1.ax').
%--------------------------------------------------------------------------
%----These are the extra lemmas 
input_clause(lemma_3_2,axiom,
    [--equal(negate(add(X,negate(add(Y,Z)))),negate(add(Y,negate(
add(X,Z))))),
     ++equal(X,Y)]).

input_clause(lemma_3_4,axiom,
    [--equal(negate(add(X,negate(Y))),Z),
     --positive_integer(Vk),
     ++equal(negate(add(X,negate(add(Y,multiply(Vk,add(X,Z)))))),Z)]).

%----Clauses for the theorem 
input_clause(condition,hypothesis,
    [++equal(negate(add(negate(e),negate(add(d,negate(e))))),d)]).

input_clause(k_positive,axiom,
    [++positive_integer(k)]).

input_clause(base_step,axiom,
    [--equal(negate(add(e,multiply(k,add(d,negate(add(d,negate(e))))))),
negate(e))]).

input_clause(prove_induction_step,conjecture,
    [--equal(negate(add(e,multiply(successor(k),add(d,negate(add(d,
negate(e))))))),negate(e))]).
%--------------------------------------------------------------------------
