%--------------------------------------------------------------------------
% File     : SET012-4 : TPTP v2.2.1. Bugfixed v1.2.1.
% Domain   : Set Theory
% Problem  : Complement is an involution
% Version  : [BL+86] axioms : Reduced > Incomplete.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
% Source   : [ANL]
% Names    : compl.ver2.in [ANL]

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   20 (   3 non-Horn;   5 unit;  14 RR)
%            Number of literals   :   42 (  21 equality)
%            Maximal clause size  :    3 (   2 average)
%            Number of predicates :    3 (   0 propositional; 1-2 arity)
%            Number of functors   :    7 (   5 constant; 0-2 arity)
%            Number of variables  :   36 (   2 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
% Bugfixes : v1.2.1 - Missing substitution axioms added.
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%--------------------------------------------------------------------------
%-----Substitution axioms
input_clause(complement_substitution_1,axiom,
    [-- equal(A, B),
     ++ equal(complement(A), complement(B))]).

input_clause(f1_substitution_1,axiom,
    [-- equal(A, B),
     ++ equal(f1(A, C), f1(B, C))]).

input_clause(f1_substitution_2,axiom,
    [-- equal(A, B),
     ++ equal(f1(C, A), f1(C, B))]).

input_clause(little_set_substitution_1,axiom,
    [-- equal(A, B),
     -- little_set(A),
     ++ little_set(B)]).

input_clause(member_substitution_1,axiom,
    [-- equal(A, B),
     -- member(A, C),
     ++ member(B, C)]).

input_clause(member_substitution_2,axiom,
    [-- equal(A, B),
     -- member(C, A),
     ++ member(C, B)]).

%----Axiom A-2, elements of sets are little sets.
input_clause(a2,axiom,
    [--member(X,Y),
     ++little_set(X)]).

%----Axiom A-3, principle of extensionality 
input_clause(extensionality1,axiom,
    [++little_set(f1(X,Y)),
     ++equal(X,Y)]).

input_clause(extensionality2,axiom,
    [++member(f1(X,Y),X),
     ++member(f1(X,Y),Y),
     ++equal(X,Y)]).

input_clause(extensionality3,axiom,
    [--member(f1(X,Y),X),
     --member(f1(X,Y),Y),
     ++equal(X,Y)]).

%----Axiom B-3, complement 
input_clause(complement1,axiom,
    [--member(Z,complement(X)),
     --member(Z,X)]).

input_clause(complement2,axiom,
    [++member(Z,complement(X)),
     --little_set(Z),
     ++member(Z,X)]).

%----Definition of empty set 
input_clause(empty_set,axiom,
    [--member(Z,empty_set)]).

%----Definition of universal set 
input_clause(universal_set,axiom,
    [++member(Z,universal_set),
     --little_set(Z)]).

input_clause(complement_of_a_is_b,hypothesis,
    [++equal(complement(as),bs)]).

input_clause(complement_of_b_is_c,hypothesis,
    [++equal(complement(bs),cs)]).

input_clause(prove_a_equals_c,conjecture,
    [--equal(as,cs)]).
%--------------------------------------------------------------------------
