%--------------------------------------------------------------------------
% File     : SET016-3 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Set Theory
% Problem  : First components of equal ordered pairs are equal
% Version  : [BL+86] axioms.
% English  : 

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
% Source   : [BL+86]
% Names    : Lemma 1 [BL+86]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :  270 (  20 non-Horn;  16 unit; 168 RR)
%            Number of literals   :  633 ( 275 equality)
%            Maximal clause size  :    8 (   2 average)
%            Number of predicates :   14 (   0 propositional; 1-5 arity)
%            Number of functors   :   63 (  10 constant; 0-5 arity)
%            Number of variables  :  732 (  28 singleton)
%            Maximal term depth   :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include the axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the equality axioms for Godel's set axioms 
include('Axioms/SET003-0.eq').
%--------------------------------------------------------------------------
input_clause(little_set_a,hypothesis,
    [++little_set(a)]).

input_clause(little_set_b,hypothesis,
    [++little_set(b)]).

input_clause(equal_ordered_pairs,hypothesis,
    [++equal(ordered_pair(a,c),ordered_pair(b,d))]).

input_clause(prove_first_components_equal,conjecture,
    [--equal(a,b)]).
%--------------------------------------------------------------------------
