%--------------------------------------------------------------------------
% File     : SET017+1 : TPTP v2.2.1. Released v2.2.0.
% Domain   : Set Theory
% Problem  : Left cancellation for unordered pairs
% Version  : [Quaife, 1992] axioms : Reduced & Augmented > Complete.
% English  :

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
%          : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic:
% Source   : [Qua92]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   42 (  16 unit)
%            Number of atoms       :   97 (  18 equality)
%            Maximal formula depth :    6 (   3 average)
%            Number of connectives :   60 (   5 ~  ;   3  |;  25  &)
%                                         (  18 <=>;   9 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :   26 (   5 constant; 0-3 arity)
%            Number of variables   :   85 (   0 singleton;  81 !;   4 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include set theory axioms
include('Axioms/SET005+0.ax').
%--------------------------------------------------------------------------
%----UP4: Left cancellation for unordered pairs
input_formula(left_cancellation,conjecture,(
    ! [X,Y,Z] : 
      ( ( member(Y,universal_class)
        & member(Z,universal_class)
        & equal(unordered_pair(X,Y),unordered_pair(X,Z)) )
     => equal(Y,Z) )   )).
%--------------------------------------------------------------------------
