%--------------------------------------------------------------------------
% File     : SET047+1 : TPTP v2.2.1. Released v2.0.0.
% Domain   : Set Theory
% Problem  : Set equality is symmetric
% Version  : Especial.
% English  : Define set equality as having exactly the same members. Prove 
%            set equality is symmetric.

% Refs     : [DeC79] DeChampeaux (1979), Sub-problem Finder and Instance Ch
%          : [KM64]  Kalish & Montegue (1964), Logic: Techniques of Formal 
%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
%          : [Hah94] Haehnle (1994), Email to G. Sutcliffe
% Source   : [Pel86]
% Names    : Pelletier 43 [Pel86]

% Status   : theorem
% Rating   : 0.00 v2.1.0
% Syntax   : Number of formulae    :    2 (   0 unit)
%            Number of atoms       :    5 (   0 equality)
%            Maximal formula depth :    5 (   4 average)
%            Number of connectives :    3 (   0 ~  ;   0  |;   0  &)
%                                         (   3 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :    5 (   0 singleton;   5 !;   0 ?)
%            Maximal term depth    :    1 (   1 average)

% Comments : The version in [Hah94] is a bit expanded.
%--------------------------------------------------------------------------
input_formula(pel43_1,axiom,(
    ! [X,Y] : 
      ( set_equal(X,Y)
    <=> ! [Z] : 
          ( element(Z,X)
        <=> element(Z,Y) ) )   )).

input_formula(pel43,conjecture,(
    ! [X,Y] : 
      ( set_equal(X,Y)
    <=> set_equal(Y,X) )   )).
%--------------------------------------------------------------------------
