%--------------------------------------------------------------------------
% File     : SET071+1 : TPTP v2.2.1. Released v2.2.0.
% Domain   : Set Theory
% Problem  : If both arguments are proper classes, pair is null
% Version  : [Quaife, 1992] axioms : Reduced & Augmented > Complete.
% English  :

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
%          : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic:
% Source   : [Qua92]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   42 (  16 unit)
%            Number of atoms       :   96 (  17 equality)
%            Maximal formula depth :    6 (   3 average)
%            Number of connectives :   61 (   7 ~  ;   3  |;  24  &)
%                                         (  18 <=>;   9 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :   26 (   5 constant; 0-3 arity)
%            Number of variables   :   84 (   0 singleton;  80 !;   4 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include set theory axioms
include('Axioms/SET005+0.ax').
%--------------------------------------------------------------------------
%----UP3: If both arguments are proper classes, pair is null
input_formula(null_unordered_pair,conjecture,(
    ! [X,Y] : 
      ( ( ~ member(X,universal_class)
        & ~ member(Y,universal_class) )   
     => equal(unordered_pair(X,Y),null_class) )   )).
%--------------------------------------------------------------------------
