%--------------------------------------------------------------------------
% File     : SET096+1 : TPTP v2.2.1. Released v2.2.0.
% Domain   : Set Theory
% Problem  : There are at most two subsets of a singleton set
% Version  : [Quaife, 1992] axioms : Reduced & Augmented > Complete.
% English  :

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
%          : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic:
% Source   : [Qua92]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   42 (  16 unit)
%            Number of atoms       :   96 (  18 equality)
%            Maximal formula depth :    6 (   3 average)
%            Number of connectives :   59 (   5 ~  ;   4  |;  23  &)
%                                         (  18 <=>;   9 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :   26 (   5 constant; 0-3 arity)
%            Number of variables   :   84 (   0 singleton;  80 !;   4 ?)
%            Maximal term depth    :    4 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%----Include set theory axioms
include('Axioms/SET005+0.ax').
%--------------------------------------------------------------------------
%----SS12
input_formula(two_subsets_of_singleton,conjecture,(
    ! [X,Y] : 
      ( subclass(X,singleton(Y))
     => ( equal(X,null_class)
        | equal(singleton(Y),X) ) )   )).
%--------------------------------------------------------------------------
