%--------------------------------------------------------------------------
% File     : SET135-6 : TPTP v2.2.1. Bugfixed v2.1.0.
% Domain   : Set Theory
% Problem  : Corollary 3 to membership in unordered triple
% Version  : [Qua92] axioms.
% English  : 

% Refs     : [Qua92] Quaife (1992), Automated Deduction in von Neumann-Bern
% Source   : [Quaife]
% Names    : SB5.8 [Quaife]

% Status   : unsatisfiable
% Rating   : 0.83 v2.2.0, 0.67 v2.1.0
% Syntax   : Number of clauses    :  164 (   8 non-Horn;  33 unit;  96 RR)
%            Number of literals   :  339 ( 166 equality)
%            Maximal clause size  :    5 (   2 average)
%            Number of predicates :   10 (   0 propositional; 1-3 arity)
%            Number of functors   :   42 (  11 constant; 0-3 arity)
%            Number of variables  :  386 (  25 singleton)
%            Maximal term depth   :    6 (   1 average)

% Comments : The 'set builder' problems, of which this is one, do not appear
%            in [Qua92]. In Quaife's development, these problems appear
%            between the SINGLETON and the ORDERED PAIRS problems of [Qu92].
%            However, in order to correspond to the paper, these theorems
%            have not been used in the augmented versions of the subsequent
%            problems in [Qua92].
%          : Not in [Qua92].
% Bugfixes : v2.1.0 - Bugfix in SET004-0.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality 
include('Axioms/EQU001-0.ax').
%----Include von Neuman-Bernays-Godel set theory axioms 
include('Axioms/SET004-0.ax').
include('Axioms/SET004-0.eq').
%--------------------------------------------------------------------------
%----(SBDEF1): definition of set builder.
input_clause(definition_of_set_builder,axiom,
    [++equal(union(singleton(X),Y),set_builder(X,Y))]).

input_clause(set_builder_substitution1,axiom,
    [--equal(A,B),
     ++equal(set_builder(A,C),set_builder(B,C))]).

input_clause(set_builder_substitution2,axiom,
    [--equal(D,E),
     ++equal(set_builder(F,D),set_builder(F,E))]).

input_clause(prove_corollary_3_to_member_of_triple_1,conjecture,
    [++member(u,universal_class)]).

input_clause(prove_corollary_3_to_member_of_triple_2,conjecture,
    [++equal(set_builder(x,set_builder(u,set_builder(z,null_class))),
null_class)]).
%--------------------------------------------------------------------------
