%--------------------------------------------------------------------------
% File     : SET644+3 : TPTP v2.2.1. Released v2.2.0.
% Domain   : Set Theory (Relations)
% Problem  : a in R (X to Y) => ? x, y : a is <x,y> & x in X & y in Y
% Version  : [Wor89] axioms : Reduced > Incomplete.
% English  : If a is in a relation R from X to Y then there exist x, y such 
%            that a is <x,y> and x is in X and y is in Y.

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Wor89] Woronowicz (1989), Relations Defined on Sets
% Source   : [ILF]
% Names    : RELSET_1 (6) [Wor89]

% Status   : unknown
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   28 (   2 unit)
%            Number of atoms       :  119 (   8 equality)
%            Maximal formula depth :   16 (   6 average)
%            Number of connectives :   95 (   4 ~  ;   0  |;  16  &)
%                                         (  12 <=>;  63 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :   10 (   2 constant; 0-2 arity)
%            Number of variables   :   69 (   0 singleton;  59 !;  10 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%---- line(relat_1 - th(2),1917645)
input_formula(p1,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,binary_relation_type)
         => ( member(B,C)
           => ? [D] : 
                ( ilf_type(D,set_type)
                & ? [E] : 
                    ( ilf_type(E,set_type)
                    & equal(B,ordered_pair(D,E)) ) ) ) ) )   )).

%---- line(zfmisc_1 - th(106),1905180)
input_formula(p2,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,set_type)
             => ! [E] : 
                  ( ilf_type(E,set_type)
                 => ( member(ordered_pair(B,C),cross_product(D,E))
                  <=> ( member(B,D)
                      & member(C,E) ) ) ) ) ) )   )).

%---- line(tarski - df(5),1832760)
input_formula(p3,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,set_type)
             => ! [E] : 
                  ( ilf_type(E,set_type)
                 => ! [F] : 
                      ( ilf_type(F,set_type)
                     => ( equal(F,ordered_pair(D,E))
                      <=> equal(F,unordered_pair(unordered_pair(D,E),singleton(D))) ) ) ) ) ) )   )).

%---- declaration(line(tarski - df(5),1832760))
input_formula(p4,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(ordered_pair(B,C),set_type) ) )   )).

%---- line(relset_1 - df(1),1916080)
input_formula(p5,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( ! [D] : 
                ( ilf_type(D,subset_type(cross_product(B,C)))
               => ilf_type(D,relation_type(B,C)) )
            & ! [E] : 
                ( ilf_type(E,relation_type(B,C))
               => ilf_type(E,subset_type(cross_product(B,C))) ) ) ) )   )).

%---- type_nonempty(line(relset_1 - df(1),1916080))
input_formula(p6,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ? [D] : ilf_type(D,relation_type(C,B)) ) )   )).

%---- line(boole - df(8),1909359)
input_formula(p7,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( equal(B,C)
          <=> ( subset(B,C)
              & subset(C,B) ) ) ) )   )).

%---- declaration(op(singleton,1,function))
input_formula(p8,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ilf_type(singleton(B),set_type) )   )).

%---- declaration(op(cross_product,2,function))
input_formula(p9,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(cross_product(B,C),set_type) ) )   )).

%---- declaration(op(unordered_pair,2,function))
input_formula(p10,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(unordered_pair(B,C),set_type) ) )   )).

%---- property(commutativity,op(unordered_pair,2,function))
input_formula(p11,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => equal(unordered_pair(B,C),unordered_pair(C,B)) ) )   )).

%---- line(relat_1 - axiom34,1917641)
input_formula(p12,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( ilf_type(B,binary_relation_type)
      <=> ( relation_like(B)
          & ilf_type(B,set_type) ) ) )   )).

%---- type_nonempty(line(relat_1 - axiom34,1917641))
input_formula(p13,axiom,(
    ? [B] : ilf_type(B,binary_relation_type)   )).

%---- line(hidden - axiom35,1832648)
input_formula(p14,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( ilf_type(C,subset_type(B))
          <=> ilf_type(C,member_type(power_set(B))) ) ) )   )).

%---- type_nonempty(line(hidden - axiom35,1832648))
input_formula(p15,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ? [C] : ilf_type(C,subset_type(B)) )   )).

%---- line(hidden - axiom36,1832615)
input_formula(p16,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( equal(B,C)
          <=> ! [D] : 
                ( ilf_type(D,set_type)
               => ( member(D,B)
                <=> member(D,C) ) ) ) ) )   )).

%---- line(tarski - df(3),1832749)
input_formula(p17,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( subset(B,C)
          <=> ! [D] : 
                ( ilf_type(D,set_type)
               => ( member(D,B)
                 => member(D,C) ) ) ) ) )   )).

%---- property(reflexivity,op(subset,2,predicate))
input_formula(p18,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => subset(B,B) )   )).

%---- line(hidden - axiom37,1832644)
input_formula(p19,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( member(B,power_set(C))
          <=> ! [D] : 
                ( ilf_type(D,set_type)
               => ( member(D,B)
                 => member(D,C) ) ) ) ) )   )).

%---- declaration(line(hidden - axiom37,1832644))
input_formula(p20,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( ~ empty(power_set(B))
        & ilf_type(power_set(B),set_type) ) )   )).

%---- line(hidden - axiom38,1832640)
input_formula(p21,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ( ~ empty(C)
            & ilf_type(C,set_type) )
         => ( ilf_type(B,member_type(C))
          <=> member(B,C) ) ) )   )).

%---- type_nonempty(line(hidden - axiom38,1832640))
input_formula(p22,axiom,(
    ! [B] : 
      ( ( ~ empty(B)
        & ilf_type(B,set_type) )
     => ? [C] : ilf_type(C,member_type(B)) )   )).

%---- line(relat_1 - df(1),1917627)
input_formula(p23,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( relation_like(B)
      <=> ! [C] : 
            ( ilf_type(C,set_type)
           => ( member(C,B)
             => ? [D] : 
                  ( ilf_type(D,set_type)
                  & ? [E] : 
                      ( ilf_type(E,set_type)
                      & equal(C,ordered_pair(D,E)) ) ) ) ) ) )   )).

%---- conditional_cluster(axiom40,relation_like)
input_formula(p24,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,subset_type(cross_product(B,C)))
             => relation_like(D) ) ) )   )).

%---- line(hidden - axiom41,1832628)
input_formula(p25,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( empty(B)
      <=> ! [C] : 
            ( ilf_type(C,set_type)
           => ~ member(C,B) ) ) )   )).

%---- conditional_cluster(axiom42,empty)
input_formula(p26,axiom,(
    ! [B] : 
      ( ( empty(B)
        & ilf_type(B,set_type) )
     => relation_like(B) )   )).

%---- declaration(set)
input_formula(p27,axiom,(
    ! [B] : ilf_type(B,set_type)   )).

%---- line(relset_1 - th(6),1916124)
input_formula(prove_relset_1_6,conjecture,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,set_type)
             => ! [E] : 
                  ( ilf_type(E,relation_type(B,C))
                 => ( member(D,E)
                   => ? [F] : 
                        ( ilf_type(F,set_type)
                        & ? [G] : 
                            ( ilf_type(G,set_type)
                            & equal(D,ordered_pair(F,G))
                            & member(F,B)
                            & member(G,C) ) ) ) ) ) ) )   )).
%--------------------------------------------------------------------------
