%--------------------------------------------------------------------------
% File     : SET650+3 : TPTP v2.2.1. Released v2.2.0.
% Domain   : Set Theory (Relations)
% Problem  : Domain of R (X to Y) a subset of X & range of R a subset of Y
% Version  : [Wor89] axioms : Reduced > Incomplete.
% English  : The domain of a relation R from X to Y is a subset of X and the 
%            range of R is a subset of Y.

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Wor89] Woronowicz (1989), Relations Defined on Sets
% Source   : [ILF]
% Names    : RELSET_1 (12) [Wor89]

% Status   : unknown
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   27 (   2 unit)
%            Number of atoms       :  107 (   1 equality)
%            Maximal formula depth :   13 (   6 average)
%            Number of connectives :   84 (   4 ~  ;   0  |;  14  &)
%                                         (  11 <=>;  55 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :   10 (   2 constant; 0-2 arity)
%            Number of variables   :   62 (   0 singleton;  52 !;  10 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%---- line(relat_1 - th(12),1917875)
input_formula(p1,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,binary_relation_type)
         => ( member(B,domain_of(C))
          <=> ? [D] : 
                ( ilf_type(D,set_type)
                & member(ordered_pair(B,D),C) ) ) ) )   )).

%---- line(relat_1 - th(17),1917961)
input_formula(p2,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,binary_relation_type)
         => ( member(B,range_of(C))
          <=> ? [D] : 
                ( ilf_type(D,set_type)
                & member(ordered_pair(D,B),C) ) ) ) )   )).

%---- line(relset_1 - th(7),1916125)
input_formula(p3,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,set_type)
             => ! [E] : 
                  ( ilf_type(E,set_type)
                 => ! [F] : 
                      ( ilf_type(F,relation_type(B,C))
                     => ( member(ordered_pair(D,E),F)
                       => ( member(D,B)
                          & member(E,C) ) ) ) ) ) ) )   )).

%---- line(relat_1 - df(4),1917872)
input_formula(p4,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( member(C,domain_of(B))
          <=> ? [D] : 
                ( ilf_type(D,set_type)
                & member(ordered_pair(C,D),B) ) ) ) )   )).

%---- declaration(line(relat_1 - df(4),1917872))
input_formula(p5,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => ilf_type(domain_of(B),set_type) )   )).

%---- line(relat_1 - df(5),1917958)
input_formula(p6,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( member(C,range_of(B))
          <=> ? [D] : 
                ( ilf_type(D,set_type)
                & member(ordered_pair(D,C),B) ) ) ) )   )).

%---- declaration(line(relat_1 - df(5),1917958))
input_formula(p7,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => ilf_type(range_of(B),set_type) )   )).

%---- line(relset_1 - df(1),1916080)
input_formula(p8,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( ! [D] : 
                ( ilf_type(D,subset_type(cross_product(B,C)))
               => ilf_type(D,relation_type(B,C)) )
            & ! [E] : 
                ( ilf_type(E,relation_type(B,C))
               => ilf_type(E,subset_type(cross_product(B,C))) ) ) ) )   )).

%---- type_nonempty(line(relset_1 - df(1),1916080))
input_formula(p9,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ? [D] : ilf_type(D,relation_type(C,B)) ) )   )).

%---- line(tarski - df(3),1832749)
input_formula(p10,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( subset(B,C)
          <=> ! [D] : 
                ( ilf_type(D,set_type)
               => ( member(D,B)
                 => member(D,C) ) ) ) ) )   )).

%---- declaration(op(cross_product,2,function))
input_formula(p11,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(cross_product(B,C),set_type) ) )   )).

%---- declaration(op(ordered_pair,2,function))
input_formula(p12,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(ordered_pair(B,C),set_type) ) )   )).

%---- line(relat_1 - axiom88,1917641)
input_formula(p13,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( ilf_type(B,binary_relation_type)
      <=> ( relation_like(B)
          & ilf_type(B,set_type) ) ) )   )).

%---- type_nonempty(line(relat_1 - axiom88,1917641))
input_formula(p14,axiom,(
    ? [B] : ilf_type(B,binary_relation_type)   )).

%---- line(hidden - axiom89,1832648)
input_formula(p15,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( ilf_type(C,subset_type(B))
          <=> ilf_type(C,member_type(power_set(B))) ) ) )   )).

%---- type_nonempty(line(hidden - axiom89,1832648))
input_formula(p16,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ? [C] : ilf_type(C,subset_type(B)) )   )).

%---- property(reflexivity,op(subset,2,predicate))
input_formula(p17,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => subset(B,B) )   )).

%---- line(hidden - axiom91,1832644)
input_formula(p18,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( member(B,power_set(C))
          <=> ! [D] : 
                ( ilf_type(D,set_type)
               => ( member(D,B)
                 => member(D,C) ) ) ) ) )   )).

%---- declaration(line(hidden - axiom91,1832644))
input_formula(p19,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( ~ empty(power_set(B))
        & ilf_type(power_set(B),set_type) ) )   )).

%---- line(hidden - axiom92,1832640)
input_formula(p20,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ( ~ empty(C)
            & ilf_type(C,set_type) )
         => ( ilf_type(B,member_type(C))
          <=> member(B,C) ) ) )   )).

%---- type_nonempty(line(hidden - axiom92,1832640))
input_formula(p21,axiom,(
    ! [B] : 
      ( ( ~ empty(B)
        & ilf_type(B,set_type) )
     => ? [C] : ilf_type(C,member_type(B)) )   )).

%---- line(relat_1 - df(1),1917627)
input_formula(p22,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( relation_like(B)
      <=> ! [C] : 
            ( ilf_type(C,set_type)
           => ( member(C,B)
             => ? [D] : 
                  ( ilf_type(D,set_type)
                  & ? [E] : 
                      ( ilf_type(E,set_type)
                      & equal(C,ordered_pair(D,E)) ) ) ) ) ) )   )).

%---- conditional_cluster(axiom94,relation_like)
input_formula(p23,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,subset_type(cross_product(B,C)))
             => relation_like(D) ) ) )   )).

%---- line(hidden - axiom95,1832628)
input_formula(p24,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( empty(B)
      <=> ! [C] : 
            ( ilf_type(C,set_type)
           => ~ member(C,B) ) ) )   )).

%---- conditional_cluster(axiom96,empty)
input_formula(p25,axiom,(
    ! [B] : 
      ( ( empty(B)
        & ilf_type(B,set_type) )
     => relation_like(B) )   )).

%---- declaration(set)
input_formula(p26,axiom,(
    ! [B] : ilf_type(B,set_type)   )).

%---- line(relset_1 - th(12),1916203)
input_formula(prove_relset_1_12,conjecture,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => ( subset(domain_of(D),B)
                & subset(range_of(D),C) ) ) ) )   )).
%--------------------------------------------------------------------------
