%--------------------------------------------------------------------------
% File     : SET685+3 : TPTP v2.2.1. Released v2.2.0.
% Domain   : Set Theory (Relations)
% Problem  : y in R (X to Y) o D1 iff ?x in D : <x,y> in R & x in D1
% Version  : [Wor89] axioms : Reduced > Incomplete.
% English  : y is in a relation R from X to Y composed with D1 iff there 
%            exists an element x in D such that <x,y> is in R and x is in D1.

% Refs     : [ILF] The ILF Group (1998), The ILF System: A Tool for the Int
%          : [Wor89] Woronowicz (1989), Relations Defined on Sets
% Source   : [ILF]
% Names    : RELSET_1 (52) [Wor89]

% Status   : unknown
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   28 (   2 unit)
%            Number of atoms       :  123 (   6 equality)
%            Maximal formula depth :   15 (   6 average)
%            Number of connectives :  102 (   7 ~  ;   0  |;  16  &)
%                                         (  11 <=>;  68 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    5 (   0 propositional; 1-2 arity)
%            Number of functors    :   12 (   2 constant; 0-4 arity)
%            Number of variables   :   74 (   0 singleton;  66 !;   8 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments :
%--------------------------------------------------------------------------
%---- line(relat_1 - th(142),1919963)
input_formula(p1,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,binary_relation_type)
             => ( member(C,image(D,B))
              <=> ? [E] : 
                    ( ilf_type(E,set_type)
                    & member(ordered_pair(E,C),D)
                    & member(E,B) ) ) ) ) )   )).

%---- line(relset_1 - th(7),1916125)
input_formula(p2,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,set_type)
             => ! [E] : 
                  ( ilf_type(E,set_type)
                 => ! [F] : 
                      ( ilf_type(F,relation_type(B,C))
                     => ( member(ordered_pair(D,E),F)
                       => ( member(D,B)
                          & member(E,C) ) ) ) ) ) ) )   )).

%---- line(tarski - df(5),1832760)
input_formula(p3,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,set_type)
             => ! [E] : 
                  ( ilf_type(E,set_type)
                 => ! [F] : 
                      ( ilf_type(F,set_type)
                     => ( equal(F,ordered_pair(D,E))
                      <=> equal(F,unordered_pair(unordered_pair(D,E),singleton(D))) ) ) ) ) ) )   )).

%---- declaration(line(tarski - df(5),1832760))
input_formula(p4,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(ordered_pair(B,C),set_type) ) )   )).

%---- line(relset_1 - df(1),1916080)
input_formula(p5,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( ! [D] : 
                ( ilf_type(D,subset_type(cross_product(B,C)))
               => ilf_type(D,relation_type(B,C)) )
            & ! [E] : 
                ( ilf_type(E,relation_type(B,C))
               => ilf_type(E,subset_type(cross_product(B,C))) ) ) ) )   )).

%---- type_nonempty(line(relset_1 - df(1),1916080))
input_formula(p6,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ? [D] : ilf_type(D,relation_type(C,B)) ) )   )).

%---- line(hidden - axiom693,1832640)
input_formula(p7,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ( ~ empty(C)
            & ilf_type(C,set_type) )
         => ( ilf_type(B,member_type(C))
          <=> member(B,C) ) ) )   )).

%---- type_nonempty(line(hidden - axiom693,1832640))
input_formula(p8,axiom,(
    ! [B] : 
      ( ( ~ empty(B)
        & ilf_type(B,set_type) )
     => ? [C] : ilf_type(C,member_type(B)) )   )).

%---- line(hidden - axiom695,1832628)
input_formula(p9,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( empty(B)
      <=> ! [C] : 
            ( ilf_type(C,set_type)
           => ~ member(C,B) ) ) )   )).

%---- declaration(op(singleton,1,function))
input_formula(p10,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ilf_type(singleton(B),set_type) )   )).

%---- declaration(op(cross_product,2,function))
input_formula(p11,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(cross_product(B,C),set_type) ) )   )).

%---- declaration(op(unordered_pair,2,function))
input_formula(p12,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(unordered_pair(B,C),set_type) ) )   )).

%---- property(commutativity,op(unordered_pair,2,function))
input_formula(p13,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => equal(unordered_pair(B,C),unordered_pair(C,B)) ) )   )).

%---- declaration(op(image,2,function))
input_formula(p14,axiom,(
    ! [B] : 
      ( ilf_type(B,binary_relation_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ilf_type(image(B,C),set_type) ) )   )).

%---- line(relat_1 - axiom696,1917641)
input_formula(p15,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( ilf_type(B,binary_relation_type)
      <=> ( relation_like(B)
          & ilf_type(B,set_type) ) ) )   )).

%---- type_nonempty(line(relat_1 - axiom696,1917641))
input_formula(p16,axiom,(
    ? [B] : ilf_type(B,binary_relation_type)   )).

%---- line(hidden - axiom697,1832648)
input_formula(p17,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( ilf_type(C,subset_type(B))
          <=> ilf_type(C,member_type(power_set(B))) ) ) )   )).

%---- type_nonempty(line(hidden - axiom697,1832648))
input_formula(p18,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ? [C] : ilf_type(C,subset_type(B)) )   )).

%---- line(hidden - axiom698,1832615)
input_formula(p19,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( equal(B,C)
          <=> ! [D] : 
                ( ilf_type(D,set_type)
               => ( member(D,B)
                <=> member(D,C) ) ) ) ) )   )).

%---- line(hidden - axiom700,1832644)
input_formula(p20,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ( member(B,power_set(C))
          <=> ! [D] : 
                ( ilf_type(D,set_type)
               => ( member(D,B)
                 => member(D,C) ) ) ) ) )   )).

%---- declaration(line(hidden - axiom700,1832644))
input_formula(p21,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( ~ empty(power_set(B))
        & ilf_type(power_set(B),set_type) ) )   )).

%---- line(relat_1 - df(1),1917627)
input_formula(p22,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ( relation_like(B)
      <=> ! [C] : 
            ( ilf_type(C,set_type)
           => ( member(C,B)
             => ? [D] : 
                  ( ilf_type(D,set_type)
                  & ? [E] : 
                      ( ilf_type(E,set_type)
                      & equal(C,ordered_pair(D,E)) ) ) ) ) ) )   )).

%---- conditional_cluster(axiom701,relation_like)
input_formula(p23,axiom,(
    ! [B] : 
      ( ( empty(B)
        & ilf_type(B,set_type) )
     => relation_like(B) )   )).

%---- conditional_cluster(axiom702,relation_like)
input_formula(p24,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,subset_type(cross_product(B,C)))
             => relation_like(D) ) ) )   )).

%---- line(relset_1 - axiom712,1916764)
input_formula(p25,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => ! [E] : 
                  ( ilf_type(E,set_type)
                 => equal(image4(B,C,D,E),image(D,E)) ) ) ) )   )).

%---- declaration(line(relset_1 - axiom712,1916764))
input_formula(p26,axiom,(
    ! [B] : 
      ( ilf_type(B,set_type)
     => ! [C] : 
          ( ilf_type(C,set_type)
         => ! [D] : 
              ( ilf_type(D,relation_type(B,C))
             => ! [E] : 
                  ( ilf_type(E,set_type)
                 => ilf_type(image4(B,C,D,E),subset_type(C)) ) ) ) )   )).

%---- declaration(set)
input_formula(p27,axiom,(
    ! [B] : ilf_type(B,set_type)   )).

%---- line(relset_1 - th(52),1916993)
input_formula(prove_relset_1_52,conjecture,(
    ! [B] : 
      ( ( ~ empty(B)
        & ilf_type(B,set_type) )
     => ! [C] : 
          ( ( ~ empty(C)
            & ilf_type(C,set_type) )
         => ! [D] : 
              ( ( ~ empty(D)
                & ilf_type(D,set_type) )
             => ! [E] : 
                  ( ilf_type(E,relation_type(D,B))
                 => ! [F] : 
                      ( ilf_type(F,member_type(B))
                     => ( member(F,image4(D,B,E,C))
                      <=> ? [G] : 
                            ( ilf_type(G,member_type(D))
                            & member(ordered_pair(G,F),E)
                            & member(G,C) ) ) ) ) ) ) )   )).
%--------------------------------------------------------------------------
