%--------------------------------------------------------------------------
% File     : SET688+4 : TPTP v2.2.1. Released v2.2.0.
% Domain   : Set Theory (Naive)
% Problem  : Property of proper subset 
% Version  : [Pas99] axioms.
% English  : If A is a proper subset of B and B a proper subset of C, then 
%            A is not equal to C.

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   33 (   2 unit)
%            Number of atoms       :   82 (  39 equality)
%            Maximal formula depth :    7 (   3 average)
%            Number of connectives :   54 (   5 ~  ;   2  |;  14  &)
%                                         (  10 <=>;  23 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   1 constant; 0-2 arity)
%            Number of variables   :   87 (   0 singleton;  86 !;   1 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%--------------------------------------------------------------------------
input_formula(thI04,conjecture,(
    ! [A,B,C] : 
      ( ( subset(A,B)
        & ~ equal_set(A,B)
        & subset(B,C)
        & ~ equal_set(B,C) )
     => ~ equal_set(A,C) )   )).
%--------------------------------------------------------------------------
