%--------------------------------------------------------------------------
% File     : SET700+4 : TPTP v2.2.1. Released v2.2.0.
% Domain   : Set Theory (Naive)
% Problem  : Property of intersection and difference 2
% Version  : [Pas99] axioms.
% English  : A is a subset of B if and only if the intersection of A and 
%            of the difference of B is a subset of B.

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   33 (   2 unit)
%            Number of atoms       :   81 (  39 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :   50 (   2 ~  ;   2  |;  12  &)
%                                         (  11 <=>;  23 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   1 constant; 0-2 arity)
%            Number of variables   :   87 (   0 singleton;  86 !;   1 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%--------------------------------------------------------------------------
input_formula(thI34,conjecture,(
    ! [A,B,E] : 
      ( ( subset(A,E)
        & subset(B,E) )
     => ( subset(A,B)
      <=> subset(intersection(A,difference(E,B)),B) ) )   )).
%--------------------------------------------------------------------------
