%--------------------------------------------------------------------------
% File     : SET707+4 : TPTP v2.2.1. Released v2.2.0.
% Domain   : Set Theory (Naive)
% Problem  : Components of equal ordered pairs are equal 
% Version  : [Pas99] axioms.
% English  : If {{A},{A,B}} = {{U},{U,V}} then A = U and B = V.

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   33 (   2 unit)
%            Number of atoms       :   80 (  41 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :   49 (   2 ~  ;   2  |;  12  &)
%                                         (  10 <=>;  23 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    4 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   1 constant; 0-2 arity)
%            Number of variables   :   88 (   0 singleton;  87 !;   1 ?)
%            Maximal term depth    :    3 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%--------------------------------------------------------------------------
input_formula(thI50,conjecture,(
    ! [A,B,U,V] : 
      ( equal_set(unordered_pair(singleton(A),unordered_pair(A,B)),
unordered_pair(singleton(U),unordered_pair(U,V)))
     => ( equal(A,U)
        & equal(B,V) ) )   )).
%--------------------------------------------------------------------------
