%--------------------------------------------------------------------------
% File     : SET735+4 : TPTP v2.2.1. Bugfixed v2.2.1.
% Domain   : Set Theory (Mappings)
% Problem  : Property of mappings
% Version  : [Pas99] axioms.
% English  : If GoF1 and GoF2 are identities,and the images of A by F1 
%            and F2 are equal, then F1 and F2 are equal.

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.1
% Syntax   : Number of formulae    :  114 (   2 unit)
%            Number of atoms       :  357 ( 124 equality)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :  245 (   2 ~  ;   2  |; 108  &)
%                                         (  30 <=>; 103 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 2-6 arity)
%            Number of functors    :   15 (   1 constant; 0-5 arity)
%            Number of variables   :  509 (   0 singleton; 501 !;   9 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v2.2.1 - Bugfixes in SET006+1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include mappings axioms
include('Axioms/SET006+1.ax').
include('Axioms/SET006+1.eq').
%--------------------------------------------------------------------------
input_formula(thII26,conjecture,(
    ! [F1,F2,G,A,B] : 
      ( ( maps(F1,A,B)
        & maps(F2,A,B)
        & maps(G,B,A)
        & identity(compose_function(G,F1,A,B,A),A)
        & identity(compose_function(G,F2,A,B,A),A)
        & equal_set(image3(F1,A,B),image3(F2,A,B)) )
     => equal_maps(F1,F2,A,B) )   )).
%--------------------------------------------------------------------------
