%--------------------------------------------------------------------------
% File     : SET743+4 : TPTP v2.2.1. Bugfixed v2.2.1.
% Domain   : Set Theory (Mappings)
% Problem  : Problem on composition of mappings 8
% Version  : [Pas99] axioms.
% English  : Consider three mappings F from A to B,G from B to C,H from
%            C to A. If GoF and HoG are one-to-one, then G is one-to-one.

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.1
% Syntax   : Number of formulae    :  114 (   2 unit)
%            Number of atoms       :  356 ( 124 equality)
%            Maximal formula depth :   12 (   4 average)
%            Number of connectives :  244 (   2 ~  ;   2  |; 107  &)
%                                         (  30 <=>; 103 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 2-6 arity)
%            Number of functors    :   15 (   1 constant; 0-5 arity)
%            Number of variables   :  510 (   0 singleton; 502 !;   9 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
% Bugfixes : v2.2.1 - Bugfixes in SET006+1.ax.
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include mappings axioms
include('Axioms/SET006+1.ax').
include('Axioms/SET006+1.eq').
%--------------------------------------------------------------------------
input_formula(thII34,conjecture,(
    ! [F,G,H,A,B,C] : 
      ( ( maps(F,A,B)
        & maps(G,B,C)
        & maps(H,C,A)
        & one_to_one(compose_function(G,F,A,B,C),A,C)
        & one_to_one(compose_function(H,G,B,C,A),B,A) )
     => one_to_one(G,B,C) )   )).
%--------------------------------------------------------------------------
