%--------------------------------------------------------------------------
% File     : SET768+4 : TPTP v2.2.1. Released v2.2.0.
% Domain   : Set Theory (Equivalence relations)
% Problem  : Equality of equivalence classes 1
% Version  : [Pas99] axioms.
% English  : Two equivalence classes are equal if and only if the members 
%            are equivalent.

% Refs     : [Pas99] Pastre (1999), Email to G. Sutcliffe
% Source   : [Pas99]
% Names    :

% Status   : theorem
% Rating   : ? v2.2.0
% Syntax   : Number of formulae    :   49 (   2 unit)
%            Number of atoms       :  151 (  54 equality)
%            Maximal formula depth :   10 (   4 average)
%            Number of connectives :  105 (   3 ~  ;   2  |;  38  &)
%                                         (  16 <=>;  46 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    9 (   0 propositional; 2-3 arity)
%            Number of functors    :   10 (   1 constant; 0-3 arity)
%            Number of variables   :  146 (   0 singleton; 149 !;   4 ?)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms of equality
include('Axioms/EQU001+0.ax').
%----Include set theory definitions
include('Axioms/SET006+0.ax').
include('Axioms/SET006+0.eq').
%----Include equivalence relation axioms
include('Axioms/SET006+2.ax').
include('Axioms/SET006+2.eq').
%--------------------------------------------------------------------------
input_formula(thIII04,conjecture,(
    ! [E,R,A,B] : 
      ( ( equivalence(R,E)
        & member(A,E)
        & member(B,E) )
     => ( equal_set(equivalence_class(A,E,R),equivalence_class(B,E,R))
      <=> apply(R,A,B) ) )   )).
%--------------------------------------------------------------------------
