%--------------------------------------------------------------------------
% File     : SYN036-4 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Syntactic
% Problem  : Andrews Challenge Problem
% Version  : Especial.
%            Theorem formulation : Different clausal form.
% English  : 

% Refs     : [DeC79] DeChampeaux (1979), Sub-problem Finder and Instance Ch
%          : [Pel86] Pelletier (1986), Seventy-five Problems for Testing Au
%          : [AZ89]  Angshuman & Zhang (1989), Andrews' Challenge Problem: 
%          : [Qua90] Quaife (1990), Andrews' Challenge Problem Revisited
% Source   : [Qua90]
% Names    : Theorem A [Qua90]

% Status   : unsatisfiable
% Rating   : 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses    :   32 (  25 non-Horn;   0 unit;   6 RR)
%            Number of literals   :  168 (   0 equality)
%            Maximal clause size  :    6 (   5 average)
%            Number of predicates :    2 (   0 propositional; 1-1 arity)
%            Number of functors   :    6 (   2 constant; 0-1 arity)
%            Number of variables  :   81 (  42 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
input_clause(clause_1,conjecture,
    [--p(cx),
     --q(cw),
     ++p(Y3),
     ++q(Z3)]).

input_clause(clause_2,conjecture,
    [--p(cx),
     --q(Z4),
     ++p(Y3),
     ++q(cw)]).

input_clause(clause_3,conjecture,
    [--p(Y4),
     --q(cw),
     ++p(cx),
     ++q(Z3)]).

input_clause(clause_4,conjecture,
    [--p(Y4),
     --q(Z4),
     ++p(cx),
     ++q(cw)]).

input_clause(clause_5,conjecture,
    [--p(cx),
     --p(X7),
     --p(fy5(X7)),
     --q(cw),
     ++q(Z3)]).

input_clause(clause_6,conjecture,
    [--p(cx),
     --p(X7),
     --p(fy5(X7)),
     --q(Z4),
     ++q(cw)]).

input_clause(clause_7,conjecture,
    [--p(cx),
     --q(cw),
     --q(W9),
     --q(fz5(W9)),
     ++p(Y3)]).

input_clause(clause_8,conjecture,
    [--p(cx),
     --q(W2),
     ++p(Y1),
     ++q(W4),
     ++q(fz(W4))]).

input_clause(clause_9,conjecture,
    [--p(cx),
     --q(W3),
     --q(fz(W3)),
     ++p(Y1),
     ++q(W4)]).

input_clause(clause_10,conjecture,
    [--p(cx),
     ++p(Y1),
     ++q(cw),
     ++q(W3),
     ++q(fz(W3))]).

input_clause(clause_11,conjecture,
    [--p(X5),
     --p(fy(X5)),
     --q(cw),
     ++p(X2),
     ++q(Z1)]).

input_clause(clause_12,conjecture,
    [--p(X5),
     --q(cw),
     ++p(X2),
     ++p(fy(X2)),
     ++q(Z1)]).

input_clause(clause_13,conjecture,
    [--p(X2),
     --p(fy5(X9)),
     --q(Z4),
     ++p(X8),
     ++q(cw)]).

input_clause(clause_14,conjecture,
    [--p(X9),
     --q(Z4),
     ++p(X8),
     ++p(fy5(X8)),
     ++q(cw)]).

input_clause(clause_15,conjecture,
    [--p(Y2),
     ++p(cx),
     ++q(cw),
     ++q(W3),
     ++q(fz(W3))]).

input_clause(clause_16,conjecture,
    [--p(Y4),
     --q(cw),
     --q(W9),
     --q(fz5(W9)),
     ++p(cx)]).

input_clause(clause_17,conjecture,
    [--p(Y4),
     --q(W6),
     ++p(cx),
     ++q(W9),
     ++q(fz5(W9))]).

input_clause(clause_18,conjecture,
    [--p(Y4),
     --q(W9),
     --q(fz5(W9)),
     ++p(cx),
     ++q(W10)]).

input_clause(clause_19,conjecture,
    [--q(cw),
     ++p(cx),
     ++p(X1),
     ++p(fy(X1)),
     ++q(Z1)]).

input_clause(clause_20,conjecture,
    [--q(Z2),
     ++p(cx),
     ++p(X1),
     ++p(fy(X1)),
     ++q(cw)]).

input_clause(clause_21,conjecture,
    [--p(cx),
     --p(X1),
     --p(fy(X1)),
     --q(W3),
     --q(fz(W3)),
     ++q(cw)]).

input_clause(clause_22,conjecture,
    [--p(cx),
     --p(X1),
     --p(fy(X1)),
     ++q(cw),
     ++q(W3),
     ++q(fz(W3))]).

input_clause(clause_23,conjecture,
    [--p(cx),
     --p(X7),
     --p(fy5(X7)),
     --q(cw),
     --q(W9),
     --q(fz5(W9))]).

input_clause(clause_24,conjecture,
    [--p(X1),
     --p(fy(X1)),
     --q(cw),
     --q(W3),
     --q(fz(W3)),
     ++p(cx)]).

input_clause(clause_25,conjecture,
    [--p(X4),
     --p(fy(X4)),
     --q(W1),
     ++p(X2),
     ++q(W4),
     ++q(fz(W4))]).

input_clause(clause_26,conjecture,
    [--p(X4),
     --p(fy(X4)),
     --q(W3),
     --q(fz(W3)),
     ++p(X2),
     ++q(W4)]).

input_clause(clause_27,conjecture,
    [--p(X4),
     --q(W1),
     ++p(X2),
     ++p(fy(X2)),
     ++q(W4),
     ++q(fz(W4))]).

input_clause(clause_28,conjecture,
    [--p(X4),
     --q(W3),
     --q(fz(W3)),
     ++p(X2),
     ++p(fy(X2)),
     ++q(W4)]).

input_clause(clause_29,conjecture,
    [--p(X7),
     --p(fy5(X7)),
     ++p(cx),
     ++q(cw),
     ++q(W9),
     ++q(fz5(W9))]).

input_clause(clause_30,conjecture,
    [--q(cw),
     --q(W3),
     --q(fz(W3)),
     ++p(cx),
     ++p(X1),
     ++p(fy(X1))]).

input_clause(clause_31,conjecture,
    [--q(W9),
     --q(fz5(W9)),
     ++p(cx),
     ++p(X7),
     ++p(fy5(X7)),
     ++q(cw)]).

input_clause(clause_32,conjecture,
    [++p(cx),
     ++p(X7),
     ++p(fy5(X7)),
     ++q(cw),
     ++q(W9),
     ++q(fz5(W9))]).
%--------------------------------------------------------------------------
