%--------------------------------------------------------------------------
% File     : SYN349-1 : TPTP v2.2.1. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.17 (5)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch17N5 [Tam94]

% Status   : unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses    :   10 (   7 non-Horn;   0 unit;   9 RR)
%            Number of literals   :   36 (   0 equality)
%            Maximal clause size  :    4 (   3 average)
%            Number of predicates :    1 (   0 propositional; 2-2 arity)
%            Number of functors   :    2 (   0 constant; 1-2 arity)
%            Number of variables  :   20 (   0 singleton)
%            Maximal term depth   :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++f(X,g(X,Y)),
     --f(w(X),g(X,Y))]).

input_clause(clause2,conjecture,
    [--f(X,g(X,Y)),
     ++f(w(X),g(X,Y))]).

input_clause(clause3,conjecture,
    [--f(X,g(X,Y)),
     ++f(g(X,Y),Y),
     --f(Y,g(X,Y)),
     ++f(g(X,Y),w(X))]).

input_clause(clause4,conjecture,
    [++f(X,g(X,Y)),
     --f(g(X,Y),Y),
     --f(Y,g(X,Y)),
     ++f(g(X,Y),w(X))]).

input_clause(clause5,conjecture,
    [++f(X,g(X,Y)),
     ++f(g(X,Y),Y),
     ++f(Y,g(X,Y)),
     ++f(g(X,Y),w(X))]).

input_clause(clause6,conjecture,
    [--f(X,g(X,Y)),
     --f(g(X,Y),Y),
     ++f(Y,g(X,Y)),
     ++f(g(X,Y),w(X))]).

input_clause(clause7,conjecture,
    [--f(X,g(X,Y)),
     ++f(g(X,Y),Y),
     ++f(Y,g(X,Y)),
     --f(g(X,Y),w(X))]).

input_clause(clause8,conjecture,
    [++f(X,g(X,Y)),
     --f(g(X,Y),Y),
     ++f(Y,g(X,Y)),
     --f(g(X,Y),w(X))]).

input_clause(clause9,conjecture,
    [++f(X,g(X,Y)),
     ++f(g(X,Y),Y),
     --f(Y,g(X,Y)),
     --f(g(X,Y),w(X))]).

input_clause(clause10,conjecture,
    [--f(X,g(X,Y)),
     --f(g(X,Y),Y),
     --f(Y,g(X,Y)),
     --f(g(X,Y),w(X))]).
%--------------------------------------------------------------------------
