%--------------------------------------------------------------------------
% File     : SYN418-1 : TPTP v2.2.1. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=100, K=3, D=2, P=0, Index=002
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-100-3-2-002.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  504 ( 310 non-Horn;   0 unit; 466 RR)
%            Number of literals   : 2223 (   0 equality)
%            Maximal clause size  :   17 (   4 average)
%            Number of predicates :   71 (  42 propositional; 0-2 arity)
%            Number of functors   :  146 ( 146 constant; 0-0 arity)
%            Number of variables  :  393 (  12 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--ssSkC1,++ndr1_0]).

input_clause(clause2,conjecture,
    [++c5_0,++c10_0]).

input_clause(clause3,conjecture,
    [++c2_0,++c10_0]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC26]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC25]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC22]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC21]).

input_clause(clause8,conjecture,
    [++ndr1_0,++ssSkC20]).

input_clause(clause9,conjecture,
    [++ndr1_0,++ssSkC19]).

input_clause(clause10,conjecture,
    [++ndr1_0,++ssSkC18]).

input_clause(clause11,conjecture,
    [++ndr1_0,++ssSkC17]).

input_clause(clause12,conjecture,
    [++ndr1_0,++ssSkC16]).

input_clause(clause13,conjecture,
    [++ndr1_0,++ssSkC15]).

input_clause(clause14,conjecture,
    [++ndr1_0,++ssSkC12]).

input_clause(clause15,conjecture,
    [++ndr1_0,++ssSkC11]).

input_clause(clause16,conjecture,
    [++ndr1_0,++ssSkC10]).

input_clause(clause17,conjecture,
    [++ndr1_0,++ssSkC8]).

input_clause(clause18,conjecture,
    [++ndr1_0,++ssSkC7]).

input_clause(clause19,conjecture,
    [++ndr1_0,++ssSkC6]).

input_clause(clause20,conjecture,
    [++ndr1_0,++ssSkC5]).

input_clause(clause21,conjecture,
    [++ndr1_0,++ssSkC4]).

input_clause(clause22,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause23,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause24,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause25,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause26,conjecture,
    [++ndr1_0,++c10_0,++c4_0]).

input_clause(clause27,conjecture,
    [--ssSkC29,++ndr1_0,++c10_0]).

input_clause(clause28,conjecture,
    [--ssSkC26,++ndr1_0,++c10_0]).

input_clause(clause29,conjecture,
    [--ssSkC25,++ndr1_0,++c3_0]).

input_clause(clause30,conjecture,
    [--ssSkC24,++ndr1_0,++c6_0]).

input_clause(clause31,conjecture,
    [--ssSkC22,++ndr1_0,++c2_0]).

input_clause(clause32,conjecture,
    [--ssSkC21,++ndr1_0,++c4_0]).

input_clause(clause33,conjecture,
    [--ssSkC20,++ndr1_0,++c8_0]).

input_clause(clause34,conjecture,
    [++ndr1_0,++c7_0,++c1_0]).

input_clause(clause35,conjecture,
    [++ndr1_0,++c4_0,++c1_0]).

input_clause(clause36,conjecture,
    [--ssSkC6,--ssSkC7,++ndr1_0]).

input_clause(clause37,conjecture,
    [--ssSkC1,
     ++ndr1_1(a7)]).

input_clause(clause38,conjecture,
    [--ssSkC1,
     ++c10_1(a7)]).

input_clause(clause39,conjecture,
    [--ssSkC1,
     ++c8_1(a7)]).

input_clause(clause40,conjecture,
    [++c4_0,++c6_0,++c2_0]).

input_clause(clause41,conjecture,
    [++c8_0,++c7_0,++c4_0]).

input_clause(clause42,conjecture,
    [++ndr1_1(a123),
     ++ssSkC26]).

input_clause(clause43,conjecture,
    [++ndr1_1(a105),
     ++ssSkC22]).

input_clause(clause44,conjecture,
    [++c7_1(a105),
     ++ssSkC22]).

input_clause(clause45,conjecture,
    [++ndr1_1(a100),
     ++ssSkC21]).

input_clause(clause46,conjecture,
    [++c9_1(a100),
     ++ssSkC21]).

input_clause(clause47,conjecture,
    [++c8_1(a97),
     ++ssSkC20]).

input_clause(clause48,conjecture,
    [++c5_1(a97),
     ++ssSkC20]).

input_clause(clause49,conjecture,
    [++ndr1_1(a90),
     ++ssSkC19]).

input_clause(clause50,conjecture,
    [++ndr1_1(a87),
     ++ssSkC18]).

input_clause(clause51,conjecture,
    [++ndr1_1(U),
     ++ssSkP7(U)]).

input_clause(clause52,conjecture,
    [++ndr1_1(U),
     ++ssSkP6(U)]).

input_clause(clause53,conjecture,
    [++ndr1_1(U),
     ++ssSkP5(U)]).

input_clause(clause54,conjecture,
    [++ndr1_1(a68),
     ++ssSkC16]).

input_clause(clause55,conjecture,
    [++c2_1(a68),
     ++ssSkC16]).

input_clause(clause56,conjecture,
    [++c4_1(a68),
     ++ssSkC16]).

input_clause(clause57,conjecture,
    [++c4_1(a66),
     ++ssSkC15]).

input_clause(clause58,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause59,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause60,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause61,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause62,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause63,conjecture,
    [++ndr1_1(a45),
     ++ssSkC11]).

input_clause(clause64,conjecture,
    [++ndr1_1(a37),
     ++ssSkC8]).

input_clause(clause65,conjecture,
    [++ndr1_1(a33),
     ++ssSkC7]).

input_clause(clause66,conjecture,
    [++c3_1(a33),
     ++ssSkC7]).

input_clause(clause67,conjecture,
    [++c6_1(a33),
     ++ssSkC7]).

input_clause(clause68,conjecture,
    [++ndr1_1(a31),
     ++ssSkC6]).

input_clause(clause69,conjecture,
    [++ndr1_1(a19),
     ++ssSkC5]).

input_clause(clause70,conjecture,
    [++c7_1(a19),
     ++ssSkC5]).

input_clause(clause71,conjecture,
    [++ndr1_1(a16),
     ++ssSkC4]).

input_clause(clause72,conjecture,
    [++ndr1_1(a12),
     ++ssSkC3]).

input_clause(clause73,conjecture,
    [++ndr1_1(a9),
     ++ssSkC2]).

input_clause(clause74,conjecture,
    [++c10_1(a6),
     ++ssSkC1]).

input_clause(clause75,conjecture,
    [++ndr1_1(a1),
     ++ssSkC0]).

input_clause(clause76,conjecture,
    [++c9_1(a1),
     ++ssSkC0]).

input_clause(clause77,conjecture,
    [++c6_1(a1),
     ++ssSkC0]).

input_clause(clause78,conjecture,
    [++ndr1_1(a143),
     ++c10_0,
     ++c4_0]).

input_clause(clause79,conjecture,
    [++c1_1(a143),
     ++c10_0,
     ++c4_0]).

input_clause(clause80,conjecture,
    [--ssSkC29,
     ++ndr1_1(a139),
     ++c10_0]).

input_clause(clause81,conjecture,
    [--c9_0,++ndr1_0,++c5_0]).

input_clause(clause82,conjecture,
    [--c1_0,++ndr1_0,++c3_0]).

input_clause(clause83,conjecture,
    [--ssSkC26,
     ++c4_1(a126),
     ++c10_0]).

input_clause(clause84,conjecture,
    [--ssSkC26,
     ++c6_1(a126),
     ++c10_0]).

input_clause(clause85,conjecture,
    [--ssSkC25,
     ++c9_1(a122),
     ++c3_0]).

input_clause(clause86,conjecture,
    [--ssSkC25,
     ++c4_1(a122),
     ++c3_0]).

input_clause(clause87,conjecture,
    [--ssSkC24,
     ++ndr1_1(a119),
     ++c6_0]).

input_clause(clause88,conjecture,
    [--ssSkC24,
     ++c10_1(a119),
     ++c6_0]).

input_clause(clause89,conjecture,
    [--c9_0,++ndr1_0,++c8_0]).

input_clause(clause90,conjecture,
    [--c10_0,++ndr1_0,++c2_0]).

input_clause(clause91,conjecture,
    [--ssSkC23,--c1_0,++ndr1_0]).

input_clause(clause92,conjecture,
    [--ssSkC22,
     ++ndr1_1(a108),
     ++c2_0]).

input_clause(clause93,conjecture,
    [--ssSkC21,
     ++ndr1_1(a102),
     ++c4_0]).

input_clause(clause94,conjecture,
    [--ssSkC21,
     ++c10_1(a102),
     ++c4_0]).

input_clause(clause95,conjecture,
    [--ssSkC21,
     ++c4_1(a102),
     ++c4_0]).

input_clause(clause96,conjecture,
    [--ssSkC20,
     ++ndr1_1(a98),
     ++c8_0]).

input_clause(clause97,conjecture,
    [--ssSkC20,
     ++c2_1(a98),
     ++c8_0]).

input_clause(clause98,conjecture,
    [++ndr1_1(a93),
     ++c7_0,
     ++c1_0]).

input_clause(clause99,conjecture,
    [++ndr1_1(a77),
     ++c4_0,
     ++c1_0]).

input_clause(clause100,conjecture,
    [++c4_1(a77),
     ++c4_0,
     ++c1_0]).

input_clause(clause101,conjecture,
    [--ssSkC13,--c2_0,++ndr1_0]).

input_clause(clause102,conjecture,
    [--c6_0,++ndr1_0,++c4_0]).

input_clause(clause103,conjecture,
    [--ssSkC6,
     --ssSkC7,
     ++ndr1_1(a35)]).

input_clause(clause104,conjecture,
    [--ssSkC6,
     --ssSkC7,
     ++c2_1(a35)]).

input_clause(clause105,conjecture,
    [--c9_0,++ndr1_0,++c10_0]).

input_clause(clause106,conjecture,
    [--ssSkC4,--c1_0,++ndr1_0]).

input_clause(clause107,conjecture,
    [--ssSkC1,
     ++c2_2(a7,a8)]).

input_clause(clause108,conjecture,
    [--c7_0,++c10_0,++c8_0]).

input_clause(clause109,conjecture,
    [--c2_0,++c1_0,++c3_0]).

input_clause(clause110,conjecture,
    [++c3_2(a123,a125),
     ++ssSkC26]).

input_clause(clause111,conjecture,
    [++c2_2(a123,a124),
     ++ssSkC26]).

input_clause(clause112,conjecture,
    [--c9_1(a123),
     ++ssSkC26]).

input_clause(clause113,conjecture,
    [--c9_1(a121),
     ++ssSkC25]).

input_clause(clause114,conjecture,
    [--c6_1(a121),
     ++ssSkC25]).

input_clause(clause115,conjecture,
    [--c10_1(a121),
     ++ssSkC25]).

input_clause(clause116,conjecture,
    [++c6_2(a105,a107),
     ++ssSkC22]).

input_clause(clause117,conjecture,
    [++c4_2(a105,a106),
     ++ssSkC22]).

input_clause(clause118,conjecture,
    [++c9_2(a100,a101),
     ++ssSkC21]).

input_clause(clause119,conjecture,
    [++c4_2(a90,a91),
     ++ssSkC19]).

input_clause(clause120,conjecture,
    [++c7_2(a90,a91),
     ++ssSkC19]).

input_clause(clause121,conjecture,
    [--c4_1(a90),
     ++ssSkC19]).

input_clause(clause122,conjecture,
    [--c1_1(a87),
     ++ssSkC18]).

input_clause(clause123,conjecture,
    [++c6_2(U,a85),
     ++ssSkP7(U)]).

input_clause(clause124,conjecture,
    [++c3_2(U,a85),
     ++ssSkP7(U)]).

input_clause(clause125,conjecture,
    [++c9_2(U,a84),
     ++ssSkP6(U)]).

input_clause(clause126,conjecture,
    [++c5_2(U,a84),
     ++ssSkP6(U)]).

input_clause(clause127,conjecture,
    [++c2_2(U,a79),
     ++ssSkP5(U)]).

input_clause(clause128,conjecture,
    [--c9_1(a75),
     ++ssSkC17]).

input_clause(clause129,conjecture,
    [--c2_1(a75),
     ++ssSkC17]).

input_clause(clause130,conjecture,
    [--c9_1(a66),
     ++ssSkC15]).

input_clause(clause131,conjecture,
    [++c3_2(U,a62),
     ++ssSkP3(U)]).

input_clause(clause132,conjecture,
    [++c5_2(U,a62),
     ++ssSkP3(U)]).

input_clause(clause133,conjecture,
    [++c7_2(U,a60),
     ++ssSkP2(U)]).

input_clause(clause134,conjecture,
    [++c5_2(U,a60),
     ++ssSkP2(U)]).

input_clause(clause135,conjecture,
    [++c7_2(U,a57),
     ++ssSkP1(U)]).

input_clause(clause136,conjecture,
    [--c6_1(a55),
     ++ssSkC12]).

input_clause(clause137,conjecture,
    [--c10_1(a55),
     ++ssSkC12]).

input_clause(clause138,conjecture,
    [++c5_2(U,a49),
     ++ssSkP0(U)]).

input_clause(clause139,conjecture,
    [++c7_2(U,a49),
     ++ssSkP0(U)]).

input_clause(clause140,conjecture,
    [++c7_2(a45,a48),
     ++ssSkC11]).

input_clause(clause141,conjecture,
    [++c9_2(a45,a48),
     ++ssSkC11]).

input_clause(clause142,conjecture,
    [++c3_2(a45,a47),
     ++ssSkC11]).

input_clause(clause143,conjecture,
    [--c10_1(a41),
     ++ssSkC10]).

input_clause(clause144,conjecture,
    [++c4_2(a37,a38),
     ++ssSkC8]).

input_clause(clause145,conjecture,
    [++c6_2(a37,a38),
     ++ssSkC8]).

input_clause(clause146,conjecture,
    [--c5_1(a37),
     ++ssSkC8]).

input_clause(clause147,conjecture,
    [++c10_2(a33,a34),
     ++ssSkC7]).

input_clause(clause148,conjecture,
    [++c3_2(a31,a32),
     ++ssSkC6]).

input_clause(clause149,conjecture,
    [++c8_2(a31,a32),
     ++ssSkC6]).

input_clause(clause150,conjecture,
    [--c5_1(a31),
     ++ssSkC6]).

input_clause(clause151,conjecture,
    [++c2_2(a19,a21),
     ++ssSkC5]).

input_clause(clause152,conjecture,
    [++c2_2(a19,a20),
     ++ssSkC5]).

input_clause(clause153,conjecture,
    [++c9_2(a19,a20),
     ++ssSkC5]).

input_clause(clause154,conjecture,
    [++c9_2(a16,a17),
     ++ssSkC4]).

input_clause(clause155,conjecture,
    [--c3_1(a16),
     ++ssSkC4]).

input_clause(clause156,conjecture,
    [++c6_2(a12,a13),
     ++ssSkC3]).

input_clause(clause157,conjecture,
    [++c4_2(a12,a13),
     ++ssSkC3]).

input_clause(clause158,conjecture,
    [--c3_1(a12),
     ++ssSkC3]).

input_clause(clause159,conjecture,
    [++c2_2(a9,a10),
     ++ssSkC2]).

input_clause(clause160,conjecture,
    [--c8_1(a9),
     ++ssSkC2]).

input_clause(clause161,conjecture,
    [--c6_1(a6),
     ++ssSkC1]).

input_clause(clause162,conjecture,
    [--c4_1(a6),
     ++ssSkC1]).

input_clause(clause163,conjecture,
    [++c6_2(a1,a2),
     ++ssSkC0]).

input_clause(clause164,conjecture,
    [++c9_2(a143,a144),
     ++c10_0,
     ++c4_0]).

input_clause(clause165,conjecture,
    [--ssSkC29,
     ++c1_2(a139,a141),
     ++c10_0]).

input_clause(clause166,conjecture,
    [--ssSkC29,
     ++c9_2(a139,a140),
     ++c10_0]).

input_clause(clause167,conjecture,
    [--ssSkC29,
     --c2_1(a139),
     ++c10_0]).

input_clause(clause168,conjecture,
    [--c8_0,--c2_0,++ndr1_0]).

input_clause(clause169,conjecture,
    [--c1_0,--c10_0,++ndr1_0]).

input_clause(clause170,conjecture,
    [--c1_0,
     ++c4_1(a127),
     ++c3_0]).

input_clause(clause171,conjecture,
    [--ssSkC24,
     ++c5_2(a119,a120),
     ++c6_0]).

input_clause(clause172,conjecture,
    [--ssSkC24,
     --c6_1(a119),
     ++c6_0]).

input_clause(clause173,conjecture,
    [--c9_0,
     ++ndr1_1(a116),
     ++c8_0]).

input_clause(clause174,conjecture,
    [--c10_0,
     ++ndr1_1(a114),
     ++c2_0]).

input_clause(clause175,conjecture,
    [--ssSkC23,
     --c1_0,
     ++ndr1_1(a112)]).

input_clause(clause176,conjecture,
    [--ssSkC23,
     --c1_0,
     ++c6_1(a112)]).

input_clause(clause177,conjecture,
    [--ssSkC22,
     ++c3_2(a108,a110),
     ++c2_0]).

input_clause(clause178,conjecture,
    [--ssSkC22,
     ++c1_2(a108,a109),
     ++c2_0]).

input_clause(clause179,conjecture,
    [--ssSkC20,
     ++c1_2(a98,a99),
     ++c8_0]).

input_clause(clause180,conjecture,
    [--ssSkC20,
     ++c9_2(a98,a99),
     ++c8_0]).

input_clause(clause181,conjecture,
    [--ssSkC20,
     --c8_1(a98),
     ++c8_0]).

input_clause(clause182,conjecture,
    [--c4_0,--c3_0,++ndr1_0]).

input_clause(clause183,conjecture,
    [++c4_2(a93,a94),
     ++c7_0,
     ++c1_0]).

input_clause(clause184,conjecture,
    [--c8_1(a93),
     ++c7_0,
     ++c1_0]).

input_clause(clause185,conjecture,
    [--c2_1(a93),
     ++c7_0,
     ++c1_0]).

input_clause(clause186,conjecture,
    [++c5_2(a77,a78),
     ++c4_0,
     ++c1_0]).

input_clause(clause187,conjecture,
    [--c2_1(a77),
     ++c4_0,
     ++c1_0]).

input_clause(clause188,conjecture,
    [--c1_0,--c5_0,++ndr1_0]).

input_clause(clause189,conjecture,
    [--c6_0,
     ++c6_1(a51),
     ++c4_0]).

input_clause(clause190,conjecture,
    [--c6_0,
     ++c2_1(a51),
     ++c4_0]).

input_clause(clause191,conjecture,
    [--ssSkC6,
     --ssSkC7,
     ++c7_2(a35,a36)]).

input_clause(clause192,conjecture,
    [--ssSkC6,
     --ssSkC7,
     ++c8_2(a35,a36)]).

input_clause(clause193,conjecture,
    [--ssSkC6,
     --ssSkC7,
     --c8_1(a35)]).

input_clause(clause194,conjecture,
    [--c10_0,--c5_0,++ndr1_0]).

input_clause(clause195,conjecture,
    [--c4_0,--c8_0,++ndr1_0]).

input_clause(clause196,conjecture,
    [--c9_0,
     ++ndr1_1(a26),
     ++c10_0]).

input_clause(clause197,conjecture,
    [--c9_0,
     ++c8_1(a26),
     ++c10_0]).

input_clause(clause198,conjecture,
    [--ssSkC4,
     --c1_0,
     ++c6_1(a18)]).

input_clause(clause199,conjecture,
    [--ssSkC4,
     --c1_0,
     ++c3_1(a18)]).

input_clause(clause200,conjecture,
    [--ssSkC1,
     --c1_2(a7,a8)]).

input_clause(clause201,conjecture,
    [--ssSkC1,
     --c9_2(a7,a8)]).

input_clause(clause202,conjecture,
    [--c3_0,--c2_0,++c1_0]).

input_clause(clause203,conjecture,
    [--c2_0,--c3_0,++c4_0]).

input_clause(clause204,conjecture,
    [--c6_0,--c2_0,++c7_0]).

input_clause(clause205,conjecture,
    [--c7_0,--c9_0,++c4_0]).

input_clause(clause206,conjecture,
    [--c9_2(a123,a125),
     ++ssSkC26]).

input_clause(clause207,conjecture,
    [--c4_2(a123,a125),
     ++ssSkC26]).

input_clause(clause208,conjecture,
    [--c4_2(a123,a124),
     ++ssSkC26]).

input_clause(clause209,conjecture,
    [--c9_2(a123,a124),
     ++ssSkC26]).

input_clause(clause210,conjecture,
    [--c9_2(a105,a107),
     ++ssSkC22]).

input_clause(clause211,conjecture,
    [--c5_2(a105,a107),
     ++ssSkC22]).

input_clause(clause212,conjecture,
    [--c6_2(a105,a106),
     ++ssSkC22]).

input_clause(clause213,conjecture,
    [--c2_2(a105,a106),
     ++ssSkC22]).

input_clause(clause214,conjecture,
    [--c6_2(a100,a101),
     ++ssSkC21]).

input_clause(clause215,conjecture,
    [--c5_2(a100,a101),
     ++ssSkC21]).

input_clause(clause216,conjecture,
    [--c2_2(a90,a91),
     ++ssSkC19]).

input_clause(clause217,conjecture,
    [--c6_2(a87,a88),
     ++ssSkC18]).

input_clause(clause218,conjecture,
    [--c9_2(a87,a88),
     ++ssSkC18]).

input_clause(clause219,conjecture,
    [--c9_2(U,a85),
     ++ssSkP7(U)]).

input_clause(clause220,conjecture,
    [--c8_2(U,a84),
     ++ssSkP6(U)]).

input_clause(clause221,conjecture,
    [--c8_2(U,a79),
     ++ssSkP5(U)]).

input_clause(clause222,conjecture,
    [--c3_2(a68,a69),
     ++ssSkC16]).

input_clause(clause223,conjecture,
    [--c5_2(a68,a69),
     ++ssSkC16]).

input_clause(clause224,conjecture,
    [--c7_2(a68,a69),
     ++ssSkC16]).

input_clause(clause225,conjecture,
    [--c6_2(U,a64),
     ++ssSkP4(U)]).

input_clause(clause226,conjecture,
    [--c9_2(U,a64),
     ++ssSkP4(U)]).

input_clause(clause227,conjecture,
    [--c9_2(U,a62),
     ++ssSkP3(U)]).

input_clause(clause228,conjecture,
    [--c9_2(U,a60),
     ++ssSkP2(U)]).

input_clause(clause229,conjecture,
    [--c5_2(U,a57),
     ++ssSkP1(U)]).

input_clause(clause230,conjecture,
    [--c4_2(U,a57),
     ++ssSkP1(U)]).

input_clause(clause231,conjecture,
    [--c3_2(U,a49),
     ++ssSkP0(U)]).

input_clause(clause232,conjecture,
    [--c2_2(a45,a48),
     ++ssSkC11]).

input_clause(clause233,conjecture,
    [--c4_2(a45,a47),
     ++ssSkC11]).

input_clause(clause234,conjecture,
    [--c1_2(a45,a47),
     ++ssSkC11]).

input_clause(clause235,conjecture,
    [--c10_2(a45,a46),
     ++ssSkC11]).

input_clause(clause236,conjecture,
    [--c8_2(a45,a46),
     ++ssSkC11]).

input_clause(clause237,conjecture,
    [--c4_2(a45,a46),
     ++ssSkC11]).

input_clause(clause238,conjecture,
    [--c3_2(a37,a38),
     ++ssSkC8]).

input_clause(clause239,conjecture,
    [--c6_2(a33,a34),
     ++ssSkC7]).

input_clause(clause240,conjecture,
    [--c5_2(a33,a34),
     ++ssSkC7]).

input_clause(clause241,conjecture,
    [--c7_2(a31,a32),
     ++ssSkC6]).

input_clause(clause242,conjecture,
    [--c8_2(a19,a21),
     ++ssSkC5]).

input_clause(clause243,conjecture,
    [--c4_2(a19,a20),
     ++ssSkC5]).

input_clause(clause244,conjecture,
    [--c8_2(a16,a17),
     ++ssSkC4]).

input_clause(clause245,conjecture,
    [--c2_2(a16,a17),
     ++ssSkC4]).

input_clause(clause246,conjecture,
    [--c9_2(a12,a13),
     ++ssSkC3]).

input_clause(clause247,conjecture,
    [--c3_2(a9,a10),
     ++ssSkC2]).

input_clause(clause248,conjecture,
    [--c6_2(a9,a10),
     ++ssSkC2]).

input_clause(clause249,conjecture,
    [--c3_2(a1,a2),
     ++ssSkC0]).

input_clause(clause250,conjecture,
    [--c5_2(a1,a2),
     ++ssSkC0]).

input_clause(clause251,conjecture,
    [--c5_2(a143,a144),
     ++c10_0,
     ++c4_0]).

input_clause(clause252,conjecture,
    [--c10_2(a143,a144),
     ++c10_0,
     ++c4_0]).

input_clause(clause253,conjecture,
    [--ssSkC29,
     --c9_2(a139,a141),
     ++c10_0]).

input_clause(clause254,conjecture,
    [--ssSkC29,
     --c3_2(a139,a140),
     ++c10_0]).

input_clause(clause255,conjecture,
    [--ssSkC29,
     --c8_2(a139,a140),
     ++c10_0]).

input_clause(clause256,conjecture,
    [--c8_0,
     --c2_0,
     ++ndr1_1(a136)]).

input_clause(clause257,conjecture,
    [--c8_0,
     --c2_0,
     ++c7_1(a136)]).

input_clause(clause258,conjecture,
    [--c1_0,
     --c10_0,
     ++ndr1_1(a134)]).

input_clause(clause259,conjecture,
    [--c1_0,
     --c10_0,
     ++c10_1(a134)]).

input_clause(clause260,conjecture,
    [--c1_1(a128),
     --c9_0,
     ++c5_0]).

input_clause(clause261,conjecture,
    [--c4_1(a128),
     --c9_0,
     ++c5_0]).

input_clause(clause262,conjecture,
    [--c2_1(a127),
     --c1_0,
     ++c3_0]).

input_clause(clause263,conjecture,
    [--ssSkC24,
     --c1_2(a119,a120),
     ++c6_0]).

input_clause(clause264,conjecture,
    [--c9_0,
     ++c3_2(a116,a117),
     ++c8_0]).

input_clause(clause265,conjecture,
    [--c7_1(a116),
     --c9_0,
     ++c8_0]).

input_clause(clause266,conjecture,
    [--c10_0,
     ++c2_2(a114,a115),
     ++c2_0]).

input_clause(clause267,conjecture,
    [--c1_1(a114),
     --c10_0,
     ++c2_0]).

input_clause(clause268,conjecture,
    [--ssSkC23,
     --c3_1(a112),
     --c1_0]).

input_clause(clause269,conjecture,
    [--ssSkC22,
     --c2_2(a108,a110),
     ++c2_0]).

input_clause(clause270,conjecture,
    [--ssSkC22,
     --c7_2(a108,a109),
     ++c2_0]).

input_clause(clause271,conjecture,
    [--ssSkC22,
     --c2_2(a108,a109),
     ++c2_0]).

input_clause(clause272,conjecture,
    [--ssSkC21,
     --c2_2(a102,a103),
     ++c4_0]).

input_clause(clause273,conjecture,
    [--ssSkC21,
     --c4_2(a102,a103),
     ++c4_0]).

input_clause(clause274,conjecture,
    [--ssSkC21,
     --c6_2(a102,a103),
     ++c4_0]).

input_clause(clause275,conjecture,
    [--ssSkC20,
     --c6_2(a98,a99),
     ++c8_0]).

input_clause(clause276,conjecture,
    [--c4_0,
     --c3_0,
     ++ndr1_1(a95)]).

input_clause(clause277,conjecture,
    [--c4_0,
     --c3_0,
     ++c4_1(a95)]).

input_clause(clause278,conjecture,
    [--c7_2(a93,a94),
     ++c7_0,
     ++c1_0]).

input_clause(clause279,conjecture,
    [--c2_2(a93,a94),
     ++c7_0,
     ++c1_0]).

input_clause(clause280,conjecture,
    [--c1_2(a77,a78),
     ++c4_0,
     ++c1_0]).

input_clause(clause281,conjecture,
    [--c8_2(a77,a78),
     ++c4_0,
     ++c1_0]).

input_clause(clause282,conjecture,
    [--ssSkC13,
     --c9_1(a59),
     --c2_0]).

input_clause(clause283,conjecture,
    [--c1_0,
     --c5_0,
     ++ndr1_1(a53)]).

input_clause(clause284,conjecture,
    [--c10_0,
     --c1_0,
     ++c4_1(a44)]).

input_clause(clause285,conjecture,
    [--c10_0,
     --c1_0,
     ++c3_1(a44)]).

input_clause(clause286,conjecture,
    [--ssSkC6,
     --ssSkC7,
     --c4_2(a35,a36)]).

input_clause(clause287,conjecture,
    [--c10_0,
     --c5_0,
     ++ndr1_1(a29)]).

input_clause(clause288,conjecture,
    [--c10_0,
     --c5_0,
     ++c9_1(a29)]).

input_clause(clause289,conjecture,
    [--c9_0,
     ++c9_2(a26,a27),
     ++c10_0]).

input_clause(clause290,conjecture,
    [--c9_0,
     ++c6_2(a26,a27),
     ++c10_0]).

input_clause(clause291,conjecture,
    [--c4_0,--c10_0,--c2_0]).

input_clause(clause292,conjecture,
    [--c8_0,
     --c2_0,
     ++c2_2(a136,a137)]).

input_clause(clause293,conjecture,
    [--c8_1(a136),
     --c8_0,
     --c2_0]).

input_clause(clause294,conjecture,
    [--c1_0,
     --c10_0,
     ++c3_2(a134,a135)]).

input_clause(clause295,conjecture,
    [--c10_2(a116,a117),
     --c9_0,
     ++c8_0]).

input_clause(clause296,conjecture,
    [--c5_2(a114,a115),
     --c10_0,
     ++c2_0]).

input_clause(clause297,conjecture,
    [--c4_2(a114,a115),
     --c10_0,
     ++c2_0]).

input_clause(clause298,conjecture,
    [--ssSkC23,
     --c4_2(a112,a113),
     --c1_0]).

input_clause(clause299,conjecture,
    [--ssSkC23,
     --c9_2(a112,a113),
     --c1_0]).

input_clause(clause300,conjecture,
    [--c4_0,
     --c3_0,
     ++c8_2(a95,a96)]).

input_clause(clause301,conjecture,
    [--c1_0,
     --c5_0,
     ++c9_2(a53,a54)]).

input_clause(clause302,conjecture,
    [--c10_0,
     --c5_0,
     ++c8_2(a29,a30)]).

input_clause(clause303,conjecture,
    [--c7_1(a29),
     --c10_0,
     --c5_0]).

input_clause(clause304,conjecture,
    [--c10_1(a28),
     --c4_0,
     --c8_0]).

input_clause(clause305,conjecture,
    [--c5_2(a26,a27),
     --c9_0,
     ++c10_0]).

input_clause(clause306,conjecture,
    [--ssSkC5,
     --c6_1(U),
     --ndr1_0,
     ++ndr1_1(a22)]).

input_clause(clause307,conjecture,
    [--ssSkC5,
     --c6_1(U),
     --ndr1_0,
     ++c8_1(a22)]).

input_clause(clause308,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC28]).

input_clause(clause309,conjecture,
    [--c5_2(a136,a137),
     --c8_0,
     --c2_0]).

input_clause(clause310,conjecture,
    [--c10_2(a136,a137),
     --c8_0,
     --c2_0]).

input_clause(clause311,conjecture,
    [--c8_2(a134,a135),
     --c1_0,
     --c10_0]).

input_clause(clause312,conjecture,
    [--c6_2(a134,a135),
     --c1_0,
     --c10_0]).

input_clause(clause313,conjecture,
    [--c2_2(a95,a96),
     --c4_0,
     --c3_0]).

input_clause(clause314,conjecture,
    [--c4_2(a95,a96),
     --c4_0,
     --c3_0]).

input_clause(clause315,conjecture,
    [--c3_2(a53,a54),
     --c1_0,
     --c5_0]).

input_clause(clause316,conjecture,
    [--c5_2(a29,a30),
     --c10_0,
     --c5_0]).

input_clause(clause317,conjecture,
    [--c4_2(a29,a30),
     --c10_0,
     --c5_0]).

input_clause(clause318,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c4_0,
     ++ndr1_1(U)]).

input_clause(clause319,conjecture,
    [--ssSkP1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c9_1(U),
     ++ssSkC13]).

input_clause(clause320,conjecture,
    [--ssSkP6(U),
     --ssSkP7(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c2_0,
     ++c3_0]).

input_clause(clause321,conjecture,
    [--ssSkP5(U),
     --ndr1_0,
     --c7_0,
     ++ndr1_1(U),
     ++c7_1(U)]).

input_clause(clause322,conjecture,
    [--ssSkC5,
     --c6_1(U),
     --ndr1_0,
     ++c2_2(a22,a23)]).

input_clause(clause323,conjecture,
    [--ssSkC5,
     --c6_1(U),
     --ndr1_0,
     ++c7_2(a22,a23)]).

input_clause(clause324,conjecture,
    [--ssSkC5,
     --c6_1(U),
     --ndr1_0,
     ++c10_2(a22,a23)]).

input_clause(clause325,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c5_2(U,a132),
     ++ssSkC28]).

input_clause(clause326,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c4_0,
     ++c8_2(U,a25)]).

input_clause(clause327,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c4_0,
     ++c5_2(U,a25)]).

input_clause(clause328,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c4_0,
     ++c3_2(U,a25)]).

input_clause(clause329,conjecture,
    [--ssSkC0,
     --c7_1(U),
     --ndr1_0,
     ++c6_1(U),
     ++ndr1_1(a3)]).

input_clause(clause330,conjecture,
    [--ndr1_0,
     --c6_0,
     --c5_0,
     ++c10_1(U),
     ++c4_1(U)]).

input_clause(clause331,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c9_1(U),
     ++ssSkC30]).

input_clause(clause332,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++ssSkC29]).

input_clause(clause333,conjecture,
    [--ssSkP1(U),
     --ndr1_0,
     ++c3_2(U,a58),
     ++c9_1(U),
     ++ssSkC13]).

input_clause(clause334,conjecture,
    [--ssSkP1(U),
     --ndr1_0,
     ++c2_2(U,a58),
     ++c9_1(U),
     ++ssSkC13]).

input_clause(clause335,conjecture,
    [--ssSkC18,
     --c6_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++c4_0]).

input_clause(clause336,conjecture,
    [--ssSkP5(U),
     --ndr1_0,
     --c7_0,
     ++c10_2(U,a80),
     ++c7_1(U)]).

input_clause(clause337,conjecture,
    [--ssSkP5(U),
     --ndr1_0,
     --c7_0,
     ++c3_2(U,a80),
     ++c7_1(U)]).

input_clause(clause338,conjecture,
    [--ssSkC5,
     --c6_1(U),
     --ndr1_0,
     --c6_2(a22,a24)]).

input_clause(clause339,conjecture,
    [--ssSkC5,
     --c6_1(U),
     --ndr1_0,
     --c1_2(a22,a24)]).

input_clause(clause340,conjecture,
    [--ssSkC5,
     --c6_1(U),
     --ndr1_0,
     --c2_2(a22,a24)]).

input_clause(clause341,conjecture,
    [--c4_2(U,a132),
     --c3_1(U),
     --ndr1_0,
     ++ssSkC28]).

input_clause(clause342,conjecture,
    [--c8_2(U,a132),
     --c3_1(U),
     --ndr1_0,
     ++ssSkC28]).

input_clause(clause343,conjecture,
    [--ndr1_1(a66),
     ++c3_2(a66,U),
     ++c1_2(a66,U),
     ++ssSkC15]).

input_clause(clause344,conjecture,
    [--ndr1_1(a9),
     ++c4_2(a9,U),
     ++c5_2(a9,U),
     ++ssSkC2]).

input_clause(clause345,conjecture,
    [--ssSkC0,
     --c7_1(U),
     --ndr1_0,
     ++c6_1(U),
     ++c7_2(a3,a5)]).

input_clause(clause346,conjecture,
    [--ssSkC0,
     --c7_1(U),
     --ndr1_0,
     ++c6_1(U),
     ++c1_2(a3,a4)]).

input_clause(clause347,conjecture,
    [--ssSkC0,
     --c7_1(U),
     --ndr1_0,
     ++c6_1(U),
     ++c5_2(a3,a4)]).

input_clause(clause348,conjecture,
    [--ssSkC0,
     --c7_1(U),
     --ndr1_0,
     --c1_1(a3),
     ++c6_1(U)]).

input_clause(clause349,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c3_2(U,a145),
     ++c9_1(U),
     ++ssSkC30]).

input_clause(clause350,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c1_2(U,a145),
     ++c9_1(U),
     ++ssSkC30]).

input_clause(clause351,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c4_2(U,a138),
     ++c5_1(U),
     ++ssSkC29]).

input_clause(clause352,conjecture,
    [--c4_1(U),
     --c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC24]).

input_clause(clause353,conjecture,
    [--ssSkP1(U),
     --c4_2(U,a58),
     --ndr1_0,
     ++c9_1(U),
     ++ssSkC13]).

input_clause(clause354,conjecture,
    [--ssSkC27,
     --ssSkC28,
     --c6_1(U),
     --c10_1(U),
     --ndr1_0,
     ++ndr1_1(U)]).

input_clause(clause355,conjecture,
    [--ssSkC18,
     --c6_1(U),
     --ndr1_0,
     ++c10_2(U,a89),
     ++c4_1(U),
     ++c4_0]).

input_clause(clause356,conjecture,
    [--ssSkC18,
     --c6_1(U),
     --ndr1_0,
     ++c4_2(U,a89),
     ++c4_1(U),
     ++c4_0]).

input_clause(clause357,conjecture,
    [--ssSkP6(U),
     --ssSkP7(U),
     --c10_2(U,a86),
     --ndr1_0,
     ++c2_0,
     ++c3_0]).

input_clause(clause358,conjecture,
    [--ssSkP6(U),
     --ssSkP7(U),
     --c2_2(U,a86),
     --ndr1_0,
     ++c2_0,
     ++c3_0]).

input_clause(clause359,conjecture,
    [--ssSkP6(U),
     --ssSkP7(U),
     --c8_2(U,a86),
     --ndr1_0,
     ++c2_0,
     ++c3_0]).

input_clause(clause360,conjecture,
    [--ssSkP5(U),
     --c4_2(U,a80),
     --ndr1_0,
     --c7_0,
     ++c7_1(U)]).

input_clause(clause361,conjecture,
    [--ssSkC15,
     --c10_1(U),
     --c8_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c7_0]).

input_clause(clause362,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c4_0,
     ++c7_1(U),
     ++c3_1(U),
     ++c6_0]).

input_clause(clause363,conjecture,
    [--c6_2(a97,U),
     --ndr1_1(a97),
     ++c9_2(a97,U),
     ++ssSkC20]).

input_clause(clause364,conjecture,
    [--c7_2(a37,U),
     --ndr1_1(a37),
     ++c10_2(a37,U),
     ++ssSkC8]).

input_clause(clause365,conjecture,
    [--ssSkC0,
     --c7_1(U),
     --ndr1_0,
     --c1_2(a3,a5),
     ++c6_1(U)]).

input_clause(clause366,conjecture,
    [--ssSkC0,
     --c7_1(U),
     --ndr1_0,
     --c3_2(a3,a5),
     ++c6_1(U)]).

input_clause(clause367,conjecture,
    [--ssSkC0,
     --c7_1(U),
     --ndr1_0,
     --c3_2(a3,a4),
     ++c6_1(U)]).

input_clause(clause368,conjecture,
    [--c5_2(U,a145),
     --c1_1(U),
     --ndr1_0,
     ++c9_1(U),
     ++ssSkC30]).

input_clause(clause369,conjecture,
    [--c6_2(U,a138),
     --c4_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC29]).

input_clause(clause370,conjecture,
    [--c1_2(U,a138),
     --c4_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC29]).

input_clause(clause371,conjecture,
    [--c4_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c5_2(U,a118),
     ++ssSkC24]).

input_clause(clause372,conjecture,
    [--ssSkC27,
     --ssSkC28,
     --c6_1(U),
     --c10_1(U),
     --ndr1_0,
     ++c7_2(U,a133)]).

input_clause(clause373,conjecture,
    [--ssSkC18,
     --c9_2(U,a89),
     --c6_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c4_0]).

input_clause(clause374,conjecture,
    [--ssSkC15,
     --c10_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c4_2(U,a67),
     ++c7_0]).

input_clause(clause375,conjecture,
    [--ssSkP4(U),
     --c4_1(U),
     --ndr1_0,
     --c3_0,
     --c10_0,
     ++ndr1_1(U)]).

input_clause(clause376,conjecture,
    [--ssSkP0(U),
     --ssSkC11,
     --c8_1(V),
     --ndr1_0,
     ++c1_1(V),
     ++ndr1_1(U),
     ++c1_1(U)]).

input_clause(clause377,conjecture,
    [--c8_1(U),
     --ndr1_0,
     --c8_0,
     --c5_0,
     ++c5_1(U),
     ++c7_1(U)]).

input_clause(clause378,conjecture,
    [--ssSkC22,
     --c2_2(a108,U),
     --c7_2(a108,U),
     --ndr1_1(a108),
     ++c2_0]).

input_clause(clause379,conjecture,
    [--c2_2(U,a118),
     --c4_1(U),
     --c2_1(U),
     --ndr1_0,
     ++ssSkC24]).

input_clause(clause380,conjecture,
    [--c9_2(U,a118),
     --c4_1(U),
     --c2_1(U),
     --ndr1_0,
     ++ssSkC24]).

input_clause(clause381,conjecture,
    [--ndr1_1(a41),
     ++c8_2(a41,U),
     ++c3_2(a41,U),
     ++c6_2(a41,U),
     ++ssSkC10]).

input_clause(clause382,conjecture,
    [--ssSkC30,
     --ndr1_0,
     --c7_1(U),
     --c10_1(U),
     ++c6_1(V),
     ++c7_1(V),
     ++ndr1_1(U)]).

input_clause(clause383,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c3_1(U),
     ++ndr1_1(V),
     ++c1_1(V),
     ++c8_0]).

input_clause(clause384,conjecture,
    [--ssSkC27,
     --ssSkC28,
     --c4_2(U,a133),
     --c6_1(U),
     --c10_1(U),
     --ndr1_0]).

input_clause(clause385,conjecture,
    [--ssSkC27,
     --ssSkC28,
     --c8_2(U,a133),
     --c6_1(U),
     --c10_1(U),
     --ndr1_0]).

input_clause(clause386,conjecture,
    [--ssSkC25,
     --ndr1_1(a122),
     ++c10_2(a122,U),
     ++c3_2(a122,U),
     ++c1_2(a122,U),
     ++c3_0]).

input_clause(clause387,conjecture,
    [--ssSkC15,
     --c2_2(U,a67),
     --c10_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c7_0]).

input_clause(clause388,conjecture,
    [--ssSkC15,
     --c1_2(U,a67),
     --c10_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c7_0]).

input_clause(clause389,conjecture,
    [--ssSkP4(U),
     --c4_1(U),
     --ndr1_0,
     --c3_0,
     --c10_0,
     ++c4_2(U,a65)]).

input_clause(clause390,conjecture,
    [--ssSkP4(U),
     --c4_1(U),
     --ndr1_0,
     --c3_0,
     --c10_0,
     ++c5_2(U,a65)]).

input_clause(clause391,conjecture,
    [--ssSkP3(U),
     --ssSkC14,
     --c3_1(V),
     --ndr1_0,
     --c5_1(U),
     ++c8_1(V),
     ++ndr1_1(U)]).

input_clause(clause392,conjecture,
    [--ssSkP0(U),
     --ssSkC11,
     --c8_1(V),
     --ndr1_0,
     ++c1_1(V),
     ++c1_2(U,a50),
     ++c1_1(U)]).

input_clause(clause393,conjecture,
    [--ssSkP0(U),
     --ssSkC11,
     --c8_1(V),
     --ndr1_0,
     ++c1_1(V),
     ++c8_2(U,a50),
     ++c1_1(U)]).

input_clause(clause394,conjecture,
    [--ssSkP0(U),
     --ssSkC11,
     --c8_1(V),
     --ndr1_0,
     ++c1_1(V),
     ++c10_2(U,a50),
     ++c1_1(U)]).

input_clause(clause395,conjecture,
    [--c2_2(a31,U),
     --ndr1_1(a31),
     ++c1_2(a31,U),
     ++c6_2(a31,U),
     ++ssSkC6]).

input_clause(clause396,conjecture,
    [--ssSkC30,
     --ndr1_0,
     --c7_1(U),
     --c10_1(U),
     ++c6_1(V),
     ++c7_1(V),
     ++c7_2(U,a146)]).

input_clause(clause397,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c3_1(U),
     ++c7_2(V,a142),
     ++c1_1(V),
     ++c8_0]).

input_clause(clause398,conjecture,
    [--ssSkP4(U),
     --c6_2(U,a65),
     --c4_1(U),
     --ndr1_0,
     --c3_0,
     --c10_0]).

input_clause(clause399,conjecture,
    [--ssSkP3(U),
     --ssSkC14,
     --c3_1(V),
     --ndr1_0,
     --c5_1(U),
     ++c8_1(V),
     ++c3_2(U,a63)]).

input_clause(clause400,conjecture,
    [--ssSkC4,
     --ndr1_1(a18),
     --c1_0,
     ++c8_2(a18,U),
     ++c4_2(a18,U),
     ++c7_2(a18,U)]).

input_clause(clause401,conjecture,
    [--c8_1(U),
     --c2_1(U),
     --ndr1_0,
     --c4_1(V),
     ++c3_1(U),
     ++c10_1(V),
     ++c2_0]).

input_clause(clause402,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c1_2(U,V),
     ++c10_1(U),
     ++c8_0]).

input_clause(clause403,conjecture,
    [--c3_2(a100,U),
     --c7_2(a100,U),
     --ndr1_1(a100),
     ++c2_2(a100,U),
     ++ssSkC21]).

input_clause(clause404,conjecture,
    [--c1_2(a87,U),
     --c5_2(a87,U),
     --ndr1_1(a87),
     ++c6_2(a87,U),
     ++ssSkC18]).

input_clause(clause405,conjecture,
    [--c5_2(a75,U),
     --c6_2(a75,U),
     --ndr1_1(a75),
     ++c4_2(a75,U),
     ++ssSkC17]).

input_clause(clause406,conjecture,
    [--ssSkC30,
     --ndr1_0,
     --c9_2(U,a146),
     --c7_1(U),
     --c10_1(U),
     ++c6_1(V),
     ++c7_1(V)]).

input_clause(clause407,conjecture,
    [--ssSkC30,
     --ndr1_0,
     --c1_2(U,a146),
     --c7_1(U),
     --c10_1(U),
     ++c6_1(V),
     ++c7_1(V)]).

input_clause(clause408,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c6_2(V,a142),
     --c3_1(V),
     ++c3_1(U),
     ++c1_1(V),
     ++c8_0]).

input_clause(clause409,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c9_2(V,a142),
     --c3_1(V),
     ++c3_1(U),
     ++c1_1(V),
     ++c8_0]).

input_clause(clause410,conjecture,
    [--c8_2(a114,U),
     --ndr1_1(a114),
     --c10_0,
     ++c10_2(a114,U),
     ++c1_2(a114,U),
     ++c2_0]).

input_clause(clause411,conjecture,
    [--ssSkP3(U),
     --ssSkC14,
     --c3_1(V),
     --ndr1_0,
     --c7_2(U,a63),
     --c5_1(U),
     ++c8_1(V)]).

input_clause(clause412,conjecture,
    [--ssSkP3(U),
     --ssSkC14,
     --c3_1(V),
     --ndr1_0,
     --c8_2(U,a63),
     --c5_1(U),
     ++c8_1(V)]).

input_clause(clause413,conjecture,
    [--ssSkC13,
     --c7_2(a59,U),
     --ndr1_1(a59),
     --c2_0,
     ++c8_2(a59,U),
     ++c9_2(a59,U)]).

input_clause(clause414,conjecture,
    [--c4_2(a16,U),
     --c7_2(a16,U),
     --c10_2(a16,U),
     --ndr1_1(a16),
     ++ssSkC4]).

input_clause(clause415,conjecture,
    [--c1_2(a128,U),
     --c4_2(a128,U),
     --ndr1_1(a128),
     --c9_0,
     ++c6_2(a128,U),
     ++c5_0]).

input_clause(clause416,conjecture,
    [--c7_2(a127,U),
     --c4_2(a127,U),
     --ndr1_1(a127),
     --c1_0,
     ++c10_2(a127,U),
     ++c3_0]).

input_clause(clause417,conjecture,
    [--c3_2(a53,U),
     --ndr1_1(a53),
     --c1_0,
     --c5_0,
     ++c1_2(a53,U),
     ++c6_2(a53,U)]).

input_clause(clause418,conjecture,
    [--c10_2(a53,U),
     --ndr1_1(a53),
     --c1_0,
     --c5_0,
     ++c4_2(a53,U),
     ++c7_2(a53,U)]).

input_clause(clause419,conjecture,
    [--c5_2(a44,U),
     --ndr1_1(a44),
     --c10_0,
     --c1_0,
     ++c4_2(a44,U),
     ++c3_2(a44,U)]).

input_clause(clause420,conjecture,
    [--c6_2(a28,U),
     --ndr1_1(a28),
     --c4_0,
     --c8_0,
     ++c7_2(a28,U),
     ++c3_2(a28,U)]).

input_clause(clause421,conjecture,
    [--c7_2(a26,U),
     --c4_2(a26,U),
     --ndr1_1(a26),
     --c9_0,
     ++c8_2(a26,U),
     ++c10_0]).

input_clause(clause422,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c8_2(U,V),
     ++c5_2(U,a111),
     ++ssSkC23]).

input_clause(clause423,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c8_2(U,V),
     ++c4_2(U,a111),
     ++ssSkC23]).

input_clause(clause424,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c10_0,
     ++c10_2(U,V),
     ++c8_2(U,a52),
     ++c10_1(U),
     ++c3_0]).

input_clause(clause425,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c10_0,
     ++c10_2(U,V),
     ++c3_2(U,a52),
     ++c10_1(U),
     ++c3_0]).

input_clause(clause426,conjecture,
    [--c9_2(a51,U),
     --c1_2(a51,U),
     --c4_2(a51,U),
     --ndr1_1(a51),
     --c6_0,
     ++c4_0]).

input_clause(clause427,conjecture,
    [--c1_2(a28,U),
     --c8_2(a28,U),
     --ndr1_1(a28),
     --c4_0,
     --c8_0,
     ++c5_2(a28,U)]).

input_clause(clause428,conjecture,
    [--c4_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++c10_0,
     ++c8_0]).

input_clause(clause429,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a111),
     --ndr1_0,
     ++c10_2(U,V),
     ++c8_2(U,V),
     ++ssSkC23]).

input_clause(clause430,conjecture,
    [--ssSkP2(U),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c5_2(U,V),
     ++c9_2(U,a61),
     ++ssSkC14]).

input_clause(clause431,conjecture,
    [--c7_2(a134,U),
     --c2_2(a134,U),
     --c5_2(a134,U),
     --ndr1_1(a134),
     --c1_0,
     --c10_0]).

input_clause(clause432,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c10_2(U,V),
     ++c1_2(U,a130),
     ++c5_1(U),
     ++c9_0,
     ++c2_0]).

input_clause(clause433,conjecture,
    [--c10_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++ndr1_1(W),
     ++c8_0]).

input_clause(clause434,conjecture,
    [--ssSkC12,
     --ndr1_1(U),
     --ndr1_0,
     --c1_1(a56),
     ++c2_2(U,V),
     ++c6_2(U,V),
     ++c4_2(U,V),
     ++c6_1(U),
     ++c1_1(U)]).

input_clause(clause435,conjecture,
    [--ssSkC12,
     --ndr1_1(U),
     --ndr1_0,
     --c8_1(a56),
     ++c2_2(U,V),
     ++c6_2(U,V),
     ++c4_2(U,V),
     ++c6_1(U),
     ++c1_1(U)]).

input_clause(clause436,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c9_2(U,a52),
     --ndr1_0,
     --c10_0,
     ++c10_2(U,V),
     ++c10_1(U),
     ++c3_0]).

input_clause(clause437,conjecture,
    [--ssSkP2(U),
     --c1_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a61),
     --ndr1_0,
     ++c7_2(U,V),
     ++c5_2(U,V),
     ++ssSkC14]).

input_clause(clause438,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a130),
     --ndr1_0,
     ++c8_2(U,V),
     ++c10_2(U,V),
     ++c5_1(U),
     ++c9_0,
     ++c2_0]).

input_clause(clause439,conjecture,
    [--c5_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c10_1(U),
     ++c7_1(U),
     ++ndr1_1(a81),
     ++c9_0]).

input_clause(clause440,conjecture,
    [--c10_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c3_2(W,a74),
     ++c8_0]).

input_clause(clause441,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c3_1(U),
     ++c3_1(a15),
     ++c8_0]).

input_clause(clause442,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c8_0,
     --c1_0,
     ++c4_2(U,V),
     ++c10_2(U,V),
     ++c7_1(U),
     ++c5_1(U)]).

input_clause(clause443,conjecture,
    [--c5_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c10_1(U),
     ++c7_1(U),
     ++c3_2(a81,a82),
     ++c9_0]).

input_clause(clause444,conjecture,
    [--c5_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_1(a81),
     ++c8_2(U,V),
     ++c10_1(U),
     ++c7_1(U),
     ++c9_0]).

input_clause(clause445,conjecture,
    [--c5_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c9_1(a81),
     ++c8_2(U,V),
     ++c10_1(U),
     ++c7_1(U),
     ++c9_0]).

input_clause(clause446,conjecture,
    [--c10_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_2(W,a74),
     ++c6_2(U,V),
     ++c8_0]).

input_clause(clause447,conjecture,
    [--c10_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c8_2(W,a74),
     ++c6_2(U,V),
     ++c8_0]).

input_clause(clause448,conjecture,
    [--ssSkC16,
     --c5_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a70),
     --c1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_2(U,V),
     ++c3_0]).

input_clause(clause449,conjecture,
    [--ssSkC16,
     --c5_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a70),
     --c1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_2(U,V),
     ++c3_0]).

input_clause(clause450,conjecture,
    [--ssSkC16,
     --c5_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a70),
     --c1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_2(U,V),
     ++c3_0]).

input_clause(clause451,conjecture,
    [--ssSkC3,
     --c2_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c2_2(U,a14),
     ++c8_0]).

input_clause(clause452,conjecture,
    [--ssSkC3,
     --c2_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c10_2(U,a14),
     ++c8_0]).

input_clause(clause453,conjecture,
    [--c7_2(U,V),
     --c3_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++c3_0,
     ++c1_0]).

input_clause(clause454,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --c4_1(U),
     --ndr1_0,
     --c6_0,
     ++c2_2(U,V),
     ++c7_2(U,V),
     ++c9_0]).

input_clause(clause455,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c6_2(U,a83),
     ++c3_0,
     ++c5_0]).

input_clause(clause456,conjecture,
    [--c5_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c10_2(a81,a82),
     ++c8_2(U,V),
     ++c10_1(U),
     ++c7_1(U),
     ++c9_0]).

input_clause(clause457,conjecture,
    [--c5_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(a81,a82),
     ++c8_2(U,V),
     ++c10_1(U),
     ++c7_1(U),
     ++c9_0]).

input_clause(clause458,conjecture,
    [--ssSkC17,
     --c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c10_0,
     ++c7_2(U,V),
     ++c7_2(U,a76)]).

input_clause(clause459,conjecture,
    [--ssSkC17,
     --c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c10_0,
     ++c7_2(U,V),
     ++c6_2(U,a76)]).

input_clause(clause460,conjecture,
    [--ssSkC17,
     --c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c10_0,
     ++c7_2(U,V),
     ++c8_2(U,a76)]).

input_clause(clause461,conjecture,
    [--ssSkC3,
     --c2_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a14),
     --c6_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c8_0]).

input_clause(clause462,conjecture,
    [--c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c7_0,
     --c10_0,
     ++c1_2(U,V),
     ++c6_1(U)]).

input_clause(clause463,conjecture,
    [--ssSkC19,
     --c4_2(U,V),
     --c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c8_0,
     ++c8_2(U,a92)]).

input_clause(clause464,conjecture,
    [--ssSkC19,
     --c4_2(U,V),
     --c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c8_0,
     ++c9_2(U,a92)]).

input_clause(clause465,conjecture,
    [--ssSkC19,
     --c4_2(U,V),
     --c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c8_0,
     ++c10_2(U,a92)]).

input_clause(clause466,conjecture,
    [--ssSkC10,
     --c9_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --ndr1_0,
     ++c2_2(U,W),
     ++c3_2(U,W),
     ++c5_2(U,a42),
     ++c9_0]).

input_clause(clause467,conjecture,
    [--ssSkC10,
     --c9_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --ndr1_0,
     ++c2_2(U,W),
     ++c3_2(U,W),
     ++c4_2(U,a42),
     ++c9_0]).

input_clause(clause468,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --ndr1_0,
     --c4_1(a73),
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c9_2(U,W),
     ++c2_2(U,W),
     ++c8_1(U)]).

input_clause(clause469,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --ndr1_0,
     --c7_1(a73),
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c9_2(U,W),
     ++c2_2(U,W),
     ++c8_1(U)]).

input_clause(clause470,conjecture,
    [--ssSkC10,
     --c9_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --c10_2(U,a42),
     --ndr1_0,
     ++c2_2(U,W),
     ++c3_2(U,W),
     ++c9_0]).

input_clause(clause471,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c7_1(U),
     --ndr1_0,
     --c4_0,
     ++c8_2(U,V),
     ++c7_2(U,V),
     ++c9_2(U,W),
     ++c6_2(U,W)]).

input_clause(clause472,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --c6_2(U,W),
     --ndr1_0,
     ++c9_2(U,V),
     ++c2_2(U,V),
     ++c9_2(U,W),
     ++c2_2(U,a131),
     ++ssSkC27]).

input_clause(clause473,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c5_2(U,W),
     --ndr1_0,
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c10_2(U,W),
     ++c2_2(U,a39),
     ++ssSkC9]).

input_clause(clause474,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --c6_2(U,W),
     --c10_2(U,a131),
     --ndr1_0,
     ++c9_2(U,V),
     ++c2_2(U,V),
     ++c9_2(U,W),
     ++ssSkC27]).

input_clause(clause475,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --c6_2(U,W),
     --c1_2(U,a131),
     --ndr1_0,
     ++c9_2(U,V),
     ++c2_2(U,V),
     ++c9_2(U,W),
     ++ssSkC27]).

input_clause(clause476,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c5_2(U,W),
     --c9_2(U,a39),
     --ndr1_0,
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c10_2(U,W),
     ++ssSkC9]).

input_clause(clause477,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c5_2(U,W),
     --c3_2(U,a39),
     --ndr1_0,
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c10_2(U,W),
     ++ssSkC9]).

input_clause(clause478,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_2(W,X),
     --ndr1_1(W),
     ++c8_2(U,V),
     ++c7_2(U,V),
     ++c2_1(U),
     ++c7_2(W,X),
     ++c8_2(W,X),
     ++c7_1(W),
     ++c2_0]).

input_clause(clause479,conjecture,
    [--c4_2(U,V),
     --c9_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --ndr1_0,
     --c5_0,
     ++c4_2(U,W),
     ++c2_2(U,W),
     ++c1_2(U,a43),
     ++c3_0]).

input_clause(clause480,conjecture,
    [--c4_2(U,V),
     --c9_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --ndr1_0,
     --c5_0,
     ++c4_2(U,W),
     ++c2_2(U,W),
     ++c10_2(U,a43),
     ++c3_0]).

input_clause(clause481,conjecture,
    [--ssSkC8,
     --ssSkC9,
     --c9_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c6_2(U,W),
     --c3_2(U,W),
     --ndr1_0,
     ++c7_2(U,V),
     ++c9_2(U,a40)]).

input_clause(clause482,conjecture,
    [--c4_2(U,V),
     --c9_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c8_2(U,a43),
     --ndr1_0,
     --c5_0,
     ++c4_2(U,W),
     ++c2_2(U,W),
     ++c3_0]).

input_clause(clause483,conjecture,
    [--ssSkC8,
     --ssSkC9,
     --c9_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c6_2(U,W),
     --c3_2(U,W),
     --c3_2(U,a40),
     --ndr1_0,
     ++c7_2(U,V)]).

input_clause(clause484,conjecture,
    [--ssSkC8,
     --ssSkC9,
     --c9_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --c6_2(U,W),
     --c3_2(U,W),
     --c4_2(U,a40),
     --ndr1_0,
     ++c7_2(U,V)]).

input_clause(clause485,conjecture,
    [--c1_2(U,V),
     --c10_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c9_2(U,W),
     --ndr1_0,
     ++c9_2(U,V),
     ++c9_2(U,X),
     ++c3_2(U,X),
     ++c1_2(U,X),
     ++c10_2(U,W),
     ++c10_0,
     ++c6_0]).

input_clause(clause486,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c2_2(a15,W),
     --c4_2(a15,W),
     --ndr1_1(a15),
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c3_1(U),
     ++c5_2(a15,W),
     ++c8_0]).

input_clause(clause487,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c1_2(W,X),
     --ndr1_1(W),
     --c6_1(W),
     --c6_0,
     ++c3_2(U,V),
     ++c10_2(U,V),
     ++c9_1(U),
     ++c4_2(W,X),
     ++c8_2(W,a104)]).

input_clause(clause488,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     --c9_2(a15,W),
     --c4_2(a15,W),
     --c6_2(a15,W),
     --ndr1_1(a15),
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c3_1(U),
     ++c8_0]).

input_clause(clause489,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c1_2(W,X),
     --ndr1_1(W),
     --c4_2(W,a104),
     --c6_1(W),
     --c6_0,
     ++c3_2(U,V),
     ++c10_2(U,V),
     ++c9_1(U),
     ++c4_2(W,X)]).

input_clause(clause490,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c1_2(W,X),
     --ndr1_1(W),
     --c1_2(W,a104),
     --c6_1(W),
     --c6_0,
     ++c3_2(U,V),
     ++c10_2(U,V),
     ++c9_1(U),
     ++c4_2(W,X)]).

input_clause(clause491,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c8_2(U,W),
     --ndr1_0,
     --c10_2(a73,X),
     --c7_2(a73,X),
     --ndr1_1(a73),
     ++c7_2(U,V),
     ++c6_2(U,V),
     ++c9_2(U,W),
     ++c2_2(U,W),
     ++c8_1(U),
     ++c5_2(a73,X)]).

input_clause(clause492,conjecture,
    [--ssSkC2,
     --c10_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c8_2(W,X),
     --c1_2(W,X),
     --ndr1_1(W),
     --c3_1(W),
     ++c3_2(U,V),
     ++c10_1(U),
     ++c4_2(W,X),
     ++c1_2(W,a11)]).

input_clause(clause493,conjecture,
    [--ssSkC2,
     --c10_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c8_2(W,X),
     --c1_2(W,X),
     --ndr1_1(W),
     --c3_1(W),
     ++c3_2(U,V),
     ++c10_1(U),
     ++c4_2(W,X),
     ++c2_2(W,a11)]).

input_clause(clause494,conjecture,
    [--ssSkC2,
     --c10_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c8_2(W,X),
     --c1_2(W,X),
     --ndr1_1(W),
     --c9_2(W,a11),
     --c3_1(W),
     ++c3_2(U,V),
     ++c10_1(U),
     ++c4_2(W,X)]).

input_clause(clause495,conjecture,
    [--ndr1_0,
     --c9_2(U,V),
     --ndr1_1(U),
     --c9_2(U,W),
     --ndr1_1(X),
     --c9_1(X),
     ++c1_1(Y),
     ++c5_1(Y),
     ++c8_2(U,V),
     ++c7_2(U,V),
     ++c1_2(U,W),
     ++c2_2(U,W),
     ++c4_1(U),
     ++c9_2(X,Z),
     ++c7_2(X,Z),
     ++c4_2(X,Z),
     ++c6_2(X,a129)]).

input_clause(clause496,conjecture,
    [--ndr1_0,
     --c9_2(U,V),
     --ndr1_1(U),
     --c9_2(U,W),
     --ndr1_1(X),
     --c9_1(X),
     ++c1_1(Y),
     ++c5_1(Y),
     ++c8_2(U,V),
     ++c7_2(U,V),
     ++c1_2(U,W),
     ++c2_2(U,W),
     ++c4_1(U),
     ++c9_2(X,Z),
     ++c7_2(X,Z),
     ++c4_2(X,Z),
     ++c1_2(X,a129)]).

input_clause(clause497,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c2_2(U,W),
     --c7_2(U,W),
     --ndr1_0,
     --c2_2(X,Y),
     --ndr1_1(X),
     --c1_1(X),
     ++c10_2(U,V),
     ++c2_2(U,V),
     ++c3_1(U),
     ++c8_2(X,Y),
     ++c6_2(X,Y),
     ++c5_1(X),
     ++c5_0]).

input_clause(clause498,conjecture,
    [--ndr1_0,
     --c9_2(U,V),
     --ndr1_1(U),
     --c9_2(U,W),
     --ndr1_1(X),
     --c5_2(X,a129),
     --c9_1(X),
     ++c1_1(Y),
     ++c5_1(Y),
     ++c8_2(U,V),
     ++c7_2(U,V),
     ++c1_2(U,W),
     ++c2_2(U,W),
     ++c4_1(U),
     ++c9_2(X,Z),
     ++c7_2(X,Z),
     ++c4_2(X,Z)]).

input_clause(clause499,conjecture,
    [--c8_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c8_2(W,X),
     --c5_2(W,X),
     --ndr1_1(W),
     --c7_2(W,Y),
     --c3_2(W,Y),
     ++c10_2(U,V),
     ++c1_1(U),
     ++c10_1(U),
     ++c1_2(W,X),
     ++c2_2(W,Y),
     ++c5_1(W),
     ++ndr1_1(a71)]).

input_clause(clause500,conjecture,
    [--c8_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c8_2(W,X),
     --c5_2(W,X),
     --ndr1_1(W),
     --c7_2(W,Y),
     --c3_2(W,Y),
     ++c10_2(U,V),
     ++c1_1(U),
     ++c10_1(U),
     ++c1_2(W,X),
     ++c2_2(W,Y),
     ++c5_1(W),
     ++c4_2(a71,a72)]).

input_clause(clause501,conjecture,
    [--c8_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c8_2(W,X),
     --c5_2(W,X),
     --ndr1_1(W),
     --c7_2(W,Y),
     --c3_2(W,Y),
     ++c10_2(U,V),
     ++c1_1(U),
     ++c10_1(U),
     ++c1_2(W,X),
     ++c2_2(W,Y),
     ++c5_1(W),
     ++c7_2(a71,a72)]).

input_clause(clause502,conjecture,
    [--c8_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c8_2(W,X),
     --c5_2(W,X),
     --ndr1_1(W),
     --c7_2(W,Y),
     --c3_2(W,Y),
     --c8_1(a71),
     ++c10_2(U,V),
     ++c1_1(U),
     ++c10_1(U),
     ++c1_2(W,X),
     ++c2_2(W,Y),
     ++c5_1(W)]).

input_clause(clause503,conjecture,
    [--c8_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c8_2(W,X),
     --c5_2(W,X),
     --ndr1_1(W),
     --c7_2(W,Y),
     --c3_2(W,Y),
     --c2_1(a71),
     ++c10_2(U,V),
     ++c1_1(U),
     ++c10_1(U),
     ++c1_2(W,X),
     ++c2_2(W,Y),
     ++c5_1(W)]).

input_clause(clause504,conjecture,
    [--c8_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c8_2(W,X),
     --c5_2(W,X),
     --ndr1_1(W),
     --c7_2(W,Y),
     --c3_2(W,Y),
     --c10_2(a71,a72),
     ++c10_2(U,V),
     ++c1_1(U),
     ++c10_1(U),
     ++c1_2(W,X),
     ++c2_2(W,Y),
     ++c5_1(W)]).
%--------------------------------------------------------------------------
