%--------------------------------------------------------------------------
% File     : SYN427-1 : TPTP v2.2.1. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=150, K=3, D=2, P=0, Index=064
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-150-3-2-064.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  765 ( 440 non-Horn;   4 unit; 674 RR)
%            Number of literals   : 3367 (   0 equality)
%            Maximal clause size  :   16 (   4 average)
%            Number of predicates :  108 (  70 propositional; 0-2 arity)
%            Number of functors   :  244 ( 244 constant; 0-0 arity)
%            Number of variables  :  607 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0]).

input_clause(clause2,conjecture,
    [++c7_0]).

input_clause(clause3,conjecture,
    [++c9_0,++c6_0]).

input_clause(clause4,conjecture,
    [++c8_0,++c2_0]).

input_clause(clause5,conjecture,
    [++ndr1_1(a1770),
     ++c2_0]).

input_clause(clause6,conjecture,
    [--c7_1(a1767)]).

input_clause(clause7,conjecture,
    [--c5_1(a1767)]).

input_clause(clause8,conjecture,
    [++ndr1_1(a1685),
     ++c3_0]).

input_clause(clause9,conjecture,
    [--ssSkC19,
     ++ndr1_1(a1659)]).

input_clause(clause10,conjecture,
    [--c3_0,++c2_0]).

input_clause(clause11,conjecture,
    [--c10_0,++c5_0]).

input_clause(clause12,conjecture,
    [--c4_0,++c9_0]).

input_clause(clause13,conjecture,
    [--c8_0,++c3_0]).

input_clause(clause14,conjecture,
    [--c6_0,++c9_0]).

input_clause(clause15,conjecture,
    [--c8_0,++c4_0]).

input_clause(clause16,conjecture,
    [++ndr1_1(U),
     ++ssSkP16(U)]).

input_clause(clause17,conjecture,
    [++ndr1_1(U),
     ++ssSkP15(U)]).

input_clause(clause18,conjecture,
    [++ndr1_1(a1824),
     ++ssSkC57]).

input_clause(clause19,conjecture,
    [++c8_1(a1824),
     ++ssSkC57]).

input_clause(clause20,conjecture,
    [++ndr1_1(a1820),
     ++ssSkC56]).

input_clause(clause21,conjecture,
    [++ndr1_1(a1817),
     ++ssSkC55]).

input_clause(clause22,conjecture,
    [++c10_1(a1817),
     ++ssSkC55]).

input_clause(clause23,conjecture,
    [++ndr1_1(a1811),
     ++ssSkC54]).

input_clause(clause24,conjecture,
    [++c3_1(a1811),
     ++ssSkC54]).

input_clause(clause25,conjecture,
    [++ndr1_1(a1807),
     ++ssSkC52]).

input_clause(clause26,conjecture,
    [++c8_1(a1807),
     ++ssSkC52]).

input_clause(clause27,conjecture,
    [++c9_1(a1807),
     ++ssSkC52]).

input_clause(clause28,conjecture,
    [++ndr1_1(U),
     ++ssSkP14(U)]).

input_clause(clause29,conjecture,
    [++ndr1_1(a1795),
     ++ssSkC50]).

input_clause(clause30,conjecture,
    [++ndr1_1(U),
     ++ssSkP13(U)]).

input_clause(clause31,conjecture,
    [++ndr1_1(a1785),
     ++ssSkC48]).

input_clause(clause32,conjecture,
    [++ndr1_1(U),
     ++ssSkP12(U)]).

input_clause(clause33,conjecture,
    [++ndr1_1(U),
     ++ssSkP11(U)]).

input_clause(clause34,conjecture,
    [++ndr1_1(U),
     ++ssSkP10(U)]).

input_clause(clause35,conjecture,
    [++ndr1_1(U),
     ++ssSkP9(U)]).

input_clause(clause36,conjecture,
    [++ndr1_1(U),
     ++ssSkP8(U)]).

input_clause(clause37,conjecture,
    [++ndr1_1(a1756),
     ++ssSkC43]).

input_clause(clause38,conjecture,
    [++c4_1(a1756),
     ++ssSkC43]).

input_clause(clause39,conjecture,
    [++c2_1(a1756),
     ++ssSkC43]).

input_clause(clause40,conjecture,
    [++ndr1_1(U),
     ++ssSkP7(U)]).

input_clause(clause41,conjecture,
    [++ndr1_1(a1743),
     ++ssSkC39]).

input_clause(clause42,conjecture,
    [++ndr1_1(a1740),
     ++ssSkC38]).

input_clause(clause43,conjecture,
    [++c2_1(a1740),
     ++ssSkC38]).

input_clause(clause44,conjecture,
    [++ndr1_1(U),
     ++ssSkP6(U)]).

input_clause(clause45,conjecture,
    [++c6_1(a1736),
     ++ssSkC37]).

input_clause(clause46,conjecture,
    [++ndr1_1(a1733),
     ++ssSkC36]).

input_clause(clause47,conjecture,
    [++c5_1(a1729),
     ++ssSkC35]).

input_clause(clause48,conjecture,
    [++c3_1(a1729),
     ++ssSkC35]).

input_clause(clause49,conjecture,
    [++ndr1_1(a1721),
     ++ssSkC33]).

input_clause(clause50,conjecture,
    [++ndr1_1(a1712),
     ++ssSkC30]).

input_clause(clause51,conjecture,
    [++c2_1(a1712),
     ++ssSkC30]).

input_clause(clause52,conjecture,
    [++ndr1_1(a1706),
     ++ssSkC27]).

input_clause(clause53,conjecture,
    [++c4_1(a1706),
     ++ssSkC27]).

input_clause(clause54,conjecture,
    [++c9_1(a1694),
     ++ssSkC25]).

input_clause(clause55,conjecture,
    [++ndr1_1(a1692),
     ++ssSkC24]).

input_clause(clause56,conjecture,
    [++ndr1_1(U),
     ++ssSkP5(U)]).

input_clause(clause57,conjecture,
    [++ndr1_1(a1672),
     ++ssSkC22]).

input_clause(clause58,conjecture,
    [++ndr1_1(a1662),
     ++ssSkC20]).

input_clause(clause59,conjecture,
    [++c2_1(a1662),
     ++ssSkC20]).

input_clause(clause60,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause61,conjecture,
    [++ndr1_1(a1635),
     ++ssSkC14]).

input_clause(clause62,conjecture,
    [++ndr1_1(a1631),
     ++ssSkC13]).

input_clause(clause63,conjecture,
    [++c5_1(a1631),
     ++ssSkC13]).

input_clause(clause64,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause65,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause66,conjecture,
    [++ndr1_1(a1618),
     ++ssSkC10]).

input_clause(clause67,conjecture,
    [++c5_1(a1618),
     ++ssSkC10]).

input_clause(clause68,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause69,conjecture,
    [++c7_1(a1610),
     ++ssSkC9]).

input_clause(clause70,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause71,conjecture,
    [++ndr1_1(a1593),
     ++ssSkC3]).

input_clause(clause72,conjecture,
    [++c9_1(a1593),
     ++ssSkC3]).

input_clause(clause73,conjecture,
    [++c2_1(a1587),
     ++ssSkC2]).

input_clause(clause74,conjecture,
    [++ndr1_1(a1582),
     ++ssSkC0]).

input_clause(clause75,conjecture,
    [++c1_1(a1582),
     ++ssSkC0]).

input_clause(clause76,conjecture,
    [--ssSkC57,
     ++ndr1_1(a1826),
     ++c10_0]).

input_clause(clause77,conjecture,
    [--ssSkC57,
     ++c2_1(a1826),
     ++c10_0]).

input_clause(clause78,conjecture,
    [--ssSkC57,
     ++c10_1(a1826),
     ++c10_0]).

input_clause(clause79,conjecture,
    [--ssSkC55,
     --ssSkC56,
     ++ndr1_1(a1822)]).

input_clause(clause80,conjecture,
    [--ssSkC55,
     --ssSkC56,
     ++c10_1(a1822)]).

input_clause(clause81,conjecture,
    [--ssSkC51,
     ++ndr1_1(a1802),
     ++c8_0]).

input_clause(clause82,conjecture,
    [--ssSkC51,
     ++c7_1(a1802),
     ++c8_0]).

input_clause(clause83,conjecture,
    [--ssSkC47,
     --ssSkC48,
     ++ndr1_1(a1787)]).

input_clause(clause84,conjecture,
    [++c9_2(a1770,a1771),
     ++c2_0]).

input_clause(clause85,conjecture,
    [--c5_1(a1770),
     ++c2_0]).

input_clause(clause86,conjecture,
    [--ssSkC43,
     ++ndr1_1(a1758),
     ++c9_0]).

input_clause(clause87,conjecture,
    [--ssSkC34,
     --ssSkC35,
     ++ndr1_1(a1730)]).

input_clause(clause88,conjecture,
    [--ssSkC32,
     --ssSkC33,
     ++ndr1_1(a1723)]).

input_clause(clause89,conjecture,
    [--ssSkC28,
     --ssSkC29,
     ++c1_1(a1711)]).

input_clause(clause90,conjecture,
    [--ssSkC28,
     --ssSkC29,
     ++c9_1(a1711)]).

input_clause(clause91,conjecture,
    [++c1_1(a1704),
     ++c1_0,
     ++c10_0]).

input_clause(clause92,conjecture,
    [--ssSkC24,
     --ssSkC25,
     ++ndr1_1(a1695)]).

input_clause(clause93,conjecture,
    [++c9_2(a1685,a1686),
     ++c3_0]).

input_clause(clause94,conjecture,
    [++c8_2(a1685,a1686),
     ++c3_0]).

input_clause(clause95,conjecture,
    [--c9_1(a1685),
     ++c3_0]).

input_clause(clause96,conjecture,
    [--c6_1(a1668),
     ++c6_0]).

input_clause(clause97,conjecture,
    [--ssSkC19,
     ++c4_2(a1659,a1661)]).

input_clause(clause98,conjecture,
    [--ssSkC19,
     ++c9_2(a1659,a1661)]).

input_clause(clause99,conjecture,
    [--ssSkC19,
     ++c4_2(a1659,a1660)]).

input_clause(clause100,conjecture,
    [--ssSkC19,
     ++c5_2(a1659,a1660)]).

input_clause(clause101,conjecture,
    [--ssSkC19,
     ++c3_2(a1659,a1660)]).

input_clause(clause102,conjecture,
    [--ssSkC19,
     --c5_1(a1659)]).

input_clause(clause103,conjecture,
    [++ndr1_1(a1655),
     ++c10_0,
     ++c4_0]).

input_clause(clause104,conjecture,
    [++c6_1(a1655),
     ++c10_0,
     ++c4_0]).

input_clause(clause105,conjecture,
    [--ssSkC17,
     --ssSkC18,
     ++c2_1(a1650)]).

input_clause(clause106,conjecture,
    [--ssSkC15,
     --ssSkC16,
     ++ndr1_1(a1645)]).

input_clause(clause107,conjecture,
    [--ssSkC15,
     --ssSkC16,
     ++c9_1(a1645)]).

input_clause(clause108,conjecture,
    [--ssSkC14,
     ++ndr1_1(a1639),
     ++c9_0]).

input_clause(clause109,conjecture,
    [--ssSkC11,
     --ssSkC12,
     ++c5_1(a1626)]).

input_clause(clause110,conjecture,
    [--ssSkC11,
     --ssSkC12,
     ++c3_1(a1626)]).

input_clause(clause111,conjecture,
    [--ssSkC11,
     --ssSkC12,
     ++c9_1(a1626)]).

input_clause(clause112,conjecture,
    [--ssSkC7,
     --ssSkC8,
     ++c10_1(a1609)]).

input_clause(clause113,conjecture,
    [--ssSkC7,
     --ssSkC8,
     ++c3_1(a1609)]).

input_clause(clause114,conjecture,
    [--ssSkC4,
     --ssSkC5,
     ++c1_1(a1601)]).

input_clause(clause115,conjecture,
    [--ssSkC4,
     --ssSkC5,
     ++c9_1(a1601)]).

input_clause(clause116,conjecture,
    [++ndr1_1(a1597),
     ++c8_0,
     ++c9_0]).

input_clause(clause117,conjecture,
    [++c5_1(a1597),
     ++c8_0,
     ++c9_0]).

input_clause(clause118,conjecture,
    [++c1_1(a1597),
     ++c8_0,
     ++c9_0]).

input_clause(clause119,conjecture,
    [--ssSkC1,
     --ssSkC2,
     ++ndr1_1(a1588)]).

input_clause(clause120,conjecture,
    [--ssSkC1,
     --ssSkC2,
     ++c5_1(a1588)]).

input_clause(clause121,conjecture,
    [--c7_0,++c10_0,++c2_0]).

input_clause(clause122,conjecture,
    [--c9_0,++c3_0,++c2_0]).

input_clause(clause123,conjecture,
    [--c2_0,++c1_0,++c9_0]).

input_clause(clause124,conjecture,
    [++c7_2(U,a1832),
     ++ssSkP16(U)]).

input_clause(clause125,conjecture,
    [++c1_2(U,a1832),
     ++ssSkP16(U)]).

input_clause(clause126,conjecture,
    [++c5_2(U,a1829),
     ++ssSkP15(U)]).

input_clause(clause127,conjecture,
    [++c4_2(U,a1829),
     ++ssSkP15(U)]).

input_clause(clause128,conjecture,
    [++c8_2(a1824,a1825),
     ++ssSkC57]).

input_clause(clause129,conjecture,
    [++c5_2(a1824,a1825),
     ++ssSkC57]).

input_clause(clause130,conjecture,
    [--c4_1(a1824),
     ++ssSkC57]).

input_clause(clause131,conjecture,
    [++c8_2(a1820,a1821),
     ++ssSkC56]).

input_clause(clause132,conjecture,
    [--c7_1(a1820),
     ++ssSkC56]).

input_clause(clause133,conjecture,
    [++c9_2(a1817,a1819),
     ++ssSkC55]).

input_clause(clause134,conjecture,
    [++c4_2(a1817,a1818),
     ++ssSkC55]).

input_clause(clause135,conjecture,
    [++c8_2(a1817,a1818),
     ++ssSkC55]).

input_clause(clause136,conjecture,
    [++c6_2(a1811,a1812),
     ++ssSkC54]).

input_clause(clause137,conjecture,
    [++c5_2(a1807,a1808),
     ++ssSkC52]).

input_clause(clause138,conjecture,
    [++c2_2(U,a1800),
     ++ssSkP14(U)]).

input_clause(clause139,conjecture,
    [++c10_2(a1795,a1797),
     ++ssSkC50]).

input_clause(clause140,conjecture,
    [++c6_2(a1795,a1796),
     ++ssSkC50]).

input_clause(clause141,conjecture,
    [--c2_1(a1795),
     ++ssSkC50]).

input_clause(clause142,conjecture,
    [++c2_2(U,a1793),
     ++ssSkP13(U)]).

input_clause(clause143,conjecture,
    [++c1_2(a1785,a1786),
     ++ssSkC48]).

input_clause(clause144,conjecture,
    [++c10_2(a1785,a1786),
     ++ssSkC48]).

input_clause(clause145,conjecture,
    [--c2_1(a1785),
     ++ssSkC48]).

input_clause(clause146,conjecture,
    [--c2_1(a1784),
     ++ssSkC47]).

input_clause(clause147,conjecture,
    [--c10_1(a1784),
     ++ssSkC47]).

input_clause(clause148,conjecture,
    [++c3_2(U,a1777),
     ++ssSkP12(U)]).

input_clause(clause149,conjecture,
    [++c5_2(U,a1773),
     ++ssSkP10(U)]).

input_clause(clause150,conjecture,
    [++c2_2(U,a1773),
     ++ssSkP10(U)]).

input_clause(clause151,conjecture,
    [++c4_2(U,a1764),
     ++ssSkP9(U)]).

input_clause(clause152,conjecture,
    [++c2_2(U,a1764),
     ++ssSkP9(U)]).

input_clause(clause153,conjecture,
    [++c9_2(U,a1764),
     ++ssSkP9(U)]).

input_clause(clause154,conjecture,
    [++c3_2(U,a1762),
     ++ssSkP8(U)]).

input_clause(clause155,conjecture,
    [++c7_2(a1756,a1757),
     ++ssSkC43]).

input_clause(clause156,conjecture,
    [++c4_2(U,a1754),
     ++ssSkP7(U)]).

input_clause(clause157,conjecture,
    [++c8_2(U,a1754),
     ++ssSkP7(U)]).

input_clause(clause158,conjecture,
    [++c2_2(U,a1754),
     ++ssSkP7(U)]).

input_clause(clause159,conjecture,
    [++c2_2(a1743,a1744),
     ++ssSkC39]).

input_clause(clause160,conjecture,
    [++c8_2(a1743,a1744),
     ++ssSkC39]).

input_clause(clause161,conjecture,
    [++c10_2(a1740,a1741),
     ++ssSkC38]).

input_clause(clause162,conjecture,
    [++c7_2(a1740,a1741),
     ++ssSkC38]).

input_clause(clause163,conjecture,
    [--c1_1(a1740),
     ++ssSkC38]).

input_clause(clause164,conjecture,
    [++c8_2(U,a1737),
     ++ssSkP6(U)]).

input_clause(clause165,conjecture,
    [--c1_1(a1736),
     ++ssSkC37]).

input_clause(clause166,conjecture,
    [--c8_1(a1736),
     ++ssSkC37]).

input_clause(clause167,conjecture,
    [++c5_2(a1733,a1735),
     ++ssSkC36]).

input_clause(clause168,conjecture,
    [++c1_2(a1733,a1735),
     ++ssSkC36]).

input_clause(clause169,conjecture,
    [++c9_2(a1733,a1735),
     ++ssSkC36]).

input_clause(clause170,conjecture,
    [++c7_2(a1733,a1734),
     ++ssSkC36]).

input_clause(clause171,conjecture,
    [++c8_2(a1733,a1734),
     ++ssSkC36]).

input_clause(clause172,conjecture,
    [--c7_1(a1733),
     ++ssSkC36]).

input_clause(clause173,conjecture,
    [--c9_1(a1729),
     ++ssSkC35]).

input_clause(clause174,conjecture,
    [--c3_1(a1721),
     ++ssSkC33]).

input_clause(clause175,conjecture,
    [++c4_2(a1712,a1713),
     ++ssSkC30]).

input_clause(clause176,conjecture,
    [++c6_2(a1706,a1707),
     ++ssSkC27]).

input_clause(clause177,conjecture,
    [--c6_1(a1698),
     ++ssSkC26]).

input_clause(clause178,conjecture,
    [--c3_1(a1698),
     ++ssSkC26]).

input_clause(clause179,conjecture,
    [--c6_1(a1694),
     ++ssSkC25]).

input_clause(clause180,conjecture,
    [++c4_2(a1692,a1693),
     ++ssSkC24]).

input_clause(clause181,conjecture,
    [++c10_2(a1692,a1693),
     ++ssSkC24]).

input_clause(clause182,conjecture,
    [--c8_1(a1692),
     ++ssSkC24]).

input_clause(clause183,conjecture,
    [++c1_2(U,a1689),
     ++ssSkP5(U)]).

input_clause(clause184,conjecture,
    [++c8_2(a1672,a1674),
     ++ssSkC22]).

input_clause(clause185,conjecture,
    [++c9_2(a1672,a1674),
     ++ssSkC22]).

input_clause(clause186,conjecture,
    [++c10_2(a1672,a1673),
     ++ssSkC22]).

input_clause(clause187,conjecture,
    [++c3_2(a1662,a1664),
     ++ssSkC20]).

input_clause(clause188,conjecture,
    [++c7_2(a1662,a1663),
     ++ssSkC20]).

input_clause(clause189,conjecture,
    [++c5_2(a1662,a1663),
     ++ssSkC20]).

input_clause(clause190,conjecture,
    [++c10_2(U,a1648),
     ++ssSkP4(U)]).

input_clause(clause191,conjecture,
    [++c3_2(U,a1648),
     ++ssSkP4(U)]).

input_clause(clause192,conjecture,
    [++c2_2(U,a1648),
     ++ssSkP4(U)]).

input_clause(clause193,conjecture,
    [--c2_1(a1647),
     ++ssSkC17]).

input_clause(clause194,conjecture,
    [--c4_1(a1647),
     ++ssSkC17]).

input_clause(clause195,conjecture,
    [--c6_1(a1644),
     ++ssSkC16]).

input_clause(clause196,conjecture,
    [--c9_1(a1644),
     ++ssSkC16]).

input_clause(clause197,conjecture,
    [++c1_2(a1635,a1638),
     ++ssSkC14]).

input_clause(clause198,conjecture,
    [++c3_2(a1635,a1637),
     ++ssSkC14]).

input_clause(clause199,conjecture,
    [++c8_2(a1635,a1636),
     ++ssSkC14]).

input_clause(clause200,conjecture,
    [++c9_2(a1635,a1636),
     ++ssSkC14]).

input_clause(clause201,conjecture,
    [++c2_2(a1635,a1636),
     ++ssSkC14]).

input_clause(clause202,conjecture,
    [++c4_2(a1631,a1633),
     ++ssSkC13]).

input_clause(clause203,conjecture,
    [++c9_2(a1631,a1633),
     ++ssSkC13]).

input_clause(clause204,conjecture,
    [++c9_2(a1631,a1632),
     ++ssSkC13]).

input_clause(clause205,conjecture,
    [++c8_2(a1618,a1619),
     ++ssSkC10]).

input_clause(clause206,conjecture,
    [++c9_2(a1618,a1619),
     ++ssSkC10]).

input_clause(clause207,conjecture,
    [++c5_2(U,a1613),
     ++ssSkP1(U)]).

input_clause(clause208,conjecture,
    [++c3_2(U,a1595),
     ++ssSkP0(U)]).

input_clause(clause209,conjecture,
    [++c4_2(U,a1595),
     ++ssSkP0(U)]).

input_clause(clause210,conjecture,
    [++c6_2(U,a1595),
     ++ssSkP0(U)]).

input_clause(clause211,conjecture,
    [--c6_1(a1593),
     ++ssSkC3]).

input_clause(clause212,conjecture,
    [--c3_1(a1587),
     ++ssSkC2]).

input_clause(clause213,conjecture,
    [++c3_2(a1582,a1583),
     ++ssSkC0]).

input_clause(clause214,conjecture,
    [--c2_1(a1582),
     ++ssSkC0]).

input_clause(clause215,conjecture,
    [--ssSkC57,
     ++c6_2(a1826,a1827),
     ++c10_0]).

input_clause(clause216,conjecture,
    [--ssSkC57,
     ++c9_2(a1826,a1827),
     ++c10_0]).

input_clause(clause217,conjecture,
    [--ssSkC55,
     --ssSkC56,
     ++c5_2(a1822,a1823)]).

input_clause(clause218,conjecture,
    [--ssSkC55,
     --ssSkC56,
     --c4_1(a1822)]).

input_clause(clause219,conjecture,
    [--c9_0,
     ++ndr1_1(a1814),
     ++c2_0]).

input_clause(clause220,conjecture,
    [--ssSkC53,
     --ssSkC54,
     --c4_1(a1813)]).

input_clause(clause221,conjecture,
    [--ssSkC53,
     --ssSkC54,
     --c5_1(a1813)]).

input_clause(clause222,conjecture,
    [--ssSkC52,
     --c8_0,
     ++c1_1(a1809)]).

input_clause(clause223,conjecture,
    [--ssSkC52,
     --c8_0,
     ++c4_1(a1809)]).

input_clause(clause224,conjecture,
    [--c1_0,
     ++ndr1_1(a1805),
     ++c10_0]).

input_clause(clause225,conjecture,
    [--ssSkC51,
     ++c5_2(a1802,a1804),
     ++c8_0]).

input_clause(clause226,conjecture,
    [--ssSkC51,
     ++c6_2(a1802,a1804),
     ++c8_0]).

input_clause(clause227,conjecture,
    [--ssSkC51,
     ++c9_2(a1802,a1803),
     ++c8_0]).

input_clause(clause228,conjecture,
    [--ssSkC51,
     ++c4_2(a1802,a1803),
     ++c8_0]).

input_clause(clause229,conjecture,
    [--ssSkC51,
     ++c7_2(a1802,a1803),
     ++c8_0]).

input_clause(clause230,conjecture,
    [--ssSkC50,
     --c3_0,
     ++ndr1_1(a1798)]).

input_clause(clause231,conjecture,
    [--ssSkC47,
     --ssSkC48,
     ++c7_2(a1787,a1789)]).

input_clause(clause232,conjecture,
    [--ssSkC47,
     --ssSkC48,
     ++c6_2(a1787,a1789)]).

input_clause(clause233,conjecture,
    [--ssSkC47,
     --ssSkC48,
     ++c1_2(a1787,a1788)]).

input_clause(clause234,conjecture,
    [--ssSkC47,
     --ssSkC48,
     --c5_1(a1787)]).

input_clause(clause235,conjecture,
    [--c2_2(a1770,a1771),
     ++c2_0]).

input_clause(clause236,conjecture,
    [--c6_2(a1770,a1771),
     ++c2_0]).

input_clause(clause237,conjecture,
    [--ssSkC43,
     ++c3_2(a1758,a1759),
     ++c9_0]).

input_clause(clause238,conjecture,
    [--ssSkC43,
     --c3_1(a1758),
     ++c9_0]).

input_clause(clause239,conjecture,
    [--ssSkC41,
     --c10_0,
     ++c6_1(a1750)]).

input_clause(clause240,conjecture,
    [--ssSkC40,
     --c6_0,
     ++c4_1(a1748)]).

input_clause(clause241,conjecture,
    [--ssSkC40,
     --c6_0,
     ++c8_1(a1748)]).

input_clause(clause242,conjecture,
    [--ssSkC39,
     --c10_0,
     ++ndr1_1(a1745)]).

input_clause(clause243,conjecture,
    [--c9_0,
     ++c7_1(a1739),
     ++c3_0]).

input_clause(clause244,conjecture,
    [--c9_0,
     ++c2_1(a1739),
     ++c3_0]).

input_clause(clause245,conjecture,
    [--c9_0,
     ++c6_1(a1739),
     ++c3_0]).

input_clause(clause246,conjecture,
    [--ssSkC34,
     --ssSkC35,
     ++c9_2(a1730,a1731)]).

input_clause(clause247,conjecture,
    [--ssSkC34,
     --ssSkC35,
     ++c5_2(a1730,a1731)]).

input_clause(clause248,conjecture,
    [--ssSkC34,
     --ssSkC35,
     ++c4_2(a1730,a1731)]).

input_clause(clause249,conjecture,
    [--ssSkC34,
     --ssSkC35,
     --c6_1(a1730)]).

input_clause(clause250,conjecture,
    [--ssSkC32,
     --ssSkC33,
     ++c9_2(a1723,a1724)]).

input_clause(clause251,conjecture,
    [--ssSkC32,
     --ssSkC33,
     ++c5_2(a1723,a1724)]).

input_clause(clause252,conjecture,
    [--ssSkC32,
     --ssSkC33,
     ++c7_2(a1723,a1724)]).

input_clause(clause253,conjecture,
    [--ssSkC32,
     --ssSkC33,
     --c5_1(a1723)]).

input_clause(clause254,conjecture,
    [--c4_0,
     ++ndr1_1(a1718),
     ++c1_0]).

input_clause(clause255,conjecture,
    [--c4_0,
     ++c2_1(a1718),
     ++c1_0]).

input_clause(clause256,conjecture,
    [--c4_0,
     ++c6_1(a1718),
     ++c1_0]).

input_clause(clause257,conjecture,
    [--c10_0,
     ++ndr1_1(a1700),
     ++c1_0]).

input_clause(clause258,conjecture,
    [--ssSkC24,
     --ssSkC25,
     ++c8_2(a1695,a1697)]).

input_clause(clause259,conjecture,
    [--ssSkC24,
     --ssSkC25,
     ++c8_2(a1695,a1696)]).

input_clause(clause260,conjecture,
    [--ssSkC24,
     --ssSkC25,
     --c9_1(a1695)]).

input_clause(clause261,conjecture,
    [--c6_2(a1685,a1686),
     ++c3_0]).

input_clause(clause262,conjecture,
    [--ssSkC23,
     --c1_0,
     ++ndr1_1(a1677)]).

input_clause(clause263,conjecture,
    [--ssSkC23,
     --c1_0,
     ++c10_1(a1677)]).

input_clause(clause264,conjecture,
    [--ssSkC23,
     --c1_0,
     ++c3_1(a1677)]).

input_clause(clause265,conjecture,
    [--ssSkC21,
     --c9_0,
     ++c4_1(a1667)]).

input_clause(clause266,conjecture,
    [--ssSkC19,
     --c1_2(a1659,a1661)]).

input_clause(clause267,conjecture,
    [++c2_2(a1655,a1656),
     ++c10_0,
     ++c4_0]).

input_clause(clause268,conjecture,
    [--c9_0,
     ++ndr1_1(a1651),
     ++c3_0]).

input_clause(clause269,conjecture,
    [--c9_0,
     ++c2_1(a1651),
     ++c3_0]).

input_clause(clause270,conjecture,
    [--ssSkC17,
     --ssSkC18,
     --c9_1(a1650)]).

input_clause(clause271,conjecture,
    [--ssSkC17,
     --ssSkC18,
     --c6_1(a1650)]).

input_clause(clause272,conjecture,
    [--ssSkC15,
     --ssSkC16,
     ++c2_2(a1645,a1646)]).

input_clause(clause273,conjecture,
    [--ssSkC15,
     --ssSkC16,
     --c6_1(a1645)]).

input_clause(clause274,conjecture,
    [--ssSkC14,
     ++c9_2(a1639,a1641),
     ++c9_0]).

input_clause(clause275,conjecture,
    [--ssSkC14,
     ++c1_2(a1639,a1641),
     ++c9_0]).

input_clause(clause276,conjecture,
    [--ssSkC14,
     ++c6_2(a1639,a1640),
     ++c9_0]).

input_clause(clause277,conjecture,
    [--ssSkC14,
     --c9_1(a1639),
     ++c9_0]).

input_clause(clause278,conjecture,
    [--ssSkC10,
     --c9_0,
     ++ndr1_1(a1620)]).

input_clause(clause279,conjecture,
    [--ssSkC10,
     --c9_0,
     ++c3_1(a1620)]).

input_clause(clause280,conjecture,
    [--c10_0,
     ++ndr1_1(a1616),
     ++c9_0]).

input_clause(clause281,conjecture,
    [--ssSkC9,
     --c3_0,
     ++ndr1_1(a1611)]).

input_clause(clause282,conjecture,
    [--ssSkC9,
     --c3_0,
     ++c10_1(a1611)]).

input_clause(clause283,conjecture,
    [--ssSkC7,
     --ssSkC8,
     --c2_1(a1609)]).

input_clause(clause284,conjecture,
    [++c2_2(a1597,a1598),
     ++c8_0,
     ++c9_0]).

input_clause(clause285,conjecture,
    [--ssSkC1,
     --ssSkC2,
     ++c4_2(a1588,a1590)]).

input_clause(clause286,conjecture,
    [--ssSkC1,
     --ssSkC2,
     ++c6_2(a1588,a1589)]).

input_clause(clause287,conjecture,
    [--ssSkC0,
     --c8_0,
     ++ndr1_1(a1584)]).

input_clause(clause288,conjecture,
    [--c4_0,--c2_0,++c6_0]).

input_clause(clause289,conjecture,
    [--c4_0,--c10_0,++c3_0]).

input_clause(clause290,conjecture,
    [--c7_0,--c3_0,++c5_0]).

input_clause(clause291,conjecture,
    [--c4_2(U,a1832),
     ++ssSkP16(U)]).

input_clause(clause292,conjecture,
    [--c2_2(U,a1829),
     ++ssSkP15(U)]).

input_clause(clause293,conjecture,
    [--c9_2(a1824,a1825),
     ++ssSkC57]).

input_clause(clause294,conjecture,
    [--c1_2(a1820,a1821),
     ++ssSkC56]).

input_clause(clause295,conjecture,
    [--c9_2(a1820,a1821),
     ++ssSkC56]).

input_clause(clause296,conjecture,
    [--c8_2(a1817,a1819),
     ++ssSkC55]).

input_clause(clause297,conjecture,
    [--c4_2(a1817,a1819),
     ++ssSkC55]).

input_clause(clause298,conjecture,
    [--c2_2(a1817,a1818),
     ++ssSkC55]).

input_clause(clause299,conjecture,
    [--c10_2(a1811,a1812),
     ++ssSkC54]).

input_clause(clause300,conjecture,
    [--c9_2(a1807,a1808),
     ++ssSkC52]).

input_clause(clause301,conjecture,
    [--c6_2(a1807,a1808),
     ++ssSkC52]).

input_clause(clause302,conjecture,
    [--c10_2(U,a1800),
     ++ssSkP14(U)]).

input_clause(clause303,conjecture,
    [--c8_2(a1795,a1797),
     ++ssSkC50]).

input_clause(clause304,conjecture,
    [--c2_2(a1795,a1797),
     ++ssSkC50]).

input_clause(clause305,conjecture,
    [--c10_2(a1795,a1796),
     ++ssSkC50]).

input_clause(clause306,conjecture,
    [--c5_2(a1795,a1796),
     ++ssSkC50]).

input_clause(clause307,conjecture,
    [--c8_2(U,a1793),
     ++ssSkP13(U)]).

input_clause(clause308,conjecture,
    [--c5_2(U,a1793),
     ++ssSkP13(U)]).

input_clause(clause309,conjecture,
    [--c4_2(a1785,a1786),
     ++ssSkC48]).

input_clause(clause310,conjecture,
    [--c2_2(U,a1777),
     ++ssSkP12(U)]).

input_clause(clause311,conjecture,
    [--c8_2(U,a1777),
     ++ssSkP12(U)]).

input_clause(clause312,conjecture,
    [--c7_2(U,a1775),
     ++ssSkP11(U)]).

input_clause(clause313,conjecture,
    [--c9_2(U,a1775),
     ++ssSkP11(U)]).

input_clause(clause314,conjecture,
    [--c8_2(U,a1775),
     ++ssSkP11(U)]).

input_clause(clause315,conjecture,
    [--c4_2(U,a1773),
     ++ssSkP10(U)]).

input_clause(clause316,conjecture,
    [--c2_2(U,a1762),
     ++ssSkP8(U)]).

input_clause(clause317,conjecture,
    [--c10_2(U,a1762),
     ++ssSkP8(U)]).

input_clause(clause318,conjecture,
    [--c2_2(a1756,a1757),
     ++ssSkC43]).

input_clause(clause319,conjecture,
    [--c6_2(a1756,a1757),
     ++ssSkC43]).

input_clause(clause320,conjecture,
    [--c1_2(a1743,a1744),
     ++ssSkC39]).

input_clause(clause321,conjecture,
    [--c4_2(a1740,a1741),
     ++ssSkC38]).

input_clause(clause322,conjecture,
    [--c10_2(U,a1737),
     ++ssSkP6(U)]).

input_clause(clause323,conjecture,
    [--c6_2(a1733,a1734),
     ++ssSkC36]).

input_clause(clause324,conjecture,
    [--c8_2(a1721,a1722),
     ++ssSkC33]).

input_clause(clause325,conjecture,
    [--c4_2(a1721,a1722),
     ++ssSkC33]).

input_clause(clause326,conjecture,
    [--c2_2(a1721,a1722),
     ++ssSkC33]).

input_clause(clause327,conjecture,
    [--c7_2(a1712,a1713),
     ++ssSkC30]).

input_clause(clause328,conjecture,
    [--c10_2(a1712,a1713),
     ++ssSkC30]).

input_clause(clause329,conjecture,
    [--c7_2(a1706,a1707),
     ++ssSkC27]).

input_clause(clause330,conjecture,
    [--c8_2(a1706,a1707),
     ++ssSkC27]).

input_clause(clause331,conjecture,
    [--c9_2(a1692,a1693),
     ++ssSkC24]).

input_clause(clause332,conjecture,
    [--c3_2(U,a1689),
     ++ssSkP5(U)]).

input_clause(clause333,conjecture,
    [--c9_2(U,a1689),
     ++ssSkP5(U)]).

input_clause(clause334,conjecture,
    [--c1_2(a1672,a1674),
     ++ssSkC22]).

input_clause(clause335,conjecture,
    [--c4_2(a1672,a1673),
     ++ssSkC22]).

input_clause(clause336,conjecture,
    [--c6_2(a1672,a1673),
     ++ssSkC22]).

input_clause(clause337,conjecture,
    [--c10_2(a1662,a1664),
     ++ssSkC20]).

input_clause(clause338,conjecture,
    [--c1_2(a1662,a1664),
     ++ssSkC20]).

input_clause(clause339,conjecture,
    [--c1_2(a1662,a1663),
     ++ssSkC20]).

input_clause(clause340,conjecture,
    [--c5_2(a1635,a1638),
     ++ssSkC14]).

input_clause(clause341,conjecture,
    [--c8_2(a1635,a1638),
     ++ssSkC14]).

input_clause(clause342,conjecture,
    [--c2_2(a1635,a1637),
     ++ssSkC14]).

input_clause(clause343,conjecture,
    [--c3_2(a1631,a1633),
     ++ssSkC13]).

input_clause(clause344,conjecture,
    [--c1_2(a1631,a1632),
     ++ssSkC13]).

input_clause(clause345,conjecture,
    [--c5_2(a1631,a1632),
     ++ssSkC13]).

input_clause(clause346,conjecture,
    [--c7_2(U,a1627),
     ++ssSkP3(U)]).

input_clause(clause347,conjecture,
    [--c10_2(U,a1627),
     ++ssSkP3(U)]).

input_clause(clause348,conjecture,
    [--c1_2(U,a1627),
     ++ssSkP3(U)]).

input_clause(clause349,conjecture,
    [--c2_2(U,a1623),
     ++ssSkP2(U)]).

input_clause(clause350,conjecture,
    [--c6_2(U,a1623),
     ++ssSkP2(U)]).

input_clause(clause351,conjecture,
    [--c10_2(U,a1623),
     ++ssSkP2(U)]).

input_clause(clause352,conjecture,
    [--c6_2(a1618,a1619),
     ++ssSkC10]).

input_clause(clause353,conjecture,
    [--c1_2(U,a1613),
     ++ssSkP1(U)]).

input_clause(clause354,conjecture,
    [--c9_2(U,a1613),
     ++ssSkP1(U)]).

input_clause(clause355,conjecture,
    [--c10_2(a1593,a1594),
     ++ssSkC3]).

input_clause(clause356,conjecture,
    [--c8_2(a1593,a1594),
     ++ssSkC3]).

input_clause(clause357,conjecture,
    [--c3_2(a1593,a1594),
     ++ssSkC3]).

input_clause(clause358,conjecture,
    [--c10_2(a1582,a1583),
     ++ssSkC0]).

input_clause(clause359,conjecture,
    [--c4_2(a1582,a1583),
     ++ssSkC0]).

input_clause(clause360,conjecture,
    [--ssSkC57,
     --c4_2(a1826,a1827),
     ++c10_0]).

input_clause(clause361,conjecture,
    [--ssSkC55,
     --ssSkC56,
     --c9_2(a1822,a1823)]).

input_clause(clause362,conjecture,
    [--ssSkC55,
     --ssSkC56,
     --c7_2(a1822,a1823)]).

input_clause(clause363,conjecture,
    [--c9_0,
     ++c3_2(a1814,a1815),
     ++c2_0]).

input_clause(clause364,conjecture,
    [--c6_1(a1814),
     --c9_0,
     ++c2_0]).

input_clause(clause365,conjecture,
    [--ssSkC52,
     --c8_1(a1809),
     --c8_0]).

input_clause(clause366,conjecture,
    [--c7_1(a1805),
     --c1_0,
     ++c10_0]).

input_clause(clause367,conjecture,
    [--ssSkC51,
     --c7_2(a1802,a1804),
     ++c8_0]).

input_clause(clause368,conjecture,
    [--ssSkC50,
     --c3_0,
     ++c5_2(a1798,a1799)]).

input_clause(clause369,conjecture,
    [--ssSkC50,
     --c3_0,
     ++c10_2(a1798,a1799)]).

input_clause(clause370,conjecture,
    [--ssSkC50,
     --c1_1(a1798),
     --c3_0]).

input_clause(clause371,conjecture,
    [--ssSkC50,
     --c6_1(a1798),
     --c3_0]).

input_clause(clause372,conjecture,
    [--ssSkC47,
     --ssSkC48,
     --c9_2(a1787,a1789)]).

input_clause(clause373,conjecture,
    [--ssSkC47,
     --ssSkC48,
     --c3_2(a1787,a1788)]).

input_clause(clause374,conjecture,
    [--ssSkC47,
     --ssSkC48,
     --c8_2(a1787,a1788)]).

input_clause(clause375,conjecture,
    [--c8_1(a1779),
     --c2_0,
     ++c9_0]).

input_clause(clause376,conjecture,
    [--c2_1(a1779),
     --c2_0,
     ++c9_0]).

input_clause(clause377,conjecture,
    [--c7_1(a1779),
     --c2_0,
     ++c9_0]).

input_clause(clause378,conjecture,
    [--ssSkC43,
     --c2_2(a1758,a1759),
     ++c9_0]).

input_clause(clause379,conjecture,
    [--ssSkC43,
     --c10_2(a1758,a1759),
     ++c9_0]).

input_clause(clause380,conjecture,
    [--c8_1(a1752),
     --c3_0,
     ++c1_0]).

input_clause(clause381,conjecture,
    [--c9_1(a1752),
     --c3_0,
     ++c1_0]).

input_clause(clause382,conjecture,
    [--ssSkC39,
     --c10_0,
     ++c1_2(a1745,a1746)]).

input_clause(clause383,conjecture,
    [--ssSkC39,
     --c8_1(a1745),
     --c10_0]).

input_clause(clause384,conjecture,
    [--c4_0,
     ++c7_2(a1718,a1719),
     ++c1_0]).

input_clause(clause385,conjecture,
    [--c4_0,
     ++c6_2(a1718,a1719),
     ++c1_0]).

input_clause(clause386,conjecture,
    [--c7_0,
     --c6_0,
     ++ndr1_1(a1702)]).

input_clause(clause387,conjecture,
    [--c10_0,
     ++c4_2(a1700,a1701),
     ++c1_0]).

input_clause(clause388,conjecture,
    [--c10_0,
     ++c9_2(a1700,a1701),
     ++c1_0]).

input_clause(clause389,conjecture,
    [--c7_1(a1700),
     --c10_0,
     ++c1_0]).

input_clause(clause390,conjecture,
    [--ssSkC24,
     --ssSkC25,
     --c2_2(a1695,a1697)]).

input_clause(clause391,conjecture,
    [--ssSkC24,
     --ssSkC25,
     --c10_2(a1695,a1697)]).

input_clause(clause392,conjecture,
    [--ssSkC24,
     --ssSkC25,
     --c1_2(a1695,a1696)]).

input_clause(clause393,conjecture,
    [--ssSkC24,
     --ssSkC25,
     --c9_2(a1695,a1696)]).

input_clause(clause394,conjecture,
    [--c3_0,
     --c8_0,
     ++c8_1(a1688)]).

input_clause(clause395,conjecture,
    [--c2_0,
     --c5_0,
     ++ndr1_1(a1683)]).

input_clause(clause396,conjecture,
    [--c2_0,
     --c5_0,
     ++c8_1(a1683)]).

input_clause(clause397,conjecture,
    [--c5_0,
     --c3_0,
     ++c8_1(a1681)]).

input_clause(clause398,conjecture,
    [--c5_0,
     --c3_0,
     ++c3_1(a1681)]).

input_clause(clause399,conjecture,
    [--c6_0,
     --c9_0,
     ++ndr1_1(a1679)]).

input_clause(clause400,conjecture,
    [--ssSkC23,
     --c1_0,
     ++c9_2(a1677,a1678)]).

input_clause(clause401,conjecture,
    [--ssSkC21,
     --c9_1(a1667),
     --c9_0]).

input_clause(clause402,conjecture,
    [--c7_2(a1655,a1656),
     ++c10_0,
     ++c4_0]).

input_clause(clause403,conjecture,
    [--c9_0,
     ++c2_2(a1651,a1652),
     ++c3_0]).

input_clause(clause404,conjecture,
    [--c10_1(a1651),
     --c9_0,
     ++c3_0]).

input_clause(clause405,conjecture,
    [--ssSkC15,
     --ssSkC16,
     --c1_2(a1645,a1646)]).

input_clause(clause406,conjecture,
    [--ssSkC15,
     --ssSkC16,
     --c5_2(a1645,a1646)]).

input_clause(clause407,conjecture,
    [--ssSkC14,
     --c10_2(a1639,a1641),
     ++c9_0]).

input_clause(clause408,conjecture,
    [--ssSkC14,
     --c4_2(a1639,a1640),
     ++c9_0]).

input_clause(clause409,conjecture,
    [--ssSkC14,
     --c5_2(a1639,a1640),
     ++c9_0]).

input_clause(clause410,conjecture,
    [--ssSkC10,
     --c9_0,
     ++c7_2(a1620,a1621)]).

input_clause(clause411,conjecture,
    [--c10_0,
     ++c8_2(a1616,a1617),
     ++c9_0]).

input_clause(clause412,conjecture,
    [--c3_1(a1616),
     --c10_0,
     ++c9_0]).

input_clause(clause413,conjecture,
    [--c9_1(a1616),
     --c10_0,
     ++c9_0]).

input_clause(clause414,conjecture,
    [--ssSkC9,
     --c3_0,
     ++c9_2(a1611,a1612)]).

input_clause(clause415,conjecture,
    [--ssSkC9,
     --c5_1(a1611),
     --c3_0]).

input_clause(clause416,conjecture,
    [--c8_2(a1597,a1598),
     ++c8_0,
     ++c9_0]).

input_clause(clause417,conjecture,
    [--c1_2(a1597,a1598),
     ++c8_0,
     ++c9_0]).

input_clause(clause418,conjecture,
    [--ssSkC1,
     --ssSkC2,
     --c9_2(a1588,a1590)]).

input_clause(clause419,conjecture,
    [--ssSkC1,
     --ssSkC2,
     --c6_2(a1588,a1590)]).

input_clause(clause420,conjecture,
    [--ssSkC1,
     --ssSkC2,
     --c9_2(a1588,a1589)]).

input_clause(clause421,conjecture,
    [--ssSkC1,
     --ssSkC2,
     --c10_2(a1588,a1589)]).

input_clause(clause422,conjecture,
    [--ssSkC0,
     --c8_0,
     ++c8_2(a1584,a1585)]).

input_clause(clause423,conjecture,
    [--ssSkC0,
     --c8_0,
     ++c2_2(a1584,a1585)]).

input_clause(clause424,conjecture,
    [--ssSkC0,
     --c7_1(a1584),
     --c8_0]).

input_clause(clause425,conjecture,
    [--c4_0,--c1_0,--c6_0]).

input_clause(clause426,conjecture,
    [--ssSkP4(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC18]).

input_clause(clause427,conjecture,
    [--c2_2(a1814,a1815),
     --c9_0,
     ++c2_0]).

input_clause(clause428,conjecture,
    [--c10_2(a1814,a1815),
     --c9_0,
     ++c2_0]).

input_clause(clause429,conjecture,
    [--c5_2(a1805,a1806),
     --c1_0,
     ++c10_0]).

input_clause(clause430,conjecture,
    [--c4_2(a1805,a1806),
     --c1_0,
     ++c10_0]).

input_clause(clause431,conjecture,
    [--c6_2(a1805,a1806),
     --c1_0,
     ++c10_0]).

input_clause(clause432,conjecture,
    [--ssSkC50,
     --c9_2(a1798,a1799),
     --c3_0]).

input_clause(clause433,conjecture,
    [--ssSkC39,
     --c6_2(a1745,a1746),
     --c10_0]).

input_clause(clause434,conjecture,
    [--ssSkC39,
     --c4_2(a1745,a1746),
     --c10_0]).

input_clause(clause435,conjecture,
    [--c5_2(a1718,a1719),
     --c4_0,
     ++c1_0]).

input_clause(clause436,conjecture,
    [--c3_1(a1705),
     --c3_0,
     --c5_0]).

input_clause(clause437,conjecture,
    [--c9_1(a1705),
     --c3_0,
     --c5_0]).

input_clause(clause438,conjecture,
    [--c1_1(a1705),
     --c3_0,
     --c5_0]).

input_clause(clause439,conjecture,
    [--c7_0,
     --c6_0,
     ++c10_2(a1702,a1703)]).

input_clause(clause440,conjecture,
    [--c7_2(a1700,a1701),
     --c10_0,
     ++c1_0]).

input_clause(clause441,conjecture,
    [--ssSkP5(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c8_0,
     ++c10_0]).

input_clause(clause442,conjecture,
    [--c6_1(a1688),
     --c3_0,
     --c8_0]).

input_clause(clause443,conjecture,
    [--c2_0,
     --c5_0,
     ++c5_2(a1683,a1684)]).

input_clause(clause444,conjecture,
    [--c2_1(a1683),
     --c2_0,
     --c5_0]).

input_clause(clause445,conjecture,
    [--c6_0,
     --c9_0,
     ++c8_2(a1679,a1680)]).

input_clause(clause446,conjecture,
    [--c6_0,
     --c9_0,
     ++c7_2(a1679,a1680)]).

input_clause(clause447,conjecture,
    [--c9_1(a1679),
     --c6_0,
     --c9_0]).

input_clause(clause448,conjecture,
    [--ssSkC23,
     --c3_2(a1677,a1678),
     --c1_0]).

input_clause(clause449,conjecture,
    [--c8_2(a1651,a1652),
     --c9_0,
     ++c3_0]).

input_clause(clause450,conjecture,
    [--ssSkC10,
     --c8_2(a1620,a1621),
     --c9_0]).

input_clause(clause451,conjecture,
    [--ssSkC10,
     --c4_2(a1620,a1621),
     --c9_0]).

input_clause(clause452,conjecture,
    [--c4_2(a1616,a1617),
     --c10_0,
     ++c9_0]).

input_clause(clause453,conjecture,
    [--c10_2(a1616,a1617),
     --c10_0,
     ++c9_0]).

input_clause(clause454,conjecture,
    [--ssSkC9,
     --c4_2(a1611,a1612),
     --c3_0]).

input_clause(clause455,conjecture,
    [--ssSkC9,
     --c8_2(a1611,a1612),
     --c3_0]).

input_clause(clause456,conjecture,
    [--ssSkC0,
     --c1_2(a1584,a1585),
     --c8_0]).

input_clause(clause457,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c7_1(U),
     ++c9_1(U),
     ++c5_0]).

input_clause(clause458,conjecture,
    [--ssSkP4(U),
     --ndr1_0,
     ++c8_2(U,a1649),
     ++ssSkC18]).

input_clause(clause459,conjecture,
    [--ssSkP4(U),
     --ndr1_0,
     ++c7_2(U,a1649),
     ++ssSkC18]).

input_clause(clause460,conjecture,
    [--c5_2(a1702,a1703),
     --c7_0,
     --c6_0]).

input_clause(clause461,conjecture,
    [--c9_2(a1702,a1703),
     --c7_0,
     --c6_0]).

input_clause(clause462,conjecture,
    [--ssSkP5(U),
     --ndr1_0,
     ++c7_2(U,a1690),
     ++c8_0,
     ++c10_0]).

input_clause(clause463,conjecture,
    [--ssSkP5(U),
     --ndr1_0,
     ++c6_2(U,a1690),
     ++c8_0,
     ++c10_0]).

input_clause(clause464,conjecture,
    [--c6_2(a1683,a1684),
     --c2_0,
     --c5_0]).

input_clause(clause465,conjecture,
    [--c8_2(a1683,a1684),
     --c2_0,
     --c5_0]).

input_clause(clause466,conjecture,
    [--c4_2(a1679,a1680),
     --c6_0,
     --c9_0]).

input_clause(clause467,conjecture,
    [--ssSkC22,
     --c9_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c9_0]).

input_clause(clause468,conjecture,
    [--ssSkP14(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++ssSkC51]).

input_clause(clause469,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c8_1(U),
     ++c2_1(U),
     ++ssSkC29]).

input_clause(clause470,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c8_1(U),
     ++c2_1(U),
     ++ssSkC28]).

input_clause(clause471,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++c3_1(U),
     ++ssSkC4]).

input_clause(clause472,conjecture,
    [--ndr1_0,
     ++c8_2(U,a1769),
     ++c7_1(U),
     ++c9_1(U),
     ++c5_0]).

input_clause(clause473,conjecture,
    [--ndr1_0,
     ++c10_2(U,a1769),
     ++c7_1(U),
     ++c9_1(U),
     ++c5_0]).

input_clause(clause474,conjecture,
    [--ssSkC20,
     --ndr1_0,
     ++ndr1_1(U),
     ++c8_1(U),
     ++c3_1(U),
     ++c4_0]).

input_clause(clause475,conjecture,
    [--ndr1_0,
     ++c7_1(U),
     ++c4_1(U),
     ++c2_1(U),
     ++c2_0,
     ++c3_0]).

input_clause(clause476,conjecture,
    [--ssSkP4(U),
     --c1_2(U,a1649),
     --ndr1_0,
     ++ssSkC18]).

input_clause(clause477,conjecture,
    [--ssSkP5(U),
     --c2_2(U,a1690),
     --ndr1_0,
     ++c8_0,
     ++c10_0]).

input_clause(clause478,conjecture,
    [--ssSkC22,
     --c9_1(U),
     --ndr1_0,
     ++c4_2(U,a1675),
     ++c9_0]).

input_clause(clause479,conjecture,
    [--ssSkP14(U),
     --ndr1_0,
     ++c6_2(U,a1801),
     ++c5_1(U),
     ++ssSkC51]).

input_clause(clause480,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++ssSkC40]).

input_clause(clause481,conjecture,
    [--ndr1_0,
     ++c1_2(U,a1710),
     ++c8_1(U),
     ++c2_1(U),
     ++ssSkC29]).

input_clause(clause482,conjecture,
    [--ndr1_0,
     ++c3_2(U,a1710),
     ++c8_1(U),
     ++c2_1(U),
     ++ssSkC29]).

input_clause(clause483,conjecture,
    [--ndr1_0,
     ++c6_2(U,a1709),
     ++c8_1(U),
     ++c2_1(U),
     ++ssSkC28]).

input_clause(clause484,conjecture,
    [--c9_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++ssSkC23]).

input_clause(clause485,conjecture,
    [--c8_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c6_1(U),
     ++ssSkC21]).

input_clause(clause486,conjecture,
    [--c6_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++ssSkC15]).

input_clause(clause487,conjecture,
    [--ssSkP2(U),
     --c9_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC11]).

input_clause(clause488,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c6_1(U),
     ++ssSkC7]).

input_clause(clause489,conjecture,
    [--ndr1_0,
     ++c9_2(U,a1599),
     ++c1_1(U),
     ++c3_1(U),
     ++ssSkC4]).

input_clause(clause490,conjecture,
    [--c10_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c8_1(U),
     ++ssSkC1]).

input_clause(clause491,conjecture,
    [--ssSkP13(U),
     --ssSkC49,
     --ndr1_0,
     --c9_0,
     ++ndr1_1(U),
     ++c6_1(U)]).

input_clause(clause492,conjecture,
    [--ssSkP11(U),
     --ssSkC45,
     --ssSkC46,
     --c6_1(U),
     --ndr1_0,
     ++ndr1_1(U)]).

input_clause(clause493,conjecture,
    [--c7_2(U,a1769),
     --ndr1_0,
     ++c7_1(U),
     ++c9_1(U),
     ++c5_0]).

input_clause(clause494,conjecture,
    [--ssSkP6(U),
     --ssSkC36,
     --ssSkC37,
     --c10_1(U),
     --ndr1_0,
     ++ndr1_1(U)]).

input_clause(clause495,conjecture,
    [--ssSkP3(U),
     --c9_1(U),
     --ndr1_0,
     --c8_0,
     ++ndr1_1(U)]).

input_clause(clause496,conjecture,
    [--ndr1_0,
     --c10_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++c10_1(U),
     ++c2_0]).

input_clause(clause497,conjecture,
    [--ssSkP0(U),
     --ssSkC3,
     --ndr1_0,
     --c10_0,
     ++ndr1_1(U),
     ++c7_1(U)]).

input_clause(clause498,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c10_1(U),
     ++c8_1(U),
     ++c2_0,
     ++c3_0]).

input_clause(clause499,conjecture,
    [--ndr1_1(a1647),
     ++c9_2(a1647,U),
     ++c4_2(a1647,U),
     ++ssSkC17]).

input_clause(clause500,conjecture,
    [--ssSkC22,
     --c9_2(U,a1675),
     --c9_1(U),
     --ndr1_0,
     ++c9_0]).

input_clause(clause501,conjecture,
    [--ssSkC22,
     --c5_2(U,a1675),
     --c9_1(U),
     --ndr1_0,
     ++c9_0]).

input_clause(clause502,conjecture,
    [--c8_1(U),
     --c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC53]).

input_clause(clause503,conjecture,
    [--ssSkP14(U),
     --c4_2(U,a1801),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC51]).

input_clause(clause504,conjecture,
    [--ssSkP14(U),
     --c10_2(U,a1801),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC51]).

input_clause(clause505,conjecture,
    [--c5_2(U,a1709),
     --ndr1_0,
     ++c8_1(U),
     ++c2_1(U),
     ++ssSkC28]).

input_clause(clause506,conjecture,
    [--c2_2(U,a1709),
     --ndr1_0,
     ++c8_1(U),
     ++c2_1(U),
     ++ssSkC28]).

input_clause(clause507,conjecture,
    [--c9_1(U),
     --ndr1_0,
     ++c8_2(U,a1676),
     ++c2_1(U),
     ++ssSkC23]).

input_clause(clause508,conjecture,
    [--c9_1(U),
     --ndr1_0,
     ++c10_2(U,a1676),
     ++c2_1(U),
     ++ssSkC23]).

input_clause(clause509,conjecture,
    [--c8_1(U),
     --ndr1_0,
     ++c3_2(U,a1666),
     ++c6_1(U),
     ++ssSkC21]).

input_clause(clause510,conjecture,
    [--c6_1(U),
     --ndr1_0,
     ++c3_2(U,a1643),
     ++c3_1(U),
     ++ssSkC15]).

input_clause(clause511,conjecture,
    [--ssSkP2(U),
     --c9_1(U),
     --ndr1_0,
     ++c4_2(U,a1624),
     ++ssSkC11]).

input_clause(clause512,conjecture,
    [--ssSkP2(U),
     --c9_1(U),
     --ndr1_0,
     ++c1_2(U,a1624),
     ++ssSkC11]).

input_clause(clause513,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c9_2(U,a1607),
     ++c6_1(U),
     ++ssSkC7]).

input_clause(clause514,conjecture,
    [--c1_2(U,a1599),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++ssSkC4]).

input_clause(clause515,conjecture,
    [--c10_2(U,a1599),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++ssSkC4]).

input_clause(clause516,conjecture,
    [--c10_1(U),
     --ndr1_0,
     ++c9_2(U,a1586),
     ++c8_1(U),
     ++ssSkC1]).

input_clause(clause517,conjecture,
    [--c10_1(U),
     --ndr1_0,
     ++c8_2(U,a1586),
     ++c8_1(U),
     ++ssSkC1]).

input_clause(clause518,conjecture,
    [--c10_1(U),
     --ndr1_0,
     ++c10_2(U,a1586),
     ++c8_1(U),
     ++ssSkC1]).

input_clause(clause519,conjecture,
    [--ssSkP13(U),
     --ssSkC49,
     --ndr1_0,
     --c9_0,
     ++c5_2(U,a1794),
     ++c6_1(U)]).

input_clause(clause520,conjecture,
    [--ssSkP11(U),
     --ssSkC45,
     --ssSkC46,
     --c6_1(U),
     --ndr1_0,
     ++c5_2(U,a1776)]).

input_clause(clause521,conjecture,
    [--ssSkP6(U),
     --ssSkC36,
     --ssSkC37,
     --c10_1(U),
     --ndr1_0,
     ++c9_2(U,a1738)]).

input_clause(clause522,conjecture,
    [--c6_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c9_1(U),
     ++ndr1_1(a1726)]).

input_clause(clause523,conjecture,
    [--c10_1(U),
     --c9_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c9_1(a1725)]).

input_clause(clause524,conjecture,
    [--ssSkC30,
     --c10_1(U),
     --c5_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c10_0]).

input_clause(clause525,conjecture,
    [--ssSkC20,
     --c9_2(U,a1665),
     --ndr1_0,
     ++c8_1(U),
     ++c3_1(U),
     ++c4_0]).

input_clause(clause526,conjecture,
    [--ssSkC20,
     --c7_2(U,a1665),
     --ndr1_0,
     ++c8_1(U),
     ++c3_1(U),
     ++c4_0]).

input_clause(clause527,conjecture,
    [--ssSkC20,
     --c8_2(U,a1665),
     --ndr1_0,
     ++c8_1(U),
     ++c3_1(U),
     ++c4_0]).

input_clause(clause528,conjecture,
    [--ssSkP3(U),
     --c9_1(U),
     --ndr1_0,
     --c8_0,
     ++c9_2(U,a1628)]).

input_clause(clause529,conjecture,
    [--ssSkP3(U),
     --c9_1(U),
     --ndr1_0,
     --c8_0,
     ++c10_2(U,a1628)]).

input_clause(clause530,conjecture,
    [--ndr1_0,
     --c10_0,
     ++c8_2(U,a1615),
     ++c2_1(U),
     ++c10_1(U),
     ++c2_0]).

input_clause(clause531,conjecture,
    [--ndr1_0,
     --c10_0,
     ++c3_2(U,a1615),
     ++c2_1(U),
     ++c10_1(U),
     ++c2_0]).

input_clause(clause532,conjecture,
    [--ssSkP0(U),
     --ssSkC3,
     --ndr1_0,
     --c10_0,
     ++c5_2(U,a1596),
     ++c7_1(U)]).

input_clause(clause533,conjecture,
    [--ssSkP0(U),
     --ssSkC3,
     --ndr1_0,
     --c10_0,
     ++c3_2(U,a1596),
     ++c7_1(U)]).

input_clause(clause534,conjecture,
    [--c2_2(a1587,U),
     --ndr1_1(a1587),
     ++c8_2(a1587,U),
     ++ssSkC2]).

input_clause(clause535,conjecture,
    [--c7_2(a1783,U),
     --ndr1_1(a1783),
     ++c1_2(a1783,U),
     ++c2_0,
     ++c9_0]).

input_clause(clause536,conjecture,
    [--c8_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_2(U,a1810),
     ++ssSkC53]).

input_clause(clause537,conjecture,
    [--c1_2(U,a1747),
     --c2_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC40]).

input_clause(clause538,conjecture,
    [--c10_2(U,a1666),
     --c8_1(U),
     --ndr1_0,
     ++c6_1(U),
     ++ssSkC21]).

input_clause(clause539,conjecture,
    [--c9_2(U,a1643),
     --c6_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC15]).

input_clause(clause540,conjecture,
    [--c6_2(U,a1607),
     --c5_1(U),
     --ndr1_0,
     ++c6_1(U),
     ++ssSkC7]).

input_clause(clause541,conjecture,
    [--c8_2(U,a1607),
     --c5_1(U),
     --ndr1_0,
     ++c6_1(U),
     ++ssSkC7]).

input_clause(clause542,conjecture,
    [--ssSkP13(U),
     --ssSkC49,
     --c10_2(U,a1794),
     --ndr1_0,
     --c9_0,
     ++c6_1(U)]).

input_clause(clause543,conjecture,
    [--ssSkP13(U),
     --ssSkC49,
     --c4_2(U,a1794),
     --ndr1_0,
     --c9_0,
     ++c6_1(U)]).

input_clause(clause544,conjecture,
    [--ssSkP11(U),
     --ssSkC45,
     --ssSkC46,
     --c9_2(U,a1776),
     --c6_1(U),
     --ndr1_0]).

input_clause(clause545,conjecture,
    [--ssSkP11(U),
     --ssSkC45,
     --ssSkC46,
     --c3_2(U,a1776),
     --c6_1(U),
     --ndr1_0]).

input_clause(clause546,conjecture,
    [--c1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c5_0,
     ++ndr1_1(U),
     ++c9_0]).

input_clause(clause547,conjecture,
    [--ssSkC38,
     --c10_1(U),
     --c4_1(U),
     --ndr1_0,
     --c10_0,
     ++ndr1_1(U)]).

input_clause(clause548,conjecture,
    [--ssSkP6(U),
     --ssSkC36,
     --ssSkC37,
     --c4_2(U,a1738),
     --c10_1(U),
     --ndr1_0]).

input_clause(clause549,conjecture,
    [--ssSkP6(U),
     --ssSkC36,
     --ssSkC37,
     --c2_2(U,a1738),
     --c10_1(U),
     --ndr1_0]).

input_clause(clause550,conjecture,
    [--c6_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c9_1(U),
     ++c4_2(a1726,a1727)]).

input_clause(clause551,conjecture,
    [--c6_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c9_1(U),
     ++c3_2(a1726,a1727)]).

input_clause(clause552,conjecture,
    [--c6_1(U),
     --c5_1(U),
     --ndr1_0,
     --c1_1(a1726),
     ++c9_1(U)]).

input_clause(clause553,conjecture,
    [--c10_1(U),
     --c9_1(U),
     --ndr1_0,
     --c8_1(a1725),
     ++c3_1(U)]).

input_clause(clause554,conjecture,
    [--c10_1(U),
     --c9_1(U),
     --ndr1_0,
     --c3_1(a1725),
     ++c3_1(U)]).

input_clause(clause555,conjecture,
    [--ssSkC30,
     --c10_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c4_2(U,a1714),
     ++c10_0]).

input_clause(clause556,conjecture,
    [--ssSkC30,
     --c10_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c3_2(U,a1714),
     ++c10_0]).

input_clause(clause557,conjecture,
    [--ssSkC30,
     --c10_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c2_2(U,a1714),
     ++c10_0]).

input_clause(clause558,conjecture,
    [--ndr1_1(a1685),
     ++c8_2(a1685,U),
     ++c2_2(a1685,U),
     ++c1_2(a1685,U),
     ++c3_0]).

input_clause(clause559,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c10_0,
     ++c4_1(U),
     ++c2_1(U),
     ++ndr1_1(a1629)]).

input_clause(clause560,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c10_0,
     ++c4_1(U),
     ++c2_1(U),
     ++c1_1(a1629)]).

input_clause(clause561,conjecture,
    [--ssSkP3(U),
     --c3_2(U,a1628),
     --c9_1(U),
     --ndr1_0,
     --c8_0]).

input_clause(clause562,conjecture,
    [--c9_2(U,a1615),
     --ndr1_0,
     --c10_0,
     ++c2_1(U),
     ++c10_1(U),
     ++c2_0]).

input_clause(clause563,conjecture,
    [--ssSkC40,
     --c1_2(a1748,U),
     --ndr1_1(a1748),
     --c6_0,
     ++c2_2(a1748,U)]).

input_clause(clause564,conjecture,
    [--ssSkP1(U),
     --c3_1(V),
     --ndr1_0,
     ++c8_1(V),
     ++c10_1(V),
     ++ndr1_1(U),
     ++c3_1(U)]).

input_clause(clause565,conjecture,
    [--c7_2(U,a1810),
     --c8_1(U),
     --c1_1(U),
     --ndr1_0,
     ++ssSkC53]).

input_clause(clause566,conjecture,
    [--ssSkC38,
     --c10_1(U),
     --c4_1(U),
     --ndr1_0,
     --c10_0,
     ++c7_2(U,a1742)]).

input_clause(clause567,conjecture,
    [--ssSkC38,
     --c10_1(U),
     --c4_1(U),
     --ndr1_0,
     --c10_0,
     ++c2_2(U,a1742)]).

input_clause(clause568,conjecture,
    [--ssSkC38,
     --c10_1(U),
     --c4_1(U),
     --ndr1_0,
     --c10_0,
     ++c8_2(U,a1742)]).

input_clause(clause569,conjecture,
    [--c6_1(U),
     --c5_1(U),
     --ndr1_0,
     --c7_2(a1726,a1727),
     ++c9_1(U)]).

input_clause(clause570,conjecture,
    [--ssSkC27,
     --ndr1_1(a1708),
     ++c10_2(a1708,U),
     ++c4_2(a1708,U),
     ++c1_2(a1708,U),
     ++c1_0]).

input_clause(clause571,conjecture,
    [--ssSkC27,
     --ndr1_1(a1708),
     ++c9_2(a1708,U),
     ++c5_2(a1708,U),
     ++c6_2(a1708,U),
     ++c1_0]).

input_clause(clause572,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c5_0,
     --c9_0,
     ++ndr1_1(U)]).

input_clause(clause573,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c10_0,
     ++c4_1(U),
     ++c2_1(U),
     ++c7_2(a1629,a1630)]).

input_clause(clause574,conjecture,
    [--ndr1_0,
     --c10_0,
     ++c7_1(U),
     ++c10_1(U),
     ++c3_1(U),
     ++ndr1_1(V),
     ++c8_1(V),
     ++c4_1(V)]).

input_clause(clause575,conjecture,
    [--ssSkC13,
     --c5_1(U),
     --ndr1_0,
     ++c9_1(U),
     ++c6_1(U),
     ++ndr1_1(V),
     ++c2_1(V),
     ++c5_1(V)]).

input_clause(clause576,conjecture,
    [--ssSkP1(U),
     --c3_1(V),
     --ndr1_0,
     ++c8_1(V),
     ++c10_1(V),
     ++c4_2(U,a1614),
     ++c3_1(U)]).

input_clause(clause577,conjecture,
    [--c10_2(a1820,U),
     --ndr1_1(a1820),
     ++c9_2(a1820,U),
     ++c5_2(a1820,U),
     ++ssSkC56]).

input_clause(clause578,conjecture,
    [--c5_2(a1785,U),
     --ndr1_1(a1785),
     ++c2_2(a1785,U),
     ++c4_2(a1785,U),
     ++ssSkC48]).

input_clause(clause579,conjecture,
    [--c7_2(a1784,U),
     --ndr1_1(a1784),
     ++c9_2(a1784,U),
     ++c1_2(a1784,U),
     ++ssSkC47]).

input_clause(clause580,conjecture,
    [--c3_2(a1743,U),
     --ndr1_1(a1743),
     ++c4_2(a1743,U),
     ++c2_2(a1743,U),
     ++ssSkC39]).

input_clause(clause581,conjecture,
    [--c6_2(a1692,U),
     --ndr1_1(a1692),
     ++c3_2(a1692,U),
     ++c9_2(a1692,U),
     ++ssSkC24]).

input_clause(clause582,conjecture,
    [--c8_2(a1644,U),
     --ndr1_1(a1644),
     ++c4_2(a1644,U),
     ++c9_2(a1644,U),
     ++ssSkC16]).

input_clause(clause583,conjecture,
    [--c10_2(a1610,U),
     --ndr1_1(a1610),
     ++c3_2(a1610,U),
     ++c1_2(a1610,U),
     ++ssSkC9]).

input_clause(clause584,conjecture,
    [--ssSkC53,
     --ssSkC54,
     --c8_2(a1813,U),
     --ndr1_1(a1813),
     ++c10_2(a1813,U),
     ++c9_2(a1813,U)]).

input_clause(clause585,conjecture,
    [--c8_2(a1783,U),
     --ndr1_1(a1783),
     ++c4_2(a1783,U),
     ++c2_2(a1783,U),
     ++c2_0,
     ++c9_0]).

input_clause(clause586,conjecture,
    [--c2_2(a1783,U),
     --ndr1_1(a1783),
     ++c10_2(a1783,U),
     ++c7_2(a1783,U),
     ++c2_0,
     ++c9_0]).

input_clause(clause587,conjecture,
    [--c9_2(a1770,U),
     --c1_2(a1770,U),
     --ndr1_1(a1770),
     ++c6_2(a1770,U),
     ++c2_0]).

input_clause(clause588,conjecture,
    [--c10_2(U,a1760),
     --c1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c5_0,
     ++c9_0]).

input_clause(clause589,conjecture,
    [--c4_2(U,a1760),
     --c1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c5_0,
     ++c9_0]).

input_clause(clause590,conjecture,
    [--c8_2(U,a1760),
     --c1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c5_0,
     ++c9_0]).

input_clause(clause591,conjecture,
    [--ssSkC34,
     --ssSkC35,
     --c2_2(a1730,U),
     --ndr1_1(a1730),
     ++c4_2(a1730,U),
     ++c1_2(a1730,U)]).

input_clause(clause592,conjecture,
    [--ssSkC32,
     --ssSkC33,
     --c3_2(a1723,U),
     --ndr1_1(a1723),
     ++c6_2(a1723,U),
     ++c9_2(a1723,U)]).

input_clause(clause593,conjecture,
    [--c9_2(a1668,U),
     --c3_2(a1668,U),
     --ndr1_1(a1668),
     ++c8_2(a1668,U),
     ++c6_0]).

input_clause(clause594,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c5_0,
     --c9_0,
     ++c6_2(U,a1653)]).

input_clause(clause595,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c6_2(a1629,a1630),
     --c10_0,
     ++c4_1(U),
     ++c2_1(U)]).

input_clause(clause596,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c4_2(a1629,a1630),
     --c10_0,
     ++c4_1(U),
     ++c2_1(U)]).

input_clause(clause597,conjecture,
    [--ndr1_0,
     --c10_0,
     ++c7_1(U),
     ++c10_1(U),
     ++c3_1(U),
     ++c3_2(V,a1768),
     ++c8_1(V),
     ++c4_1(V)]).

input_clause(clause598,conjecture,
    [--ssSkP8(U),
     --ssSkC44,
     --c1_1(V),
     --ndr1_0,
     --c10_1(U),
     ++c7_1(V),
     ++c4_1(V),
     ++ndr1_1(U)]).

input_clause(clause599,conjecture,
    [--ssSkC13,
     --c5_1(U),
     --ndr1_0,
     ++c9_1(U),
     ++c6_1(U),
     ++c3_2(V,a1634),
     ++c2_1(V),
     ++c5_1(V)]).

input_clause(clause600,conjecture,
    [--ssSkC13,
     --c5_1(U),
     --ndr1_0,
     ++c9_1(U),
     ++c6_1(U),
     ++c6_2(V,a1634),
     ++c2_1(V),
     ++c5_1(V)]).

input_clause(clause601,conjecture,
    [--ssSkP1(U),
     --c3_1(V),
     --ndr1_0,
     --c3_2(U,a1614),
     ++c8_1(V),
     ++c10_1(V),
     ++c3_1(U)]).

input_clause(clause602,conjecture,
    [--ssSkP1(U),
     --c3_1(V),
     --ndr1_0,
     --c9_2(U,a1614),
     ++c8_1(V),
     ++c10_1(V),
     ++c3_1(U)]).

input_clause(clause603,conjecture,
    [--c5_2(a1811,U),
     --c3_2(a1811,U),
     --ndr1_1(a1811),
     ++c2_2(a1811,U),
     ++ssSkC54]).

input_clause(clause604,conjecture,
    [--c1_2(a1743,U),
     --c5_2(a1743,U),
     --ndr1_1(a1743),
     ++c8_2(a1743,U),
     ++ssSkC39]).

input_clause(clause605,conjecture,
    [--c9_2(a1721,U),
     --c5_2(a1721,U),
     --ndr1_1(a1721),
     ++c4_2(a1721,U),
     ++ssSkC33]).

input_clause(clause606,conjecture,
    [--c8_2(a1694,U),
     --c4_2(a1694,U),
     --ndr1_1(a1694),
     ++c6_2(a1694,U),
     ++ssSkC25]).

input_clause(clause607,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c9_2(U,V),
     ++c8_2(U,V),
     ++c3_2(U,a1658),
     ++c9_1(U),
     ++ssSkC19]).

input_clause(clause608,conjecture,
    [--c8_2(a1618,U),
     --c9_2(a1618,U),
     --ndr1_1(a1618),
     ++c3_2(a1618,U),
     ++ssSkC10]).

input_clause(clause609,conjecture,
    [--c4_2(a1805,U),
     --ndr1_1(a1805),
     --c1_0,
     ++c10_2(a1805,U),
     ++c2_2(a1805,U),
     ++c10_0]).

input_clause(clause610,conjecture,
    [--ssSkC43,
     --c4_2(a1758,U),
     --c7_2(a1758,U),
     --ndr1_1(a1758),
     ++c6_2(a1758,U),
     ++c9_0]).

input_clause(clause611,conjecture,
    [--ssSkC27,
     --c4_2(a1708,U),
     --c2_2(a1708,U),
     --ndr1_1(a1708),
     ++c6_2(a1708,U),
     ++c1_0]).

input_clause(clause612,conjecture,
    [--c5_2(a1704,U),
     --c6_2(a1704,U),
     --ndr1_1(a1704),
     ++c3_2(a1704,U),
     ++c1_0,
     ++c10_0]).

input_clause(clause613,conjecture,
    [--ndr1_1(a1679),
     --c6_0,
     --c9_0,
     ++c5_2(a1679,U),
     ++c7_2(a1679,U),
     ++c2_2(a1679,U)]).

input_clause(clause614,conjecture,
    [--c7_2(a1655,U),
     --c10_2(a1655,U),
     --ndr1_1(a1655),
     ++c1_2(a1655,U),
     ++c10_0,
     ++c4_0]).

input_clause(clause615,conjecture,
    [--c4_2(U,a1653),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c5_0,
     --c9_0]).

input_clause(clause616,conjecture,
    [--ssSkC10,
     --c9_2(a1620,U),
     --ndr1_1(a1620),
     --c9_0,
     ++c4_2(a1620,U),
     ++c10_2(a1620,U)]).

input_clause(clause617,conjecture,
    [--ndr1_0,
     --c5_2(U,a1768),
     --c10_0,
     ++c7_1(V),
     ++c10_1(V),
     ++c3_1(V),
     ++c8_1(U),
     ++c4_1(U)]).

input_clause(clause618,conjecture,
    [--ndr1_0,
     --c2_2(U,a1768),
     --c10_0,
     ++c7_1(V),
     ++c10_1(V),
     ++c3_1(V),
     ++c8_1(U),
     ++c4_1(U)]).

input_clause(clause619,conjecture,
    [--ssSkP8(U),
     --ssSkC44,
     --c1_1(V),
     --ndr1_0,
     --c10_1(U),
     ++c7_1(V),
     ++c4_1(V),
     ++c6_2(U,a1763)]).

input_clause(clause620,conjecture,
    [--c4_2(a1712,U),
     --c1_2(a1712,U),
     --c5_2(a1712,U),
     --ndr1_1(a1712),
     ++ssSkC30]).

input_clause(clause621,conjecture,
    [--c2_2(a1706,U),
     --c5_2(a1706,U),
     --c9_2(a1706,U),
     --ndr1_1(a1706),
     ++ssSkC27]).

input_clause(clause622,conjecture,
    [--ndr1_1(U),
     --c9_2(U,a1658),
     --ndr1_0,
     ++c9_2(U,V),
     ++c8_2(U,V),
     ++c9_1(U),
     ++ssSkC19]).

input_clause(clause623,conjecture,
    [--ndr1_1(U),
     --c7_2(U,a1658),
     --ndr1_0,
     ++c9_2(U,V),
     ++c8_2(U,V),
     ++c9_1(U),
     ++ssSkC19]).

input_clause(clause624,conjecture,
    [--c6_2(a1752,U),
     --c1_2(a1752,U),
     --ndr1_1(a1752),
     --c3_0,
     ++c2_2(a1752,U),
     ++c1_0]).

input_clause(clause625,conjecture,
    [--ssSkC41,
     --c10_2(a1750,U),
     --c8_2(a1750,U),
     --ndr1_1(a1750),
     --c10_0,
     ++c2_2(a1750,U)]).

input_clause(clause626,conjecture,
    [--ssSkC39,
     --c8_2(a1745,U),
     --c6_2(a1745,U),
     --ndr1_1(a1745),
     --c10_0,
     ++c4_2(a1745,U)]).

input_clause(clause627,conjecture,
    [--ssSkC28,
     --ssSkC29,
     --c10_2(a1711,U),
     --c3_2(a1711,U),
     --c6_2(a1711,U),
     --ndr1_1(a1711)]).

input_clause(clause628,conjecture,
    [--c8_2(a1702,U),
     --ndr1_1(a1702),
     --c7_0,
     --c6_0,
     ++c6_2(a1702,U),
     ++c5_2(a1702,U)]).

input_clause(clause629,conjecture,
    [--c3_2(a1700,U),
     --c10_2(a1700,U),
     --ndr1_1(a1700),
     --c10_0,
     ++c6_2(a1700,U),
     ++c1_0]).

input_clause(clause630,conjecture,
    [--ssSkC21,
     --c1_2(a1667,U),
     --c9_2(a1667,U),
     --ndr1_1(a1667),
     --c9_0,
     ++c3_2(a1667,U)]).

input_clause(clause631,conjecture,
    [--ssSkC6,
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c10_1(U),
     ++c9_1(U),
     ++ndr1_1(a1603)]).

input_clause(clause632,conjecture,
    [--ssSkP8(U),
     --ssSkC44,
     --c1_1(V),
     --ndr1_0,
     --c4_2(U,a1763),
     --c10_1(U),
     ++c7_1(V),
     ++c4_1(V)]).

input_clause(clause633,conjecture,
    [--ssSkP8(U),
     --ssSkC44,
     --c1_1(V),
     --ndr1_0,
     --c7_2(U,a1763),
     --c10_1(U),
     ++c7_1(V),
     ++c4_1(V)]).

input_clause(clause634,conjecture,
    [--ssSkP7(U),
     --ssSkC42,
     --c10_1(V),
     --c1_1(V),
     --c9_1(V),
     --ndr1_0,
     --c7_1(U),
     ++ndr1_1(U)]).

input_clause(clause635,conjecture,
    [--ssSkP15(U),
     --c9_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a1830),
     --ndr1_0,
     ++c5_2(U,V),
     ++ssSkC58]).

input_clause(clause636,conjecture,
    [--ssSkP15(U),
     --c9_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a1830),
     --ndr1_0,
     ++c5_2(U,V),
     ++ssSkC58]).

input_clause(clause637,conjecture,
    [--c1_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,a1749),
     ++c2_1(U),
     ++ssSkC41]).

input_clause(clause638,conjecture,
    [--c1_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,a1749),
     ++c2_1(U),
     ++ssSkC41]).

input_clause(clause639,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c4_2(U,V),
     ++c10_2(U,V),
     ++c3_2(U,a1720),
     ++c9_1(U),
     ++ssSkC32]).

input_clause(clause640,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c4_2(U,V),
     ++c10_2(U,V),
     ++c2_2(U,a1720),
     ++c9_1(U),
     ++ssSkC32]).

input_clause(clause641,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c7_2(U,a1716),
     ++ssSkC31]).

input_clause(clause642,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c10_2(U,a1716),
     ++ssSkC31]).

input_clause(clause643,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c8_2(U,a1716),
     ++ssSkC31]).

input_clause(clause644,conjecture,
    [--ssSkC41,
     --c9_2(a1750,U),
     --c3_2(a1750,U),
     --c7_2(a1750,U),
     --ndr1_1(a1750),
     --c10_0]).

input_clause(clause645,conjecture,
    [--c4_2(a1702,U),
     --c1_2(a1702,U),
     --ndr1_1(a1702),
     --c7_0,
     --c6_0,
     ++c2_2(a1702,U)]).

input_clause(clause646,conjecture,
    [--ssSkC6,
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c10_1(U),
     ++c9_1(U),
     ++c1_2(a1603,a1606)]).

input_clause(clause647,conjecture,
    [--ssSkC6,
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c10_1(U),
     ++c9_1(U),
     ++c8_2(a1603,a1605)]).

input_clause(clause648,conjecture,
    [--ssSkC6,
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c10_1(U),
     ++c9_1(U),
     ++c8_2(a1603,a1604)]).

input_clause(clause649,conjecture,
    [--c7_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c9_2(U,a1600),
     ++ssSkC5]).

input_clause(clause650,conjecture,
    [--ssSkP7(U),
     --ssSkC42,
     --c10_1(V),
     --c1_1(V),
     --c9_1(V),
     --ndr1_0,
     --c7_1(U),
     ++c2_2(U,a1755)]).

input_clause(clause651,conjecture,
    [--ssSkP7(U),
     --ssSkC42,
     --c10_1(V),
     --c1_1(V),
     --c9_1(V),
     --ndr1_0,
     --c7_1(U),
     ++c10_2(U,a1755)]).

input_clause(clause652,conjecture,
    [--ssSkP7(U),
     --ssSkC42,
     --c10_1(V),
     --c1_1(V),
     --c9_1(V),
     --ndr1_0,
     --c7_1(U),
     ++c1_2(U,a1755)]).

input_clause(clause653,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c5_0,
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++c6_0]).

input_clause(clause654,conjecture,
    [--c5_1(U),
     --c9_1(U),
     --ndr1_0,
     --c1_1(V),
     --c7_1(V),
     --c3_0,
     ++c8_1(U),
     ++c4_1(V)]).

input_clause(clause655,conjecture,
    [--ssSkP10(U),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c5_2(U,V),
     ++c2_2(U,a1774),
     ++ssSkC46]).

input_clause(clause656,conjecture,
    [--ssSkP10(U),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c6_2(U,V),
     ++c5_2(U,V),
     ++c7_2(U,a1774),
     ++ssSkC46]).

input_clause(clause657,conjecture,
    [--c1_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a1749),
     --ndr1_0,
     ++c2_1(U),
     ++ssSkC41]).

input_clause(clause658,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c5_2(U,a1728),
     ++c1_1(U),
     ++ssSkC34]).

input_clause(clause659,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c3_2(U,V),
     ++c9_2(U,a1625),
     ++c9_1(U),
     ++ssSkC12]).

input_clause(clause660,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c3_2(U,V),
     ++c6_2(U,a1625),
     ++c9_1(U),
     ++ssSkC12]).

input_clause(clause661,conjecture,
    [--c5_2(a1688,U),
     --c2_2(a1688,U),
     --c7_2(a1688,U),
     --ndr1_1(a1688),
     --c3_0,
     --c8_0]).

input_clause(clause662,conjecture,
    [--c10_2(a1681,U),
     --c6_2(a1681,U),
     --c8_2(a1681,U),
     --ndr1_1(a1681),
     --c5_0,
     --c3_0]).

input_clause(clause663,conjecture,
    [--ssSkC6,
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c9_2(a1603,a1606),
     ++c3_2(U,V),
     ++c10_1(U),
     ++c9_1(U)]).

input_clause(clause664,conjecture,
    [--ssSkC6,
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_2(a1603,a1606),
     ++c3_2(U,V),
     ++c10_1(U),
     ++c9_1(U)]).

input_clause(clause665,conjecture,
    [--ssSkC6,
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_2(a1603,a1605),
     ++c3_2(U,V),
     ++c10_1(U),
     ++c9_1(U)]).

input_clause(clause666,conjecture,
    [--ssSkC6,
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_2(a1603,a1604),
     ++c3_2(U,V),
     ++c10_1(U),
     ++c9_1(U)]).

input_clause(clause667,conjecture,
    [--ssSkC6,
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_2(a1603,a1604),
     ++c3_2(U,V),
     ++c10_1(U),
     ++c9_1(U)]).

input_clause(clause668,conjecture,
    [--c1_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c7_1(U),
     ++c1_0]).

input_clause(clause669,conjecture,
    [--c4_2(U,V),
     --c8_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,a1792),
     ++ssSkC49]).

input_clause(clause670,conjecture,
    [--c4_2(U,V),
     --c8_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,a1792),
     ++ssSkC49]).

input_clause(clause671,conjecture,
    [--c7_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a1600),
     --ndr1_0,
     ++c5_2(U,V),
     ++ssSkC5]).

input_clause(clause672,conjecture,
    [--c7_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a1600),
     --ndr1_0,
     ++c5_2(U,V),
     ++ssSkC5]).

input_clause(clause673,conjecture,
    [--c4_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_1(a1691),
     ++c7_2(U,V),
     ++c8_1(U),
     ++c4_0]).

input_clause(clause674,conjecture,
    [--c4_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_1(a1691),
     ++c7_2(U,V),
     ++c8_1(U),
     ++c4_0]).

input_clause(clause675,conjecture,
    [--ssSkP10(U),
     --c3_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a1774),
     --ndr1_0,
     ++c6_2(U,V),
     ++c5_2(U,V),
     ++ssSkC46]).

input_clause(clause676,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a1728),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c1_1(U),
     ++ssSkC34]).

input_clause(clause677,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c9_2(U,a1728),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c1_1(U),
     ++ssSkC34]).

input_clause(clause678,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a1625),
     --ndr1_0,
     ++c10_2(U,V),
     ++c3_2(U,V),
     ++c9_1(U),
     ++ssSkC12]).

input_clause(clause679,conjecture,
    [--ssSkC58,
     --c7_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c4_2(U,a1831),
     ++c2_0]).

input_clause(clause680,conjecture,
    [--c4_2(U,V),
     --c8_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a1792),
     --ndr1_0,
     ++ssSkC49]).

input_clause(clause681,conjecture,
    [--c7_2(U,V),
     --c3_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,a1753),
     ++c9_1(U),
     ++ssSkC42]).

input_clause(clause682,conjecture,
    [--c7_2(U,V),
     --c3_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c6_2(U,a1753),
     ++c9_1(U),
     ++ssSkC42]).

input_clause(clause683,conjecture,
    [--c8_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_2(U,a1602),
     ++ssSkC6]).

input_clause(clause684,conjecture,
    [--ssSkC58,
     --c7_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a1831),
     --c10_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c2_0]).

input_clause(clause685,conjecture,
    [--ssSkC58,
     --c7_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a1831),
     --c10_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c2_0]).

input_clause(clause686,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c10_0,
     ++c9_2(U,V),
     ++c6_2(U,a1780)]).

input_clause(clause687,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c10_0,
     ++c9_2(U,V),
     ++c7_2(U,a1780)]).

input_clause(clause688,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c10_0,
     ++c9_2(U,V),
     ++c3_2(U,a1780)]).

input_clause(clause689,conjecture,
    [--ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c10_0,
     --c1_0,
     ++c4_2(U,V),
     ++c2_2(U,V),
     ++c5_2(U,V),
     ++c7_2(U,a1751)]).

input_clause(clause690,conjecture,
    [--c10_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c9_2(U,a1732),
     ++c2_0,
     ++c10_0]).

input_clause(clause691,conjecture,
    [--c10_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c10_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c4_2(U,a1732),
     ++c2_0,
     ++c10_0]).

input_clause(clause692,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_0,
     ++c5_2(U,V),
     ++c7_2(U,V),
     ++c10_1(U),
     ++c8_1(a1581)]).

input_clause(clause693,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --c2_1(U),
     --ndr1_0,
     --c7_0,
     ++c7_2(U,V),
     ++c10_2(U,V),
     ++c4_0]).

input_clause(clause694,conjecture,
    [--c7_2(U,V),
     --c3_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a1753),
     --ndr1_0,
     ++c9_1(U),
     ++ssSkC42]).

input_clause(clause695,conjecture,
    [--c8_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a1602),
     --c8_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++ssSkC6]).

input_clause(clause696,conjecture,
    [--ndr1_1(U),
     --c1_2(U,a1751),
     --c3_1(U),
     --ndr1_0,
     --c10_0,
     --c1_0,
     ++c4_2(U,V),
     ++c2_2(U,V),
     ++c5_2(U,V)]).

input_clause(clause697,conjecture,
    [--ndr1_1(U),
     --c10_2(U,a1751),
     --c3_1(U),
     --ndr1_0,
     --c10_0,
     --c1_0,
     ++c4_2(U,V),
     ++c2_2(U,V),
     ++c5_2(U,V)]).

input_clause(clause698,conjecture,
    [--c10_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c8_2(U,a1732),
     --c10_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c2_0,
     ++c10_0]).

input_clause(clause699,conjecture,
    [--ssSkC31,
     --c10_2(U,V),
     --ndr1_1(U),
     --c9_2(U,a1717),
     --c8_1(U),
     --ndr1_0,
     --c2_0,
     ++c6_2(U,V),
     ++c3_2(U,V)]).

input_clause(clause700,conjecture,
    [--ssSkC31,
     --c10_2(U,V),
     --ndr1_1(U),
     --c10_2(U,a1717),
     --c8_1(U),
     --ndr1_0,
     --c2_0,
     ++c6_2(U,V),
     ++c3_2(U,V)]).

input_clause(clause701,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_1(U),
     ++c10_1(U),
     ++c1_1(a1654)]).

input_clause(clause702,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c7_1(a1581),
     --c1_0,
     ++c5_2(U,V),
     ++c7_2(U,V),
     ++c10_1(U)]).

input_clause(clause703,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c6_1(U),
     --c4_1(U),
     --ndr1_0,
     --c10_0,
     --c6_0,
     ++c7_2(U,V),
     ++c6_2(U,V)]).

input_clause(clause704,conjecture,
    [--c4_2(U,V),
     --c10_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c10_0,
     ++c2_0]).

input_clause(clause705,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c6_2(U,W),
     --ndr1_0,
     ++c10_2(U,V),
     ++c9_2(U,W),
     ++c4_2(U,W),
     ++c5_2(U,a1761),
     ++ssSkC44]).

input_clause(clause706,conjecture,
    [--ssSkP16(U),
     --c5_2(V,W),
     --ndr1_1(V),
     --c4_1(V),
     --ndr1_0,
     ++c8_2(V,W),
     ++c2_2(V,W),
     ++c7_1(V),
     ++ndr1_1(U),
     ++c6_1(U),
     ++c9_0]).

input_clause(clause707,conjecture,
    [--ssSkC26,
     --ndr1_1(U),
     --ndr1_0,
     --c8_1(V),
     --c10_1(V),
     ++c7_2(U,W),
     ++c10_2(U,W),
     ++c3_2(U,W),
     ++c7_1(U),
     ++c9_1(U),
     ++ndr1_1(V)]).

input_clause(clause708,conjecture,
    [--ssSkP9(U),
     --c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a1765),
     --ndr1_0,
     --c3_0,
     --c5_0,
     ++c1_2(U,V)]).

input_clause(clause709,conjecture,
    [--ssSkP9(U),
     --c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a1765),
     --ndr1_0,
     --c3_0,
     --c5_0,
     ++c1_2(U,V)]).

input_clause(clause710,conjecture,
    [--ssSkP9(U),
     --c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c9_2(U,a1765),
     --ndr1_0,
     --c3_0,
     --c5_0,
     ++c1_2(U,V)]).

input_clause(clause711,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_1(a1654),
     --c2_0,
     ++c5_1(U),
     ++c10_1(U)]).

input_clause(clause712,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_1(a1654),
     --c2_0,
     ++c5_1(U),
     ++c10_1(U)]).

input_clause(clause713,conjecture,
    [--c1_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --ndr1_0,
     ++c10_2(U,W),
     ++c9_2(U,W),
     ++c3_2(U,a1772),
     ++ssSkC45]).

input_clause(clause714,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c6_2(U,W),
     --c3_2(U,a1761),
     --ndr1_0,
     ++c10_2(U,V),
     ++c9_2(U,W),
     ++c4_2(U,W),
     ++ssSkC44]).

input_clause(clause715,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c6_2(U,W),
     --c8_2(U,a1761),
     --ndr1_0,
     ++c10_2(U,V),
     ++c9_2(U,W),
     ++c4_2(U,W),
     ++ssSkC44]).

input_clause(clause716,conjecture,
    [--ssSkP16(U),
     --c5_2(V,W),
     --ndr1_1(V),
     --c4_1(V),
     --ndr1_0,
     ++c8_2(V,W),
     ++c2_2(V,W),
     ++c7_1(V),
     ++c9_2(U,a1833),
     ++c6_1(U),
     ++c9_0]).

input_clause(clause717,conjecture,
    [--ssSkP16(U),
     --c5_2(V,W),
     --ndr1_1(V),
     --c4_1(V),
     --ndr1_0,
     ++c8_2(V,W),
     ++c2_2(V,W),
     ++c7_1(V),
     ++c2_2(U,a1833),
     ++c6_1(U),
     ++c9_0]).

input_clause(clause718,conjecture,
    [--ssSkP16(U),
     --c5_2(V,W),
     --ndr1_1(V),
     --c4_1(V),
     --ndr1_0,
     ++c8_2(V,W),
     ++c2_2(V,W),
     ++c7_1(V),
     ++c6_2(U,a1833),
     ++c6_1(U),
     ++c9_0]).

input_clause(clause719,conjecture,
    [--c6_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_2(a1726,V),
     --c4_2(a1726,V),
     --c8_2(a1726,V),
     --ndr1_1(a1726),
     ++c9_1(U)]).

input_clause(clause720,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c4_2(a1629,V),
     --c9_2(a1629,V),
     --ndr1_1(a1629),
     --c10_0,
     ++c4_1(U),
     ++c2_1(U),
     ++c2_2(a1629,V)]).

input_clause(clause721,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c9_0,
     ++c2_2(U,V),
     ++c10_2(U,W),
     ++c5_2(U,W),
     ++c8_0]).

input_clause(clause722,conjecture,
    [--c1_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c2_2(U,a1772),
     --ndr1_0,
     ++c10_2(U,W),
     ++c9_2(U,W),
     ++ssSkC45]).

input_clause(clause723,conjecture,
    [--c1_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c6_2(U,a1772),
     --ndr1_0,
     ++c10_2(U,W),
     ++c9_2(U,W),
     ++ssSkC45]).

input_clause(clause724,conjecture,
    [--ssSkP12(U),
     --c4_2(V,W),
     --c8_2(V,W),
     --ndr1_1(V),
     --c6_1(V),
     --ndr1_0,
     --c4_0,
     ++c1_2(V,W),
     ++c7_1(V),
     ++ndr1_1(U),
     ++c2_1(U)]).

input_clause(clause725,conjecture,
    [--ssSkC26,
     --ndr1_1(U),
     --ndr1_0,
     --c9_2(V,a1699),
     --c8_1(V),
     --c10_1(V),
     ++c7_2(U,W),
     ++c10_2(U,W),
     ++c3_2(U,W),
     ++c7_1(U),
     ++c9_1(U)]).

input_clause(clause726,conjecture,
    [--ssSkC26,
     --ndr1_1(U),
     --ndr1_0,
     --c8_2(V,a1699),
     --c8_1(V),
     --c10_1(V),
     ++c7_2(U,W),
     ++c10_2(U,W),
     ++c3_2(U,W),
     ++c7_1(U),
     ++c9_1(U)]).

input_clause(clause727,conjecture,
    [--ssSkC26,
     --ndr1_1(U),
     --ndr1_0,
     --c4_2(V,a1699),
     --c8_1(V),
     --c10_1(V),
     ++c7_2(U,W),
     ++c10_2(U,W),
     ++c3_2(U,W),
     ++c7_1(U),
     ++c9_1(U)]).

input_clause(clause728,conjecture,
    [--c10_1(U),
     --c9_1(U),
     --ndr1_0,
     --c1_2(V,W),
     --c4_2(V,W),
     --c3_2(V,W),
     --ndr1_1(V),
     ++c3_2(V,a1715),
     ++c9_1(V),
     ++c3_0]).

input_clause(clause729,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --c8_2(U,W),
     --ndr1_0,
     ++c6_2(U,V),
     ++c3_2(U,V),
     ++c5_2(U,W),
     ++c7_2(U,a1608),
     ++ssSkC8]).

input_clause(clause730,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --c8_2(U,W),
     --ndr1_0,
     ++c6_2(U,V),
     ++c3_2(U,V),
     ++c5_2(U,W),
     ++c5_2(U,a1608),
     ++ssSkC8]).

input_clause(clause731,conjecture,
    [--c10_1(U),
     --c9_1(U),
     --ndr1_0,
     --c1_2(V,W),
     --c4_2(V,W),
     --c3_2(V,W),
     --ndr1_1(V),
     --c10_2(V,a1715),
     ++c9_1(V),
     ++c3_0]).

input_clause(clause732,conjecture,
    [--c10_1(U),
     --c9_1(U),
     --ndr1_0,
     --c1_2(V,W),
     --c4_2(V,W),
     --c3_2(V,W),
     --ndr1_1(V),
     --c8_2(V,a1715),
     ++c9_1(V),
     ++c3_0]).

input_clause(clause733,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --c8_2(U,W),
     --c10_2(U,a1608),
     --ndr1_0,
     ++c6_2(U,V),
     ++c3_2(U,V),
     ++c5_2(U,W),
     ++ssSkC8]).

input_clause(clause734,conjecture,
    [--ssSkP12(U),
     --c4_2(V,W),
     --c8_2(V,W),
     --ndr1_1(V),
     --c6_1(V),
     --ndr1_0,
     --c3_2(U,a1778),
     --c4_0,
     ++c1_2(V,W),
     ++c7_1(V),
     ++c2_1(U)]).

input_clause(clause735,conjecture,
    [--ssSkP12(U),
     --c4_2(V,W),
     --c8_2(V,W),
     --ndr1_1(V),
     --c6_1(V),
     --ndr1_0,
     --c7_2(U,a1778),
     --c4_0,
     ++c1_2(V,W),
     ++c7_1(V),
     ++c2_1(U)]).

input_clause(clause736,conjecture,
    [--ssSkP12(U),
     --c4_2(V,W),
     --c8_2(V,W),
     --ndr1_1(V),
     --c6_1(V),
     --ndr1_0,
     --c5_2(U,a1778),
     --c4_0,
     ++c1_2(V,W),
     ++c7_1(V),
     ++c2_1(U)]).

input_clause(clause737,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --ndr1_1(W),
     --c7_1(W),
     --c5_0,
     ++c1_2(U,V),
     ++c7_1(U),
     ++c1_2(W,X),
     ++c4_2(W,X),
     ++c3_2(W,X),
     ++c9_2(W,a1682)]).

input_clause(clause738,conjecture,
    [--c8_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c2_2(U,W),
     --c8_1(U),
     --ndr1_0,
     --c9_0,
     ++c5_2(U,V),
     ++c5_2(U,W),
     ++ndr1_1(a1790)]).

input_clause(clause739,conjecture,
    [--c8_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c2_2(U,W),
     --c8_1(U),
     --ndr1_0,
     --c9_0,
     ++c5_2(U,V),
     ++c5_2(U,W),
     ++c5_1(a1790)]).

input_clause(clause740,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --ndr1_1(W),
     --c1_2(W,a1682),
     --c7_1(W),
     --c5_0,
     ++c1_2(U,V),
     ++c7_1(U),
     ++c1_2(W,X),
     ++c4_2(W,X),
     ++c3_2(W,X)]).

input_clause(clause741,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --ndr1_1(W),
     --c8_2(W,a1682),
     --c7_1(W),
     --c5_0,
     ++c1_2(U,V),
     ++c7_1(U),
     ++c1_2(W,X),
     ++c4_2(W,X),
     ++c3_2(W,X)]).

input_clause(clause742,conjecture,
    [--c8_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c2_2(U,W),
     --c8_1(U),
     --ndr1_0,
     --c9_0,
     ++c5_2(U,V),
     ++c5_2(U,W),
     ++c2_2(a1790,a1791)]).

input_clause(clause743,conjecture,
    [--c8_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c2_2(U,W),
     --c8_1(U),
     --ndr1_0,
     --c9_0,
     ++c5_2(U,V),
     ++c5_2(U,W),
     ++c10_2(a1790,a1791)]).

input_clause(clause744,conjecture,
    [--c8_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c2_2(U,W),
     --c8_1(U),
     --ndr1_0,
     --c9_0,
     ++c5_2(U,V),
     ++c5_2(U,W),
     ++c9_2(a1790,a1791)]).

input_clause(clause745,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c10_2(W,X),
     --ndr1_1(W),
     --c1_1(W),
     --c2_1(W),
     ++c1_2(U,V),
     ++c2_2(W,X),
     ++c2_0]).

input_clause(clause746,conjecture,
    [--ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c7_2(V,W),
     --c6_2(V,W),
     --ndr1_1(V),
     ++c10_2(U,X),
     ++c2_2(U,X),
     ++c1_2(U,X),
     ++c7_1(U),
     ++c1_2(V,W),
     ++c2_1(V),
     ++ndr1_1(a1781)]).

input_clause(clause747,conjecture,
    [--ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c7_2(V,W),
     --c6_2(V,W),
     --ndr1_1(V),
     ++c10_2(U,X),
     ++c2_2(U,X),
     ++c1_2(U,X),
     ++c7_1(U),
     ++c1_2(V,W),
     ++c2_1(V),
     ++c2_1(a1781)]).

input_clause(clause748,conjecture,
    [--c4_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c7_2(a1691,W),
     --c9_2(a1691,W),
     --c5_2(a1691,W),
     --ndr1_1(a1691),
     ++c7_2(U,V),
     ++c8_1(U),
     ++c4_0]).

input_clause(clause749,conjecture,
    [--ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c7_2(V,W),
     --c6_2(V,W),
     --ndr1_1(V),
     ++c10_2(U,X),
     ++c2_2(U,X),
     ++c1_2(U,X),
     ++c7_1(U),
     ++c1_2(V,W),
     ++c2_1(V),
     ++c2_2(a1781,a1782)]).

input_clause(clause750,conjecture,
    [--ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c7_2(V,W),
     --c6_2(V,W),
     --ndr1_1(V),
     ++c10_2(U,X),
     ++c2_2(U,X),
     ++c1_2(U,X),
     ++c7_1(U),
     ++c1_2(V,W),
     ++c2_1(V),
     ++c7_2(a1781,a1782)]).

input_clause(clause751,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c5_2(a1581,W),
     --c6_2(a1581,W),
     --ndr1_1(a1581),
     --c1_0,
     ++c5_2(U,V),
     ++c7_2(U,V),
     ++c10_1(U),
     ++c10_2(a1581,W)]).

input_clause(clause752,conjecture,
    [--ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c7_2(V,W),
     --c6_2(V,W),
     --ndr1_1(V),
     --c9_2(a1781,a1782),
     ++c10_2(U,X),
     ++c2_2(U,X),
     ++c1_2(U,X),
     ++c7_1(U),
     ++c1_2(V,W),
     ++c2_1(V)]).

input_clause(clause753,conjecture,
    [--c4_2(U,V),
     --c10_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c6_2(U,W),
     --ndr1_0,
     --c6_1(X),
     --c1_1(X),
     --c3_1(X),
     ++c1_2(U,W),
     ++c1_1(U),
     ++ndr1_1(Y),
     ++c6_1(Y),
     ++c2_1(Y)]).

input_clause(clause754,conjecture,
    [--c4_2(U,V),
     --c10_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c6_2(U,W),
     --ndr1_0,
     --c6_1(X),
     --c1_1(X),
     --c3_1(X),
     --c9_2(Y,a1642),
     ++c1_2(U,W),
     ++c1_1(U),
     ++c6_1(Y),
     ++c2_1(Y)]).

input_clause(clause755,conjecture,
    [--c4_2(U,V),
     --c10_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c6_2(U,W),
     --ndr1_0,
     --c6_1(X),
     --c1_1(X),
     --c3_1(X),
     --c7_2(Y,a1642),
     ++c1_2(U,W),
     ++c1_1(U),
     ++c6_1(Y),
     ++c2_1(Y)]).

input_clause(clause756,conjecture,
    [--c4_2(U,V),
     --c10_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c6_2(U,W),
     --ndr1_0,
     --c6_1(X),
     --c1_1(X),
     --c3_1(X),
     --c1_2(Y,a1642),
     ++c1_2(U,W),
     ++c1_1(U),
     ++c6_1(Y),
     ++c2_1(Y)]).

input_clause(clause757,conjecture,
    [--ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c7_2(V,W),
     --c6_2(V,W),
     --ndr1_1(V),
     --ndr1_1(a1781),
     ++c10_2(U,X),
     ++c2_2(U,X),
     ++c1_2(U,X),
     ++c7_1(U),
     ++c1_2(V,W),
     ++c2_1(V),
     ++c5_2(a1781,Y),
     ++c3_2(a1781,Y)]).

input_clause(clause758,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c9_2(V,W),
     --c7_2(V,W),
     --ndr1_1(V),
     --c8_1(V),
     --c8_2(X,Y),
     --ndr1_1(X),
     --c9_1(X),
     ++c6_1(U),
     ++c3_2(V,W),
     ++c3_1(V),
     ++c3_2(X,Y),
     ++c6_2(X,Y),
     ++c7_2(X,a1657)]).

input_clause(clause759,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --c10_2(U,W),
     --ndr1_0,
     --c4_2(X,Y),
     --ndr1_1(X),
     ++c1_2(U,V),
     ++c7_2(U,V),
     ++c6_2(U,W),
     ++c4_1(U),
     ++c2_2(X,Y),
     ++c5_2(X,Y),
     ++c9_2(X,a1622),
     ++c6_1(X),
     ++c1_0]).

input_clause(clause760,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --c10_2(U,W),
     --ndr1_0,
     --c4_2(X,Y),
     --ndr1_1(X),
     ++c1_2(U,V),
     ++c7_2(U,V),
     ++c6_2(U,W),
     ++c4_1(U),
     ++c2_2(X,Y),
     ++c5_2(X,Y),
     ++c3_2(X,a1622),
     ++c6_1(X),
     ++c1_0]).

input_clause(clause761,conjecture,
    [--c3_2(U,V),
     --c7_2(U,V),
     --c9_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c8_2(W,X),
     --ndr1_1(W),
     --c5_2(W,Y),
     --c1_1(W),
     ++c1_1(U),
     ++c5_2(W,X),
     ++c10_2(W,Y),
     ++c2_2(W,Y),
     ++c4_0]).

input_clause(clause762,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c9_2(V,W),
     --c7_2(V,W),
     --ndr1_1(V),
     --c8_1(V),
     --c8_2(X,Y),
     --ndr1_1(X),
     --c3_2(X,a1657),
     --c9_1(X),
     ++c6_1(U),
     ++c3_2(V,W),
     ++c3_1(V),
     ++c3_2(X,Y),
     ++c6_2(X,Y)]).

input_clause(clause763,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c9_2(V,W),
     --c7_2(V,W),
     --ndr1_1(V),
     --c8_1(V),
     --c8_2(X,Y),
     --ndr1_1(X),
     --c2_2(X,a1657),
     --c9_1(X),
     ++c6_1(U),
     ++c3_2(V,W),
     ++c3_1(V),
     ++c3_2(X,Y),
     ++c6_2(X,Y)]).

input_clause(clause764,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c7_2(U,W),
     --c10_2(U,W),
     --ndr1_0,
     --c4_2(X,Y),
     --ndr1_1(X),
     --c5_2(X,a1622),
     ++c1_2(U,V),
     ++c7_2(U,V),
     ++c6_2(U,W),
     ++c4_1(U),
     ++c2_2(X,Y),
     ++c5_2(X,Y),
     ++c6_1(X),
     ++c1_0]).

input_clause(clause765,conjecture,
    [--c8_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c2_2(U,W),
     --c8_1(U),
     --ndr1_0,
     --c1_2(a1790,X),
     --c6_2(a1790,X),
     --c2_2(a1790,X),
     --ndr1_1(a1790),
     --c9_0,
     ++c5_2(U,V),
     ++c5_2(U,W)]).
%--------------------------------------------------------------------------
