%--------------------------------------------------------------------------
% File     : SYN428-1 : TPTP v2.2.1. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=10, R=1, L=150, K=3, D=2, P=0, Index=084
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-10-1-150-3-2-084.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  700 ( 446 non-Horn;   0 unit; 593 RR)
%            Number of literals   : 3075 (   0 equality)
%            Maximal clause size  :   18 (   4 average)
%            Number of predicates :   93 (  55 propositional; 0-2 arity)
%            Number of functors   :  199 ( 199 constant; 0-0 arity)
%            Number of variables  :  548 (   1 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++c4_0]).

input_clause(clause2,conjecture,
    [++ndr1_0,++c2_0]).

input_clause(clause3,conjecture,
    [--ssSkC39,++ndr1_0]).

input_clause(clause4,conjecture,
    [--ssSkC28,++ndr1_0]).

input_clause(clause5,conjecture,
    [--ssSkC12,++ndr1_0]).

input_clause(clause6,conjecture,
    [--ssSkC4,++ndr1_0]).

input_clause(clause7,conjecture,
    [++c5_0,++c9_0]).

input_clause(clause8,conjecture,
    [++c9_0,++c1_0]).

input_clause(clause9,conjecture,
    [++c7_0,++c9_0]).

input_clause(clause10,conjecture,
    [++ndr1_0,++ssSkC43]).

input_clause(clause11,conjecture,
    [++ndr1_0,++ssSkC42]).

input_clause(clause12,conjecture,
    [++ndr1_0,++ssSkC40]).

input_clause(clause13,conjecture,
    [++ndr1_0,++ssSkC39]).

input_clause(clause14,conjecture,
    [++ndr1_0,++ssSkC37]).

input_clause(clause15,conjecture,
    [++ndr1_0,++ssSkC36]).

input_clause(clause16,conjecture,
    [++ndr1_0,++ssSkC31]).

input_clause(clause17,conjecture,
    [++ndr1_0,++ssSkC30]).

input_clause(clause18,conjecture,
    [++ndr1_0,++ssSkC29]).

input_clause(clause19,conjecture,
    [++ndr1_0,++ssSkC26]).

input_clause(clause20,conjecture,
    [++ndr1_0,++ssSkC24]).

input_clause(clause21,conjecture,
    [++ndr1_0,++ssSkC23]).

input_clause(clause22,conjecture,
    [++ndr1_0,++ssSkC22]).

input_clause(clause23,conjecture,
    [++ndr1_0,++ssSkC19]).

input_clause(clause24,conjecture,
    [++ndr1_0,++ssSkC18]).

input_clause(clause25,conjecture,
    [++ndr1_0,++ssSkC17]).

input_clause(clause26,conjecture,
    [++ndr1_0,++ssSkC16]).

input_clause(clause27,conjecture,
    [++ndr1_0,++ssSkC13]).

input_clause(clause28,conjecture,
    [++ndr1_0,++ssSkC11]).

input_clause(clause29,conjecture,
    [++ndr1_0,++ssSkC9]).

input_clause(clause30,conjecture,
    [++ndr1_0,++ssSkC8]).

input_clause(clause31,conjecture,
    [++ndr1_0,++ssSkC7]).

input_clause(clause32,conjecture,
    [++ndr1_0,++ssSkC5]).

input_clause(clause33,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause34,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause35,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause36,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause37,conjecture,
    [++c10_1(a2029),
     ++c4_0]).

input_clause(clause38,conjecture,
    [--c1_0,++ndr1_0]).

input_clause(clause39,conjecture,
    [--c3_0,++ndr1_0]).

input_clause(clause40,conjecture,
    [++c8_1(a2017),
     ++c2_0]).

input_clause(clause41,conjecture,
    [++c3_1(a2017),
     ++c2_0]).

input_clause(clause42,conjecture,
    [--ssSkC39,
     ++ndr1_1(a2015)]).

input_clause(clause43,conjecture,
    [--c4_0,++ndr1_0]).

input_clause(clause44,conjecture,
    [--ssSkC32,--ssSkC33,++ndr1_0]).

input_clause(clause45,conjecture,
    [--ssSkC28,
     ++c5_1(a1963)]).

input_clause(clause46,conjecture,
    [--ssSkC25,--ssSkC26,++ndr1_0]).

input_clause(clause47,conjecture,
    [++ndr1_0,++c10_0,++c7_0]).

input_clause(clause48,conjecture,
    [--ssSkC20,--ssSkC21,++ndr1_0]).

input_clause(clause49,conjecture,
    [--ssSkC17,++ndr1_0,++c1_0]).

input_clause(clause50,conjecture,
    [--c5_0,++ndr1_0]).

input_clause(clause51,conjecture,
    [--ssSkC13,--ssSkC14,++ndr1_0]).

input_clause(clause52,conjecture,
    [++ndr1_0,++c3_0,++c10_0]).

input_clause(clause53,conjecture,
    [--ssSkC7,++ndr1_0,++c1_0]).

input_clause(clause54,conjecture,
    [--ssSkC4,
     ++ndr1_1(a1865)]).

input_clause(clause55,conjecture,
    [++ndr1_0,++c1_0,++c5_0]).

input_clause(clause56,conjecture,
    [--ssSkC2,++ndr1_0,++c9_0]).

input_clause(clause57,conjecture,
    [--ssSkC0,++ndr1_0,++c8_0]).

input_clause(clause58,conjecture,
    [--c2_0,++c7_0]).

input_clause(clause59,conjecture,
    [--c10_0,++c6_0]).

input_clause(clause60,conjecture,
    [++c3_0,++c7_0,++c2_0]).

input_clause(clause61,conjecture,
    [--c1_0,++c3_0]).

input_clause(clause62,conjecture,
    [++ndr1_1(U),
     ++ssSkP16(U)]).

input_clause(clause63,conjecture,
    [++c3_1(a2027),
     ++ssSkC42]).

input_clause(clause64,conjecture,
    [++c4_1(a2019),
     ++ssSkC40]).

input_clause(clause65,conjecture,
    [++c3_1(a2019),
     ++ssSkC40]).

input_clause(clause66,conjecture,
    [++c2_1(a2014),
     ++ssSkC39]).

input_clause(clause67,conjecture,
    [++ndr1_1(U),
     ++ssSkP15(U)]).

input_clause(clause68,conjecture,
    [++ndr1_1(a2006),
     ++ssSkC37]).

input_clause(clause69,conjecture,
    [++c4_1(a2006),
     ++ssSkC37]).

input_clause(clause70,conjecture,
    [++ndr1_1(a1998),
     ++ssSkC36]).

input_clause(clause71,conjecture,
    [++ndr1_1(U),
     ++ssSkP14(U)]).

input_clause(clause72,conjecture,
    [++ndr1_1(U),
     ++ssSkP13(U)]).

input_clause(clause73,conjecture,
    [++ndr1_1(U),
     ++ssSkP12(U)]).

input_clause(clause74,conjecture,
    [++ndr1_1(U),
     ++ssSkP11(U)]).

input_clause(clause75,conjecture,
    [++c1_1(a1979),
     ++ssSkC31]).

input_clause(clause76,conjecture,
    [++c9_1(a1979),
     ++ssSkC31]).

input_clause(clause77,conjecture,
    [++ndr1_1(a1976),
     ++ssSkC30]).

input_clause(clause78,conjecture,
    [++ndr1_1(a1971),
     ++ssSkC29]).

input_clause(clause79,conjecture,
    [++ndr1_1(U),
     ++ssSkP10(U)]).

input_clause(clause80,conjecture,
    [++ndr1_1(U),
     ++ssSkP9(U)]).

input_clause(clause81,conjecture,
    [++c5_1(a1950),
     ++ssSkC26]).

input_clause(clause82,conjecture,
    [++ndr1_1(U),
     ++ssSkP8(U)]).

input_clause(clause83,conjecture,
    [++c8_1(a1946),
     ++ssSkC24]).

input_clause(clause84,conjecture,
    [++ndr1_1(a1943),
     ++ssSkC23]).

input_clause(clause85,conjecture,
    [++c10_1(a1939),
     ++ssSkC22]).

input_clause(clause86,conjecture,
    [++ndr1_1(a1919),
     ++ssSkC18]).

input_clause(clause87,conjecture,
    [++ndr1_1(a1910),
     ++ssSkC16]).

input_clause(clause88,conjecture,
    [++ndr1_1(U),
     ++ssSkP7(U)]).

input_clause(clause89,conjecture,
    [++c3_1(a1903),
     ++ssSkC13]).

input_clause(clause90,conjecture,
    [++ndr1_1(a1892),
     ++ssSkC11]).

input_clause(clause91,conjecture,
    [++c4_1(a1892),
     ++ssSkC11]).

input_clause(clause92,conjecture,
    [++ndr1_1(U),
     ++ssSkP6(U)]).

input_clause(clause93,conjecture,
    [++c10_1(a1884),
     ++ssSkC9]).

input_clause(clause94,conjecture,
    [++ndr1_1(a1879),
     ++ssSkC8]).

input_clause(clause95,conjecture,
    [++c2_1(a1879),
     ++ssSkC8]).

input_clause(clause96,conjecture,
    [++c6_1(a1875),
     ++ssSkC7]).

input_clause(clause97,conjecture,
    [++ndr1_1(a1871),
     ++ssSkC5]).

input_clause(clause98,conjecture,
    [++ndr1_1(U),
     ++ssSkP5(U)]).

input_clause(clause99,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause100,conjecture,
    [++c7_1(a1854),
     ++ssSkC3]).

input_clause(clause101,conjecture,
    [++c6_1(a1854),
     ++ssSkC3]).

input_clause(clause102,conjecture,
    [++c3_1(a1854),
     ++ssSkC3]).

input_clause(clause103,conjecture,
    [++c1_1(a1845),
     ++ssSkC1]).

input_clause(clause104,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause105,conjecture,
    [++ndr1_1(a1839),
     ++ssSkC0]).

input_clause(clause106,conjecture,
    [++c2_1(a1839),
     ++ssSkC0]).

input_clause(clause107,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause108,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause109,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause110,conjecture,
    [--c10_0,++ndr1_0,++c8_0]).

input_clause(clause111,conjecture,
    [--c6_0,++ndr1_0,++c1_0]).

input_clause(clause112,conjecture,
    [--c4_0,
     ++c8_1(a1997)]).

input_clause(clause113,conjecture,
    [--ssSkC35,--c7_0,++ndr1_0]).

input_clause(clause114,conjecture,
    [--ssSkC32,
     --ssSkC33,
     ++ndr1_1(a1986)]).

input_clause(clause115,conjecture,
    [--c6_0,++ndr1_0,++c5_0]).

input_clause(clause116,conjecture,
    [--ssSkC25,
     --ssSkC26,
     ++c5_1(a1951)]).

input_clause(clause117,conjecture,
    [++ndr1_1(a1937),
     ++c10_0,
     ++c7_0]).

input_clause(clause118,conjecture,
    [++c2_1(a1937),
     ++c10_0,
     ++c7_0]).

input_clause(clause119,conjecture,
    [--ssSkC20,
     --ssSkC21,
     ++ndr1_1(a1931)]).

input_clause(clause120,conjecture,
    [++ndr1_1(a1922),
     ++c4_0,
     ++c7_0]).

input_clause(clause121,conjecture,
    [++c8_1(a1922),
     ++c4_0,
     ++c7_0]).

input_clause(clause122,conjecture,
    [--c9_0,++ndr1_0,++c1_0]).

input_clause(clause123,conjecture,
    [--ssSkC17,
     ++c9_1(a1914),
     ++c1_0]).

input_clause(clause124,conjecture,
    [--ssSkC17,
     ++c5_1(a1914),
     ++c1_0]).

input_clause(clause125,conjecture,
    [--c5_0,
     ++c5_1(a1907)]).

input_clause(clause126,conjecture,
    [--c5_0,
     ++c8_1(a1907)]).

input_clause(clause127,conjecture,
    [--ssSkC13,
     --ssSkC14,
     ++c4_1(a1906)]).

input_clause(clause128,conjecture,
    [++ndr1_1(a1900),
     ++c3_0,
     ++c10_0]).

input_clause(clause129,conjecture,
    [--ssSkC12,
     --c9_1(a1899)]).

input_clause(clause130,conjecture,
    [--ssSkC12,
     --c1_1(a1899)]).

input_clause(clause131,conjecture,
    [--ssSkC11,--c6_0,++ndr1_0]).

input_clause(clause132,conjecture,
    [--c7_0,++ndr1_0,++c9_0]).

input_clause(clause133,conjecture,
    [--ssSkC4,
     ++c2_2(a1865,a1868)]).

input_clause(clause134,conjecture,
    [--ssSkC4,
     ++c3_2(a1865,a1867)]).

input_clause(clause135,conjecture,
    [--ssSkC4,
     ++c8_2(a1865,a1866)]).

input_clause(clause136,conjecture,
    [++c1_1(a1853),
     ++c1_0,
     ++c5_0]).

input_clause(clause137,conjecture,
    [--ssSkC2,
     ++ndr1_1(a1849),
     ++c9_0]).

input_clause(clause138,conjecture,
    [--ssSkC2,
     ++c6_1(a1849),
     ++c9_0]).

input_clause(clause139,conjecture,
    [--ssSkC1,--c7_0,++ndr1_0]).

input_clause(clause140,conjecture,
    [--ssSkC0,
     ++ndr1_1(a1841),
     ++c8_0]).

input_clause(clause141,conjecture,
    [--c4_0,--c8_0]).

input_clause(clause142,conjecture,
    [--c1_0,++c7_0,++c8_0]).

input_clause(clause143,conjecture,
    [--c4_0,--c9_0]).

input_clause(clause144,conjecture,
    [--c1_0,++c7_0,++c10_0]).

input_clause(clause145,conjecture,
    [--c10_0,++c2_0,++c9_0]).

input_clause(clause146,conjecture,
    [--c2_0,--c3_0]).

input_clause(clause147,conjecture,
    [++c8_2(U,a2031),
     ++ssSkP16(U)]).

input_clause(clause148,conjecture,
    [--c7_1(a2030),
     ++ssSkC43]).

input_clause(clause149,conjecture,
    [--c6_1(a2030),
     ++ssSkC43]).

input_clause(clause150,conjecture,
    [--c4_1(a2027),
     ++ssSkC42]).

input_clause(clause151,conjecture,
    [--c6_1(a2027),
     ++ssSkC42]).

input_clause(clause152,conjecture,
    [--c7_1(a2014),
     ++ssSkC39]).

input_clause(clause153,conjecture,
    [++c3_2(U,a2008),
     ++ssSkP15(U)]).

input_clause(clause154,conjecture,
    [++c4_2(a2006,a2007),
     ++ssSkC37]).

input_clause(clause155,conjecture,
    [++c7_2(a2006,a2007),
     ++ssSkC37]).

input_clause(clause156,conjecture,
    [++c6_2(a1998,a2000),
     ++ssSkC36]).

input_clause(clause157,conjecture,
    [++c9_2(a1998,a2000),
     ++ssSkC36]).

input_clause(clause158,conjecture,
    [++c1_2(a1998,a2000),
     ++ssSkC36]).

input_clause(clause159,conjecture,
    [++c10_2(a1998,a1999),
     ++ssSkC36]).

input_clause(clause160,conjecture,
    [++c3_2(a1998,a1999),
     ++ssSkC36]).

input_clause(clause161,conjecture,
    [--c5_1(a1998),
     ++ssSkC36]).

input_clause(clause162,conjecture,
    [++c8_2(U,a1992),
     ++ssSkP14(U)]).

input_clause(clause163,conjecture,
    [++c10_2(U,a1992),
     ++ssSkP14(U)]).

input_clause(clause164,conjecture,
    [++c10_2(U,a1990),
     ++ssSkP13(U)]).

input_clause(clause165,conjecture,
    [++c8_2(U,a1984),
     ++ssSkP12(U)]).

input_clause(clause166,conjecture,
    [++c9_2(U,a1984),
     ++ssSkP12(U)]).

input_clause(clause167,conjecture,
    [++c1_2(U,a1980),
     ++ssSkP11(U)]).

input_clause(clause168,conjecture,
    [++c7_2(U,a1980),
     ++ssSkP11(U)]).

input_clause(clause169,conjecture,
    [++c4_2(U,a1980),
     ++ssSkP11(U)]).

input_clause(clause170,conjecture,
    [++c8_2(a1976,a1977),
     ++ssSkC30]).

input_clause(clause171,conjecture,
    [++c7_2(a1976,a1977),
     ++ssSkC30]).

input_clause(clause172,conjecture,
    [--c9_1(a1976),
     ++ssSkC30]).

input_clause(clause173,conjecture,
    [--c1_1(a1976),
     ++ssSkC30]).

input_clause(clause174,conjecture,
    [++c7_2(a1971,a1973),
     ++ssSkC29]).

input_clause(clause175,conjecture,
    [++c10_2(a1971,a1973),
     ++ssSkC29]).

input_clause(clause176,conjecture,
    [--c3_1(a1971),
     ++ssSkC29]).

input_clause(clause177,conjecture,
    [++c8_2(U,a1956),
     ++ssSkP10(U)]).

input_clause(clause178,conjecture,
    [++c1_2(U,a1956),
     ++ssSkP10(U)]).

input_clause(clause179,conjecture,
    [++c4_2(U,a1953),
     ++ssSkP9(U)]).

input_clause(clause180,conjecture,
    [++c10_2(U,a1953),
     ++ssSkP9(U)]).

input_clause(clause181,conjecture,
    [--c1_1(a1950),
     ++ssSkC26]).

input_clause(clause182,conjecture,
    [++c9_2(U,a1947),
     ++ssSkP8(U)]).

input_clause(clause183,conjecture,
    [++c2_2(U,a1947),
     ++ssSkP8(U)]).

input_clause(clause184,conjecture,
    [++c7_2(U,a1947),
     ++ssSkP8(U)]).

input_clause(clause185,conjecture,
    [--c1_1(a1946),
     ++ssSkC24]).

input_clause(clause186,conjecture,
    [++c4_2(a1943,a1944),
     ++ssSkC23]).

input_clause(clause187,conjecture,
    [++c10_2(a1943,a1944),
     ++ssSkC23]).

input_clause(clause188,conjecture,
    [--c7_1(a1943),
     ++ssSkC23]).

input_clause(clause189,conjecture,
    [--c4_1(a1943),
     ++ssSkC23]).

input_clause(clause190,conjecture,
    [--c2_1(a1939),
     ++ssSkC22]).

input_clause(clause191,conjecture,
    [--c5_1(a1924),
     ++ssSkC19]).

input_clause(clause192,conjecture,
    [++c3_2(a1919,a1920),
     ++ssSkC18]).

input_clause(clause193,conjecture,
    [++c9_2(a1919,a1920),
     ++ssSkC18]).

input_clause(clause194,conjecture,
    [--c9_1(a1919),
     ++ssSkC18]).

input_clause(clause195,conjecture,
    [--c4_1(a1919),
     ++ssSkC18]).

input_clause(clause196,conjecture,
    [--c2_1(a1913),
     ++ssSkC17]).

input_clause(clause197,conjecture,
    [++c10_2(U,a1904),
     ++ssSkP7(U)]).

input_clause(clause198,conjecture,
    [++c3_2(a1892,a1893),
     ++ssSkC11]).

input_clause(clause199,conjecture,
    [++c1_2(a1892,a1893),
     ++ssSkC11]).

input_clause(clause200,conjecture,
    [++c6_2(a1892,a1893),
     ++ssSkC11]).

input_clause(clause201,conjecture,
    [--c8_1(a1892),
     ++ssSkC11]).

input_clause(clause202,conjecture,
    [--c7_1(a1884),
     ++ssSkC9]).

input_clause(clause203,conjecture,
    [++c6_2(a1879,a1880),
     ++ssSkC8]).

input_clause(clause204,conjecture,
    [++c5_2(a1879,a1880),
     ++ssSkC8]).

input_clause(clause205,conjecture,
    [--c10_1(a1875),
     ++ssSkC7]).

input_clause(clause206,conjecture,
    [++c8_2(U,a1863),
     ++ssSkP5(U)]).

input_clause(clause207,conjecture,
    [++c10_2(U,a1855),
     ++ssSkP4(U)]).

input_clause(clause208,conjecture,
    [++c1_2(U,a1855),
     ++ssSkP4(U)]).

input_clause(clause209,conjecture,
    [++c6_2(U,a1855),
     ++ssSkP4(U)]).

input_clause(clause210,conjecture,
    [--c2_1(a1848),
     ++ssSkC2]).

input_clause(clause211,conjecture,
    [--c10_1(a1845),
     ++ssSkC1]).

input_clause(clause212,conjecture,
    [++c9_2(U,a1843),
     ++ssSkP3(U)]).

input_clause(clause213,conjecture,
    [++c7_2(U,a1843),
     ++ssSkP3(U)]).

input_clause(clause214,conjecture,
    [++c8_2(a1839,a1840),
     ++ssSkC0]).

input_clause(clause215,conjecture,
    [++c2_2(a1839,a1840),
     ++ssSkC0]).

input_clause(clause216,conjecture,
    [++c3_2(a1839,a1840),
     ++ssSkC0]).

input_clause(clause217,conjecture,
    [--c10_1(a1839),
     ++ssSkC0]).

input_clause(clause218,conjecture,
    [++c7_2(U,a1837),
     ++ssSkP2(U)]).

input_clause(clause219,conjecture,
    [++c6_2(U,a1837),
     ++ssSkP2(U)]).

input_clause(clause220,conjecture,
    [++c3_2(U,a1835),
     ++ssSkP1(U)]).

input_clause(clause221,conjecture,
    [++c5_2(U,a1835),
     ++ssSkP1(U)]).

input_clause(clause222,conjecture,
    [++c7_2(U,a1834),
     ++ssSkP0(U)]).

input_clause(clause223,conjecture,
    [--c8_1(a2023),
     --c1_0]).

input_clause(clause224,conjecture,
    [--c10_1(a2023),
     --c1_0]).

input_clause(clause225,conjecture,
    [--c10_0,
     ++c3_1(a2022),
     ++c8_0]).

input_clause(clause226,conjecture,
    [--c3_1(a2021),
     --c3_0]).

input_clause(clause227,conjecture,
    [--c8_1(a2021),
     --c3_0]).

input_clause(clause228,conjecture,
    [--c1_1(a2021),
     --c3_0]).

input_clause(clause229,conjecture,
    [--ssSkC39,
     --c8_2(a2015,a2016)]).

input_clause(clause230,conjecture,
    [--ssSkC39,
     --c9_2(a2015,a2016)]).

input_clause(clause231,conjecture,
    [--c6_0,
     ++c7_1(a2010),
     ++c1_0]).

input_clause(clause232,conjecture,
    [--c6_0,
     ++ndr1_1(a2004),
     ++c1_0]).

input_clause(clause233,conjecture,
    [--c8_0,
     ++c3_1(a2003),
     ++c2_0]).

input_clause(clause234,conjecture,
    [--ssSkC36,
     --c5_0,
     ++ndr1_1(a2001)]).

input_clause(clause235,conjecture,
    [--ssSkC36,
     --c5_0,
     ++c2_1(a2001)]).

input_clause(clause236,conjecture,
    [--c3_1(a1997),
     --c4_0]).

input_clause(clause237,conjecture,
    [--ssSkC35,
     --c7_0,
     ++ndr1_1(a1995)]).

input_clause(clause238,conjecture,
    [--ssSkC32,
     --ssSkC33,
     ++c7_2(a1986,a1987)]).

input_clause(clause239,conjecture,
    [--ssSkC32,
     --ssSkC33,
     --c9_1(a1986)]).

input_clause(clause240,conjecture,
    [--ssSkC32,
     --ssSkC33,
     --c7_1(a1986)]).

input_clause(clause241,conjecture,
    [--c6_0,
     ++ndr1_1(a1964),
     ++c5_0]).

input_clause(clause242,conjecture,
    [--c3_0,
     ++ndr1_1(a1958),
     ++c7_0]).

input_clause(clause243,conjecture,
    [--ssSkC25,
     --ssSkC26,
     --c3_1(a1951)]).

input_clause(clause244,conjecture,
    [--c10_1(a1937),
     ++c10_0,
     ++c7_0]).

input_clause(clause245,conjecture,
    [--ssSkC20,
     --ssSkC21,
     ++c1_2(a1931,a1932)]).

input_clause(clause246,conjecture,
    [--ssSkC20,
     --ssSkC21,
     ++c7_2(a1931,a1932)]).

input_clause(clause247,conjecture,
    [--ssSkC20,
     --ssSkC21,
     --c8_1(a1931)]).

input_clause(clause248,conjecture,
    [++c8_2(a1922,a1923),
     ++c4_0,
     ++c7_0]).

input_clause(clause249,conjecture,
    [--ssSkC18,
     --c4_0,
     ++c8_1(a1921)]).

input_clause(clause250,conjecture,
    [--ssSkC18,
     --c4_0,
     ++c5_1(a1921)]).

input_clause(clause251,conjecture,
    [--c9_0,
     ++ndr1_1(a1915),
     ++c1_0]).

input_clause(clause252,conjecture,
    [--c9_0,
     ++c5_1(a1915),
     ++c1_0]).

input_clause(clause253,conjecture,
    [--ssSkC17,
     --c3_1(a1914),
     ++c1_0]).

input_clause(clause254,conjecture,
    [--ssSkC16,
     --c3_0,
     ++c3_1(a1912)]).

input_clause(clause255,conjecture,
    [--c10_1(a1907),
     --c5_0]).

input_clause(clause256,conjecture,
    [++c9_2(a1900,a1902),
     ++c3_0,
     ++c10_0]).

input_clause(clause257,conjecture,
    [++c2_2(a1900,a1902),
     ++c3_0,
     ++c10_0]).

input_clause(clause258,conjecture,
    [--c6_1(a1900),
     ++c3_0,
     ++c10_0]).

input_clause(clause259,conjecture,
    [--ssSkC10,
     --c1_0,
     ++ndr1_1(a1890)]).

input_clause(clause260,conjecture,
    [--ssSkC8,
     --c4_0,
     ++ndr1_1(a1881)]).

input_clause(clause261,conjecture,
    [--c7_0,
     ++ndr1_1(a1877),
     ++c9_0]).

input_clause(clause262,conjecture,
    [--c7_0,
     ++c10_1(a1877),
     ++c9_0]).

input_clause(clause263,conjecture,
    [--ssSkC7,
     --c2_1(a1876),
     ++c1_0]).

input_clause(clause264,conjecture,
    [--ssSkC7,
     --c5_1(a1876),
     ++c1_0]).

input_clause(clause265,conjecture,
    [--ssSkC4,
     --c7_2(a1865,a1868)]).

input_clause(clause266,conjecture,
    [--ssSkC4,
     --c6_2(a1865,a1868)]).

input_clause(clause267,conjecture,
    [--ssSkC4,
     --c9_2(a1865,a1867)]).

input_clause(clause268,conjecture,
    [--ssSkC4,
     --c5_2(a1865,a1867)]).

input_clause(clause269,conjecture,
    [--ssSkC4,
     --c7_2(a1865,a1866)]).

input_clause(clause270,conjecture,
    [--ssSkC4,
     --c4_2(a1865,a1866)]).

input_clause(clause271,conjecture,
    [--c6_0,--c2_0,++ndr1_0]).

input_clause(clause272,conjecture,
    [--c2_1(a1853),
     ++c1_0,
     ++c5_0]).

input_clause(clause273,conjecture,
    [--c7_0,
     ++ndr1_1(a1851),
     ++c4_0]).

input_clause(clause274,conjecture,
    [--ssSkC2,
     ++c5_2(a1849,a1850),
     ++c9_0]).

input_clause(clause275,conjecture,
    [--ssSkC2,
     ++c7_2(a1849,a1850),
     ++c9_0]).

input_clause(clause276,conjecture,
    [--ssSkC2,
     --c3_1(a1849),
     ++c9_0]).

input_clause(clause277,conjecture,
    [--ssSkC1,
     --c7_0,
     ++ndr1_1(a1846)]).

input_clause(clause278,conjecture,
    [--ssSkC1,
     --c7_0,
     ++c9_1(a1846)]).

input_clause(clause279,conjecture,
    [--ssSkC0,
     ++c4_2(a1841,a1842),
     ++c8_0]).

input_clause(clause280,conjecture,
    [--ssSkC0,
     ++c2_2(a1841,a1842),
     ++c8_0]).

input_clause(clause281,conjecture,
    [--c6_0,--c7_0,++c10_0]).

input_clause(clause282,conjecture,
    [--c4_0,--c3_0,++c5_0]).

input_clause(clause283,conjecture,
    [--c7_0,--c10_0,++c2_0]).

input_clause(clause284,conjecture,
    [--c8_0,--c9_0,++c3_0]).

input_clause(clause285,conjecture,
    [--c5_2(U,a2031),
     ++ssSkP16(U)]).

input_clause(clause286,conjecture,
    [--c5_2(U,a2008),
     ++ssSkP15(U)]).

input_clause(clause287,conjecture,
    [--c2_2(U,a2008),
     ++ssSkP15(U)]).

input_clause(clause288,conjecture,
    [--c2_2(a2006,a2007),
     ++ssSkC37]).

input_clause(clause289,conjecture,
    [--c2_2(a1998,a1999),
     ++ssSkC36]).

input_clause(clause290,conjecture,
    [--c2_2(U,a1992),
     ++ssSkP14(U)]).

input_clause(clause291,conjecture,
    [--c5_2(U,a1990),
     ++ssSkP13(U)]).

input_clause(clause292,conjecture,
    [--c2_2(U,a1990),
     ++ssSkP13(U)]).

input_clause(clause293,conjecture,
    [--c10_2(U,a1984),
     ++ssSkP12(U)]).

input_clause(clause294,conjecture,
    [--c6_2(a1976,a1977),
     ++ssSkC30]).

input_clause(clause295,conjecture,
    [--c8_2(a1971,a1972),
     ++ssSkC29]).

input_clause(clause296,conjecture,
    [--c5_2(a1971,a1972),
     ++ssSkC29]).

input_clause(clause297,conjecture,
    [--c7_2(a1971,a1972),
     ++ssSkC29]).

input_clause(clause298,conjecture,
    [--c6_2(U,a1956),
     ++ssSkP10(U)]).

input_clause(clause299,conjecture,
    [--c6_2(U,a1953),
     ++ssSkP9(U)]).

input_clause(clause300,conjecture,
    [--c1_2(a1943,a1944),
     ++ssSkC23]).

input_clause(clause301,conjecture,
    [--c1_2(a1919,a1920),
     ++ssSkC18]).

input_clause(clause302,conjecture,
    [--c3_2(a1910,a1911),
     ++ssSkC16]).

input_clause(clause303,conjecture,
    [--c4_2(a1910,a1911),
     ++ssSkC16]).

input_clause(clause304,conjecture,
    [--c8_2(U,a1904),
     ++ssSkP7(U)]).

input_clause(clause305,conjecture,
    [--c7_2(U,a1904),
     ++ssSkP7(U)]).

input_clause(clause306,conjecture,
    [--c6_2(U,a1888),
     ++ssSkP6(U)]).

input_clause(clause307,conjecture,
    [--c5_2(U,a1888),
     ++ssSkP6(U)]).

input_clause(clause308,conjecture,
    [--c7_2(U,a1888),
     ++ssSkP6(U)]).

input_clause(clause309,conjecture,
    [--c3_2(a1879,a1880),
     ++ssSkC8]).

input_clause(clause310,conjecture,
    [--c2_2(a1871,a1872),
     ++ssSkC5]).

input_clause(clause311,conjecture,
    [--c5_2(a1871,a1872),
     ++ssSkC5]).

input_clause(clause312,conjecture,
    [--c3_2(U,a1863),
     ++ssSkP5(U)]).

input_clause(clause313,conjecture,
    [--c1_2(U,a1863),
     ++ssSkP5(U)]).

input_clause(clause314,conjecture,
    [--c3_2(U,a1843),
     ++ssSkP3(U)]).

input_clause(clause315,conjecture,
    [--c3_2(U,a1837),
     ++ssSkP2(U)]).

input_clause(clause316,conjecture,
    [--c9_2(U,a1834),
     ++ssSkP0(U)]).

input_clause(clause317,conjecture,
    [--c3_2(U,a1834),
     ++ssSkP0(U)]).

input_clause(clause318,conjecture,
    [--c7_1(a2022),
     --c10_0,
     ++c8_0]).

input_clause(clause319,conjecture,
    [--c1_1(a2010),
     --c6_0,
     ++c1_0]).

input_clause(clause320,conjecture,
    [--c6_0,
     ++c8_2(a2004,a2005),
     ++c1_0]).

input_clause(clause321,conjecture,
    [--c1_1(a2004),
     --c6_0,
     ++c1_0]).

input_clause(clause322,conjecture,
    [--ssSkC36,
     --c5_0,
     ++c9_2(a2001,a2002)]).

input_clause(clause323,conjecture,
    [--ssSkC36,
     --c5_0,
     ++c5_2(a2001,a2002)]).

input_clause(clause324,conjecture,
    [--ssSkC36,
     --c3_1(a2001),
     --c5_0]).

input_clause(clause325,conjecture,
    [--ssSkC35,
     --c7_0,
     ++c5_2(a1995,a1996)]).

input_clause(clause326,conjecture,
    [--ssSkC35,
     --c3_1(a1995),
     --c7_0]).

input_clause(clause327,conjecture,
    [--ssSkC32,
     --ssSkC33,
     --c5_2(a1986,a1987)]).

input_clause(clause328,conjecture,
    [--ssSkC32,
     --ssSkC33,
     --c2_2(a1986,a1987)]).

input_clause(clause329,conjecture,
    [--c4_0,
     --c1_0,
     ++c7_1(a1970)]).

input_clause(clause330,conjecture,
    [--c6_0,
     ++c3_2(a1964,a1965),
     ++c5_0]).

input_clause(clause331,conjecture,
    [--c6_0,
     ++c9_2(a1964,a1965),
     ++c5_0]).

input_clause(clause332,conjecture,
    [--c3_0,
     ++c4_2(a1958,a1959),
     ++c7_0]).

input_clause(clause333,conjecture,
    [--c3_0,
     ++c8_2(a1958,a1959),
     ++c7_0]).

input_clause(clause334,conjecture,
    [--c9_1(a1958),
     --c3_0,
     ++c7_0]).

input_clause(clause335,conjecture,
    [--c5_1(a1958),
     --c3_0,
     ++c7_0]).

input_clause(clause336,conjecture,
    [--c1_1(a1941),
     --c3_0,
     ++c7_0]).

input_clause(clause337,conjecture,
    [--c9_1(a1941),
     --c3_0,
     ++c7_0]).

input_clause(clause338,conjecture,
    [--c7_2(a1937,a1938),
     ++c10_0,
     ++c7_0]).

input_clause(clause339,conjecture,
    [--c6_2(a1937,a1938),
     ++c10_0,
     ++c7_0]).

input_clause(clause340,conjecture,
    [--c5_0,
     --c7_0,
     ++ndr1_1(a1933)]).

input_clause(clause341,conjecture,
    [--ssSkC20,
     --ssSkC21,
     --c9_2(a1931,a1932)]).

input_clause(clause342,conjecture,
    [--c3_0,
     --c5_0,
     ++c5_1(a1926)]).

input_clause(clause343,conjecture,
    [--c3_2(a1922,a1923),
     ++c4_0,
     ++c7_0]).

input_clause(clause344,conjecture,
    [--c7_2(a1922,a1923),
     ++c4_0,
     ++c7_0]).

input_clause(clause345,conjecture,
    [--ssSkC18,
     --c6_1(a1921),
     --c4_0]).

input_clause(clause346,conjecture,
    [--c9_0,
     ++c5_2(a1915,a1916),
     ++c1_0]).

input_clause(clause347,conjecture,
    [--ssSkC16,
     --c5_1(a1912),
     --c3_0]).

input_clause(clause348,conjecture,
    [--c10_2(a1900,a1902),
     ++c3_0,
     ++c10_0]).

input_clause(clause349,conjecture,
    [--c4_2(a1900,a1901),
     ++c3_0,
     ++c10_0]).

input_clause(clause350,conjecture,
    [--c10_2(a1900,a1901),
     ++c3_0,
     ++c10_0]).

input_clause(clause351,conjecture,
    [--c2_2(a1900,a1901),
     ++c3_0,
     ++c10_0]).

input_clause(clause352,conjecture,
    [--ssSkC11,
     --c9_1(a1894),
     --c6_0]).

input_clause(clause353,conjecture,
    [--ssSkC10,
     --c1_0,
     ++c5_2(a1890,a1891)]).

input_clause(clause354,conjecture,
    [--ssSkC10,
     --c6_1(a1890),
     --c1_0]).

input_clause(clause355,conjecture,
    [--ssSkC10,
     --c1_1(a1890),
     --c1_0]).

input_clause(clause356,conjecture,
    [--c4_0,
     --c10_0,
     ++ndr1_1(a1886)]).

input_clause(clause357,conjecture,
    [--c4_0,
     --c10_0,
     ++c7_1(a1886)]).

input_clause(clause358,conjecture,
    [--ssSkC9,
     --c2_1(a1885),
     --c1_0]).

input_clause(clause359,conjecture,
    [--ssSkC9,
     --c8_1(a1885),
     --c1_0]).

input_clause(clause360,conjecture,
    [--ssSkC8,
     --c4_0,
     ++c1_2(a1881,a1882)]).

input_clause(clause361,conjecture,
    [--ssSkC8,
     --c9_1(a1881),
     --c4_0]).

input_clause(clause362,conjecture,
    [--ssSkC8,
     --c3_1(a1881),
     --c4_0]).

input_clause(clause363,conjecture,
    [--c7_0,
     ++c10_2(a1877,a1878),
     ++c9_0]).

input_clause(clause364,conjecture,
    [--c6_0,
     --c2_0,
     ++ndr1_1(a1860)]).

input_clause(clause365,conjecture,
    [--c7_0,
     ++c3_2(a1851,a1852),
     ++c4_0]).

input_clause(clause366,conjecture,
    [--ssSkC2,
     --c3_2(a1849,a1850),
     ++c9_0]).

input_clause(clause367,conjecture,
    [--ssSkC1,
     --c7_0,
     ++c5_2(a1846,a1847)]).

input_clause(clause368,conjecture,
    [--ssSkC1,
     --c7_0,
     ++c8_2(a1846,a1847)]).

input_clause(clause369,conjecture,
    [--ssSkC1,
     --c7_0,
     ++c7_2(a1846,a1847)]).

input_clause(clause370,conjecture,
    [--c3_0,--c6_0,--c9_0]).

input_clause(clause371,conjecture,
    [--c10_2(a2004,a2005),
     --c6_0,
     ++c1_0]).

input_clause(clause372,conjecture,
    [--ssSkC36,
     --c2_2(a2001,a2002),
     --c5_0]).

input_clause(clause373,conjecture,
    [--ssSkC35,
     --c6_2(a1995,a1996),
     --c7_0]).

input_clause(clause374,conjecture,
    [--ssSkC35,
     --c1_2(a1995,a1996),
     --c7_0]).

input_clause(clause375,conjecture,
    [--c7_1(a1975),
     --c3_0,
     --c7_0]).

input_clause(clause376,conjecture,
    [--c10_1(a1970),
     --c4_0,
     --c1_0]).

input_clause(clause377,conjecture,
    [--c5_1(a1970),
     --c4_0,
     --c1_0]).

input_clause(clause378,conjecture,
    [--c10_2(a1964,a1966),
     --c6_0,
     ++c5_0]).

input_clause(clause379,conjecture,
    [--c3_2(a1964,a1966),
     --c6_0,
     ++c5_0]).

input_clause(clause380,conjecture,
    [--c4_2(a1964,a1965),
     --c6_0,
     ++c5_0]).

input_clause(clause381,conjecture,
    [--c7_2(a1958,a1959),
     --c3_0,
     ++c7_0]).

input_clause(clause382,conjecture,
    [--c5_0,
     --c7_0,
     ++c5_2(a1933,a1934)]).

input_clause(clause383,conjecture,
    [--c5_0,
     --c7_0,
     ++c8_2(a1933,a1934)]).

input_clause(clause384,conjecture,
    [--c8_1(a1933),
     --c5_0,
     --c7_0]).

input_clause(clause385,conjecture,
    [--c3_1(a1933),
     --c5_0,
     --c7_0]).

input_clause(clause386,conjecture,
    [--c1_1(a1926),
     --c3_0,
     --c5_0]).

input_clause(clause387,conjecture,
    [--c6_1(a1926),
     --c3_0,
     --c5_0]).

input_clause(clause388,conjecture,
    [--c9_2(a1915,a1916),
     --c9_0,
     ++c1_0]).

input_clause(clause389,conjecture,
    [--ssSkC10,
     --c3_2(a1890,a1891),
     --c1_0]).

input_clause(clause390,conjecture,
    [--ssSkC10,
     --c10_2(a1890,a1891),
     --c1_0]).

input_clause(clause391,conjecture,
    [--c4_0,
     --c10_0,
     ++c4_2(a1886,a1887)]).

input_clause(clause392,conjecture,
    [--c4_0,
     --c10_0,
     ++c5_2(a1886,a1887)]).

input_clause(clause393,conjecture,
    [--c9_1(a1886),
     --c4_0,
     --c10_0]).

input_clause(clause394,conjecture,
    [--ssSkC8,
     --c8_2(a1881,a1882),
     --c4_0]).

input_clause(clause395,conjecture,
    [--ssSkC8,
     --c4_2(a1881,a1882),
     --c4_0]).

input_clause(clause396,conjecture,
    [--c1_2(a1877,a1878),
     --c7_0,
     ++c9_0]).

input_clause(clause397,conjecture,
    [--c2_2(a1877,a1878),
     --c7_0,
     ++c9_0]).

input_clause(clause398,conjecture,
    [--c6_0,
     --c2_0,
     ++c1_2(a1860,a1862)]).

input_clause(clause399,conjecture,
    [--c6_0,
     --c2_0,
     ++c3_2(a1860,a1862)]).

input_clause(clause400,conjecture,
    [--c6_0,
     --c2_0,
     ++c5_2(a1860,a1862)]).

input_clause(clause401,conjecture,
    [--c6_0,
     --c2_0,
     ++c5_2(a1860,a1861)]).

input_clause(clause402,conjecture,
    [--c4_1(a1857),
     --c4_0,
     --c1_0]).

input_clause(clause403,conjecture,
    [--c4_2(a1851,a1852),
     --c7_0,
     ++c4_0]).

input_clause(clause404,conjecture,
    [--c2_2(a1851,a1852),
     --c7_0,
     ++c4_0]).

input_clause(clause405,conjecture,
    [--ndr1_0,
     --c5_0,
     ++c5_1(U),
     ++c3_1(U)]).

input_clause(clause406,conjecture,
    [--ndr1_0,
     --c5_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++c9_0]).

input_clause(clause407,conjecture,
    [--c1_2(a1933,a1934),
     --c5_0,
     --c7_0]).

input_clause(clause408,conjecture,
    [--c1_2(a1886,a1887),
     --c4_0,
     --c10_0]).

input_clause(clause409,conjecture,
    [--c2_2(a1860,a1861),
     --c6_0,
     --c2_0]).

input_clause(clause410,conjecture,
    [--c9_2(a1860,a1861),
     --c6_0,
     --c2_0]).

input_clause(clause411,conjecture,
    [--ssSkP12(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++ssSkC33]).

input_clause(clause412,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c8_1(U),
     ++c1_1(U),
     ++ssSkC25]).

input_clause(clause413,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c10_1(U),
     ++c3_1(U),
     ++ssSkC21]).

input_clause(clause414,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c10_1(U),
     ++c7_1(U),
     ++ssSkC15]).

input_clause(clause415,conjecture,
    [--ssSkP7(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c6_1(U),
     ++ssSkC14]).

input_clause(clause416,conjecture,
    [--ssSkP16(U),
     --ssSkC43,
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++c3_0]).

input_clause(clause417,conjecture,
    [--ssSkP11(U),
     --ssSkC31,
     --ndr1_0,
     ++ndr1_1(U),
     ++c10_1(U),
     ++c3_0]).

input_clause(clause418,conjecture,
    [--ssSkC22,
     --c6_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U)]).

input_clause(clause419,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++c6_0]).

input_clause(clause420,conjecture,
    [--ssSkC5,
     --ssSkC6,
     --ndr1_0,
     ++ndr1_1(U),
     ++c6_1(U),
     ++c2_1(U)]).

input_clause(clause421,conjecture,
    [--ndr1_0,
     --c5_0,
     ++c5_2(U,a1982),
     ++c3_1(U),
     ++c9_0]).

input_clause(clause422,conjecture,
    [--ndr1_0,
     --c5_0,
     ++c10_2(U,a1982),
     ++c3_1(U),
     ++c9_0]).

input_clause(clause423,conjecture,
    [--c10_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++ssSkC35]).

input_clause(clause424,conjecture,
    [--ssSkP13(U),
     --c10_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC34]).

input_clause(clause425,conjecture,
    [--ssSkP12(U),
     --ndr1_0,
     ++c8_2(U,a1985),
     ++c1_1(U),
     ++ssSkC33]).

input_clause(clause426,conjecture,
    [--ssSkP12(U),
     --ndr1_0,
     ++c6_2(U,a1985),
     ++c1_1(U),
     ++ssSkC33]).

input_clause(clause427,conjecture,
    [--ssSkP12(U),
     --ndr1_0,
     ++c3_2(U,a1985),
     ++c1_1(U),
     ++ssSkC33]).

input_clause(clause428,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c8_1(U),
     ++ssSkC28]).

input_clause(clause429,conjecture,
    [--ndr1_0,
     ++c9_2(U,a1949),
     ++c8_1(U),
     ++c1_1(U),
     ++ssSkC25]).

input_clause(clause430,conjecture,
    [--ndr1_0,
     ++c7_2(U,a1949),
     ++c8_1(U),
     ++c1_1(U),
     ++ssSkC25]).

input_clause(clause431,conjecture,
    [--ndr1_0,
     ++c10_2(U,a1949),
     ++c8_1(U),
     ++c1_1(U),
     ++ssSkC25]).

input_clause(clause432,conjecture,
    [--ndr1_0,
     ++c8_2(U,a1930),
     ++c10_1(U),
     ++c3_1(U),
     ++ssSkC21]).

input_clause(clause433,conjecture,
    [--ndr1_0,
     ++c7_2(U,a1930),
     ++c10_1(U),
     ++c3_1(U),
     ++ssSkC21]).

input_clause(clause434,conjecture,
    [--ndr1_0,
     ++c9_2(U,a1908),
     ++c10_1(U),
     ++c7_1(U),
     ++ssSkC15]).

input_clause(clause435,conjecture,
    [--ndr1_0,
     ++c1_2(U,a1908),
     ++c10_1(U),
     ++c7_1(U),
     ++ssSkC15]).

input_clause(clause436,conjecture,
    [--ndr1_0,
     ++c3_2(U,a1908),
     ++c10_1(U),
     ++c7_1(U),
     ++ssSkC15]).

input_clause(clause437,conjecture,
    [--ssSkP7(U),
     --ndr1_0,
     ++c5_2(U,a1905),
     ++c6_1(U),
     ++ssSkC14]).

input_clause(clause438,conjecture,
    [--ssSkP6(U),
     --c6_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC10]).

input_clause(clause439,conjecture,
    [--c10_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++ssSkC6]).

input_clause(clause440,conjecture,
    [--ssSkP5(U),
     --c8_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC4]).

input_clause(clause441,conjecture,
    [--ssSkP16(U),
     --ssSkC43,
     --ndr1_0,
     ++c2_2(U,a2032),
     ++c1_1(U),
     ++c3_0]).

input_clause(clause442,conjecture,
    [--ssSkP16(U),
     --ssSkC43,
     --ndr1_0,
     ++c7_2(U,a2032),
     ++c1_1(U),
     ++c3_0]).

input_clause(clause443,conjecture,
    [--ssSkC42,
     --c6_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++c8_0]).

input_clause(clause444,conjecture,
    [--ndr1_0,
     --c9_0,
     ++ndr1_1(U),
     ++c8_1(U),
     ++c10_1(U),
     ++c2_0]).

input_clause(clause445,conjecture,
    [--ssSkP15(U),
     --ssSkC37,
     --c9_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_0]).

input_clause(clause446,conjecture,
    [--ssSkP14(U),
     --ssSkC34,
     --ndr1_0,
     --c6_0,
     ++ndr1_1(U),
     ++c1_1(U)]).

input_clause(clause447,conjecture,
    [--ssSkP11(U),
     --ssSkC31,
     --ndr1_0,
     ++c7_2(U,a1981),
     ++c10_1(U),
     ++c3_0]).

input_clause(clause448,conjecture,
    [--ssSkP10(U),
     --ssSkC27,
     --c8_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c8_0]).

input_clause(clause449,conjecture,
    [--ssSkP8(U),
     --ssSkC24,
     --c10_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c9_0]).

input_clause(clause450,conjecture,
    [--ssSkC22,
     --c6_1(U),
     --ndr1_0,
     ++c8_2(U,a1940),
     ++c3_1(U)]).

input_clause(clause451,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c1_2(U,a1927),
     ++c2_1(U),
     ++c6_0]).

input_clause(clause452,conjecture,
    [--ssSkC19,
     --c7_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c6_1(U),
     ++c1_0]).

input_clause(clause453,conjecture,
    [--ssSkC5,
     --ssSkC6,
     --ndr1_0,
     ++c10_2(U,a1874),
     ++c6_1(U),
     ++c2_1(U)]).

input_clause(clause454,conjecture,
    [--ssSkC5,
     --ssSkC6,
     --ndr1_0,
     ++c1_2(U,a1874),
     ++c6_1(U),
     ++c2_1(U)]).

input_clause(clause455,conjecture,
    [--ssSkP4(U),
     --ssSkC3,
     --ndr1_0,
     --c6_0,
     ++ndr1_1(U),
     ++c10_1(U)]).

input_clause(clause456,conjecture,
    [--ssSkP0(U),
     --ssSkP1(U),
     --ndr1_0,
     --c6_0,
     ++ndr1_1(U),
     ++c4_0]).

input_clause(clause457,conjecture,
    [--ndr1_1(a2006),
     ++c9_2(a2006,U),
     ++c7_2(a2006,U),
     ++ssSkC37]).

input_clause(clause458,conjecture,
    [--ssSkC39,
     --c10_2(a2015,U),
     --ndr1_1(a2015),
     ++c2_2(a2015,U)]).

input_clause(clause459,conjecture,
    [--c9_2(U,a1982),
     --ndr1_0,
     --c5_0,
     ++c3_1(U),
     ++c9_0]).

input_clause(clause460,conjecture,
    [--c10_1(U),
     --c6_1(U),
     --ndr1_0,
     ++ndr1_1(a1935),
     ++c2_0]).

input_clause(clause461,conjecture,
    [--c10_1(U),
     --ndr1_0,
     ++c9_2(U,a1994),
     ++c4_1(U),
     ++ssSkC35]).

input_clause(clause462,conjecture,
    [--ssSkP13(U),
     --c10_1(U),
     --ndr1_0,
     ++c1_2(U,a1991),
     ++ssSkC34]).

input_clause(clause463,conjecture,
    [--c2_1(U),
     --c5_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC32]).

input_clause(clause464,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c3_2(U,a1962),
     ++c8_1(U),
     ++ssSkC28]).

input_clause(clause465,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c6_2(U,a1962),
     ++c8_1(U),
     ++ssSkC28]).

input_clause(clause466,conjecture,
    [--c10_1(U),
     --c7_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC27]).

input_clause(clause467,conjecture,
    [--c6_2(U,a1930),
     --ndr1_0,
     ++c10_1(U),
     ++c3_1(U),
     ++ssSkC21]).

input_clause(clause468,conjecture,
    [--c5_1(U),
     --c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC20]).

input_clause(clause469,conjecture,
    [--ssSkP7(U),
     --c4_2(U,a1905),
     --ndr1_0,
     ++c6_1(U),
     ++ssSkC14]).

input_clause(clause470,conjecture,
    [--ssSkP7(U),
     --c10_2(U,a1905),
     --ndr1_0,
     ++c6_1(U),
     ++ssSkC14]).

input_clause(clause471,conjecture,
    [--ssSkP6(U),
     --c6_1(U),
     --ndr1_0,
     ++c6_2(U,a1889),
     ++ssSkC10]).

input_clause(clause472,conjecture,
    [--c10_1(U),
     --ndr1_0,
     ++c3_2(U,a1873),
     ++c4_1(U),
     ++ssSkC6]).

input_clause(clause473,conjecture,
    [--ssSkP5(U),
     --c8_1(U),
     --ndr1_0,
     ++c8_2(U,a1864),
     ++ssSkC4]).

input_clause(clause474,conjecture,
    [--ssSkP5(U),
     --c8_1(U),
     --ndr1_0,
     ++c7_2(U,a1864),
     ++ssSkC4]).

input_clause(clause475,conjecture,
    [--ssSkP16(U),
     --ssSkC43,
     --c1_2(U,a2032),
     --ndr1_0,
     ++c1_1(U),
     ++c3_0]).

input_clause(clause476,conjecture,
    [--ssSkC42,
     --c6_1(U),
     --ndr1_0,
     ++c2_2(U,a2028),
     ++c2_1(U),
     ++c8_0]).

input_clause(clause477,conjecture,
    [--ssSkC42,
     --c6_1(U),
     --ndr1_0,
     ++c4_2(U,a2028),
     ++c2_1(U),
     ++c8_0]).

input_clause(clause478,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c7_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++c6_0]).

input_clause(clause479,conjecture,
    [--ndr1_0,
     --c9_0,
     ++c6_2(U,a2018),
     ++c8_1(U),
     ++c10_1(U),
     ++c2_0]).

input_clause(clause480,conjecture,
    [--ssSkP15(U),
     --ssSkC37,
     --c9_1(U),
     --ndr1_0,
     ++c6_2(U,a2009),
     ++c4_0]).

input_clause(clause481,conjecture,
    [--ssSkP15(U),
     --ssSkC37,
     --c9_1(U),
     --ndr1_0,
     ++c7_2(U,a2009),
     ++c4_0]).

input_clause(clause482,conjecture,
    [--ssSkP14(U),
     --ssSkC34,
     --ndr1_0,
     --c6_0,
     ++c8_2(U,a1993),
     ++c1_1(U)]).

input_clause(clause483,conjecture,
    [--ssSkP14(U),
     --ssSkC34,
     --ndr1_0,
     --c6_0,
     ++c10_2(U,a1993),
     ++c1_1(U)]).

input_clause(clause484,conjecture,
    [--ssSkP11(U),
     --ssSkC31,
     --c5_2(U,a1981),
     --ndr1_0,
     ++c10_1(U),
     ++c3_0]).

input_clause(clause485,conjecture,
    [--ssSkP11(U),
     --ssSkC31,
     --c2_2(U,a1981),
     --ndr1_0,
     ++c10_1(U),
     ++c3_0]).

input_clause(clause486,conjecture,
    [--ssSkC29,
     --c6_1(U),
     --c10_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_0]).

input_clause(clause487,conjecture,
    [--ssSkP10(U),
     --ssSkC27,
     --c8_1(U),
     --ndr1_0,
     ++c6_2(U,a1957),
     ++c8_0]).

input_clause(clause488,conjecture,
    [--ssSkP8(U),
     --ssSkC24,
     --c10_1(U),
     --ndr1_0,
     ++c7_2(U,a1948),
     ++c9_0]).

input_clause(clause489,conjecture,
    [--ssSkC22,
     --c6_2(U,a1940),
     --c6_1(U),
     --ndr1_0,
     ++c3_1(U)]).

input_clause(clause490,conjecture,
    [--c9_2(U,a1927),
     --c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c6_0]).

input_clause(clause491,conjecture,
    [--ssSkC19,
     --c7_1(U),
     --ndr1_0,
     ++c7_2(U,a1925),
     ++c6_1(U),
     ++c1_0]).

input_clause(clause492,conjecture,
    [--ssSkC19,
     --c7_1(U),
     --ndr1_0,
     ++c5_2(U,a1925),
     ++c6_1(U),
     ++c1_0]).

input_clause(clause493,conjecture,
    [--ssSkC19,
     --c7_1(U),
     --ndr1_0,
     ++c10_2(U,a1925),
     ++c6_1(U),
     ++c1_0]).

input_clause(clause494,conjecture,
    [--ssSkC5,
     --ssSkC6,
     --c2_2(U,a1874),
     --ndr1_0,
     ++c6_1(U),
     ++c2_1(U)]).

input_clause(clause495,conjecture,
    [--ssSkP4(U),
     --ssSkC3,
     --ndr1_0,
     --c6_0,
     ++c1_2(U,a1856),
     ++c10_1(U)]).

input_clause(clause496,conjecture,
    [--ssSkP4(U),
     --ssSkC3,
     --ndr1_0,
     --c6_0,
     ++c10_2(U,a1856),
     ++c10_1(U)]).

input_clause(clause497,conjecture,
    [--ssSkP0(U),
     --ssSkP1(U),
     --ndr1_0,
     --c6_0,
     ++c1_2(U,a1836),
     ++c4_0]).

input_clause(clause498,conjecture,
    [--ssSkP0(U),
     --ssSkP1(U),
     --ndr1_0,
     --c6_0,
     ++c6_2(U,a1836),
     ++c4_0]).

input_clause(clause499,conjecture,
    [--c2_2(a1910,U),
     --ndr1_1(a1910),
     ++c1_2(a1910,U),
     ++ssSkC16]).

input_clause(clause500,conjecture,
    [--c7_2(a1910,U),
     --ndr1_1(a1910),
     ++c4_2(a1910,U),
     ++ssSkC16]).

input_clause(clause501,conjecture,
    [--c6_2(a1879,U),
     --ndr1_1(a1879),
     ++c2_2(a1879,U),
     ++ssSkC8]).

input_clause(clause502,conjecture,
    [--c2_2(a1848,U),
     --ndr1_1(a1848),
     ++c6_2(a1848,U),
     ++ssSkC2]).

input_clause(clause503,conjecture,
    [--c10_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c5_2(a1935,a1936),
     ++c2_0]).

input_clause(clause504,conjecture,
    [--c10_1(U),
     --c6_1(U),
     --ndr1_0,
     --c9_1(a1935),
     ++c2_0]).

input_clause(clause505,conjecture,
    [--ndr1_1(a1915),
     --c9_0,
     ++c1_2(a1915,U),
     ++c7_2(a1915,U),
     ++c1_0]).

input_clause(clause506,conjecture,
    [--ssSkC1,
     --ndr1_1(a1846),
     --c7_0,
     ++c6_2(a1846,U),
     ++c5_2(a1846,U)]).

input_clause(clause507,conjecture,
    [--c10_2(U,a1994),
     --c10_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++ssSkC35]).

input_clause(clause508,conjecture,
    [--ssSkP13(U),
     --c9_2(U,a1991),
     --c10_1(U),
     --ndr1_0,
     ++ssSkC34]).

input_clause(clause509,conjecture,
    [--ssSkP13(U),
     --c4_2(U,a1991),
     --c10_1(U),
     --ndr1_0,
     ++ssSkC34]).

input_clause(clause510,conjecture,
    [--c2_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c8_2(U,a1983),
     ++ssSkC32]).

input_clause(clause511,conjecture,
    [--c2_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c1_2(U,a1983),
     ++ssSkC32]).

input_clause(clause512,conjecture,
    [--c9_2(U,a1962),
     --c1_1(U),
     --ndr1_0,
     ++c8_1(U),
     ++ssSkC28]).

input_clause(clause513,conjecture,
    [--c10_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c5_2(U,a1955),
     ++ssSkC27]).

input_clause(clause514,conjecture,
    [--c10_1(U),
     --c7_1(U),
     --ndr1_0,
     ++c3_2(U,a1955),
     ++ssSkC27]).

input_clause(clause515,conjecture,
    [--c5_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c8_2(U,a1929),
     ++ssSkC20]).

input_clause(clause516,conjecture,
    [--ssSkP6(U),
     --c7_2(U,a1889),
     --c6_1(U),
     --ndr1_0,
     ++ssSkC10]).

input_clause(clause517,conjecture,
    [--ssSkP6(U),
     --c1_2(U,a1889),
     --c6_1(U),
     --ndr1_0,
     ++ssSkC10]).

input_clause(clause518,conjecture,
    [--c4_2(U,a1873),
     --c10_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++ssSkC6]).

input_clause(clause519,conjecture,
    [--c10_2(U,a1873),
     --c10_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++ssSkC6]).

input_clause(clause520,conjecture,
    [--ssSkP5(U),
     --c1_2(U,a1864),
     --c8_1(U),
     --ndr1_0,
     ++ssSkC4]).

input_clause(clause521,conjecture,
    [--ssSkC42,
     --c8_2(U,a2028),
     --c6_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c8_0]).

input_clause(clause522,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c7_0,
     ++c4_2(U,a2026),
     ++c4_1(U),
     ++c6_0]).

input_clause(clause523,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c7_0,
     ++c3_2(U,a2026),
     ++c4_1(U),
     ++c6_0]).

input_clause(clause524,conjecture,
    [--c10_2(U,a2018),
     --ndr1_0,
     --c9_0,
     ++c8_1(U),
     ++c10_1(U),
     ++c2_0]).

input_clause(clause525,conjecture,
    [--c4_2(U,a2018),
     --ndr1_0,
     --c9_0,
     ++c8_1(U),
     ++c10_1(U),
     ++c2_0]).

input_clause(clause526,conjecture,
    [--ndr1_1(a2017),
     ++c4_2(a2017,U),
     ++c7_2(a2017,U),
     ++c2_2(a2017,U),
     ++c2_0]).

input_clause(clause527,conjecture,
    [--ssSkP15(U),
     --ssSkC37,
     --c4_2(U,a2009),
     --c9_1(U),
     --ndr1_0,
     ++c4_0]).

input_clause(clause528,conjecture,
    [--ssSkP14(U),
     --ssSkC34,
     --c9_2(U,a1993),
     --ndr1_0,
     --c6_0,
     ++c1_1(U)]).

input_clause(clause529,conjecture,
    [--ssSkP10(U),
     --ssSkC27,
     --c7_2(U,a1957),
     --c8_1(U),
     --ndr1_0,
     ++c8_0]).

input_clause(clause530,conjecture,
    [--ssSkP10(U),
     --ssSkC27,
     --c8_2(U,a1957),
     --c8_1(U),
     --ndr1_0,
     ++c8_0]).

input_clause(clause531,conjecture,
    [--ssSkP8(U),
     --ssSkC24,
     --c10_2(U,a1948),
     --c10_1(U),
     --ndr1_0,
     ++c9_0]).

input_clause(clause532,conjecture,
    [--ssSkP8(U),
     --ssSkC24,
     --c6_2(U,a1948),
     --c10_1(U),
     --ndr1_0,
     ++c9_0]).

input_clause(clause533,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c5_0,
     --c4_0,
     ++ndr1_1(U),
     ++c1_1(U)]).

input_clause(clause534,conjecture,
    [--ssSkP4(U),
     --ssSkC3,
     --c5_2(U,a1856),
     --ndr1_0,
     --c6_0,
     ++c10_1(U)]).

input_clause(clause535,conjecture,
    [--ssSkP0(U),
     --ssSkP1(U),
     --c4_2(U,a1836),
     --ndr1_0,
     --c6_0,
     ++c4_0]).

input_clause(clause536,conjecture,
    [--c6_1(U),
     --c4_1(U),
     --ndr1_0,
     --c1_0,
     ++c5_1(U),
     ++c2_0]).

input_clause(clause537,conjecture,
    [--c8_2(a1939,U),
     --c3_2(a1939,U),
     --ndr1_1(a1939),
     ++ssSkC22]).

input_clause(clause538,conjecture,
    [--c1_2(a2004,U),
     --ndr1_1(a2004),
     --c6_0,
     ++c9_2(a2004,U),
     ++c1_0]).

input_clause(clause539,conjecture,
    [--c10_1(U),
     --c6_1(U),
     --ndr1_0,
     --c8_2(a1935,a1936),
     ++c2_0]).

input_clause(clause540,conjecture,
    [--ssSkC11,
     --c9_2(a1894,U),
     --ndr1_1(a1894),
     --c6_0,
     ++c4_2(a1894,U)]).

input_clause(clause541,conjecture,
    [--ssSkC0,
     --c2_2(a1841,U),
     --c7_2(a1841,U),
     --ndr1_1(a1841),
     ++c8_0]).

input_clause(clause542,conjecture,
    [--c5_2(U,a1983),
     --c2_1(U),
     --c5_1(U),
     --ndr1_0,
     ++ssSkC32]).

input_clause(clause543,conjecture,
    [--c1_2(U,a1955),
     --c10_1(U),
     --c7_1(U),
     --ndr1_0,
     ++ssSkC27]).

input_clause(clause544,conjecture,
    [--c9_2(U,a1929),
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     ++ssSkC20]).

input_clause(clause545,conjecture,
    [--c3_2(U,a1929),
     --c5_1(U),
     --c2_1(U),
     --ndr1_0,
     ++ssSkC20]).

input_clause(clause546,conjecture,
    [--ndr1_1(a1913),
     ++c9_2(a1913,U),
     ++c7_2(a1913,U),
     ++c3_2(a1913,U),
     ++ssSkC17]).

input_clause(clause547,conjecture,
    [--ndr1_1(a1871),
     ++c8_2(a1871,U),
     ++c3_2(a1871,U),
     ++c9_2(a1871,U),
     ++ssSkC5]).

input_clause(clause548,conjecture,
    [--c10_2(U,a2026),
     --c5_1(U),
     --ndr1_0,
     --c7_0,
     ++c4_1(U),
     ++c6_0]).

input_clause(clause549,conjecture,
    [--ssSkC29,
     --c1_2(U,a1974),
     --c6_1(U),
     --c10_1(U),
     --ndr1_0,
     ++c5_0]).

input_clause(clause550,conjecture,
    [--ssSkC29,
     --c2_2(U,a1974),
     --c6_1(U),
     --c10_1(U),
     --ndr1_0,
     ++c5_0]).

input_clause(clause551,conjecture,
    [--ssSkC29,
     --c7_2(U,a1974),
     --c6_1(U),
     --c10_1(U),
     --ndr1_0,
     ++c5_0]).

input_clause(clause552,conjecture,
    [--ssSkC28,
     --c9_2(a1963,U),
     --ndr1_1(a1963),
     ++c4_2(a1963,U),
     ++c1_2(a1963,U)]).

input_clause(clause553,conjecture,
    [--ssSkC12,
     --c9_2(a1899,U),
     --ndr1_1(a1899),
     ++c1_2(a1899,U),
     ++c2_2(a1899,U)]).

input_clause(clause554,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c5_0,
     --c4_0,
     ++c9_2(U,a1883),
     ++c1_1(U)]).

input_clause(clause555,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c5_0,
     --c4_0,
     ++c4_2(U,a1883),
     ++c1_1(U)]).

input_clause(clause556,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c5_0,
     --c4_0,
     ++c6_2(U,a1883),
     ++c1_1(U)]).

input_clause(clause557,conjecture,
    [--ndr1_1(a1853),
     ++c10_2(a1853,U),
     ++c3_2(a1853,U),
     ++c6_2(a1853,U),
     ++c1_0,
     ++c5_0]).

input_clause(clause558,conjecture,
    [--c5_2(a1857,U),
     --ndr1_1(a1857),
     --c4_0,
     --c1_0,
     ++c8_2(a1857,U)]).

input_clause(clause559,conjecture,
    [--c4_2(a1851,U),
     --c7_2(a1851,U),
     --ndr1_1(a1851),
     --c7_0,
     ++c4_0]).

input_clause(clause560,conjecture,
    [--c4_2(a1950,U),
     --ndr1_1(a1950),
     ++c10_2(a1950,U),
     ++c3_2(a1950,U),
     ++ssSkC26]).

input_clause(clause561,conjecture,
    [--c4_2(a1903,U),
     --ndr1_1(a1903),
     ++c7_2(a1903,U),
     ++c5_2(a1903,U),
     ++ssSkC13]).

input_clause(clause562,conjecture,
    [--c1_2(a1884,U),
     --ndr1_1(a1884),
     ++c9_2(a1884,U),
     ++c7_2(a1884,U),
     ++ssSkC9]).

input_clause(clause563,conjecture,
    [--c5_2(a1848,U),
     --ndr1_1(a1848),
     ++c3_2(a1848,U),
     ++c1_2(a1848,U),
     ++ssSkC2]).

input_clause(clause564,conjecture,
    [--c3_2(a2029,U),
     --c8_2(a2029,U),
     --ndr1_1(a2029),
     ++c4_2(a2029,U),
     ++c4_0]).

input_clause(clause565,conjecture,
    [--ndr1_1(a2010),
     --c6_0,
     ++c1_2(a2010,U),
     ++c8_2(a2010,U),
     ++c10_2(a2010,U),
     ++c1_0]).

input_clause(clause566,conjecture,
    [--ndr1_1(a2003),
     --c8_0,
     ++c3_2(a2003,U),
     ++c1_2(a2003,U),
     ++c9_2(a2003,U),
     ++c2_0]).

input_clause(clause567,conjecture,
    [--ndr1_1(a2003),
     --c8_0,
     ++c9_2(a2003,U),
     ++c4_2(a2003,U),
     ++c6_2(a2003,U),
     ++c2_0]).

input_clause(clause568,conjecture,
    [--ssSkC28,
     --c10_2(a1963,U),
     --c5_2(a1963,U),
     --ndr1_1(a1963),
     ++c6_2(a1963,U)]).

input_clause(clause569,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c2_2(U,V),
     ++c3_1(U),
     ++c2_1(U),
     ++c9_0,
     ++c3_0]).

input_clause(clause570,conjecture,
    [--ndr1_0,
     --c10_1(U),
     --c2_0,
     ++c6_1(V),
     ++c10_1(V),
     ++c4_1(V),
     ++ndr1_1(U),
     ++c1_1(U)]).

input_clause(clause571,conjecture,
    [--c3_1(U),
     --c10_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++ndr1_1(V),
     ++c4_1(V),
     ++c2_1(V),
     ++c7_0]).

input_clause(clause572,conjecture,
    [--c6_2(a2019,U),
     --c3_2(a2019,U),
     --ndr1_1(a2019),
     ++c2_2(a2019,U),
     ++ssSkC40]).

input_clause(clause573,conjecture,
    [--c3_2(a2014,U),
     --c4_2(a2014,U),
     --ndr1_1(a2014),
     ++c9_2(a2014,U),
     ++ssSkC39]).

input_clause(clause574,conjecture,
    [--c8_2(a1924,U),
     --c9_2(a1924,U),
     --ndr1_1(a1924),
     ++c1_2(a1924,U),
     ++ssSkC19]).

input_clause(clause575,conjecture,
    [--c9_2(a1903,U),
     --c8_2(a1903,U),
     --ndr1_1(a1903),
     ++c7_2(a1903,U),
     ++ssSkC13]).

input_clause(clause576,conjecture,
    [--c4_2(a1845,U),
     --c7_2(a1845,U),
     --ndr1_1(a1845),
     ++c5_2(a1845,U),
     ++ssSkC1]).

input_clause(clause577,conjecture,
    [--c9_2(a2029,U),
     --c4_2(a2029,U),
     --c7_2(a2029,U),
     --ndr1_1(a2029),
     ++c4_0]).

input_clause(clause578,conjecture,
    [--c2_2(a2023,U),
     --c5_2(a2023,U),
     --ndr1_1(a2023),
     --c1_0,
     ++c6_2(a2023,U)]).

input_clause(clause579,conjecture,
    [--ssSkC35,
     --c3_2(a1995,U),
     --ndr1_1(a1995),
     --c7_0,
     ++c2_2(a1995,U),
     ++c5_2(a1995,U)]).

input_clause(clause580,conjecture,
    [--c2_2(a1964,U),
     --ndr1_1(a1964),
     --c6_0,
     ++c3_2(a1964,U),
     ++c9_2(a1964,U),
     ++c5_0]).

input_clause(clause581,conjecture,
    [--ssSkC20,
     --ssSkC21,
     --c2_2(a1931,U),
     --c1_2(a1931,U),
     --ndr1_1(a1931),
     ++c5_2(a1931,U)]).

input_clause(clause582,conjecture,
    [--ssSkC16,
     --c5_2(a1912,U),
     --ndr1_1(a1912),
     --c3_0,
     ++c7_2(a1912,U),
     ++c2_2(a1912,U)]).

input_clause(clause583,conjecture,
    [--ssSkC13,
     --ssSkC14,
     --c2_2(a1906,U),
     --c1_2(a1906,U),
     --ndr1_1(a1906),
     ++c9_2(a1906,U)]).

input_clause(clause584,conjecture,
    [--c8_2(a1851,U),
     --ndr1_1(a1851),
     --c7_0,
     ++c4_2(a1851,U),
     ++c5_2(a1851,U),
     ++c4_0]).

input_clause(clause585,conjecture,
    [--ndr1_0,
     --c10_1(U),
     --c2_0,
     ++c6_1(V),
     ++c10_1(V),
     ++c4_1(V),
     ++c8_2(U,a1968),
     ++c1_1(U)]).

input_clause(clause586,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c3_2(U,V),
     ++c6_1(U),
     ++c7_0,
     ++c8_0]).

input_clause(clause587,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c2_2(U,a2012),
     ++c5_1(U),
     ++ssSkC38]).

input_clause(clause588,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c8_2(U,a2012),
     ++c5_1(U),
     ++ssSkC38]).

input_clause(clause589,conjecture,
    [--c7_2(a1979,U),
     --c4_2(a1979,U),
     --c10_2(a1979,U),
     --ndr1_1(a1979),
     ++ssSkC31]).

input_clause(clause590,conjecture,
    [--c7_2(a1924,U),
     --c10_2(a1924,U),
     --c8_2(a1924,U),
     --ndr1_1(a1924),
     ++ssSkC19]).

input_clause(clause591,conjecture,
    [--c4_2(a1875,U),
     --c10_2(a1875,U),
     --c8_2(a1875,U),
     --ndr1_1(a1875),
     ++ssSkC7]).

input_clause(clause592,conjecture,
    [--c10_2(a1922,U),
     --c2_2(a1922,U),
     --c5_2(a1922,U),
     --ndr1_1(a1922),
     ++c4_0,
     ++c7_0]).

input_clause(clause593,conjecture,
    [--ssSkC13,
     --ssSkC14,
     --c3_2(a1906,U),
     --c2_2(a1906,U),
     --c1_2(a1906,U),
     --ndr1_1(a1906)]).

input_clause(clause594,conjecture,
    [--ssSkC9,
     --c2_2(a1885,U),
     --c3_2(a1885,U),
     --ndr1_1(a1885),
     --c1_0,
     ++c8_2(a1885,U)]).

input_clause(clause595,conjecture,
    [--c3_2(a1860,U),
     --ndr1_1(a1860),
     --c6_0,
     --c2_0,
     ++c8_2(a1860,U),
     ++c5_2(a1860,U)]).

input_clause(clause596,conjecture,
    [--ndr1_1(U),
     --c2_2(U,V),
     --c1_1(U),
     --ndr1_0,
     --c7_0,
     --c5_0,
     ++c8_1(U)]).

input_clause(clause597,conjecture,
    [--ndr1_0,
     --c7_2(U,a1968),
     --c10_1(U),
     --c2_0,
     ++c6_1(V),
     ++c10_1(V),
     ++c4_1(V),
     ++c1_1(U)]).

input_clause(clause598,conjecture,
    [--ndr1_0,
     --c2_2(U,a1968),
     --c10_1(U),
     --c2_0,
     ++c6_1(V),
     ++c10_1(V),
     ++c4_1(V),
     ++c1_1(U)]).

input_clause(clause599,conjecture,
    [--c3_1(U),
     --c10_1(U),
     --ndr1_0,
     --c3_2(V,a1942),
     ++c2_1(U),
     ++c4_1(V),
     ++c2_1(V),
     ++c7_0]).

input_clause(clause600,conjecture,
    [--c3_1(U),
     --c10_1(U),
     --ndr1_0,
     --c9_2(V,a1942),
     ++c2_1(U),
     ++c4_1(V),
     ++c2_1(V),
     ++c7_0]).

input_clause(clause601,conjecture,
    [--c3_1(U),
     --c10_1(U),
     --ndr1_0,
     --c6_2(V,a1942),
     ++c2_1(U),
     ++c4_1(V),
     ++c2_1(V),
     ++c7_0]).

input_clause(clause602,conjecture,
    [--c6_2(U,V),
     --ndr1_1(U),
     --c7_2(U,a2012),
     --ndr1_0,
     ++c1_2(U,V),
     ++c5_1(U),
     ++ssSkC38]).

input_clause(clause603,conjecture,
    [--c7_2(a1975,U),
     --c10_2(a1975,U),
     --ndr1_1(a1975),
     --c3_0,
     --c7_0,
     ++c5_2(a1975,U)]).

input_clause(clause604,conjecture,
    [--ssSkC11,
     --c6_2(a1894,U),
     --c2_2(a1894,U),
     --c4_2(a1894,U),
     --ndr1_1(a1894),
     --c6_0]).

input_clause(clause605,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c6_0,
     ++c6_2(U,V),
     ++c3_2(U,V),
     ++c10_0]).

input_clause(clause606,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c5_2(U,V),
     ++c2_2(U,a1898),
     ++c2_1(U),
     ++ssSkC12]).

input_clause(clause607,conjecture,
    [--c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_1(W),
     ++c7_1(U),
     ++ndr1_1(W),
     ++c7_1(W)]).

input_clause(clause608,conjecture,
    [--ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     ++c9_2(U,V),
     ++c1_2(U,V),
     ++c8_2(U,V),
     ++c1_1(U),
     ++ndr1_1(a1960),
     ++c8_0]).

input_clause(clause609,conjecture,
    [--ssSkP9(U),
     --c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c3_2(U,a1954),
     ++c3_0]).

input_clause(clause610,conjecture,
    [--ssSkP9(U),
     --c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c10_2(U,a1954),
     ++c3_0]).

input_clause(clause611,conjecture,
    [--ssSkP9(U),
     --c5_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c5_2(U,a1954),
     ++c3_0]).

input_clause(clause612,conjecture,
    [--ssSkC15,
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c10_2(U,V),
     ++c10_2(U,a1909),
     ++c1_0]).

input_clause(clause613,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c7_0,
     ++c1_2(U,V),
     ++c10_2(U,V),
     ++c4_2(U,V),
     ++c10_1(U),
     ++c4_1(U),
     ++ndr1_1(a1869)]).

input_clause(clause614,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c7_0,
     ++c1_2(U,V),
     ++c10_2(U,V),
     ++c4_2(U,V),
     ++c10_1(U),
     ++c4_1(U),
     ++c4_1(a1869)]).

input_clause(clause615,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c7_0,
     ++c1_2(U,V),
     ++c10_2(U,V),
     ++c4_2(U,V),
     ++c10_1(U),
     ++c4_1(U),
     ++c9_1(a1869)]).

input_clause(clause616,conjecture,
    [--ndr1_1(U),
     --c7_1(U),
     --c5_1(U),
     --ndr1_0,
     --c9_0,
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c4_2(U,V)]).

input_clause(clause617,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c4_2(U,V),
     ++c3_2(U,a2024),
     ++ssSkC41]).

input_clause(clause618,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c4_2(U,V),
     ++c10_2(U,a2024),
     ++ssSkC41]).

input_clause(clause619,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a1898),
     --ndr1_0,
     ++c8_2(U,V),
     ++c5_2(U,V),
     ++c2_1(U),
     ++ssSkC12]).

input_clause(clause620,conjecture,
    [--c9_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a1898),
     --ndr1_0,
     ++c8_2(U,V),
     ++c5_2(U,V),
     ++c2_1(U),
     ++ssSkC12]).

input_clause(clause621,conjecture,
    [--ssSkC41,
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c7_0,
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c3_2(U,a2025),
     ++c10_1(U)]).

input_clause(clause622,conjecture,
    [--ssSkC38,
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c4_2(U,V),
     ++c10_2(U,V),
     ++c7_2(U,a2013),
     ++c10_1(U)]).

input_clause(clause623,conjecture,
    [--ssSkC38,
     --c8_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_0,
     ++c4_2(U,V),
     ++c10_2(U,V),
     ++c1_2(U,a2013),
     ++c10_1(U)]).

input_clause(clause624,conjecture,
    [--c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_1(W),
     ++c7_1(U),
     ++c1_2(W,a1969),
     ++c7_1(W)]).

input_clause(clause625,conjecture,
    [--ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c5_1(a1960),
     ++c9_2(U,V),
     ++c1_2(U,V),
     ++c8_2(U,V),
     ++c1_1(U),
     ++c8_0]).

input_clause(clause626,conjecture,
    [--ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c10_1(a1960),
     ++c9_2(U,V),
     ++c1_2(U,V),
     ++c8_2(U,V),
     ++c1_1(U),
     ++c8_0]).

input_clause(clause627,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c9_2(a1928,V),
     --ndr1_1(a1928),
     ++c5_1(U),
     ++c3_2(a1928,V),
     ++c7_2(a1928,V),
     ++c5_0]).

input_clause(clause628,conjecture,
    [--ssSkC15,
     --ndr1_1(U),
     --c2_2(U,a1909),
     --c8_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c10_2(U,V),
     ++c1_0]).

input_clause(clause629,conjecture,
    [--ssSkC15,
     --ndr1_1(U),
     --c8_2(U,a1909),
     --c8_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c10_2(U,V),
     ++c1_0]).

input_clause(clause630,conjecture,
    [--c9_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c8_2(U,V),
     ++c6_1(U),
     ++c3_0,
     ++c9_0]).

input_clause(clause631,conjecture,
    [--c10_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a2024),
     --c4_1(U),
     --ndr1_0,
     ++c7_2(U,V),
     ++c4_2(U,V),
     ++ssSkC41]).

input_clause(clause632,conjecture,
    [--ssSkC41,
     --c8_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a2025),
     --ndr1_0,
     --c7_0,
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c10_1(U)]).

input_clause(clause633,conjecture,
    [--ssSkC41,
     --c8_2(U,V),
     --ndr1_1(U),
     --c6_2(U,a2025),
     --ndr1_0,
     --c7_0,
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c10_1(U)]).

input_clause(clause634,conjecture,
    [--ssSkC38,
     --c8_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a2013),
     --ndr1_0,
     --c2_0,
     ++c4_2(U,V),
     ++c10_2(U,V),
     ++c10_1(U)]).

input_clause(clause635,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     --c1_0,
     ++c7_2(U,V),
     ++c2_2(U,V),
     ++c4_2(U,a2011),
     ++c2_1(U)]).

input_clause(clause636,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     --c1_0,
     ++c7_2(U,V),
     ++c2_2(U,V),
     ++c9_2(U,a2011),
     ++c2_1(U)]).

input_clause(clause637,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c6_0,
     --c1_0,
     ++c7_2(U,V),
     ++c2_2(U,V),
     ++c2_2(U,a2011),
     ++c2_1(U)]).

input_clause(clause638,conjecture,
    [--c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_2(W,a1969),
     --c2_1(W),
     ++c7_1(U),
     ++c7_1(W)]).

input_clause(clause639,conjecture,
    [--c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c8_2(W,a1969),
     --c2_1(W),
     ++c7_1(U),
     ++c7_1(W)]).

input_clause(clause640,conjecture,
    [--ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c3_2(a1960,a1961),
     ++c9_2(U,V),
     ++c1_2(U,V),
     ++c8_2(U,V),
     ++c1_1(U),
     ++c8_0]).

input_clause(clause641,conjecture,
    [--ndr1_1(U),
     --c6_1(U),
     --ndr1_0,
     --c10_2(a1960,a1961),
     ++c9_2(U,V),
     ++c1_2(U,V),
     ++c8_2(U,V),
     ++c1_1(U),
     ++c8_0]).

input_clause(clause642,conjecture,
    [--c10_1(U),
     --c6_1(U),
     --ndr1_0,
     --c8_2(a1935,V),
     --ndr1_1(a1935),
     ++c10_2(a1935,V),
     ++c3_2(a1935,V),
     ++c2_0]).

input_clause(clause643,conjecture,
    [--c6_1(U),
     --ndr1_0,
     --c9_2(a1928,V),
     --c10_2(a1928,V),
     --ndr1_1(a1928),
     ++c5_1(U),
     ++c8_2(a1928,V),
     ++c5_0]).

input_clause(clause644,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c2_2(a1869,a1870),
     --c7_0,
     ++c1_2(U,V),
     ++c10_2(U,V),
     ++c4_2(U,V),
     ++c10_1(U),
     ++c4_1(U)]).

input_clause(clause645,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c9_2(a1869,a1870),
     --c7_0,
     ++c1_2(U,V),
     ++c10_2(U,V),
     ++c4_2(U,V),
     ++c10_1(U),
     ++c4_1(U)]).

input_clause(clause646,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c10_2(a1869,a1870),
     --c7_0,
     ++c1_2(U,V),
     ++c10_2(U,V),
     ++c4_2(U,V),
     ++c10_1(U),
     ++c4_1(U)]).

input_clause(clause647,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c7_0,
     ++c9_2(U,V),
     ++c3_2(U,V),
     ++c8_1(U),
     ++ndr1_1(a1858)]).

input_clause(clause648,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c7_0,
     ++c9_2(U,V),
     ++c3_2(U,V),
     ++c8_1(U),
     ++c8_1(a1858)]).

input_clause(clause649,conjecture,
    [--c10_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c6_0,
     ++c8_2(U,V),
     ++c8_1(U),
     ++c4_0]).

input_clause(clause650,conjecture,
    [--c7_2(U,V),
     --c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c10_1(a1952),
     --c5_0,
     ++c6_1(U)]).

input_clause(clause651,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c10_2(V,W),
     --c2_2(V,W),
     --ndr1_1(V),
     --c3_0,
     ++c9_1(U),
     ++c1_2(V,W),
     ++c3_1(V)]).

input_clause(clause652,conjecture,
    [--c3_2(U,V),
     --c1_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_0,
     ++c5_1(U),
     ++c2_1(U),
     ++ndr1_1(a1917)]).

input_clause(clause653,conjecture,
    [--c3_2(U,V),
     --c1_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_0,
     ++c5_1(U),
     ++c2_1(U),
     ++c7_1(a1917)]).

input_clause(clause654,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c7_0,
     ++c9_2(U,V),
     ++c3_2(U,V),
     ++c8_1(U),
     ++c4_2(a1858,a1859)]).

input_clause(clause655,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c10_1(a1858),
     --c7_0,
     ++c9_2(U,V),
     ++c3_2(U,V),
     ++c8_1(U)]).

input_clause(clause656,conjecture,
    [--ndr1_1(U),
     --c3_2(U,V),
     --ndr1_0,
     --c10_0,
     ++c8_2(U,W),
     ++c10_2(U,W),
     ++c1_2(U,V),
     ++c7_2(U,V),
     ++c9_1(U),
     ++c10_1(a1895)]).

input_clause(clause657,conjecture,
    [--ndr1_1(U),
     --c3_2(U,V),
     --ndr1_0,
     --c10_0,
     ++c8_2(U,W),
     ++c10_2(U,W),
     ++c1_2(U,V),
     ++c7_2(U,V),
     ++c9_1(U),
     ++c5_1(a1895)]).

input_clause(clause658,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --c9_2(U,W),
     --c9_1(U),
     --ndr1_0,
     ++c10_2(U,V),
     ++c8_2(U,W),
     ++c2_2(U,W),
     ++c6_0,
     ++c1_0]).

input_clause(clause659,conjecture,
    [--c3_2(U,V),
     --c1_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_0,
     ++c5_1(U),
     ++c2_1(U),
     ++c2_2(a1917,a1918)]).

input_clause(clause660,conjecture,
    [--c3_2(U,V),
     --c1_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_0,
     ++c5_1(U),
     ++c2_1(U),
     ++c5_2(a1917,a1918)]).

input_clause(clause661,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c6_2(a1858,a1859),
     --c7_0,
     ++c9_2(U,V),
     ++c3_2(U,V),
     ++c8_1(U)]).

input_clause(clause662,conjecture,
    [--c7_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c10_2(a1858,a1859),
     --c7_0,
     ++c9_2(U,V),
     ++c3_2(U,V),
     ++c8_1(U)]).

input_clause(clause663,conjecture,
    [--ssSkP2(U),
     --c1_2(V,W),
     --c7_2(V,W),
     --ndr1_1(V),
     --c6_1(V),
     --c10_1(V),
     --ndr1_0,
     --c7_0,
     ++ndr1_1(U),
     ++c4_1(U)]).

input_clause(clause664,conjecture,
    [--c3_2(U,V),
     --c1_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c4_2(a1917,a1918),
     --c5_0,
     ++c5_1(U),
     ++c2_1(U)]).

input_clause(clause665,conjecture,
    [--ssSkP2(U),
     --c1_2(V,W),
     --c7_2(V,W),
     --ndr1_1(V),
     --c6_1(V),
     --c10_1(V),
     --ndr1_0,
     --c7_0,
     ++c10_2(U,a1838),
     ++c4_1(U)]).

input_clause(clause666,conjecture,
    [--ssSkP2(U),
     --c1_2(V,W),
     --c7_2(V,W),
     --ndr1_1(V),
     --c6_1(V),
     --c10_1(V),
     --ndr1_0,
     --c7_0,
     ++c6_2(U,a1838),
     ++c4_1(U)]).

input_clause(clause667,conjecture,
    [--ssSkP2(U),
     --c1_2(V,W),
     --c7_2(V,W),
     --ndr1_1(V),
     --c6_1(V),
     --c10_1(V),
     --ndr1_0,
     --c1_2(U,a1838),
     --c7_0,
     ++c4_1(U)]).

input_clause(clause668,conjecture,
    [--c10_2(U,V),
     --c7_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --ndr1_0,
     --c3_0,
     ++c2_2(U,V),
     ++c9_2(U,W),
     ++c10_2(U,W),
     ++c8_1(U),
     ++c6_0]).

input_clause(clause669,conjecture,
    [--c10_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --ndr1_1(a1967),
     ++c6_2(U,V),
     ++c5_1(U),
     ++c3_2(a1967,W),
     ++c5_2(a1967,W)]).

input_clause(clause670,conjecture,
    [--ssSkC23,
     --c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c8_2(U,W),
     --ndr1_0,
     --c4_1(a1945),
     ++c3_2(U,V),
     ++c1_2(U,W)]).

input_clause(clause671,conjecture,
    [--ssSkC40,
     --c3_1(U),
     --c10_1(U),
     --c9_1(U),
     --ndr1_0,
     --c3_2(V,W),
     --ndr1_1(V),
     --c6_1(V),
     ++c2_2(V,W),
     ++c1_2(V,W),
     ++c5_2(V,a2020)]).

input_clause(clause672,conjecture,
    [--ssSkC40,
     --c3_1(U),
     --c10_1(U),
     --c9_1(U),
     --ndr1_0,
     --c3_2(V,W),
     --ndr1_1(V),
     --c9_2(V,a2020),
     --c6_1(V),
     ++c2_2(V,W),
     ++c1_2(V,W)]).

input_clause(clause673,conjecture,
    [--c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(W,X),
     --ndr1_1(W),
     --c10_0,
     ++c5_2(U,V),
     ++c10_2(U,V),
     ++c5_1(U),
     ++c4_2(W,X),
     ++c10_2(W,X),
     ++c6_1(W)]).

input_clause(clause674,conjecture,
    [--c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c10_2(U,W),
     --c1_2(U,W),
     --c5_2(U,W),
     --ndr1_0,
     --c10_0,
     --c5_0,
     ++c4_2(U,V),
     ++c3_1(U)]).

input_clause(clause675,conjecture,
    [--c10_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c5_2(a1967,W),
     --ndr1_1(a1967),
     ++c6_2(U,V),
     ++c5_1(U),
     ++c1_2(a1967,W),
     ++c8_2(a1967,W)]).

input_clause(clause676,conjecture,
    [--c10_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c7_1(U),
     --ndr1_0,
     --c10_2(a1967,W),
     --c7_2(a1967,W),
     --ndr1_1(a1967),
     ++c6_2(U,V),
     ++c5_1(U),
     ++c4_2(a1967,W)]).

input_clause(clause677,conjecture,
    [--c7_2(U,V),
     --c6_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c1_2(a1952,W),
     --c7_2(a1952,W),
     --ndr1_1(a1952),
     --c5_0,
     ++c6_1(U),
     ++c3_2(a1952,W)]).

input_clause(clause678,conjecture,
    [--c3_2(U,V),
     --c1_2(U,V),
     --c6_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c9_2(a1917,W),
     --ndr1_1(a1917),
     --c5_0,
     ++c5_1(U),
     ++c2_1(U),
     ++c10_2(a1917,W),
     ++c4_2(a1917,W)]).

input_clause(clause679,conjecture,
    [--ssSkC23,
     --c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c8_2(U,W),
     --ndr1_0,
     --c4_2(a1945,X),
     --ndr1_1(a1945),
     ++c3_2(U,V),
     ++c1_2(U,W),
     ++c2_2(a1945,X)]).

input_clause(clause680,conjecture,
    [--ndr1_1(U),
     --c3_2(U,V),
     --ndr1_0,
     --c10_2(a1895,W),
     --ndr1_1(a1895),
     --c10_0,
     ++c8_2(U,X),
     ++c10_2(U,X),
     ++c1_2(U,V),
     ++c7_2(U,V),
     ++c9_1(U),
     ++c4_2(a1895,W),
     ++c3_2(a1895,W)]).

input_clause(clause681,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c1_2(W,X),
     --c8_2(W,X),
     --ndr1_1(W),
     ++c5_2(U,V),
     ++c10_2(U,V),
     ++c9_1(U),
     ++c3_2(W,X),
     ++c4_1(W),
     ++c5_1(W),
     ++ndr1_1(a1988)]).

input_clause(clause682,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c9_2(U,W),
     --c7_2(U,X),
     --c4_2(U,X),
     --ndr1_0,
     --c3_1(Y),
     --c4_1(Y),
     --c3_0,
     ++c3_2(U,V)]).

input_clause(clause683,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c1_2(W,X),
     --c8_2(W,X),
     --ndr1_1(W),
     ++c5_2(U,V),
     ++c10_2(U,V),
     ++c9_1(U),
     ++c3_2(W,X),
     ++c4_1(W),
     ++c5_1(W),
     ++c5_2(a1988,a1989)]).

input_clause(clause684,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c1_2(W,X),
     --c8_2(W,X),
     --ndr1_1(W),
     --c5_1(a1988),
     ++c5_2(U,V),
     ++c10_2(U,V),
     ++c9_1(U),
     ++c3_2(W,X),
     ++c4_1(W),
     ++c5_1(W)]).

input_clause(clause685,conjecture,
    [--ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c9_2(V,W),
     --ndr1_1(V),
     --c9_2(V,X),
     ++c8_2(U,Y),
     ++c2_2(U,Y),
     ++c1_1(U),
     ++c4_2(V,W),
     ++c10_2(V,W),
     ++c5_2(V,X),
     ++c10_2(V,X),
     ++c10_1(V),
     ++ndr1_1(a1896)]).

input_clause(clause686,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c1_2(W,X),
     --c8_2(W,X),
     --ndr1_1(W),
     --c3_2(a1988,a1989),
     ++c5_2(U,V),
     ++c10_2(U,V),
     ++c9_1(U),
     ++c3_2(W,X),
     ++c4_1(W),
     ++c5_1(W)]).

input_clause(clause687,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c1_2(W,X),
     --c8_2(W,X),
     --ndr1_1(W),
     --c6_2(a1988,a1989),
     ++c5_2(U,V),
     ++c10_2(U,V),
     ++c9_1(U),
     ++c3_2(W,X),
     ++c4_1(W),
     ++c5_1(W)]).

input_clause(clause688,conjecture,
    [--ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c9_2(V,W),
     --ndr1_1(V),
     --c9_2(V,X),
     ++c8_2(U,Y),
     ++c2_2(U,Y),
     ++c1_1(U),
     ++c4_2(V,W),
     ++c10_2(V,W),
     ++c5_2(V,X),
     ++c10_2(V,X),
     ++c10_1(V),
     ++c7_2(a1896,a1897)]).

input_clause(clause689,conjecture,
    [--ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c9_2(V,W),
     --ndr1_1(V),
     --c9_2(V,X),
     ++c8_2(U,Y),
     ++c2_2(U,Y),
     ++c1_1(U),
     ++c4_2(V,W),
     ++c10_2(V,W),
     ++c5_2(V,X),
     ++c10_2(V,X),
     ++c10_1(V),
     ++c6_2(a1896,a1897)]).

input_clause(clause690,conjecture,
    [--ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c9_2(V,W),
     --ndr1_1(V),
     --c9_2(V,X),
     --c9_1(a1896),
     ++c8_2(U,Y),
     ++c2_2(U,Y),
     ++c1_1(U),
     ++c4_2(V,W),
     ++c10_2(V,W),
     ++c5_2(V,X),
     ++c10_2(V,X),
     ++c10_1(V)]).

input_clause(clause691,conjecture,
    [--ssSkP3(U),
     --c4_2(V,W),
     --c1_2(V,W),
     --ndr1_1(V),
     --c9_1(V),
     --c3_1(V),
     --ndr1_0,
     --c6_2(U,X),
     --c4_2(U,X),
     --ndr1_1(U),
     --c8_0,
     ++c2_2(V,W),
     ++c5_2(U,X),
     ++c7_2(U,a1844)]).

input_clause(clause692,conjecture,
    [--ssSkP3(U),
     --c4_2(V,W),
     --c1_2(V,W),
     --ndr1_1(V),
     --c9_1(V),
     --c3_1(V),
     --ndr1_0,
     --c6_2(U,X),
     --c4_2(U,X),
     --ndr1_1(U),
     --c8_0,
     ++c2_2(V,W),
     ++c5_2(U,X),
     ++c10_2(U,a1844)]).

input_clause(clause693,conjecture,
    [--ssSkP3(U),
     --c4_2(V,W),
     --c1_2(V,W),
     --ndr1_1(V),
     --c9_1(V),
     --c3_1(V),
     --ndr1_0,
     --c6_2(U,X),
     --c4_2(U,X),
     --ndr1_1(U),
     --c8_0,
     ++c2_2(V,W),
     ++c5_2(U,X),
     ++c6_2(U,a1844)]).

input_clause(clause694,conjecture,
    [--ndr1_1(U),
     --c9_1(U),
     --ndr1_0,
     --c9_2(V,W),
     --ndr1_1(V),
     --c9_2(V,X),
     --c2_2(a1896,a1897),
     ++c8_2(U,Y),
     ++c2_2(U,Y),
     ++c1_1(U),
     ++c4_2(V,W),
     ++c10_2(V,W),
     ++c5_2(V,X),
     ++c10_2(V,X),
     ++c10_1(V)]).

input_clause(clause695,conjecture,
    [--ssSkC23,
     --c6_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --c8_2(U,W),
     --ndr1_0,
     --c10_2(a1945,X),
     --c5_2(a1945,X),
     --c3_2(a1945,X),
     --ndr1_1(a1945),
     ++c3_2(U,V),
     ++c1_2(U,W)]).

input_clause(clause696,conjecture,
    [--ssSkC30,
     --c3_2(U,V),
     --c7_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c1_2(U,W),
     --c3_2(U,W),
     --ndr1_0,
     --c2_2(X,Y),
     --ndr1_1(X),
     ++c3_1(U),
     ++c5_2(X,Y),
     ++c7_2(X,Y),
     ++c5_2(X,a1978),
     ++c7_1(X)]).

input_clause(clause697,conjecture,
    [--ssSkC30,
     --c3_2(U,V),
     --c7_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c1_2(U,W),
     --c3_2(U,W),
     --ndr1_0,
     --c2_2(X,Y),
     --ndr1_1(X),
     ++c3_1(U),
     ++c5_2(X,Y),
     ++c7_2(X,Y),
     ++c9_2(X,a1978),
     ++c7_1(X)]).

input_clause(clause698,conjecture,
    [--c10_2(U,V),
     --c3_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --c9_1(U),
     --ndr1_0,
     --c10_2(W,X),
     --c1_2(W,X),
     --c6_2(W,X),
     --ndr1_1(W),
     --c6_0,
     ++c10_2(W,Y),
     ++c6_2(W,Y),
     ++c9_2(W,Y),
     ++c4_1(W)]).

input_clause(clause699,conjecture,
    [--c1_2(U,V),
     --c8_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c6_2(W,X),
     --ndr1_1(W),
     --c6_2(W,Y),
     --c2_2(W,Y),
     --c6_1(Z),
     ++c10_2(U,V),
     ++c9_1(U),
     ++c7_2(W,X),
     ++c5_2(W,X),
     ++c5_2(W,Y),
     ++c6_1(W),
     ++c5_1(Z),
     ++c9_1(Z)]).

input_clause(clause700,conjecture,
    [--c8_2(U,V),
     --ndr1_1(U),
     --c8_1(U),
     --ndr1_0,
     --c1_2(W,X),
     --c8_2(W,X),
     --ndr1_1(W),
     --c5_2(a1988,Y),
     --c2_2(a1988,Y),
     --c1_2(a1988,Y),
     --ndr1_1(a1988),
     ++c5_2(U,V),
     ++c10_2(U,V),
     ++c9_1(U),
     ++c3_2(W,X),
     ++c4_1(W),
     ++c5_1(W)]).
%--------------------------------------------------------------------------
