%--------------------------------------------------------------------------
% File     : SYN440-1 : TPTP v2.2.1. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=002
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-002.cnf [Wei97]

% Status   : unsatisfiable
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :  328 (  57 non-Horn;   0 unit; 315 RR)
%            Number of literals   :  946 (   0 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :   72 (  68 propositional; 0-1 arity)
%            Number of functors   :   67 (  67 constant; 0-0 arity)
%            Number of variables  :   92 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++hskp59,++hskp30]).

input_clause(clause2,conjecture,
    [--hskp66,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp65,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp64,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp63,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp62,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp61,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp60,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp59,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp58,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp57,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp56,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp55,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp54,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp53,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp52,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp51,++ndr1_0]).

input_clause(clause18,conjecture,
    [--hskp50,++ndr1_0]).

input_clause(clause19,conjecture,
    [--hskp49,++ndr1_0]).

input_clause(clause20,conjecture,
    [--hskp48,++ndr1_0]).

input_clause(clause21,conjecture,
    [--hskp47,++ndr1_0]).

input_clause(clause22,conjecture,
    [--hskp46,++ndr1_0]).

input_clause(clause23,conjecture,
    [--hskp45,++ndr1_0]).

input_clause(clause24,conjecture,
    [--hskp44,++ndr1_0]).

input_clause(clause25,conjecture,
    [--hskp43,++ndr1_0]).

input_clause(clause26,conjecture,
    [--hskp42,++ndr1_0]).

input_clause(clause27,conjecture,
    [--hskp41,++ndr1_0]).

input_clause(clause28,conjecture,
    [--hskp40,++ndr1_0]).

input_clause(clause29,conjecture,
    [--hskp39,++ndr1_0]).

input_clause(clause30,conjecture,
    [--hskp38,++ndr1_0]).

input_clause(clause31,conjecture,
    [--hskp37,++ndr1_0]).

input_clause(clause32,conjecture,
    [--hskp36,++ndr1_0]).

input_clause(clause33,conjecture,
    [--hskp35,++ndr1_0]).

input_clause(clause34,conjecture,
    [--hskp34,++ndr1_0]).

input_clause(clause35,conjecture,
    [--hskp33,++ndr1_0]).

input_clause(clause36,conjecture,
    [--hskp32,++ndr1_0]).

input_clause(clause37,conjecture,
    [--hskp31,++ndr1_0]).

input_clause(clause38,conjecture,
    [--hskp30,++ndr1_0]).

input_clause(clause39,conjecture,
    [--hskp29,++ndr1_0]).

input_clause(clause40,conjecture,
    [--hskp28,++ndr1_0]).

input_clause(clause41,conjecture,
    [--hskp27,++ndr1_0]).

input_clause(clause42,conjecture,
    [--hskp26,++ndr1_0]).

input_clause(clause43,conjecture,
    [--hskp25,++ndr1_0]).

input_clause(clause44,conjecture,
    [--hskp24,++ndr1_0]).

input_clause(clause45,conjecture,
    [--hskp23,++ndr1_0]).

input_clause(clause46,conjecture,
    [--hskp22,++ndr1_0]).

input_clause(clause47,conjecture,
    [--hskp21,++ndr1_0]).

input_clause(clause48,conjecture,
    [--hskp20,++ndr1_0]).

input_clause(clause49,conjecture,
    [--hskp19,++ndr1_0]).

input_clause(clause50,conjecture,
    [--hskp18,++ndr1_0]).

input_clause(clause51,conjecture,
    [--hskp17,++ndr1_0]).

input_clause(clause52,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause53,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause54,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause55,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause56,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause57,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause58,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause59,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause60,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause61,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause62,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause63,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause64,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause65,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause66,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause67,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause68,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause69,conjecture,
    [++hskp33,++hskp34,++hskp2]).

input_clause(clause70,conjecture,
    [++hskp3,++hskp4,++hskp36]).

input_clause(clause71,conjecture,
    [++hskp16,++hskp17,++hskp9]).

input_clause(clause72,conjecture,
    [++hskp18,++hskp9,++hskp19]).

input_clause(clause73,conjecture,
    [++hskp27,++hskp40,++hskp28]).

input_clause(clause74,conjecture,
    [++hskp33,++hskp60,++hskp61]).

input_clause(clause75,conjecture,
    [++hskp64,++hskp65,++hskp66]).

input_clause(clause76,conjecture,
    [--hskp66,
     ++c1_1(a675)]).

input_clause(clause77,conjecture,
    [--hskp66,
     ++c3_1(a675)]).

input_clause(clause78,conjecture,
    [--hskp65,
     ++c2_1(a674)]).

input_clause(clause79,conjecture,
    [--hskp65,
     ++c0_1(a674)]).

input_clause(clause80,conjecture,
    [--hskp64,
     ++c3_1(a673)]).

input_clause(clause81,conjecture,
    [--hskp64,
     ++c1_1(a673)]).

input_clause(clause82,conjecture,
    [--hskp63,
     ++c3_1(a672)]).

input_clause(clause83,conjecture,
    [--hskp62,
     ++c3_1(a671)]).

input_clause(clause84,conjecture,
    [--hskp62,
     ++c0_1(a671)]).

input_clause(clause85,conjecture,
    [--hskp61,
     ++c2_1(a670)]).

input_clause(clause86,conjecture,
    [--hskp60,
     ++c0_1(a669)]).

input_clause(clause87,conjecture,
    [--hskp60,
     ++c1_1(a669)]).

input_clause(clause88,conjecture,
    [--hskp59,
     ++c2_1(a665)]).

input_clause(clause89,conjecture,
    [--hskp59,
     ++c3_1(a665)]).

input_clause(clause90,conjecture,
    [--hskp58,
     ++c3_1(a663)]).

input_clause(clause91,conjecture,
    [--hskp57,
     ++c1_1(a662)]).

input_clause(clause92,conjecture,
    [--hskp57,
     ++c2_1(a662)]).

input_clause(clause93,conjecture,
    [--hskp56,
     ++c2_1(a658)]).

input_clause(clause94,conjecture,
    [--hskp56,
     ++c3_1(a658)]).

input_clause(clause95,conjecture,
    [--hskp55,
     ++c3_1(a653)]).

input_clause(clause96,conjecture,
    [--hskp55,
     ++c1_1(a653)]).

input_clause(clause97,conjecture,
    [--hskp54,
     ++c3_1(a651)]).

input_clause(clause98,conjecture,
    [--hskp54,
     ++c2_1(a651)]).

input_clause(clause99,conjecture,
    [--hskp53,
     ++c3_1(a648)]).

input_clause(clause100,conjecture,
    [--hskp53,
     ++c0_1(a648)]).

input_clause(clause101,conjecture,
    [--hskp52,
     ++c0_1(a647)]).

input_clause(clause102,conjecture,
    [--hskp51,
     ++c2_1(a644)]).

input_clause(clause103,conjecture,
    [--hskp51,
     ++c0_1(a644)]).

input_clause(clause104,conjecture,
    [--hskp50,
     ++c1_1(a640)]).

input_clause(clause105,conjecture,
    [--hskp50,
     ++c0_1(a640)]).

input_clause(clause106,conjecture,
    [--hskp49,
     ++c1_1(a639)]).

input_clause(clause107,conjecture,
    [--hskp48,
     ++c1_1(a638)]).

input_clause(clause108,conjecture,
    [--hskp48,
     ++c2_1(a638)]).

input_clause(clause109,conjecture,
    [--hskp47,
     ++c3_1(a636)]).

input_clause(clause110,conjecture,
    [--hskp46,
     ++c1_1(a626)]).

input_clause(clause111,conjecture,
    [--hskp46,
     ++c0_1(a626)]).

input_clause(clause112,conjecture,
    [--hskp46,
     ++c3_1(a626)]).

input_clause(clause113,conjecture,
    [--hskp45,
     ++c3_1(a623)]).

input_clause(clause114,conjecture,
    [--hskp45,
     ++c2_1(a623)]).

input_clause(clause115,conjecture,
    [--hskp44,
     ++c2_1(a621)]).

input_clause(clause116,conjecture,
    [--hskp44,
     ++c3_1(a621)]).

input_clause(clause117,conjecture,
    [--hskp43,
     ++c0_1(a619)]).

input_clause(clause118,conjecture,
    [--hskp42,
     ++c1_1(a618)]).

input_clause(clause119,conjecture,
    [--hskp41,
     ++c2_1(a617)]).

input_clause(clause120,conjecture,
    [--hskp41,
     ++c3_1(a617)]).

input_clause(clause121,conjecture,
    [--hskp40,
     ++c2_1(a614)]).

input_clause(clause122,conjecture,
    [--hskp40,
     ++c1_1(a614)]).

input_clause(clause123,conjecture,
    [--hskp40,
     ++c0_1(a614)]).

input_clause(clause124,conjecture,
    [--hskp39,
     ++c3_1(a611)]).

input_clause(clause125,conjecture,
    [--hskp39,
     ++c2_1(a611)]).

input_clause(clause126,conjecture,
    [--hskp38,
     ++c1_1(a608)]).

input_clause(clause127,conjecture,
    [--hskp38,
     ++c3_1(a608)]).

input_clause(clause128,conjecture,
    [--hskp38,
     ++c0_1(a608)]).

input_clause(clause129,conjecture,
    [--hskp37,
     ++c1_1(a607)]).

input_clause(clause130,conjecture,
    [--hskp37,
     ++c0_1(a607)]).

input_clause(clause131,conjecture,
    [--hskp36,
     ++c1_1(a605)]).

input_clause(clause132,conjecture,
    [--hskp36,
     ++c0_1(a605)]).

input_clause(clause133,conjecture,
    [--hskp35,
     ++c2_1(a602)]).

input_clause(clause134,conjecture,
    [--hskp34,
     ++c2_1(a600)]).

input_clause(clause135,conjecture,
    [--hskp34,
     ++c0_1(a600)]).

input_clause(clause136,conjecture,
    [--hskp33,
     ++c0_1(a599)]).

input_clause(clause137,conjecture,
    [--hskp33,
     ++c3_1(a599)]).

input_clause(clause138,conjecture,
    [--hskp32,
     ++c0_1(a677)]).

input_clause(clause139,conjecture,
    [--hskp31,
     ++c1_1(a667)]).

input_clause(clause140,conjecture,
    [--hskp30,
     ++c0_1(a666)]).

input_clause(clause141,conjecture,
    [--hskp28,
     ++c1_1(a656)]).

input_clause(clause142,conjecture,
    [--hskp26,
     ++c3_1(a652)]).

input_clause(clause143,conjecture,
    [--hskp25,
     ++c3_1(a646)]).

input_clause(clause144,conjecture,
    [--hskp24,
     ++c3_1(a643)]).

input_clause(clause145,conjecture,
    [--hskp23,
     ++c2_1(a642)]).

input_clause(clause146,conjecture,
    [--hskp23,
     ++c3_1(a642)]).

input_clause(clause147,conjecture,
    [--hskp22,
     ++c0_1(a641)]).

input_clause(clause148,conjecture,
    [--hskp21,
     ++c1_1(a637)]).

input_clause(clause149,conjecture,
    [--hskp21,
     ++c0_1(a637)]).

input_clause(clause150,conjecture,
    [--hskp18,
     ++c0_1(a632)]).

input_clause(clause151,conjecture,
    [--hskp18,
     ++c3_1(a632)]).

input_clause(clause152,conjecture,
    [--hskp17,
     ++c3_1(a628)]).

input_clause(clause153,conjecture,
    [--hskp16,
     ++c2_1(a627)]).

input_clause(clause154,conjecture,
    [--hskp16,
     ++c0_1(a627)]).

input_clause(clause155,conjecture,
    [--hskp14,
     ++c3_1(a624)]).

input_clause(clause156,conjecture,
    [--hskp11,
     ++c0_1(a616)]).

input_clause(clause157,conjecture,
    [--hskp11,
     ++c1_1(a616)]).

input_clause(clause158,conjecture,
    [--hskp10,
     ++c0_1(a615)]).

input_clause(clause159,conjecture,
    [--hskp10,
     ++c3_1(a615)]).

input_clause(clause160,conjecture,
    [--hskp9,
     ++c1_1(a613)]).

input_clause(clause161,conjecture,
    [--hskp9,
     ++c2_1(a613)]).

input_clause(clause162,conjecture,
    [--hskp8,
     ++c3_1(a612)]).

input_clause(clause163,conjecture,
    [--hskp7,
     ++c1_1(a610)]).

input_clause(clause164,conjecture,
    [--hskp6,
     ++c2_1(a609)]).

input_clause(clause165,conjecture,
    [--hskp5,
     ++c2_1(a606)]).

input_clause(clause166,conjecture,
    [--hskp3,
     ++c0_1(a603)]).

input_clause(clause167,conjecture,
    [--hskp2,
     ++c0_1(a601)]).

input_clause(clause168,conjecture,
    [--hskp1,
     ++c0_1(a598)]).

input_clause(clause169,conjecture,
    [--hskp1,
     ++c2_1(a598)]).

input_clause(clause170,conjecture,
    [--hskp0,
     ++c0_1(a597)]).

input_clause(clause171,conjecture,
    [--c2_1(a675),
     --hskp66]).

input_clause(clause172,conjecture,
    [--c1_1(a674),
     --hskp65]).

input_clause(clause173,conjecture,
    [--c0_1(a673),
     --hskp64]).

input_clause(clause174,conjecture,
    [--c0_1(a672),
     --hskp63]).

input_clause(clause175,conjecture,
    [--c2_1(a672),
     --hskp63]).

input_clause(clause176,conjecture,
    [--c1_1(a671),
     --hskp62]).

input_clause(clause177,conjecture,
    [--c1_1(a670),
     --hskp61]).

input_clause(clause178,conjecture,
    [--c0_1(a670),
     --hskp61]).

input_clause(clause179,conjecture,
    [--c2_1(a669),
     --hskp60]).

input_clause(clause180,conjecture,
    [--c0_1(a665),
     --hskp59]).

input_clause(clause181,conjecture,
    [--c0_1(a663),
     --hskp58]).

input_clause(clause182,conjecture,
    [--c1_1(a663),
     --hskp58]).

input_clause(clause183,conjecture,
    [--c0_1(a662),
     --hskp57]).

input_clause(clause184,conjecture,
    [--c1_1(a658),
     --hskp56]).

input_clause(clause185,conjecture,
    [--c2_1(a653),
     --hskp55]).

input_clause(clause186,conjecture,
    [--c0_1(a651),
     --hskp54]).

input_clause(clause187,conjecture,
    [--c2_1(a648),
     --hskp53]).

input_clause(clause188,conjecture,
    [--c2_1(a647),
     --hskp52]).

input_clause(clause189,conjecture,
    [--c1_1(a647),
     --hskp52]).

input_clause(clause190,conjecture,
    [--c3_1(a644),
     --hskp51]).

input_clause(clause191,conjecture,
    [--c3_1(a640),
     --hskp50]).

input_clause(clause192,conjecture,
    [--c2_1(a639),
     --hskp49]).

input_clause(clause193,conjecture,
    [--c0_1(a639),
     --hskp49]).

input_clause(clause194,conjecture,
    [--c3_1(a638),
     --hskp48]).

input_clause(clause195,conjecture,
    [--c1_1(a636),
     --hskp47]).

input_clause(clause196,conjecture,
    [--c0_1(a636),
     --hskp47]).

input_clause(clause197,conjecture,
    [--c0_1(a623),
     --hskp45]).

input_clause(clause198,conjecture,
    [--c0_1(a621),
     --hskp44]).

input_clause(clause199,conjecture,
    [--c3_1(a619),
     --hskp43]).

input_clause(clause200,conjecture,
    [--c1_1(a619),
     --hskp43]).

input_clause(clause201,conjecture,
    [--c2_1(a618),
     --hskp42]).

input_clause(clause202,conjecture,
    [--c3_1(a618),
     --hskp42]).

input_clause(clause203,conjecture,
    [--c1_1(a617),
     --hskp41]).

input_clause(clause204,conjecture,
    [--c1_1(a611),
     --hskp39]).

input_clause(clause205,conjecture,
    [--c2_1(a607),
     --hskp37]).

input_clause(clause206,conjecture,
    [--c3_1(a605),
     --hskp36]).

input_clause(clause207,conjecture,
    [--c3_1(a602),
     --hskp35]).

input_clause(clause208,conjecture,
    [--c1_1(a602),
     --hskp35]).

input_clause(clause209,conjecture,
    [--c3_1(a600),
     --hskp34]).

input_clause(clause210,conjecture,
    [--c2_1(a599),
     --hskp33]).

input_clause(clause211,conjecture,
    [--c3_1(a677),
     --hskp32]).

input_clause(clause212,conjecture,
    [--c2_1(a677),
     --hskp32]).

input_clause(clause213,conjecture,
    [--c2_1(a667),
     --hskp31]).

input_clause(clause214,conjecture,
    [--c0_1(a667),
     --hskp31]).

input_clause(clause215,conjecture,
    [--c2_1(a666),
     --hskp30]).

input_clause(clause216,conjecture,
    [--c3_1(a666),
     --hskp30]).

input_clause(clause217,conjecture,
    [--c1_1(a660),
     --hskp29]).

input_clause(clause218,conjecture,
    [--c3_1(a660),
     --hskp29]).

input_clause(clause219,conjecture,
    [--c0_1(a660),
     --hskp29]).

input_clause(clause220,conjecture,
    [--c3_1(a656),
     --hskp28]).

input_clause(clause221,conjecture,
    [--c0_1(a656),
     --hskp28]).

input_clause(clause222,conjecture,
    [--c3_1(a654),
     --hskp27]).

input_clause(clause223,conjecture,
    [--c0_1(a654),
     --hskp27]).

input_clause(clause224,conjecture,
    [--c1_1(a654),
     --hskp27]).

input_clause(clause225,conjecture,
    [--c1_1(a652),
     --hskp26]).

input_clause(clause226,conjecture,
    [--c2_1(a652),
     --hskp26]).

input_clause(clause227,conjecture,
    [--c2_1(a646),
     --hskp25]).

input_clause(clause228,conjecture,
    [--c0_1(a646),
     --hskp25]).

input_clause(clause229,conjecture,
    [--c0_1(a643),
     --hskp24]).

input_clause(clause230,conjecture,
    [--c1_1(a643),
     --hskp24]).

input_clause(clause231,conjecture,
    [--c0_1(a642),
     --hskp23]).

input_clause(clause232,conjecture,
    [--c1_1(a641),
     --hskp22]).

input_clause(clause233,conjecture,
    [--c2_1(a641),
     --hskp22]).

input_clause(clause234,conjecture,
    [--c3_1(a637),
     --hskp21]).

input_clause(clause235,conjecture,
    [--c1_1(a635),
     --hskp20]).

input_clause(clause236,conjecture,
    [--c2_1(a635),
     --hskp20]).

input_clause(clause237,conjecture,
    [--c3_1(a635),
     --hskp20]).

input_clause(clause238,conjecture,
    [--c1_1(a634),
     --hskp19]).

input_clause(clause239,conjecture,
    [--c0_1(a634),
     --hskp19]).

input_clause(clause240,conjecture,
    [--c3_1(a634),
     --hskp19]).

input_clause(clause241,conjecture,
    [--c1_1(a632),
     --hskp18]).

input_clause(clause242,conjecture,
    [--c2_1(a628),
     --hskp17]).

input_clause(clause243,conjecture,
    [--c1_1(a628),
     --hskp17]).

input_clause(clause244,conjecture,
    [--c3_1(a627),
     --hskp16]).

input_clause(clause245,conjecture,
    [--c2_1(a625),
     --hskp15]).

input_clause(clause246,conjecture,
    [--c1_1(a625),
     --hskp15]).

input_clause(clause247,conjecture,
    [--c0_1(a625),
     --hskp15]).

input_clause(clause248,conjecture,
    [--c1_1(a624),
     --hskp14]).

input_clause(clause249,conjecture,
    [--c2_1(a624),
     --hskp14]).

input_clause(clause250,conjecture,
    [--c1_1(a622),
     --hskp13]).

input_clause(clause251,conjecture,
    [--c2_1(a622),
     --hskp13]).

input_clause(clause252,conjecture,
    [--c0_1(a622),
     --hskp13]).

input_clause(clause253,conjecture,
    [--c0_1(a620),
     --hskp12]).

input_clause(clause254,conjecture,
    [--c3_1(a620),
     --hskp12]).

input_clause(clause255,conjecture,
    [--c1_1(a620),
     --hskp12]).

input_clause(clause256,conjecture,
    [--c2_1(a616),
     --hskp11]).

input_clause(clause257,conjecture,
    [--c2_1(a615),
     --hskp10]).

input_clause(clause258,conjecture,
    [--c3_1(a613),
     --hskp9]).

input_clause(clause259,conjecture,
    [--c2_1(a612),
     --hskp8]).

input_clause(clause260,conjecture,
    [--c1_1(a612),
     --hskp8]).

input_clause(clause261,conjecture,
    [--c2_1(a610),
     --hskp7]).

input_clause(clause262,conjecture,
    [--c0_1(a610),
     --hskp7]).

input_clause(clause263,conjecture,
    [--c0_1(a609),
     --hskp6]).

input_clause(clause264,conjecture,
    [--c1_1(a609),
     --hskp6]).

input_clause(clause265,conjecture,
    [--c0_1(a606),
     --hskp5]).

input_clause(clause266,conjecture,
    [--c3_1(a606),
     --hskp5]).

input_clause(clause267,conjecture,
    [--c2_1(a604),
     --hskp4]).

input_clause(clause268,conjecture,
    [--c0_1(a604),
     --hskp4]).

input_clause(clause269,conjecture,
    [--c3_1(a604),
     --hskp4]).

input_clause(clause270,conjecture,
    [--c1_1(a603),
     --hskp3]).

input_clause(clause271,conjecture,
    [--c3_1(a603),
     --hskp3]).

input_clause(clause272,conjecture,
    [--c2_1(a601),
     --hskp2]).

input_clause(clause273,conjecture,
    [--c3_1(a601),
     --hskp2]).

input_clause(clause274,conjecture,
    [--c1_1(a598),
     --hskp1]).

input_clause(clause275,conjecture,
    [--c3_1(a597),
     --hskp0]).

input_clause(clause276,conjecture,
    [--c1_1(a597),
     --hskp0]).

input_clause(clause277,conjecture,
    [--ndr1_0,
     ++c2_1(U),
     ++c1_1(U),
     ++c3_1(U),
     ++hskp8,
     ++hskp9]).

input_clause(clause278,conjecture,
    [--ndr1_0,
     ++c3_1(U),
     ++c2_1(U),
     ++c1_1(U),
     ++hskp50,
     ++hskp22]).

input_clause(clause279,conjecture,
    [--ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++c2_1(U),
     ++hskp62,
     ++hskp63]).

input_clause(clause280,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++hskp0,
     ++hskp1]).

input_clause(clause281,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c2_1(U),
     ++hskp40,
     ++hskp10]).

input_clause(clause282,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++hskp47,
     ++hskp21]).

input_clause(clause283,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++hskp48,
     ++hskp49]).

input_clause(clause284,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c2_1(U),
     ++hskp25,
     ++hskp52]).

input_clause(clause285,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++hskp53,
     ++hskp17]).

input_clause(clause286,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c0_1(U),
     ++hskp37,
     ++hskp54]).

input_clause(clause287,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c2_1(U),
     ++hskp26,
     ++hskp55]).

input_clause(clause288,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++hskp3,
     ++hskp29]).

input_clause(clause289,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --c1_1(U),
     --ndr1_0,
     ++hskp6]).

input_clause(clause290,conjecture,
    [--c1_1(U),
     --c0_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp7,
     ++hskp39]).

input_clause(clause291,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp43,
     ++hskp12]).

input_clause(clause292,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp44,
     ++hskp13]).

input_clause(clause293,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp14,
     ++hskp15]).

input_clause(clause294,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp23,
     ++hskp24]).

input_clause(clause295,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp58,
     ++hskp41]).

input_clause(clause296,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp32,
     ++hskp30]).

input_clause(clause297,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++c0_1(V),
     ++c2_1(U),
     ++c3_1(V),
     ++c1_1(V),
     ++c3_1(U)]).

input_clause(clause298,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++hskp5,
     ++hskp37]).

input_clause(clause299,conjecture,
    [--ndr1_0,
     --c2_1(U),
     ++c0_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c3_1(U),
     ++c3_1(V)]).

input_clause(clause300,conjecture,
    [--ndr1_0,
     --c3_1(U),
     ++c3_1(V),
     ++c0_1(V),
     ++c1_1(V),
     ++c0_1(U),
     ++c1_1(U),
     ++hskp42]).

input_clause(clause301,conjecture,
    [--c2_1(U),
     --c1_1(V),
     --ndr1_0,
     --c2_1(V),
     ++c0_1(U),
     ++c3_1(U),
     ++c0_1(V)]).

input_clause(clause302,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c2_1(V),
     ++c1_1(V),
     ++c0_1(V),
     ++hskp38]).

input_clause(clause303,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c2_1(U),
     ++c1_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp42]).

input_clause(clause304,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c1_1(V),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp51]).

input_clause(clause305,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c3_1(U),
     ++c0_1(U),
     ++c2_1(V),
     ++c1_1(V),
     ++hskp55]).

input_clause(clause306,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c2_1(U),
     ++c3_1(U),
     ++c2_1(V),
     ++c1_1(V),
     ++hskp56]).

input_clause(clause307,conjecture,
    [--ndr1_0,
     --c3_1(U),
     --c1_1(U),
     --c2_1(U),
     ++c2_1(V),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp11]).

input_clause(clause308,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c3_1(V),
     --c2_1(V),
     ++c2_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++hskp45]).

input_clause(clause309,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c1_1(U),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp46]).

input_clause(clause310,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c3_1(U),
     ++c2_1(V),
     ++c0_1(V),
     ++hskp16]).

input_clause(clause311,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c3_1(U),
     ++c2_1(U),
     ++c1_1(V),
     ++hskp20]).

input_clause(clause312,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c2_1(U),
     ++c1_1(U),
     ++c2_1(V),
     ++hskp5]).

input_clause(clause313,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c3_1(V),
     --c0_1(V),
     ++c1_1(U),
     ++c0_1(U),
     ++c1_1(V),
     ++hskp55]).

input_clause(clause314,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c0_1(V),
     ++c2_1(U),
     ++c2_1(V),
     ++hskp41]).

input_clause(clause315,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp36]).

input_clause(clause316,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c1_1(U),
     --c0_1(V),
     --c2_1(V),
     --c2_1(U),
     ++c1_1(V)]).

input_clause(clause317,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --ndr1_0,
     --c2_1(V),
     --c1_1(V),
     ++c1_1(U),
     ++c0_1(V),
     ++hskp31]).

input_clause(clause318,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     --c3_1(V),
     ++c2_1(U),
     ++hskp35]).

input_clause(clause319,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     --c0_1(V),
     ++c1_1(V),
     ++hskp57]).

input_clause(clause320,conjecture,
    [--ndr1_0,
     --c2_1(U),
     --c2_1(V),
     ++c0_1(W),
     ++c1_1(W),
     ++c2_1(W),
     ++c1_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++c1_1(V)]).

input_clause(clause321,conjecture,
    [--c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c1_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++c3_1(W),
     ++c1_1(W),
     ++c0_1(W)]).

input_clause(clause322,conjecture,
    [--ndr1_0,
     --c3_1(U),
     --c0_1(U),
     --c3_1(V),
     --c0_1(V),
     ++c3_1(W),
     ++c0_1(W),
     ++c2_1(W),
     ++c1_1(U),
     ++c2_1(V)]).

input_clause(clause323,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_1(V),
     --c0_1(V),
     ++c0_1(U),
     ++c2_1(V),
     ++c3_1(W),
     ++c2_1(W),
     ++c0_1(W)]).

input_clause(clause324,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_1(V),
     --c2_1(V),
     --c0_1(W),
     ++c1_1(U),
     ++c0_1(V),
     ++c2_1(W),
     ++c1_1(W)]).

input_clause(clause325,conjecture,
    [--c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     --c0_1(V),
     --c3_1(W),
     ++c0_1(U),
     ++c1_1(V),
     ++c1_1(W),
     ++c2_1(W)]).

input_clause(clause326,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     --c2_1(W),
     --c1_1(W),
     ++c1_1(U),
     ++c1_1(V),
     ++c0_1(V),
     ++c0_1(W)]).

input_clause(clause327,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     --c3_1(W),
     --c0_1(W),
     ++c3_1(U),
     ++c0_1(V),
     ++c2_1(W)]).

input_clause(clause328,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     --c0_1(V),
     --c2_1(W),
     --c0_1(W),
     --c1_1(W),
     ++c3_1(V)]).
%--------------------------------------------------------------------------
