%--------------------------------------------------------------------------
% File     : SYN457-1 : TPTP v2.2.1. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=060
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-060.cnf [Wei97]

% Status   : unsatisfiable
% Rating   : 1.00 v2.1.0
% Syntax   : Number of clauses    :  364 (  60 non-Horn;   0 unit; 356 RR)
%            Number of literals   : 1018 (   0 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :   81 (  77 propositional; 0-1 arity)
%            Number of functors   :   76 (  76 constant; 0-0 arity)
%            Number of variables  :   89 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--hskp75,++ndr1_0]).

input_clause(clause2,conjecture,
    [--hskp74,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp73,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp72,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp71,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp70,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp69,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp68,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp67,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp66,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp65,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp64,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp63,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp62,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp61,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp60,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp59,++ndr1_0]).

input_clause(clause18,conjecture,
    [--hskp58,++ndr1_0]).

input_clause(clause19,conjecture,
    [--hskp57,++ndr1_0]).

input_clause(clause20,conjecture,
    [--hskp56,++ndr1_0]).

input_clause(clause21,conjecture,
    [--hskp55,++ndr1_0]).

input_clause(clause22,conjecture,
    [--hskp54,++ndr1_0]).

input_clause(clause23,conjecture,
    [--hskp53,++ndr1_0]).

input_clause(clause24,conjecture,
    [--hskp52,++ndr1_0]).

input_clause(clause25,conjecture,
    [--hskp51,++ndr1_0]).

input_clause(clause26,conjecture,
    [--hskp50,++ndr1_0]).

input_clause(clause27,conjecture,
    [--hskp49,++ndr1_0]).

input_clause(clause28,conjecture,
    [--hskp48,++ndr1_0]).

input_clause(clause29,conjecture,
    [--hskp47,++ndr1_0]).

input_clause(clause30,conjecture,
    [--hskp46,++ndr1_0]).

input_clause(clause31,conjecture,
    [--hskp45,++ndr1_0]).

input_clause(clause32,conjecture,
    [--hskp44,++ndr1_0]).

input_clause(clause33,conjecture,
    [--hskp43,++ndr1_0]).

input_clause(clause34,conjecture,
    [--hskp42,++ndr1_0]).

input_clause(clause35,conjecture,
    [--hskp41,++ndr1_0]).

input_clause(clause36,conjecture,
    [--hskp40,++ndr1_0]).

input_clause(clause37,conjecture,
    [--hskp39,++ndr1_0]).

input_clause(clause38,conjecture,
    [--hskp38,++ndr1_0]).

input_clause(clause39,conjecture,
    [--hskp37,++ndr1_0]).

input_clause(clause40,conjecture,
    [--hskp36,++ndr1_0]).

input_clause(clause41,conjecture,
    [--hskp35,++ndr1_0]).

input_clause(clause42,conjecture,
    [--hskp34,++ndr1_0]).

input_clause(clause43,conjecture,
    [--hskp33,++ndr1_0]).

input_clause(clause44,conjecture,
    [--hskp32,++ndr1_0]).

input_clause(clause45,conjecture,
    [--hskp31,++ndr1_0]).

input_clause(clause46,conjecture,
    [--hskp30,++ndr1_0]).

input_clause(clause47,conjecture,
    [--hskp29,++ndr1_0]).

input_clause(clause48,conjecture,
    [--hskp28,++ndr1_0]).

input_clause(clause49,conjecture,
    [--hskp27,++ndr1_0]).

input_clause(clause50,conjecture,
    [--hskp26,++ndr1_0]).

input_clause(clause51,conjecture,
    [--hskp25,++ndr1_0]).

input_clause(clause52,conjecture,
    [--hskp24,++ndr1_0]).

input_clause(clause53,conjecture,
    [--hskp23,++ndr1_0]).

input_clause(clause54,conjecture,
    [--hskp22,++ndr1_0]).

input_clause(clause55,conjecture,
    [--hskp21,++ndr1_0]).

input_clause(clause56,conjecture,
    [--hskp20,++ndr1_0]).

input_clause(clause57,conjecture,
    [--hskp19,++ndr1_0]).

input_clause(clause58,conjecture,
    [--hskp18,++ndr1_0]).

input_clause(clause59,conjecture,
    [--hskp17,++ndr1_0]).

input_clause(clause60,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause61,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause62,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause63,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause64,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause65,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause66,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause67,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause68,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause69,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause70,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause71,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause72,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause73,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause74,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause75,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause76,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause77,conjecture,
    [++hskp43,++hskp44,++hskp45]).

input_clause(clause78,conjecture,
    [++hskp47,++hskp2,++hskp3]).

input_clause(clause79,conjecture,
    [++hskp53,++hskp8,++hskp54]).

input_clause(clause80,conjecture,
    [++hskp10,++hskp14,++hskp15]).

input_clause(clause81,conjecture,
    [++hskp23,++hskp64,++hskp65]).

input_clause(clause82,conjecture,
    [++hskp66,++hskp27,++hskp28]).

input_clause(clause83,conjecture,
    [++hskp29,++hskp52,++hskp53]).

input_clause(clause84,conjecture,
    [++hskp63,++hskp31,++hskp32]).

input_clause(clause85,conjecture,
    [--hskp75,
     ++c0_1(a1724)]).

input_clause(clause86,conjecture,
    [--hskp75,
     ++c3_1(a1724)]).

input_clause(clause87,conjecture,
    [--hskp74,
     ++c0_1(a1717)]).

input_clause(clause88,conjecture,
    [--hskp74,
     ++c2_1(a1717)]).

input_clause(clause89,conjecture,
    [--hskp73,
     ++c2_1(a1716)]).

input_clause(clause90,conjecture,
    [--hskp73,
     ++c0_1(a1716)]).

input_clause(clause91,conjecture,
    [--hskp72,
     ++c1_1(a1715)]).

input_clause(clause92,conjecture,
    [--hskp72,
     ++c3_1(a1715)]).

input_clause(clause93,conjecture,
    [--hskp71,
     ++c3_1(a1713)]).

input_clause(clause94,conjecture,
    [--hskp71,
     ++c0_1(a1713)]).

input_clause(clause95,conjecture,
    [--hskp70,
     ++c1_1(a1710)]).

input_clause(clause96,conjecture,
    [--hskp69,
     ++c0_1(a1709)]).

input_clause(clause97,conjecture,
    [--hskp69,
     ++c3_1(a1709)]).

input_clause(clause98,conjecture,
    [--hskp68,
     ++c3_1(a1707)]).

input_clause(clause99,conjecture,
    [--hskp68,
     ++c0_1(a1707)]).

input_clause(clause100,conjecture,
    [--hskp67,
     ++c1_1(a1702)]).

input_clause(clause101,conjecture,
    [--hskp67,
     ++c2_1(a1702)]).

input_clause(clause102,conjecture,
    [--hskp67,
     ++c3_1(a1702)]).

input_clause(clause103,conjecture,
    [--hskp66,
     ++c0_1(a1692)]).

input_clause(clause104,conjecture,
    [--hskp65,
     ++c2_1(a1687)]).

input_clause(clause105,conjecture,
    [--hskp64,
     ++c0_1(a1686)]).

input_clause(clause106,conjecture,
    [--hskp63,
     ++c2_1(a1676)]).

input_clause(clause107,conjecture,
    [--hskp63,
     ++c3_1(a1676)]).

input_clause(clause108,conjecture,
    [--hskp62,
     ++c1_1(a1675)]).

input_clause(clause109,conjecture,
    [--hskp62,
     ++c0_1(a1675)]).

input_clause(clause110,conjecture,
    [--hskp61,
     ++c3_1(a1674)]).

input_clause(clause111,conjecture,
    [--hskp60,
     ++c3_1(a1673)]).

input_clause(clause112,conjecture,
    [--hskp60,
     ++c2_1(a1673)]).

input_clause(clause113,conjecture,
    [--hskp59,
     ++c3_1(a1669)]).

input_clause(clause114,conjecture,
    [--hskp59,
     ++c0_1(a1669)]).

input_clause(clause115,conjecture,
    [--hskp58,
     ++c3_1(a1668)]).

input_clause(clause116,conjecture,
    [--hskp57,
     ++c0_1(a1665)]).

input_clause(clause117,conjecture,
    [--hskp57,
     ++c3_1(a1665)]).

input_clause(clause118,conjecture,
    [--hskp56,
     ++c0_1(a1662)]).

input_clause(clause119,conjecture,
    [--hskp56,
     ++c1_1(a1662)]).

input_clause(clause120,conjecture,
    [--hskp55,
     ++c1_1(a1661)]).

input_clause(clause121,conjecture,
    [--hskp54,
     ++c3_1(a1658)]).

input_clause(clause122,conjecture,
    [--hskp54,
     ++c1_1(a1658)]).

input_clause(clause123,conjecture,
    [--hskp53,
     ++c2_1(a1656)]).

input_clause(clause124,conjecture,
    [--hskp53,
     ++c0_1(a1656)]).

input_clause(clause125,conjecture,
    [--hskp52,
     ++c0_1(a1654)]).

input_clause(clause126,conjecture,
    [--hskp52,
     ++c2_1(a1654)]).

input_clause(clause127,conjecture,
    [--hskp52,
     ++c3_1(a1654)]).

input_clause(clause128,conjecture,
    [--hskp51,
     ++c2_1(a1653)]).

input_clause(clause129,conjecture,
    [--hskp51,
     ++c1_1(a1653)]).

input_clause(clause130,conjecture,
    [--hskp50,
     ++c3_1(a1652)]).

input_clause(clause131,conjecture,
    [--hskp50,
     ++c2_1(a1652)]).

input_clause(clause132,conjecture,
    [--hskp50,
     ++c0_1(a1652)]).

input_clause(clause133,conjecture,
    [--hskp49,
     ++c3_1(a1651)]).

input_clause(clause134,conjecture,
    [--hskp49,
     ++c1_1(a1651)]).

input_clause(clause135,conjecture,
    [--hskp48,
     ++c0_1(a1649)]).

input_clause(clause136,conjecture,
    [--hskp47,
     ++c3_1(a1644)]).

input_clause(clause137,conjecture,
    [--hskp46,
     ++c0_1(a1642)]).

input_clause(clause138,conjecture,
    [--hskp45,
     ++c2_1(a1641)]).

input_clause(clause139,conjecture,
    [--hskp44,
     ++c3_1(a1640)]).

input_clause(clause140,conjecture,
    [--hskp44,
     ++c2_1(a1640)]).

input_clause(clause141,conjecture,
    [--hskp44,
     ++c1_1(a1640)]).

input_clause(clause142,conjecture,
    [--hskp43,
     ++c2_1(a1639)]).

input_clause(clause143,conjecture,
    [--hskp43,
     ++c0_1(a1639)]).

input_clause(clause144,conjecture,
    [--hskp42,
     ++c1_1(a1638)]).

input_clause(clause145,conjecture,
    [--hskp42,
     ++c0_1(a1638)]).

input_clause(clause146,conjecture,
    [--hskp41,
     ++c0_1(a1726)]).

input_clause(clause147,conjecture,
    [--hskp41,
     ++c2_1(a1726)]).

input_clause(clause148,conjecture,
    [--hskp40,
     ++c1_1(a1725)]).

input_clause(clause149,conjecture,
    [--hskp40,
     ++c3_1(a1725)]).

input_clause(clause150,conjecture,
    [--hskp39,
     ++c3_1(a1721)]).

input_clause(clause151,conjecture,
    [--hskp38,
     ++c3_1(a1718)]).

input_clause(clause152,conjecture,
    [--hskp37,
     ++c2_1(a1714)]).

input_clause(clause153,conjecture,
    [--hskp37,
     ++c0_1(a1714)]).

input_clause(clause154,conjecture,
    [--hskp34,
     ++c2_1(a1705)]).

input_clause(clause155,conjecture,
    [--hskp33,
     ++c3_1(a1704)]).

input_clause(clause156,conjecture,
    [--hskp32,
     ++c1_1(a1701)]).

input_clause(clause157,conjecture,
    [--hskp32,
     ++c0_1(a1701)]).

input_clause(clause158,conjecture,
    [--hskp31,
     ++c2_1(a1700)]).

input_clause(clause159,conjecture,
    [--hskp30,
     ++c1_1(a1698)]).

input_clause(clause160,conjecture,
    [--hskp30,
     ++c3_1(a1698)]).

input_clause(clause161,conjecture,
    [--hskp29,
     ++c2_1(a1695)]).

input_clause(clause162,conjecture,
    [--hskp29,
     ++c0_1(a1695)]).

input_clause(clause163,conjecture,
    [--hskp28,
     ++c2_1(a1694)]).

input_clause(clause164,conjecture,
    [--hskp25,
     ++c2_1(a1690)]).

input_clause(clause165,conjecture,
    [--hskp24,
     ++c3_1(a1689)]).

input_clause(clause166,conjecture,
    [--hskp23,
     ++c2_1(a1685)]).

input_clause(clause167,conjecture,
    [--hskp22,
     ++c2_1(a1684)]).

input_clause(clause168,conjecture,
    [--hskp21,
     ++c3_1(a1683)]).

input_clause(clause169,conjecture,
    [--hskp21,
     ++c2_1(a1683)]).

input_clause(clause170,conjecture,
    [--hskp15,
     ++c3_1(a1672)]).

input_clause(clause171,conjecture,
    [--hskp15,
     ++c1_1(a1672)]).

input_clause(clause172,conjecture,
    [--hskp14,
     ++c2_1(a1671)]).

input_clause(clause173,conjecture,
    [--hskp13,
     ++c0_1(a1667)]).

input_clause(clause174,conjecture,
    [--hskp13,
     ++c3_1(a1667)]).

input_clause(clause175,conjecture,
    [--hskp12,
     ++c2_1(a1666)]).

input_clause(clause176,conjecture,
    [--hskp12,
     ++c3_1(a1666)]).

input_clause(clause177,conjecture,
    [--hskp8,
     ++c2_1(a1657)]).

input_clause(clause178,conjecture,
    [--hskp7,
     ++c3_1(a1655)]).

input_clause(clause179,conjecture,
    [--hskp7,
     ++c0_1(a1655)]).

input_clause(clause180,conjecture,
    [--hskp5,
     ++c3_1(a1648)]).

input_clause(clause181,conjecture,
    [--hskp4,
     ++c1_1(a1647)]).

input_clause(clause182,conjecture,
    [--hskp3,
     ++c0_1(a1646)]).

input_clause(clause183,conjecture,
    [--hskp1,
     ++c3_1(a1643)]).

input_clause(clause184,conjecture,
    [--hskp0,
     ++c1_1(a1637)]).

input_clause(clause185,conjecture,
    [--hskp0,
     ++c0_1(a1637)]).

input_clause(clause186,conjecture,
    [--c2_1(a1724),
     --hskp75]).

input_clause(clause187,conjecture,
    [--c3_1(a1717),
     --hskp74]).

input_clause(clause188,conjecture,
    [--c3_1(a1716),
     --hskp73]).

input_clause(clause189,conjecture,
    [--c2_1(a1715),
     --hskp72]).

input_clause(clause190,conjecture,
    [--c2_1(a1713),
     --hskp71]).

input_clause(clause191,conjecture,
    [--c0_1(a1710),
     --hskp70]).

input_clause(clause192,conjecture,
    [--c3_1(a1710),
     --hskp70]).

input_clause(clause193,conjecture,
    [--c1_1(a1709),
     --hskp69]).

input_clause(clause194,conjecture,
    [--c1_1(a1707),
     --hskp68]).

input_clause(clause195,conjecture,
    [--c1_1(a1692),
     --hskp66]).

input_clause(clause196,conjecture,
    [--c2_1(a1692),
     --hskp66]).

input_clause(clause197,conjecture,
    [--c3_1(a1687),
     --hskp65]).

input_clause(clause198,conjecture,
    [--c0_1(a1687),
     --hskp65]).

input_clause(clause199,conjecture,
    [--c3_1(a1686),
     --hskp64]).

input_clause(clause200,conjecture,
    [--c1_1(a1686),
     --hskp64]).

input_clause(clause201,conjecture,
    [--c0_1(a1676),
     --hskp63]).

input_clause(clause202,conjecture,
    [--c3_1(a1675),
     --hskp62]).

input_clause(clause203,conjecture,
    [--c1_1(a1674),
     --hskp61]).

input_clause(clause204,conjecture,
    [--c2_1(a1674),
     --hskp61]).

input_clause(clause205,conjecture,
    [--c1_1(a1673),
     --hskp60]).

input_clause(clause206,conjecture,
    [--c2_1(a1669),
     --hskp59]).

input_clause(clause207,conjecture,
    [--c0_1(a1668),
     --hskp58]).

input_clause(clause208,conjecture,
    [--c1_1(a1668),
     --hskp58]).

input_clause(clause209,conjecture,
    [--c1_1(a1665),
     --hskp57]).

input_clause(clause210,conjecture,
    [--c2_1(a1662),
     --hskp56]).

input_clause(clause211,conjecture,
    [--c2_1(a1661),
     --hskp55]).

input_clause(clause212,conjecture,
    [--c3_1(a1661),
     --hskp55]).

input_clause(clause213,conjecture,
    [--c0_1(a1658),
     --hskp54]).

input_clause(clause214,conjecture,
    [--c3_1(a1656),
     --hskp53]).

input_clause(clause215,conjecture,
    [--c0_1(a1653),
     --hskp51]).

input_clause(clause216,conjecture,
    [--c2_1(a1651),
     --hskp49]).

input_clause(clause217,conjecture,
    [--c3_1(a1649),
     --hskp48]).

input_clause(clause218,conjecture,
    [--c2_1(a1649),
     --hskp48]).

input_clause(clause219,conjecture,
    [--c1_1(a1644),
     --hskp47]).

input_clause(clause220,conjecture,
    [--c0_1(a1644),
     --hskp47]).

input_clause(clause221,conjecture,
    [--c2_1(a1642),
     --hskp46]).

input_clause(clause222,conjecture,
    [--c1_1(a1642),
     --hskp46]).

input_clause(clause223,conjecture,
    [--c3_1(a1641),
     --hskp45]).

input_clause(clause224,conjecture,
    [--c1_1(a1641),
     --hskp45]).

input_clause(clause225,conjecture,
    [--c1_1(a1639),
     --hskp43]).

input_clause(clause226,conjecture,
    [--c3_1(a1638),
     --hskp42]).

input_clause(clause227,conjecture,
    [--c1_1(a1726),
     --hskp41]).

input_clause(clause228,conjecture,
    [--c2_1(a1725),
     --hskp40]).

input_clause(clause229,conjecture,
    [--c1_1(a1721),
     --hskp39]).

input_clause(clause230,conjecture,
    [--c0_1(a1721),
     --hskp39]).

input_clause(clause231,conjecture,
    [--c2_1(a1718),
     --hskp38]).

input_clause(clause232,conjecture,
    [--c0_1(a1718),
     --hskp38]).

input_clause(clause233,conjecture,
    [--c1_1(a1714),
     --hskp37]).

input_clause(clause234,conjecture,
    [--c2_1(a1712),
     --hskp36]).

input_clause(clause235,conjecture,
    [--c0_1(a1712),
     --hskp36]).

input_clause(clause236,conjecture,
    [--c1_1(a1712),
     --hskp36]).

input_clause(clause237,conjecture,
    [--c0_1(a1706),
     --hskp35]).

input_clause(clause238,conjecture,
    [--c3_1(a1706),
     --hskp35]).

input_clause(clause239,conjecture,
    [--c1_1(a1706),
     --hskp35]).

input_clause(clause240,conjecture,
    [--c3_1(a1705),
     --hskp34]).

input_clause(clause241,conjecture,
    [--c1_1(a1705),
     --hskp34]).

input_clause(clause242,conjecture,
    [--c0_1(a1704),
     --hskp33]).

input_clause(clause243,conjecture,
    [--c2_1(a1704),
     --hskp33]).

input_clause(clause244,conjecture,
    [--c3_1(a1701),
     --hskp32]).

input_clause(clause245,conjecture,
    [--c0_1(a1700),
     --hskp31]).

input_clause(clause246,conjecture,
    [--c3_1(a1700),
     --hskp31]).

input_clause(clause247,conjecture,
    [--c0_1(a1698),
     --hskp30]).

input_clause(clause248,conjecture,
    [--c3_1(a1695),
     --hskp29]).

input_clause(clause249,conjecture,
    [--c1_1(a1694),
     --hskp28]).

input_clause(clause250,conjecture,
    [--c3_1(a1694),
     --hskp28]).

input_clause(clause251,conjecture,
    [--c0_1(a1693),
     --hskp27]).

input_clause(clause252,conjecture,
    [--c3_1(a1693),
     --hskp27]).

input_clause(clause253,conjecture,
    [--c2_1(a1693),
     --hskp27]).

input_clause(clause254,conjecture,
    [--c3_1(a1691),
     --hskp26]).

input_clause(clause255,conjecture,
    [--c1_1(a1691),
     --hskp26]).

input_clause(clause256,conjecture,
    [--c2_1(a1691),
     --hskp26]).

input_clause(clause257,conjecture,
    [--c0_1(a1690),
     --hskp25]).

input_clause(clause258,conjecture,
    [--c1_1(a1690),
     --hskp25]).

input_clause(clause259,conjecture,
    [--c0_1(a1689),
     --hskp24]).

input_clause(clause260,conjecture,
    [--c1_1(a1689),
     --hskp24]).

input_clause(clause261,conjecture,
    [--c0_1(a1685),
     --hskp23]).

input_clause(clause262,conjecture,
    [--c1_1(a1685),
     --hskp23]).

input_clause(clause263,conjecture,
    [--c0_1(a1684),
     --hskp22]).

input_clause(clause264,conjecture,
    [--c3_1(a1684),
     --hskp22]).

input_clause(clause265,conjecture,
    [--c1_1(a1683),
     --hskp21]).

input_clause(clause266,conjecture,
    [--c2_1(a1682),
     --hskp20]).

input_clause(clause267,conjecture,
    [--c1_1(a1682),
     --hskp20]).

input_clause(clause268,conjecture,
    [--c3_1(a1682),
     --hskp20]).

input_clause(clause269,conjecture,
    [--c1_1(a1681),
     --hskp19]).

input_clause(clause270,conjecture,
    [--c3_1(a1681),
     --hskp19]).

input_clause(clause271,conjecture,
    [--c2_1(a1681),
     --hskp19]).

input_clause(clause272,conjecture,
    [--c3_1(a1680),
     --hskp18]).

input_clause(clause273,conjecture,
    [--c1_1(a1680),
     --hskp18]).

input_clause(clause274,conjecture,
    [--c0_1(a1680),
     --hskp18]).

input_clause(clause275,conjecture,
    [--c0_1(a1678),
     --hskp17]).

input_clause(clause276,conjecture,
    [--c1_1(a1678),
     --hskp17]).

input_clause(clause277,conjecture,
    [--c2_1(a1678),
     --hskp17]).

input_clause(clause278,conjecture,
    [--c0_1(a1677),
     --hskp16]).

input_clause(clause279,conjecture,
    [--c2_1(a1677),
     --hskp16]).

input_clause(clause280,conjecture,
    [--c1_1(a1677),
     --hskp16]).

input_clause(clause281,conjecture,
    [--c0_1(a1672),
     --hskp15]).

input_clause(clause282,conjecture,
    [--c1_1(a1671),
     --hskp14]).

input_clause(clause283,conjecture,
    [--c3_1(a1671),
     --hskp14]).

input_clause(clause284,conjecture,
    [--c1_1(a1667),
     --hskp13]).

input_clause(clause285,conjecture,
    [--c1_1(a1666),
     --hskp12]).

input_clause(clause286,conjecture,
    [--c3_1(a1664),
     --hskp11]).

input_clause(clause287,conjecture,
    [--c2_1(a1664),
     --hskp11]).

input_clause(clause288,conjecture,
    [--c1_1(a1664),
     --hskp11]).

input_clause(clause289,conjecture,
    [--c2_1(a1663),
     --hskp10]).

input_clause(clause290,conjecture,
    [--c3_1(a1663),
     --hskp10]).

input_clause(clause291,conjecture,
    [--c0_1(a1663),
     --hskp10]).

input_clause(clause292,conjecture,
    [--c3_1(a1660),
     --hskp9]).

input_clause(clause293,conjecture,
    [--c0_1(a1660),
     --hskp9]).

input_clause(clause294,conjecture,
    [--c1_1(a1660),
     --hskp9]).

input_clause(clause295,conjecture,
    [--c1_1(a1657),
     --hskp8]).

input_clause(clause296,conjecture,
    [--c0_1(a1657),
     --hskp8]).

input_clause(clause297,conjecture,
    [--c2_1(a1655),
     --hskp7]).

input_clause(clause298,conjecture,
    [--c1_1(a1650),
     --hskp6]).

input_clause(clause299,conjecture,
    [--c2_1(a1650),
     --hskp6]).

input_clause(clause300,conjecture,
    [--c3_1(a1650),
     --hskp6]).

input_clause(clause301,conjecture,
    [--c1_1(a1648),
     --hskp5]).

input_clause(clause302,conjecture,
    [--c0_1(a1648),
     --hskp5]).

input_clause(clause303,conjecture,
    [--c0_1(a1647),
     --hskp4]).

input_clause(clause304,conjecture,
    [--c2_1(a1647),
     --hskp4]).

input_clause(clause305,conjecture,
    [--c1_1(a1646),
     --hskp3]).

input_clause(clause306,conjecture,
    [--c2_1(a1646),
     --hskp3]).

input_clause(clause307,conjecture,
    [--c1_1(a1645),
     --hskp2]).

input_clause(clause308,conjecture,
    [--c0_1(a1645),
     --hskp2]).

input_clause(clause309,conjecture,
    [--c3_1(a1645),
     --hskp2]).

input_clause(clause310,conjecture,
    [--c1_1(a1643),
     --hskp1]).

input_clause(clause311,conjecture,
    [--c2_1(a1643),
     --hskp1]).

input_clause(clause312,conjecture,
    [--c2_1(a1637),
     --hskp0]).

input_clause(clause313,conjecture,
    [--ndr1_0,
     ++c2_1(U),
     ++c3_1(U),
     ++c0_1(U),
     ++hskp56,
     ++hskp10]).

input_clause(clause314,conjecture,
    [--ndr1_0,
     ++c3_1(U),
     ++c0_1(U),
     ++c2_1(U),
     ++hskp37,
     ++hskp72]).

input_clause(clause315,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c0_1(U),
     ++hskp4,
     ++hskp5]).

input_clause(clause316,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c2_1(U),
     ++hskp58,
     ++hskp59]).

input_clause(clause317,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++hskp60,
     ++hskp18]).

input_clause(clause318,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c0_1(U),
     ++hskp61,
     ++hskp24]).

input_clause(clause319,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++hskp35,
     ++hskp68]).

input_clause(clause320,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c0_1(U),
     ++hskp36,
     ++hskp71]).

input_clause(clause321,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c0_1(U),
     ++hskp41,
     ++hskp30]).

input_clause(clause322,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp0,
     ++hskp42]).

input_clause(clause323,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp48,
     ++hskp6]).

input_clause(clause324,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp52,
     ++hskp7]).

input_clause(clause325,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp9,
     ++hskp55]).

input_clause(clause326,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp11,
     ++hskp57]).

input_clause(clause327,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp61,
     ++hskp62]).

input_clause(clause328,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp16,
     ++hskp17]).

input_clause(clause329,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp19,
     ++hskp20]).

input_clause(clause330,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++hskp61,
     ++hskp33]).

input_clause(clause331,conjecture,
    [--c1_1(U),
     --c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++hskp50,
     ++hskp51]).

input_clause(clause332,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --c1_1(U),
     --ndr1_0,
     ++hskp12,
     ++hskp13]).

input_clause(clause333,conjecture,
    [--c3_1(U),
     --c2_1(U),
     --c0_1(U),
     --ndr1_0,
     ++hskp74,
     ++hskp38]).

input_clause(clause334,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c2_1(U),
     ++c2_1(V),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp1]).

input_clause(clause335,conjecture,
    [--ndr1_0,
     --c1_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c0_1(V),
     ++c2_1(U),
     ++c0_1(U),
     ++hskp49]).

input_clause(clause336,conjecture,
    [--ndr1_0,
     --c2_1(U),
     ++c2_1(V),
     ++c0_1(V),
     ++c3_1(V),
     ++c1_1(U),
     ++c0_1(U),
     ++hskp70]).

input_clause(clause337,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c3_1(U),
     ++c1_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp60]).

input_clause(clause338,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c2_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp21]).

input_clause(clause339,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c3_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp22]).

input_clause(clause340,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c1_1(V),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp25]).

input_clause(clause341,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c0_1(U),
     ++c1_1(U),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp69]).

input_clause(clause342,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c2_1(U),
     ++c3_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp57]).

input_clause(clause343,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c0_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp46]).

input_clause(clause344,conjecture,
    [--c1_1(U),
     --c0_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c3_1(U),
     ++c3_1(V),
     ++c1_1(V),
     ++hskp2]).

input_clause(clause345,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c0_1(U),
     ++c1_1(U),
     ++c2_1(V),
     ++hskp30]).

input_clause(clause346,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c1_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp29]).

input_clause(clause347,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c2_1(U),
     ++c3_1(U),
     ++c2_1(V),
     ++hskp61]).

input_clause(clause348,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_1(V),
     --c1_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++c3_1(V),
     ++hskp75]).

input_clause(clause349,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --ndr1_0,
     --c3_1(V),
     --c2_1(V),
     ++c1_1(U),
     ++c1_1(V),
     ++hskp67]).

input_clause(clause350,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(V),
     ++c1_1(U),
     ++c2_1(V),
     ++hskp34]).

input_clause(clause351,conjecture,
    [--c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(V),
     ++c1_1(U),
     ++c0_1(V),
     ++hskp73]).

input_clause(clause352,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c1_1(V),
     --c0_1(V),
     --c3_1(V),
     ++c3_1(U),
     ++c2_1(U),
     ++hskp47]).

input_clause(clause353,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     --c2_1(V),
     ++c2_1(U),
     ++c0_1(V),
     ++hskp39]).

input_clause(clause354,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp40]).

input_clause(clause355,conjecture,
    [--c2_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     ++c1_1(V),
     ++hskp63]).

input_clause(clause356,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     --c0_1(V),
     ++c1_1(U),
     ++hskp26]).

input_clause(clause357,conjecture,
    [--c1_1(U),
     --c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(V),
     ++c2_1(V),
     ++hskp13]).

input_clause(clause358,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     --c1_1(V),
     --c0_1(V),
     ++c2_1(U),
     ++hskp0]).

input_clause(clause359,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c0_1(V),
     ++c2_1(W),
     ++c1_1(W),
     ++c3_1(W)]).

input_clause(clause360,conjecture,
    [--c3_1(U),
     --c0_1(U),
     --ndr1_0,
     --c3_1(V),
     --c0_1(W),
     ++c2_1(U),
     ++c2_1(V),
     ++c0_1(V),
     ++c1_1(W),
     ++c3_1(W)]).

input_clause(clause361,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     ++c1_1(V),
     ++c2_1(W),
     ++c3_1(W),
     ++c0_1(W)]).

input_clause(clause362,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     --c2_1(W),
     --c3_1(W),
     ++c2_1(U),
     ++c2_1(V),
     ++c0_1(V),
     ++c1_1(W)]).

input_clause(clause363,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     --c1_1(W),
     --c2_1(W),
     ++c0_1(U),
     ++c1_1(U),
     ++c1_1(V),
     ++c3_1(W)]).

input_clause(clause364,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c3_1(V),
     --c0_1(V),
     --c1_1(V),
     --c3_1(W),
     ++c2_1(U),
     ++c1_1(U),
     ++c1_1(W),
     ++c2_1(W)]).
%--------------------------------------------------------------------------
