%--------------------------------------------------------------------------
% File     : SYN480-1 : TPTP v2.2.1. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=76, K=3, D=1, P=0, Index=016
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-76-3-1-016.cnf [Wei97]

% Status   : unsatisfiable
% Rating   : 0.00 v2.2.0, 0.67 v2.1.0
% Syntax   : Number of clauses    :  204 (  74 non-Horn;   0 unit; 188 RR)
%            Number of literals   :  803 (   0 equality)
%            Maximal clause size  :   10 (   3 average)
%            Number of predicates :   37 (  33 propositional; 0-1 arity)
%            Number of functors   :   32 (  32 constant; 0-0 arity)
%            Number of variables  :  126 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--hskp31,++ndr1_0]).

input_clause(clause2,conjecture,
    [--hskp30,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp29,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp28,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp27,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp26,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp25,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp24,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp23,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp22,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp21,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp20,++ndr1_0]).

input_clause(clause13,conjecture,
    [--hskp19,++ndr1_0]).

input_clause(clause14,conjecture,
    [--hskp18,++ndr1_0]).

input_clause(clause15,conjecture,
    [--hskp17,++ndr1_0]).

input_clause(clause16,conjecture,
    [--hskp16,++ndr1_0]).

input_clause(clause17,conjecture,
    [--hskp15,++ndr1_0]).

input_clause(clause18,conjecture,
    [--hskp14,++ndr1_0]).

input_clause(clause19,conjecture,
    [--hskp13,++ndr1_0]).

input_clause(clause20,conjecture,
    [--hskp12,++ndr1_0]).

input_clause(clause21,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause22,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause23,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause24,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause25,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause26,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause27,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause28,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause29,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause30,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause31,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause32,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause33,conjecture,
    [++hskp29,++hskp19,++hskp25]).

input_clause(clause34,conjecture,
    [++hskp14,++hskp1,++hskp4]).

input_clause(clause35,conjecture,
    [++hskp14,++hskp20,++hskp15]).

input_clause(clause36,conjecture,
    [++hskp31,++hskp15,++hskp7]).

input_clause(clause37,conjecture,
    [++hskp1,++hskp15,++hskp26]).

input_clause(clause38,conjecture,
    [++hskp10,++hskp12,++hskp3]).

input_clause(clause39,conjecture,
    [++hskp23,++hskp3,++hskp26]).

input_clause(clause40,conjecture,
    [++hskp5,++hskp27,++hskp9]).

input_clause(clause41,conjecture,
    [--hskp31,
     ++c0_1(a1562)]).

input_clause(clause42,conjecture,
    [--hskp31,
     ++c2_1(a1562)]).

input_clause(clause43,conjecture,
    [--hskp31,
     ++c3_1(a1562)]).

input_clause(clause44,conjecture,
    [--hskp30,
     ++c0_1(a1546)]).

input_clause(clause45,conjecture,
    [--hskp30,
     ++c1_1(a1546)]).

input_clause(clause46,conjecture,
    [--hskp30,
     ++c3_1(a1546)]).

input_clause(clause47,conjecture,
    [--hskp29,
     ++c0_1(a1544)]).

input_clause(clause48,conjecture,
    [--hskp29,
     ++c1_1(a1544)]).

input_clause(clause49,conjecture,
    [--hskp29,
     ++c2_1(a1544)]).

input_clause(clause50,conjecture,
    [--hskp28,
     ++c1_1(a1542)]).

input_clause(clause51,conjecture,
    [--hskp28,
     ++c2_1(a1542)]).

input_clause(clause52,conjecture,
    [--hskp28,
     ++c3_1(a1542)]).

input_clause(clause53,conjecture,
    [--hskp25,
     ++c3_1(a1612)]).

input_clause(clause54,conjecture,
    [--hskp24,
     ++c0_1(a1600)]).

input_clause(clause55,conjecture,
    [--hskp23,
     ++c0_1(a1593)]).

input_clause(clause56,conjecture,
    [--hskp23,
     ++c3_1(a1593)]).

input_clause(clause57,conjecture,
    [--hskp22,
     ++c2_1(a1581)]).

input_clause(clause58,conjecture,
    [--hskp21,
     ++c2_1(a1575)]).

input_clause(clause59,conjecture,
    [--hskp20,
     ++c1_1(a1574)]).

input_clause(clause60,conjecture,
    [--hskp20,
     ++c3_1(a1574)]).

input_clause(clause61,conjecture,
    [--hskp19,
     ++c0_1(a1573)]).

input_clause(clause62,conjecture,
    [--hskp18,
     ++c2_1(a1572)]).

input_clause(clause63,conjecture,
    [--hskp18,
     ++c3_1(a1572)]).

input_clause(clause64,conjecture,
    [--hskp17,
     ++c3_1(a1570)]).

input_clause(clause65,conjecture,
    [--hskp16,
     ++c2_1(a1566)]).

input_clause(clause66,conjecture,
    [--hskp16,
     ++c3_1(a1566)]).

input_clause(clause67,conjecture,
    [--hskp15,
     ++c1_1(a1565)]).

input_clause(clause68,conjecture,
    [--hskp14,
     ++c0_1(a1558)]).

input_clause(clause69,conjecture,
    [--hskp14,
     ++c1_1(a1558)]).

input_clause(clause70,conjecture,
    [--hskp13,
     ++c1_1(a1556)]).

input_clause(clause71,conjecture,
    [--hskp13,
     ++c2_1(a1556)]).

input_clause(clause72,conjecture,
    [--hskp12,
     ++c1_1(a1554)]).

input_clause(clause73,conjecture,
    [--hskp12,
     ++c2_1(a1554)]).

input_clause(clause74,conjecture,
    [--hskp11,
     ++c0_1(a1553)]).

input_clause(clause75,conjecture,
    [--hskp11,
     ++c2_1(a1553)]).

input_clause(clause76,conjecture,
    [--hskp10,
     ++c0_1(a1549)]).

input_clause(clause77,conjecture,
    [--hskp10,
     ++c3_1(a1549)]).

input_clause(clause78,conjecture,
    [--hskp8,
     ++c0_1(a1547)]).

input_clause(clause79,conjecture,
    [--hskp8,
     ++c1_1(a1547)]).

input_clause(clause80,conjecture,
    [--hskp7,
     ++c2_1(a1545)]).

input_clause(clause81,conjecture,
    [--hskp6,
     ++c0_1(a1543)]).

input_clause(clause82,conjecture,
    [--hskp5,
     ++c1_1(a1539)]).

input_clause(clause83,conjecture,
    [--hskp5,
     ++c3_1(a1539)]).

input_clause(clause84,conjecture,
    [--hskp3,
     ++c1_1(a1536)]).

input_clause(clause85,conjecture,
    [--hskp2,
     ++c3_1(a1535)]).

input_clause(clause86,conjecture,
    [--hskp1,
     ++c0_1(a1534)]).

input_clause(clause87,conjecture,
    [--hskp1,
     ++c2_1(a1534)]).

input_clause(clause88,conjecture,
    [--hskp0,
     ++c1_1(a1533)]).

input_clause(clause89,conjecture,
    [--c0_1(a1632),
     --hskp27]).

input_clause(clause90,conjecture,
    [--c1_1(a1632),
     --hskp27]).

input_clause(clause91,conjecture,
    [--c2_1(a1632),
     --hskp27]).

input_clause(clause92,conjecture,
    [--c0_1(a1624),
     --hskp26]).

input_clause(clause93,conjecture,
    [--c2_1(a1624),
     --hskp26]).

input_clause(clause94,conjecture,
    [--c3_1(a1624),
     --hskp26]).

input_clause(clause95,conjecture,
    [--c0_1(a1612),
     --hskp25]).

input_clause(clause96,conjecture,
    [--c2_1(a1612),
     --hskp25]).

input_clause(clause97,conjecture,
    [--c2_1(a1600),
     --hskp24]).

input_clause(clause98,conjecture,
    [--c3_1(a1600),
     --hskp24]).

input_clause(clause99,conjecture,
    [--c2_1(a1593),
     --hskp23]).

input_clause(clause100,conjecture,
    [--c1_1(a1581),
     --hskp22]).

input_clause(clause101,conjecture,
    [--c3_1(a1581),
     --hskp22]).

input_clause(clause102,conjecture,
    [--c0_1(a1575),
     --hskp21]).

input_clause(clause103,conjecture,
    [--c1_1(a1575),
     --hskp21]).

input_clause(clause104,conjecture,
    [--c2_1(a1574),
     --hskp20]).

input_clause(clause105,conjecture,
    [--c1_1(a1573),
     --hskp19]).

input_clause(clause106,conjecture,
    [--c3_1(a1573),
     --hskp19]).

input_clause(clause107,conjecture,
    [--c0_1(a1572),
     --hskp18]).

input_clause(clause108,conjecture,
    [--c0_1(a1570),
     --hskp17]).

input_clause(clause109,conjecture,
    [--c1_1(a1570),
     --hskp17]).

input_clause(clause110,conjecture,
    [--c1_1(a1566),
     --hskp16]).

input_clause(clause111,conjecture,
    [--c2_1(a1565),
     --hskp15]).

input_clause(clause112,conjecture,
    [--c3_1(a1565),
     --hskp15]).

input_clause(clause113,conjecture,
    [--c2_1(a1558),
     --hskp14]).

input_clause(clause114,conjecture,
    [--c3_1(a1556),
     --hskp13]).

input_clause(clause115,conjecture,
    [--c0_1(a1554),
     --hskp12]).

input_clause(clause116,conjecture,
    [--c1_1(a1553),
     --hskp11]).

input_clause(clause117,conjecture,
    [--c1_1(a1549),
     --hskp10]).

input_clause(clause118,conjecture,
    [--c0_1(a1548),
     --hskp9]).

input_clause(clause119,conjecture,
    [--c1_1(a1548),
     --hskp9]).

input_clause(clause120,conjecture,
    [--c3_1(a1548),
     --hskp9]).

input_clause(clause121,conjecture,
    [--c3_1(a1547),
     --hskp8]).

input_clause(clause122,conjecture,
    [--c0_1(a1545),
     --hskp7]).

input_clause(clause123,conjecture,
    [--c3_1(a1545),
     --hskp7]).

input_clause(clause124,conjecture,
    [--c1_1(a1543),
     --hskp6]).

input_clause(clause125,conjecture,
    [--c2_1(a1543),
     --hskp6]).

input_clause(clause126,conjecture,
    [--c0_1(a1539),
     --hskp5]).

input_clause(clause127,conjecture,
    [--c1_1(a1538),
     --hskp4]).

input_clause(clause128,conjecture,
    [--c2_1(a1538),
     --hskp4]).

input_clause(clause129,conjecture,
    [--c3_1(a1538),
     --hskp4]).

input_clause(clause130,conjecture,
    [--c0_1(a1536),
     --hskp3]).

input_clause(clause131,conjecture,
    [--c2_1(a1536),
     --hskp3]).

input_clause(clause132,conjecture,
    [--c1_1(a1535),
     --hskp2]).

input_clause(clause133,conjecture,
    [--c2_1(a1535),
     --hskp2]).

input_clause(clause134,conjecture,
    [--c3_1(a1534),
     --hskp1]).

input_clause(clause135,conjecture,
    [--c0_1(a1533),
     --hskp0]).

input_clause(clause136,conjecture,
    [--c3_1(a1533),
     --hskp0]).

input_clause(clause137,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++c2_1(U),
     ++hskp1,
     ++hskp2]).

input_clause(clause138,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++c1_1(U),
     ++c2_1(U),
     ++hskp3,
     ++hskp0]).

input_clause(clause139,conjecture,
    [--ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++c3_1(U),
     ++hskp30,
     ++hskp8]).

input_clause(clause140,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++hskp10,
     ++hskp4]).

input_clause(clause141,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++hskp12,
     ++hskp3]).

input_clause(clause142,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c2_1(U),
     ++hskp11,
     ++hskp1]).

input_clause(clause143,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++hskp8,
     ++hskp18]).

input_clause(clause144,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c3_1(U),
     ++hskp8,
     ++hskp23]).

input_clause(clause145,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c3_1(U),
     ++hskp19,
     ++hskp13]).

input_clause(clause146,conjecture,
    [--c0_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c3_1(U),
     ++hskp28,
     ++hskp15]).

input_clause(clause147,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c3_1(U),
     ++hskp19,
     ++hskp24]).

input_clause(clause148,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp14,
     ++hskp5]).

input_clause(clause149,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp1,
     ++hskp28]).

input_clause(clause150,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp14,
     ++hskp1]).

input_clause(clause151,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp10,
     ++hskp6]).

input_clause(clause152,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp30,
     ++hskp13]).

input_clause(clause153,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp31,
     ++hskp3]).

input_clause(clause154,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++hskp19,
     ++hskp3]).

input_clause(clause155,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++hskp20,
     ++hskp21]).

input_clause(clause156,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++hskp10]).

input_clause(clause157,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++hskp31,
     ++hskp7]).

input_clause(clause158,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++hskp14,
     ++hskp22]).

input_clause(clause159,conjecture,
    [--ndr1_0,
     --c2_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++c0_1(U),
     ++c1_1(U),
     ++hskp4]).

input_clause(clause160,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp6]).

input_clause(clause161,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp0]).

input_clause(clause162,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp4]).

input_clause(clause163,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp5]).

input_clause(clause164,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp29]).

input_clause(clause165,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp7]).

input_clause(clause166,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c1_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp9]).

input_clause(clause167,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c1_1(U),
     ++c2_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp3]).

input_clause(clause168,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c2_1(U),
     ++c3_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp16]).

input_clause(clause169,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c0_1(V),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp3]).

input_clause(clause170,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c2_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++hskp28]).

input_clause(clause171,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c2_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++hskp13]).

input_clause(clause172,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     ++c2_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++hskp14]).

input_clause(clause173,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(V),
     ++c1_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++hskp31]).

input_clause(clause174,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp15]).

input_clause(clause175,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c2_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++hskp17]).

input_clause(clause176,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     ++c2_1(U),
     ++c3_1(U),
     ++c1_1(V),
     ++hskp19]).

input_clause(clause177,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     ++c2_1(U),
     ++c3_1(U),
     ++c1_1(V),
     ++hskp20]).

input_clause(clause178,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp4]).

input_clause(clause179,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c0_1(V),
     ++c2_1(V),
     ++hskp11]).

input_clause(clause180,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     ++c1_1(U),
     ++c0_1(V),
     ++hskp2]).

input_clause(clause181,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     ++c2_1(U),
     ++c0_1(V),
     ++hskp10]).

input_clause(clause182,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c1_1(V),
     ++c2_1(V),
     ++hskp6]).

input_clause(clause183,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     ++c2_1(U),
     ++c1_1(V),
     ++hskp21]).

input_clause(clause184,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     ++c3_1(U),
     ++c1_1(V),
     ++hskp1]).

input_clause(clause185,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     ++c2_1(U),
     ++c1_1(V),
     ++hskp22]).

input_clause(clause186,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     ++c2_1(U),
     ++c1_1(V),
     ++hskp14]).

input_clause(clause187,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(V),
     ++c3_1(U),
     ++c1_1(V),
     ++hskp21]).

input_clause(clause188,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c2_1(U),
     ++c1_1(V),
     ++hskp15]).

input_clause(clause189,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     ++c3_1(U),
     ++c1_1(V),
     ++hskp19]).

input_clause(clause190,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++hskp15]).

input_clause(clause191,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(V),
     --c3_1(V),
     ++c2_1(V),
     ++hskp5]).

input_clause(clause192,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     ++c3_1(V),
     ++hskp23]).

input_clause(clause193,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c1_1(U),
     ++c3_1(U),
     ++c0_1(V),
     ++c3_1(V),
     ++c0_1(W),
     ++c2_1(W),
     ++c3_1(W)]).

input_clause(clause194,conjecture,
    [--c0_1(U),
     --ndr1_0,
     --c0_1(V),
     ++c2_1(U),
     ++c3_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++c0_1(W),
     ++c2_1(W),
     ++c3_1(W)]).

input_clause(clause195,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c0_1(V),
     ++c3_1(V),
     ++c0_1(W),
     ++c1_1(W),
     ++c2_1(W)]).

input_clause(clause196,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_1(V),
     ++c1_1(W),
     ++c2_1(W),
     ++c3_1(W),
     ++c0_1(V),
     ++c1_1(V)]).

input_clause(clause197,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     --c3_1(W),
     ++c1_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c0_1(W),
     ++c1_1(W)]).

input_clause(clause198,conjecture,
    [--c0_1(U),
     --c2_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     --c3_1(W),
     ++c3_1(U),
     ++c3_1(V),
     ++c0_1(W),
     ++c1_1(W)]).

input_clause(clause199,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     --c1_1(W),
     ++c0_1(V),
     ++c2_1(V),
     ++c0_1(W),
     ++c2_1(W)]).

input_clause(clause200,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(V),
     --c2_1(W),
     --c3_1(W),
     ++c2_1(U),
     ++c1_1(V),
     ++c2_1(V),
     ++c0_1(W)]).

input_clause(clause201,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     --c1_1(W),
     --c2_1(W),
     ++c1_1(U),
     ++c0_1(V),
     ++c0_1(W)]).

input_clause(clause202,conjecture,
    [--c0_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     --c0_1(W),
     ++c1_1(V),
     ++c1_1(W),
     ++c3_1(W)]).

input_clause(clause203,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c2_1(V),
     --c0_1(W),
     --c2_1(W),
     ++c3_1(V),
     ++c1_1(W)]).

input_clause(clause204,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c0_1(V),
     --c1_1(V),
     --c2_1(V),
     --c1_1(W),
     --c3_1(W),
     ++c2_1(W)]).
%--------------------------------------------------------------------------
