%--------------------------------------------------------------------------
% File     : SYN491-1 : TPTP v2.2.1. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=8, K=3, D=1, P=0, Index=007
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-8-3-1-007.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.00 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :   44 (   8 non-Horn;   0 unit;  40 RR)
%            Number of literals   :  126 (   0 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :   14 (  10 propositional; 0-1 arity)
%            Number of functors   :    9 (   9 constant; 0-0 arity)
%            Number of variables  :   13 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause2,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause10,conjecture,
    [++hskp5,++hskp6,++hskp7]).

input_clause(clause11,conjecture,
    [++hskp1,++hskp2,++hskp8]).

input_clause(clause12,conjecture,
    [--hskp8,
     ++c1_1(a24)]).

input_clause(clause13,conjecture,
    [--hskp8,
     ++c3_1(a24)]).

input_clause(clause14,conjecture,
    [--hskp8,
     ++c0_1(a24)]).

input_clause(clause15,conjecture,
    [--hskp7,
     ++c2_1(a20)]).

input_clause(clause16,conjecture,
    [--hskp7,
     ++c1_1(a20)]).

input_clause(clause17,conjecture,
    [--hskp6,
     ++c1_1(a19)]).

input_clause(clause18,conjecture,
    [--hskp6,
     ++c2_1(a19)]).

input_clause(clause19,conjecture,
    [--hskp6,
     ++c0_1(a19)]).

input_clause(clause20,conjecture,
    [--hskp5,
     ++c1_1(a18)]).

input_clause(clause21,conjecture,
    [--hskp5,
     ++c0_1(a18)]).

input_clause(clause22,conjecture,
    [--hskp4,
     ++c2_1(a17)]).

input_clause(clause23,conjecture,
    [--hskp4,
     ++c0_1(a17)]).

input_clause(clause24,conjecture,
    [--hskp4,
     ++c1_1(a17)]).

input_clause(clause25,conjecture,
    [--hskp3,
     ++c0_1(a16)]).

input_clause(clause26,conjecture,
    [--hskp1,
     ++c1_1(a22)]).

input_clause(clause27,conjecture,
    [--hskp0,
     ++c2_1(a21)]).

input_clause(clause28,conjecture,
    [--hskp0,
     ++c0_1(a21)]).

input_clause(clause29,conjecture,
    [--c0_1(a20),
     --hskp7]).

input_clause(clause30,conjecture,
    [--c2_1(a18),
     --hskp5]).

input_clause(clause31,conjecture,
    [--c3_1(a16),
     --hskp3]).

input_clause(clause32,conjecture,
    [--c1_1(a16),
     --hskp3]).

input_clause(clause33,conjecture,
    [--c1_1(a23),
     --hskp2]).

input_clause(clause34,conjecture,
    [--c2_1(a23),
     --hskp2]).

input_clause(clause35,conjecture,
    [--c0_1(a23),
     --hskp2]).

input_clause(clause36,conjecture,
    [--c2_1(a22),
     --hskp1]).

input_clause(clause37,conjecture,
    [--c3_1(a22),
     --hskp1]).

input_clause(clause38,conjecture,
    [--c1_1(a21),
     --hskp0]).

input_clause(clause39,conjecture,
    [--ndr1_0,
     ++c2_1(U),
     ++c1_1(U),
     ++c3_1(U),
     ++c1_1(V),
     ++c3_1(V),
     ++c0_1(V),
     ++hskp4]).

input_clause(clause40,conjecture,
    [--c3_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c2_1(V),
     ++c0_1(V),
     ++c1_1(U),
     ++c1_1(V)]).

input_clause(clause41,conjecture,
    [--ndr1_0,
     --c1_1(U),
     --c3_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++c3_1(V),
     ++c2_1(U),
     ++hskp3]).

input_clause(clause42,conjecture,
    [--ndr1_0,
     --c1_1(U),
     --c3_1(U),
     --c2_1(U),
     ++c0_1(V),
     ++c2_1(V),
     ++c1_1(V)]).

input_clause(clause43,conjecture,
    [--c2_1(U),
     --c0_1(U),
     --ndr1_0,
     --c1_1(V),
     --c2_1(V),
     ++c3_1(U),
     ++c0_1(V),
     ++hskp0]).

input_clause(clause44,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_1(V),
     --c3_1(V),
     --c0_1(W),
     ++c0_1(U),
     ++c1_1(U),
     ++c0_1(V),
     ++c1_1(W),
     ++c3_1(W)]).
%--------------------------------------------------------------------------
