%--------------------------------------------------------------------------
% File     : SYN494-1 : TPTP v2.2.1. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=8, K=3, D=1, P=0, Index=024
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-8-3-1-024.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.00 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :   56 (   8 non-Horn;   0 unit;  54 RR)
%            Number of literals   :  151 (   0 equality)
%            Maximal clause size  :   10 (   2 average)
%            Number of predicates :   17 (  13 propositional; 0-1 arity)
%            Number of functors   :   12 (  12 constant; 0-0 arity)
%            Number of variables  :   12 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--hskp11,++ndr1_0]).

input_clause(clause2,conjecture,
    [--hskp10,++ndr1_0]).

input_clause(clause3,conjecture,
    [--hskp9,++ndr1_0]).

input_clause(clause4,conjecture,
    [--hskp8,++ndr1_0]).

input_clause(clause5,conjecture,
    [--hskp7,++ndr1_0]).

input_clause(clause6,conjecture,
    [--hskp6,++ndr1_0]).

input_clause(clause7,conjecture,
    [--hskp5,++ndr1_0]).

input_clause(clause8,conjecture,
    [--hskp4,++ndr1_0]).

input_clause(clause9,conjecture,
    [--hskp3,++ndr1_0]).

input_clause(clause10,conjecture,
    [--hskp2,++ndr1_0]).

input_clause(clause11,conjecture,
    [--hskp1,++ndr1_0]).

input_clause(clause12,conjecture,
    [--hskp0,++ndr1_0]).

input_clause(clause13,conjecture,
    [++hskp8,++hskp9,++hskp2]).

input_clause(clause14,conjecture,
    [--hskp11,
     ++c2_1(a60)]).

input_clause(clause15,conjecture,
    [--hskp11,
     ++c0_1(a60)]).

input_clause(clause16,conjecture,
    [--hskp11,
     ++c3_1(a60)]).

input_clause(clause17,conjecture,
    [--hskp10,
     ++c2_1(a59)]).

input_clause(clause18,conjecture,
    [--hskp10,
     ++c3_1(a59)]).

input_clause(clause19,conjecture,
    [--hskp9,
     ++c3_1(a57)]).

input_clause(clause20,conjecture,
    [--hskp8,
     ++c3_1(a56)]).

input_clause(clause21,conjecture,
    [--hskp8,
     ++c2_1(a56)]).

input_clause(clause22,conjecture,
    [--hskp7,
     ++c3_1(a55)]).

input_clause(clause23,conjecture,
    [--hskp7,
     ++c2_1(a55)]).

input_clause(clause24,conjecture,
    [--hskp6,
     ++c1_1(a54)]).

input_clause(clause25,conjecture,
    [--hskp5,
     ++c2_1(a52)]).

input_clause(clause26,conjecture,
    [--hskp5,
     ++c1_1(a52)]).

input_clause(clause27,conjecture,
    [--hskp4,
     ++c0_1(a51)]).

input_clause(clause28,conjecture,
    [--hskp4,
     ++c1_1(a51)]).

input_clause(clause29,conjecture,
    [--hskp3,
     ++c1_1(a50)]).

input_clause(clause30,conjecture,
    [--hskp3,
     ++c0_1(a50)]).

input_clause(clause31,conjecture,
    [--hskp2,
     ++c1_1(a58)]).

input_clause(clause32,conjecture,
    [--hskp2,
     ++c3_1(a58)]).

input_clause(clause33,conjecture,
    [--hskp1,
     ++c1_1(a53)]).

input_clause(clause34,conjecture,
    [--hskp0,
     ++c3_1(a49)]).

input_clause(clause35,conjecture,
    [--hskp0,
     ++c2_1(a49)]).

input_clause(clause36,conjecture,
    [--c1_1(a59),
     --hskp10]).

input_clause(clause37,conjecture,
    [--c2_1(a57),
     --hskp9]).

input_clause(clause38,conjecture,
    [--c1_1(a57),
     --hskp9]).

input_clause(clause39,conjecture,
    [--c0_1(a56),
     --hskp8]).

input_clause(clause40,conjecture,
    [--c1_1(a55),
     --hskp7]).

input_clause(clause41,conjecture,
    [--c3_1(a54),
     --hskp6]).

input_clause(clause42,conjecture,
    [--c2_1(a54),
     --hskp6]).

input_clause(clause43,conjecture,
    [--c3_1(a52),
     --hskp5]).

input_clause(clause44,conjecture,
    [--c2_1(a51),
     --hskp4]).

input_clause(clause45,conjecture,
    [--c2_1(a50),
     --hskp3]).

input_clause(clause46,conjecture,
    [--c0_1(a58),
     --hskp2]).

input_clause(clause47,conjecture,
    [--c3_1(a53),
     --hskp1]).

input_clause(clause48,conjecture,
    [--c0_1(a53),
     --hskp1]).

input_clause(clause49,conjecture,
    [--c1_1(a49),
     --hskp0]).

input_clause(clause50,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c0_1(U),
     ++hskp5,
     ++hskp1]).

input_clause(clause51,conjecture,
    [--c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c0_1(U),
     ++hskp10,
     ++hskp11]).

input_clause(clause52,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c0_1(U),
     ++hskp6,
     ++hskp7]).

input_clause(clause53,conjecture,
    [--ndr1_0,
     --c3_1(U),
     --c2_1(U),
     ++c0_1(V),
     ++c1_1(V),
     ++c2_1(V),
     ++c0_1(U),
     ++hskp4]).

input_clause(clause54,conjecture,
    [--c1_1(U),
     --ndr1_0,
     --c2_1(V),
     --c1_1(V),
     ++c3_1(U),
     ++c0_1(U),
     ++c3_1(V),
     ++hskp0]).

input_clause(clause55,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c2_1(U),
     ++c3_1(V),
     ++c1_1(V),
     ++hskp3]).

input_clause(clause56,conjecture,
    [--c0_1(U),
     --c3_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c0_1(V),
     ++c2_1(V),
     ++c3_1(W),
     ++c2_1(W),
     ++c0_1(W)]).
%--------------------------------------------------------------------------
