%--------------------------------------------------------------------------
% File     : SYN513-1 : TPTP v2.2.1. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=105, K=3, D=2, P=0, Index=093
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-105-3-2-093.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  392 ( 236 non-Horn;   0 unit; 339 RR)
%            Number of literals   : 1685 (   0 equality)
%            Maximal clause size  :   14 (   4 average)
%            Number of predicates :   50 (  29 propositional; 0-2 arity)
%            Number of functors   :  118 ( 118 constant; 0-0 arity)
%            Number of variables  :  320 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++c3_0]).

input_clause(clause2,conjecture,
    [++ndr1_0,++c1_0]).

input_clause(clause3,conjecture,
    [++ndr1_0,++c2_0]).

input_clause(clause4,conjecture,
    [--ssSkC9,++ndr1_0]).

input_clause(clause5,conjecture,
    [++c4_0,++c5_0]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC22]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC21]).

input_clause(clause8,conjecture,
    [++ndr1_0,++ssSkC19]).

input_clause(clause9,conjecture,
    [++ndr1_0,++ssSkC17]).

input_clause(clause10,conjecture,
    [++ndr1_0,++ssSkC16]).

input_clause(clause11,conjecture,
    [++ndr1_0,++ssSkC15]).

input_clause(clause12,conjecture,
    [++ndr1_0,++ssSkC14]).

input_clause(clause13,conjecture,
    [++ndr1_0,++ssSkC13]).

input_clause(clause14,conjecture,
    [++ndr1_0,++ssSkC11]).

input_clause(clause15,conjecture,
    [++ndr1_0,++ssSkC10]).

input_clause(clause16,conjecture,
    [++ndr1_0,++ssSkC7]).

input_clause(clause17,conjecture,
    [++ndr1_0,++ssSkC6]).

input_clause(clause18,conjecture,
    [++ndr1_0,++ssSkC5]).

input_clause(clause19,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause20,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause21,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause22,conjecture,
    [--ssSkC21,--ssSkC22,++ndr1_0]).

input_clause(clause23,conjecture,
    [--ssSkC19,--ssSkC20,++ndr1_0]).

input_clause(clause24,conjecture,
    [++c2_1(a875),
     ++c3_0]).

input_clause(clause25,conjecture,
    [--c1_0,++ndr1_0]).

input_clause(clause26,conjecture,
    [++ndr1_1(a858),
     ++c1_0]).

input_clause(clause27,conjecture,
    [++c5_1(a858),
     ++c1_0]).

input_clause(clause28,conjecture,
    [--c5_0,++ndr1_0]).

input_clause(clause29,conjecture,
    [--ssSkC14,++ndr1_0,++c5_0]).

input_clause(clause30,conjecture,
    [++c2_1(a830),
     ++c2_0]).

input_clause(clause31,conjecture,
    [--ssSkC10,--ssSkC11,++ndr1_0]).

input_clause(clause32,conjecture,
    [--ssSkC9,
     ++ndr1_1(a812)]).

input_clause(clause33,conjecture,
    [++c2_1(a800),
     ++c1_0]).

input_clause(clause34,conjecture,
    [--ssSkC3,--ssSkC4,++ndr1_0]).

input_clause(clause35,conjecture,
    [--c4_0,++ndr1_0]).

input_clause(clause36,conjecture,
    [--c2_0,++c4_0]).

input_clause(clause37,conjecture,
    [--c1_0,++c3_0]).

input_clause(clause38,conjecture,
    [--c4_0,++c2_0]).

input_clause(clause39,conjecture,
    [++c5_1(a892),
     ++ssSkC21]).

input_clause(clause40,conjecture,
    [++ndr1_1(U),
     ++ssSkP9(U)]).

input_clause(clause41,conjecture,
    [++ndr1_1(a887),
     ++ssSkC19]).

input_clause(clause42,conjecture,
    [++c5_1(a887),
     ++ssSkC19]).

input_clause(clause43,conjecture,
    [++ndr1_1(U),
     ++ssSkP8(U)]).

input_clause(clause44,conjecture,
    [++ndr1_1(U),
     ++ssSkP7(U)]).

input_clause(clause45,conjecture,
    [++ndr1_1(U),
     ++ssSkP6(U)]).

input_clause(clause46,conjecture,
    [++ndr1_1(U),
     ++ssSkP5(U)]).

input_clause(clause47,conjecture,
    [++c2_1(a860),
     ++ssSkC17]).

input_clause(clause48,conjecture,
    [++ndr1_1(a849),
     ++ssSkC16]).

input_clause(clause49,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause50,conjecture,
    [++ndr1_1(a836),
     ++ssSkC14]).

input_clause(clause51,conjecture,
    [++c5_1(a836),
     ++ssSkC14]).

input_clause(clause52,conjecture,
    [++c1_1(a836),
     ++ssSkC14]).

input_clause(clause53,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause54,conjecture,
    [++c3_1(a831),
     ++ssSkC13]).

input_clause(clause55,conjecture,
    [++ndr1_1(a818),
     ++ssSkC11]).

input_clause(clause56,conjecture,
    [++c3_1(a818),
     ++ssSkC11]).

input_clause(clause57,conjecture,
    [++c4_1(a817),
     ++ssSkC10]).

input_clause(clause58,conjecture,
    [++c2_1(a817),
     ++ssSkC10]).

input_clause(clause59,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause60,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause61,conjecture,
    [++c5_1(a804),
     ++ssSkC7]).

input_clause(clause62,conjecture,
    [++ndr1_1(a801),
     ++ssSkC6]).

input_clause(clause63,conjecture,
    [++c2_1(a801),
     ++ssSkC6]).

input_clause(clause64,conjecture,
    [++ndr1_1(a792),
     ++ssSkC5]).

input_clause(clause65,conjecture,
    [++c4_1(a792),
     ++ssSkC5]).

input_clause(clause66,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause67,conjecture,
    [++ndr1_1(a776),
     ++ssSkC0]).

input_clause(clause68,conjecture,
    [--ssSkC21,
     --ssSkC22,
     ++ndr1_1(a894)]).

input_clause(clause69,conjecture,
    [--ssSkC21,
     --ssSkC22,
     ++c4_1(a894)]).

input_clause(clause70,conjecture,
    [--c4_1(a875),
     ++c3_0]).

input_clause(clause71,conjecture,
    [--c1_0,
     ++ndr1_1(a873)]).

input_clause(clause72,conjecture,
    [--c1_0,
     ++c3_1(a873)]).

input_clause(clause73,conjecture,
    [--c1_0,
     ++ndr1_1(a864)]).

input_clause(clause74,conjecture,
    [++c3_2(a858,a859),
     ++c1_0]).

input_clause(clause75,conjecture,
    [++c2_2(a858,a859),
     ++c1_0]).

input_clause(clause76,conjecture,
    [--c5_0,
     ++ndr1_1(a853)]).

input_clause(clause77,conjecture,
    [--ssSkC15,--c2_0,++ndr1_0]).

input_clause(clause78,conjecture,
    [--c3_0,++ndr1_0,++c4_0]).

input_clause(clause79,conjecture,
    [--c5_0,
     ++ndr1_1(a839)]).

input_clause(clause80,conjecture,
    [--c2_0,++ndr1_0,++c5_0]).

input_clause(clause81,conjecture,
    [--ssSkC10,
     --ssSkC11,
     ++ndr1_1(a820)]).

input_clause(clause82,conjecture,
    [++ndr1_1(a815),
     ++c2_0,
     ++c5_0]).

input_clause(clause83,conjecture,
    [++c3_1(a815),
     ++c2_0,
     ++c5_0]).

input_clause(clause84,conjecture,
    [--ssSkC9,
     ++c3_2(a812,a813)]).

input_clause(clause85,conjecture,
    [--ssSkC9,
     ++c1_2(a812,a813)]).

input_clause(clause86,conjecture,
    [--ssSkC9,
     ++c2_2(a812,a813)]).

input_clause(clause87,conjecture,
    [--ssSkC9,
     --c3_1(a812)]).

input_clause(clause88,conjecture,
    [--ssSkC5,--c3_0,++ndr1_0]).

input_clause(clause89,conjecture,
    [--ssSkC3,
     --ssSkC4,
     ++ndr1_1(a789)]).

input_clause(clause90,conjecture,
    [--ssSkC3,
     --ssSkC4,
     ++c1_1(a789)]).

input_clause(clause91,conjecture,
    [--ssSkC1,
     ++c3_1(a780),
     ++c3_0]).

input_clause(clause92,conjecture,
    [--c4_0,
     ++c1_1(a775)]).

input_clause(clause93,conjecture,
    [--c4_0,--c5_0]).

input_clause(clause94,conjecture,
    [--c5_0,--c1_0]).

input_clause(clause95,conjecture,
    [--c2_0,--c1_0]).

input_clause(clause96,conjecture,
    [--c5_1(a893),
     ++ssSkC22]).

input_clause(clause97,conjecture,
    [--c4_1(a892),
     ++ssSkC21]).

input_clause(clause98,conjecture,
    [++c2_2(U,a889),
     ++ssSkP9(U)]).

input_clause(clause99,conjecture,
    [++c3_2(U,a889),
     ++ssSkP9(U)]).

input_clause(clause100,conjecture,
    [++c1_2(a887,a888),
     ++ssSkC19]).

input_clause(clause101,conjecture,
    [++c3_2(a887,a888),
     ++ssSkC19]).

input_clause(clause102,conjecture,
    [++c1_2(U,a883),
     ++ssSkP8(U)]).

input_clause(clause103,conjecture,
    [++c3_2(U,a883),
     ++ssSkP8(U)]).

input_clause(clause104,conjecture,
    [++c2_2(U,a881),
     ++ssSkP7(U)]).

input_clause(clause105,conjecture,
    [++c5_2(U,a876),
     ++ssSkP6(U)]).

input_clause(clause106,conjecture,
    [++c3_2(U,a876),
     ++ssSkP6(U)]).

input_clause(clause107,conjecture,
    [++c3_2(U,a871),
     ++ssSkP5(U)]).

input_clause(clause108,conjecture,
    [++c5_2(U,a871),
     ++ssSkP5(U)]).

input_clause(clause109,conjecture,
    [++c1_2(a849,a851),
     ++ssSkC16]).

input_clause(clause110,conjecture,
    [++c1_2(a849,a850),
     ++ssSkC16]).

input_clause(clause111,conjecture,
    [--c5_1(a849),
     ++ssSkC16]).

input_clause(clause112,conjecture,
    [++c3_2(U,a847),
     ++ssSkP4(U)]).

input_clause(clause113,conjecture,
    [--c3_1(a844),
     ++ssSkC15]).

input_clause(clause114,conjecture,
    [++c4_2(a836,a837),
     ++ssSkC14]).

input_clause(clause115,conjecture,
    [++c1_2(U,a833),
     ++ssSkP3(U)]).

input_clause(clause116,conjecture,
    [++c3_2(U,a833),
     ++ssSkP3(U)]).

input_clause(clause117,conjecture,
    [--c4_1(a831),
     ++ssSkC13]).

input_clause(clause118,conjecture,
    [++c5_2(U,a806),
     ++ssSkP1(U)]).

input_clause(clause119,conjecture,
    [++c2_2(U,a806),
     ++ssSkP1(U)]).

input_clause(clause120,conjecture,
    [++c4_2(U,a806),
     ++ssSkP1(U)]).

input_clause(clause121,conjecture,
    [++c5_2(a801,a802),
     ++ssSkC6]).

input_clause(clause122,conjecture,
    [++c1_2(a801,a802),
     ++ssSkC6]).

input_clause(clause123,conjecture,
    [++c4_2(a801,a802),
     ++ssSkC6]).

input_clause(clause124,conjecture,
    [++c3_2(a792,a794),
     ++ssSkC5]).

input_clause(clause125,conjecture,
    [++c1_2(a792,a793),
     ++ssSkC5]).

input_clause(clause126,conjecture,
    [++c5_2(U,a787),
     ++ssSkP0(U)]).

input_clause(clause127,conjecture,
    [--c4_1(a786),
     ++ssSkC3]).

input_clause(clause128,conjecture,
    [--c3_1(a779),
     ++ssSkC1]).

input_clause(clause129,conjecture,
    [++c2_2(a776,a777),
     ++ssSkC0]).

input_clause(clause130,conjecture,
    [--c2_1(a776),
     ++ssSkC0]).

input_clause(clause131,conjecture,
    [--ssSkC21,
     --ssSkC22,
     ++c3_2(a894,a895)]).

input_clause(clause132,conjecture,
    [--ssSkC21,
     --ssSkC22,
     --c2_1(a894)]).

input_clause(clause133,conjecture,
    [--ssSkC19,
     --ssSkC20,
     --c3_1(a891)]).

input_clause(clause134,conjecture,
    [--c4_0,
     ++ndr1_1(a879),
     ++c3_0]).

input_clause(clause135,conjecture,
    [--c4_0,
     ++c2_1(a879),
     ++c3_0]).

input_clause(clause136,conjecture,
    [--c1_0,
     ++c5_2(a873,a874)]).

input_clause(clause137,conjecture,
    [--c1_0,
     ++c1_2(a864,a865)]).

input_clause(clause138,conjecture,
    [--c1_0,
     ++c2_2(a864,a865)]).

input_clause(clause139,conjecture,
    [--c1_0,
     ++c4_2(a864,a865)]).

input_clause(clause140,conjecture,
    [--c4_1(a864),
     --c1_0]).

input_clause(clause141,conjecture,
    [--ssSkC17,
     --c4_0,
     ++ndr1_1(a861)]).

input_clause(clause142,conjecture,
    [--c1_2(a858,a859),
     ++c1_0]).

input_clause(clause143,conjecture,
    [--c5_0,
     ++c3_2(a853,a854)]).

input_clause(clause144,conjecture,
    [--c5_0,
     ++c2_2(a853,a854)]).

input_clause(clause145,conjecture,
    [--ssSkC16,
     --c5_0,
     ++c1_1(a852)]).

input_clause(clause146,conjecture,
    [--c3_0,
     ++c5_1(a843),
     ++c4_0]).

input_clause(clause147,conjecture,
    [--c5_0,
     ++c4_2(a839,a840)]).

input_clause(clause148,conjecture,
    [--c5_0,
     ++c2_2(a839,a840)]).

input_clause(clause149,conjecture,
    [--ssSkC14,
     --c4_1(a838),
     ++c5_0]).

input_clause(clause150,conjecture,
    [--c2_0,
     ++c5_1(a823),
     ++c5_0]).

input_clause(clause151,conjecture,
    [--ssSkC10,
     --ssSkC11,
     ++c1_2(a820,a821)]).

input_clause(clause152,conjecture,
    [++c1_2(a815,a816),
     ++c2_0,
     ++c5_0]).

input_clause(clause153,conjecture,
    [++c3_2(a815,a816),
     ++c2_0,
     ++c5_0]).

input_clause(clause154,conjecture,
    [--c5_1(a815),
     ++c2_0,
     ++c5_0]).

input_clause(clause155,conjecture,
    [--ssSkC3,
     --ssSkC4,
     ++c5_2(a789,a790)]).

input_clause(clause156,conjecture,
    [--ssSkC3,
     --ssSkC4,
     ++c1_2(a789,a790)]).

input_clause(clause157,conjecture,
    [--ssSkC3,
     --ssSkC4,
     --c5_1(a789)]).

input_clause(clause158,conjecture,
    [--c5_1(a775),
     --c4_0]).

input_clause(clause159,conjecture,
    [--c3_1(a775),
     --c4_0]).

input_clause(clause160,conjecture,
    [--c2_0,--c4_0,++c3_0]).

input_clause(clause161,conjecture,
    [--c4_0,--c2_0,++c5_0]).

input_clause(clause162,conjecture,
    [--c4_2(U,a889),
     ++ssSkP9(U)]).

input_clause(clause163,conjecture,
    [--c4_2(a887,a888),
     ++ssSkC19]).

input_clause(clause164,conjecture,
    [--c2_2(U,a883),
     ++ssSkP8(U)]).

input_clause(clause165,conjecture,
    [--c5_2(U,a881),
     ++ssSkP7(U)]).

input_clause(clause166,conjecture,
    [--c2_2(U,a876),
     ++ssSkP6(U)]).

input_clause(clause167,conjecture,
    [--c5_2(a849,a851),
     ++ssSkC16]).

input_clause(clause168,conjecture,
    [--c3_2(a849,a850),
     ++ssSkC16]).

input_clause(clause169,conjecture,
    [--c4_2(a849,a850),
     ++ssSkC16]).

input_clause(clause170,conjecture,
    [--c4_2(U,a847),
     ++ssSkP4(U)]).

input_clause(clause171,conjecture,
    [--c1_2(a836,a837),
     ++ssSkC14]).

input_clause(clause172,conjecture,
    [--c2_2(a836,a837),
     ++ssSkC14]).

input_clause(clause173,conjecture,
    [--c5_2(U,a833),
     ++ssSkP3(U)]).

input_clause(clause174,conjecture,
    [--c3_2(a818,a819),
     ++ssSkC11]).

input_clause(clause175,conjecture,
    [--c2_2(a818,a819),
     ++ssSkC11]).

input_clause(clause176,conjecture,
    [--c5_2(a818,a819),
     ++ssSkC11]).

input_clause(clause177,conjecture,
    [--c3_2(U,a807),
     ++ssSkP2(U)]).

input_clause(clause178,conjecture,
    [--c2_2(U,a807),
     ++ssSkP2(U)]).

input_clause(clause179,conjecture,
    [--c4_2(a792,a794),
     ++ssSkC5]).

input_clause(clause180,conjecture,
    [--c1_2(a792,a794),
     ++ssSkC5]).

input_clause(clause181,conjecture,
    [--c5_2(a792,a793),
     ++ssSkC5]).

input_clause(clause182,conjecture,
    [--c4_2(U,a787),
     ++ssSkP0(U)]).

input_clause(clause183,conjecture,
    [--c3_2(U,a787),
     ++ssSkP0(U)]).

input_clause(clause184,conjecture,
    [--c3_2(a776,a777),
     ++ssSkC0]).

input_clause(clause185,conjecture,
    [--c1_2(a776,a777),
     ++ssSkC0]).

input_clause(clause186,conjecture,
    [--ssSkC21,
     --ssSkC22,
     --c5_2(a894,a895)]).

input_clause(clause187,conjecture,
    [--ssSkC21,
     --ssSkC22,
     --c1_2(a894,a895)]).

input_clause(clause188,conjecture,
    [--c3_2(a873,a874),
     --c1_0]).

input_clause(clause189,conjecture,
    [--c1_2(a873,a874),
     --c1_0]).

input_clause(clause190,conjecture,
    [--c5_0,
     --c3_0,
     ++ndr1_1(a867)]).

input_clause(clause191,conjecture,
    [--ssSkC17,
     --c4_0,
     ++c3_2(a861,a862)]).

input_clause(clause192,conjecture,
    [--ssSkC17,
     --c4_0,
     ++c1_2(a861,a862)]).

input_clause(clause193,conjecture,
    [--ssSkC17,
     --c2_1(a861),
     --c4_0]).

input_clause(clause194,conjecture,
    [--ssSkC17,
     --c1_1(a861),
     --c4_0]).

input_clause(clause195,conjecture,
    [--ssSkC15,
     --c2_1(a845),
     --c2_0]).

input_clause(clause196,conjecture,
    [--ssSkC15,
     --c1_1(a845),
     --c2_0]).

input_clause(clause197,conjecture,
    [--ssSkC15,
     --c3_1(a845),
     --c2_0]).

input_clause(clause198,conjecture,
    [--c1_1(a843),
     --c3_0,
     ++c4_0]).

input_clause(clause199,conjecture,
    [--c2_2(a839,a841),
     --c5_0]).

input_clause(clause200,conjecture,
    [--c4_2(a839,a841),
     --c5_0]).

input_clause(clause201,conjecture,
    [--c5_2(a839,a840),
     --c5_0]).

input_clause(clause202,conjecture,
    [--ssSkC10,
     --ssSkC11,
     --c5_2(a820,a822)]).

input_clause(clause203,conjecture,
    [--ssSkC10,
     --ssSkC11,
     --c2_2(a820,a822)]).

input_clause(clause204,conjecture,
    [--ssSkC10,
     --ssSkC11,
     --c3_2(a820,a821)]).

input_clause(clause205,conjecture,
    [--ssSkC10,
     --ssSkC11,
     --c5_2(a820,a821)]).

input_clause(clause206,conjecture,
    [--c5_2(a815,a816),
     ++c2_0,
     ++c5_0]).

input_clause(clause207,conjecture,
    [--ssSkC5,
     --c1_1(a795),
     --c3_0]).

input_clause(clause208,conjecture,
    [--ssSkC3,
     --ssSkC4,
     --c4_2(a789,a790)]).

input_clause(clause209,conjecture,
    [--ndr1_0,
     ++c3_1(U),
     ++c1_1(U),
     ++c3_0]).

input_clause(clause210,conjecture,
    [--c3_2(a879,a880),
     --c4_0,
     ++c3_0]).

input_clause(clause211,conjecture,
    [--c4_2(a879,a880),
     --c4_0,
     ++c3_0]).

input_clause(clause212,conjecture,
    [--c5_0,
     --c3_0,
     ++c2_2(a867,a869)]).

input_clause(clause213,conjecture,
    [--c5_0,
     --c3_0,
     ++c3_2(a867,a869)]).

input_clause(clause214,conjecture,
    [--c5_0,
     --c3_0,
     ++c5_2(a867,a868)]).

input_clause(clause215,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c5_0]).

input_clause(clause216,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC2]).

input_clause(clause217,conjecture,
    [--ssSkP5(U),
     --ndr1_0,
     --c5_0,
     ++ndr1_1(U),
     ++c4_0]).

input_clause(clause218,conjecture,
    [--c4_2(a867,a869),
     --c5_0,
     --c3_0]).

input_clause(clause219,conjecture,
    [--c3_2(a867,a868),
     --c5_0,
     --c3_0]).

input_clause(clause220,conjecture,
    [--c5_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c3_0]).

input_clause(clause221,conjecture,
    [--ssSkP6(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++ssSkC18]).

input_clause(clause222,conjecture,
    [--ssSkP1(U),
     --ssSkP2(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC8]).

input_clause(clause223,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++ssSkC4]).

input_clause(clause224,conjecture,
    [--ssSkP7(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++c1_0,
     ++c5_0]).

input_clause(clause225,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c3_2(U,a784),
     ++ssSkC2]).

input_clause(clause226,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c2_2(U,a784),
     ++ssSkC2]).

input_clause(clause227,conjecture,
    [--ssSkP5(U),
     --ndr1_0,
     --c5_0,
     ++c3_2(U,a872),
     ++c4_0]).

input_clause(clause228,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c4_0,
     ++ndr1_1(U),
     ++c5_0]).

input_clause(clause229,conjecture,
    [--ndr1_1(a830),
     ++c5_2(a830,U),
     ++c1_2(a830,U),
     ++c2_0]).

input_clause(clause230,conjecture,
    [--ssSkC7,
     --c4_1(U),
     --ndr1_0,
     --c3_0,
     ++ndr1_1(U)]).

input_clause(clause231,conjecture,
    [--ndr1_1(a800),
     ++c5_2(a800,U),
     ++c2_2(a800,U),
     ++c1_0]).

input_clause(clause232,conjecture,
    [--ssSkP9(U),
     --c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC20]).

input_clause(clause233,conjecture,
    [--ssSkP6(U),
     --ndr1_0,
     ++c2_2(U,a877),
     ++c3_1(U),
     ++ssSkC18]).

input_clause(clause234,conjecture,
    [--ssSkP6(U),
     --ndr1_0,
     ++c4_2(U,a877),
     ++c3_1(U),
     ++ssSkC18]).

input_clause(clause235,conjecture,
    [--ssSkP6(U),
     --ndr1_0,
     ++c1_2(U,a877),
     ++c3_1(U),
     ++ssSkC18]).

input_clause(clause236,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++ssSkC12]).

input_clause(clause237,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++ssSkC9]).

input_clause(clause238,conjecture,
    [--ssSkP1(U),
     --ssSkP2(U),
     --ndr1_0,
     ++c5_2(U,a808),
     ++ssSkC8]).

input_clause(clause239,conjecture,
    [--ssSkP1(U),
     --ssSkP2(U),
     --ndr1_0,
     ++c4_2(U,a808),
     ++ssSkC8]).

input_clause(clause240,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     ++c3_2(U,a788),
     ++c3_1(U),
     ++ssSkC4]).

input_clause(clause241,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     ++c1_2(U,a788),
     ++c3_1(U),
     ++ssSkC4]).

input_clause(clause242,conjecture,
    [--ssSkP7(U),
     --ndr1_0,
     ++c5_2(U,a882),
     ++c1_1(U),
     ++c1_0,
     ++c5_0]).

input_clause(clause243,conjecture,
    [--c4_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c1_0]).

input_clause(clause244,conjecture,
    [--ndr1_1(a893),
     ++c1_2(a893,U),
     ++c4_2(a893,U),
     ++ssSkC22]).

input_clause(clause245,conjecture,
    [--c1_2(U,a784),
     --c4_1(U),
     --ndr1_0,
     ++ssSkC2]).

input_clause(clause246,conjecture,
    [--ssSkP5(U),
     --c5_2(U,a872),
     --ndr1_0,
     --c5_0,
     ++c4_0]).

input_clause(clause247,conjecture,
    [--ssSkP5(U),
     --c4_2(U,a872),
     --ndr1_0,
     --c5_0,
     ++c4_0]).

input_clause(clause248,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c4_0,
     ++c1_2(U,a835),
     ++c5_0]).

input_clause(clause249,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c2_1(a824),
     ++c4_1(U),
     ++c3_0]).

input_clause(clause250,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c4_1(a824),
     ++c4_1(U),
     ++c3_0]).

input_clause(clause251,conjecture,
    [--ssSkC7,
     --c4_1(U),
     --ndr1_0,
     --c3_0,
     ++c2_2(U,a805)]).

input_clause(clause252,conjecture,
    [--ssSkC7,
     --c4_1(U),
     --ndr1_0,
     --c3_0,
     ++c4_2(U,a805)]).

input_clause(clause253,conjecture,
    [--ssSkP9(U),
     --c1_1(U),
     --ndr1_0,
     ++c4_2(U,a890),
     ++ssSkC20]).

input_clause(clause254,conjecture,
    [--ssSkP9(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_2(U,a890),
     ++ssSkC20]).

input_clause(clause255,conjecture,
    [--ssSkP9(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_2(U,a890),
     ++ssSkC20]).

input_clause(clause256,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_2(U,a825),
     ++c1_1(U),
     ++ssSkC12]).

input_clause(clause257,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c1_2(U,a825),
     ++c1_1(U),
     ++ssSkC12]).

input_clause(clause258,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c3_2(U,a811),
     ++c1_1(U),
     ++ssSkC9]).

input_clause(clause259,conjecture,
    [--ssSkP1(U),
     --ssSkP2(U),
     --c2_2(U,a808),
     --ndr1_0,
     ++ssSkC8]).

input_clause(clause260,conjecture,
    [--ssSkP0(U),
     --c2_2(U,a788),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC4]).

input_clause(clause261,conjecture,
    [--ssSkP7(U),
     --c3_2(U,a882),
     --ndr1_0,
     ++c1_1(U),
     ++c1_0,
     ++c5_0]).

input_clause(clause262,conjecture,
    [--ssSkP7(U),
     --c2_2(U,a882),
     --ndr1_0,
     ++c1_1(U),
     ++c1_0,
     ++c5_0]).

input_clause(clause263,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_0,
     ++ndr1_1(U)]).

input_clause(clause264,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c4_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++c1_0]).

input_clause(clause265,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c2_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++c3_0]).

input_clause(clause266,conjecture,
    [--ssSkC8,
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_0]).

input_clause(clause267,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++c4_0]).

input_clause(clause268,conjecture,
    [--c5_1(U),
     --c4_1(U),
     --ndr1_0,
     --c5_0,
     ++c3_1(U)]).

input_clause(clause269,conjecture,
    [--c5_2(a893,U),
     --ndr1_1(a893),
     ++c4_2(a893,U),
     ++ssSkC22]).

input_clause(clause270,conjecture,
    [--c3_2(a776,U),
     --ndr1_1(a776),
     ++c5_2(a776,U),
     ++ssSkC0]).

input_clause(clause271,conjecture,
    [--ssSkC19,
     --ssSkC20,
     --c5_2(a891,U),
     --ndr1_1(a891),
     ++c3_2(a891,U)]).

input_clause(clause272,conjecture,
    [--c1_2(a875,U),
     --c4_2(a875,U),
     --ndr1_1(a875),
     ++c3_0]).

input_clause(clause273,conjecture,
    [--c1_2(a853,U),
     --ndr1_1(a853),
     --c5_0,
     ++c2_2(a853,U)]).

input_clause(clause274,conjecture,
    [--c5_2(a839,U),
     --ndr1_1(a839),
     --c5_0,
     ++c4_2(a839,U)]).

input_clause(clause275,conjecture,
    [--c5_2(U,a835),
     --c3_1(U),
     --ndr1_0,
     --c4_0,
     ++c5_0]).

input_clause(clause276,conjecture,
    [--c4_2(U,a835),
     --c3_1(U),
     --ndr1_0,
     --c4_0,
     ++c5_0]).

input_clause(clause277,conjecture,
    [--ssSkC7,
     --c5_2(U,a805),
     --c4_1(U),
     --ndr1_0,
     --c3_0]).

input_clause(clause278,conjecture,
    [--c2_2(U,a825),
     --c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++ssSkC12]).

input_clause(clause279,conjecture,
    [--c2_2(U,a811),
     --c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++ssSkC9]).

input_clause(clause280,conjecture,
    [--ssSkC18,
     --c5_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_0,
     ++ndr1_1(U)]).

input_clause(clause281,conjecture,
    [--c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_2(U,a870)]).

input_clause(clause282,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c4_0,
     ++c2_2(U,a857),
     ++c2_1(U),
     ++c1_0]).

input_clause(clause283,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++ndr1_1(a855),
     ++c3_0]).

input_clause(clause284,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c2_0,
     ++c4_2(U,a842),
     ++c3_1(U),
     ++c3_0]).

input_clause(clause285,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_2(U,a842),
     ++c3_1(U),
     ++c3_0]).

input_clause(clause286,conjecture,
    [--c1_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++ndr1_1(a828),
     ++c3_0]).

input_clause(clause287,conjecture,
    [--ssSkC8,
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c5_2(U,a809),
     ++c4_0]).

input_clause(clause288,conjecture,
    [--ssSkC8,
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c3_2(U,a809),
     ++c4_0]).

input_clause(clause289,conjecture,
    [--ssSkC8,
     --c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_2(U,a809),
     ++c4_0]).

input_clause(clause290,conjecture,
    [--ndr1_1(a804),
     ++c1_2(a804,U),
     ++c3_2(a804,U),
     ++c4_2(a804,U),
     ++ssSkC7]).

input_clause(clause291,conjecture,
    [--ssSkC18,
     --c5_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_2(U,a878)]).

input_clause(clause292,conjecture,
    [--ssSkC18,
     --c5_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_2(U,a878)]).

input_clause(clause293,conjecture,
    [--c4_2(U,a870),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_0]).

input_clause(clause294,conjecture,
    [--c3_2(U,a870),
     --c1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c1_0]).

input_clause(clause295,conjecture,
    [--c4_2(U,a857),
     --c5_1(U),
     --ndr1_0,
     --c4_0,
     ++c2_1(U),
     ++c1_0]).

input_clause(clause296,conjecture,
    [--c5_2(U,a857),
     --c5_1(U),
     --ndr1_0,
     --c4_0,
     ++c2_1(U),
     ++c1_0]).

input_clause(clause297,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c1_2(a855,a856),
     ++c3_0]).

input_clause(clause298,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c5_2(a855,a856),
     ++c3_0]).

input_clause(clause299,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c2_2(a855,a856),
     ++c3_0]).

input_clause(clause300,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_1(a855),
     ++c5_1(U),
     ++c3_0]).

input_clause(clause301,conjecture,
    [--c2_2(U,a842),
     --c2_1(U),
     --ndr1_0,
     --c2_0,
     ++c3_1(U),
     ++c3_0]).

input_clause(clause302,conjecture,
    [--c4_2(U,a783),
     --c5_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_1(U),
     ++c4_0]).

input_clause(clause303,conjecture,
    [--c2_2(U,a783),
     --c5_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_1(U),
     ++c4_0]).

input_clause(clause304,conjecture,
    [--c3_2(U,a783),
     --c5_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_1(U),
     ++c4_0]).

input_clause(clause305,conjecture,
    [--c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_0,
     --c4_0,
     ++ndr1_1(U)]).

input_clause(clause306,conjecture,
    [--ssSkC1,
     --ndr1_1(a780),
     ++c2_2(a780,U),
     ++c3_2(a780,U),
     ++c1_2(a780,U),
     ++c3_0]).

input_clause(clause307,conjecture,
    [--c2_2(a892,U),
     --ndr1_1(a892),
     ++c1_2(a892,U),
     ++c3_2(a892,U),
     ++ssSkC21]).

input_clause(clause308,conjecture,
    [--c1_2(a818,U),
     --ndr1_1(a818),
     ++c4_2(a818,U),
     ++c5_2(a818,U),
     ++ssSkC11]).

input_clause(clause309,conjecture,
    [--c1_2(a786,U),
     --ndr1_1(a786),
     ++c3_2(a786,U),
     ++c5_2(a786,U),
     ++ssSkC3]).

input_clause(clause310,conjecture,
    [--c2_2(a786,U),
     --ndr1_1(a786),
     ++c5_2(a786,U),
     ++c4_2(a786,U),
     ++ssSkC3]).

input_clause(clause311,conjecture,
    [--c1_2(a779,U),
     --ndr1_1(a779),
     ++c2_2(a779,U),
     ++c3_2(a779,U),
     ++ssSkC1]).

input_clause(clause312,conjecture,
    [--ssSkC18,
     --c3_2(U,a878),
     --c5_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_0]).

input_clause(clause313,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c5_1(V),
     ++c3_1(U),
     ++c2_1(U),
     ++c3_1(V),
     ++c5_1(a863)]).

input_clause(clause314,conjecture,
    [--c1_2(a853,U),
     --ndr1_1(a853),
     --c5_0,
     ++c3_2(a853,U),
     ++c5_2(a853,U)]).

input_clause(clause315,conjecture,
    [--ssSkC14,
     --c4_2(a838,U),
     --ndr1_1(a838),
     ++c2_2(a838,U),
     ++c3_2(a838,U),
     ++c5_0]).

input_clause(clause316,conjecture,
    [--c1_2(a830,U),
     --c3_2(a830,U),
     --ndr1_1(a830),
     ++c2_2(a830,U),
     ++c2_0]).

input_clause(clause317,conjecture,
    [--c1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c1_2(a828,a829),
     ++c2_1(U),
     ++c3_0]).

input_clause(clause318,conjecture,
    [--c1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c4_2(a828,a829),
     ++c2_1(U),
     ++c3_0]).

input_clause(clause319,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_0,
     ++c5_2(U,V),
     ++c4_2(U,a886)]).

input_clause(clause320,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_0,
     ++c5_2(U,V),
     ++c5_2(U,a886)]).

input_clause(clause321,conjecture,
    [--c1_2(a801,U),
     --c3_2(a801,U),
     --ndr1_1(a801),
     ++c5_2(a801,U),
     ++ssSkC6]).

input_clause(clause322,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c5_1(V),
     --c1_1(a863),
     ++c3_1(U),
     ++c2_1(U),
     ++c3_1(V)]).

input_clause(clause323,conjecture,
    [--c4_2(a800,U),
     --c1_2(a800,U),
     --c5_2(a800,U),
     --ndr1_1(a800),
     ++c1_0]).

input_clause(clause324,conjecture,
    [--ssSkC5,
     --c1_2(a795,U),
     --ndr1_1(a795),
     --c3_0,
     ++c5_2(a795,U),
     ++c3_2(a795,U)]).

input_clause(clause325,conjecture,
    [--c2_2(U,a782),
     --c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_0,
     --c4_0]).

input_clause(clause326,conjecture,
    [--c5_2(U,a782),
     --c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_0,
     --c4_0]).

input_clause(clause327,conjecture,
    [--c1_2(U,a782),
     --c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_0,
     --c4_0]).

input_clause(clause328,conjecture,
    [--c4_2(a860,U),
     --c2_2(a860,U),
     --c1_2(a860,U),
     --ndr1_1(a860),
     ++ssSkC17]).

input_clause(clause329,conjecture,
    [--ssSkC19,
     --ssSkC20,
     --c1_2(a891,U),
     --c5_2(a891,U),
     --c4_2(a891,U),
     --ndr1_1(a891)]).

input_clause(clause330,conjecture,
    [--c1_2(a879,U),
     --c4_2(a879,U),
     --ndr1_1(a879),
     --c4_0,
     ++c2_2(a879,U),
     ++c3_0]).

input_clause(clause331,conjecture,
    [--c4_2(a867,U),
     --ndr1_1(a867),
     --c5_0,
     --c3_0,
     ++c5_2(a867,U),
     ++c3_2(a867,U)]).

input_clause(clause332,conjecture,
    [--ssSkC16,
     --c4_2(a852,U),
     --c5_2(a852,U),
     --ndr1_1(a852),
     --c5_0,
     ++c1_2(a852,U)]).

input_clause(clause333,conjecture,
    [--c3_2(a823,U),
     --c2_2(a823,U),
     --ndr1_1(a823),
     --c2_0,
     ++c1_2(a823,U),
     ++c5_0]).

input_clause(clause334,conjecture,
    [--ssSkC5,
     --c2_2(a795,U),
     --c5_2(a795,U),
     --ndr1_1(a795),
     --c3_0,
     ++c1_2(a795,U)]).

input_clause(clause335,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++c3_2(U,a896),
     ++c5_1(U),
     ++c5_0]).

input_clause(clause336,conjecture,
    [--c5_1(U),
     --ndr1_0,
     --c4_2(a824,V),
     --c1_2(a824,V),
     --ndr1_1(a824),
     ++c4_1(U),
     ++c3_0]).

input_clause(clause337,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a896),
     --ndr1_0,
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++c5_1(U),
     ++c5_0]).

input_clause(clause338,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a896),
     --ndr1_0,
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++c5_1(U),
     ++c5_0]).

input_clause(clause339,conjecture,
    [--c1_1(U),
     --c5_1(U),
     --ndr1_0,
     --ndr1_1(a828),
     ++c2_1(U),
     ++c2_2(a828,V),
     ++c4_2(a828,V),
     ++c3_0]).

input_clause(clause340,conjecture,
    [--ssSkC0,
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c3_2(U,a778),
     ++c5_0]).

input_clause(clause341,conjecture,
    [--ssSkC0,
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c1_2(U,a778),
     ++c5_0]).

input_clause(clause342,conjecture,
    [--ssSkC0,
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c4_2(U,a778),
     ++c5_0]).

input_clause(clause343,conjecture,
    [--ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c5_1(U),
     ++c2_0]).

input_clause(clause344,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c5_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c3_2(U,a866)]).

input_clause(clause345,conjecture,
    [--ssSkP3(U),
     --c3_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a834),
     --ndr1_0,
     ++c1_2(U,V),
     ++c3_0]).

input_clause(clause346,conjecture,
    [--ssSkP3(U),
     --c3_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a834),
     --ndr1_0,
     ++c1_2(U,V),
     ++c3_0]).

input_clause(clause347,conjecture,
    [--ssSkC12,
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_0,
     ++c5_2(U,V),
     ++c4_2(U,V),
     ++c5_2(U,a826),
     ++c1_1(U)]).

input_clause(clause348,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a866),
     --c5_1(U),
     --ndr1_0,
     --c5_0,
     ++c2_2(U,V),
     ++c1_2(U,V)]).

input_clause(clause349,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c5_1(V),
     --ndr1_1(a863),
     ++c3_1(U),
     ++c2_1(U),
     ++c3_1(V),
     ++c3_2(a863,W),
     ++c4_2(a863,W)]).

input_clause(clause350,conjecture,
    [--ssSkC12,
     --c2_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a826),
     --ndr1_0,
     --c5_0,
     ++c5_2(U,V),
     ++c4_2(U,V),
     ++c1_1(U)]).

input_clause(clause351,conjecture,
    [--ssSkC12,
     --c2_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a826),
     --ndr1_0,
     --c5_0,
     ++c5_2(U,V),
     ++c4_2(U,V),
     ++c1_1(U)]).

input_clause(clause352,conjecture,
    [--c4_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_2(U,V),
     ++c2_1(U),
     ++c3_0]).

input_clause(clause353,conjecture,
    [--ndr1_1(U),
     --c5_2(U,V),
     --c3_1(U),
     --ndr1_0,
     ++c3_2(U,W),
     ++c2_2(U,W),
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++ndr1_1(a796)]).

input_clause(clause354,conjecture,
    [--ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_0,
     ++c4_2(U,V),
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c3_2(U,W),
     ++c1_2(U,W),
     ++c4_0]).

input_clause(clause355,conjecture,
    [--ssSkP4(U),
     --c4_2(V,W),
     --c5_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --ndr1_0,
     --c2_1(U),
     --c2_0,
     ++ndr1_1(U)]).

input_clause(clause356,conjecture,
    [--ssSkP8(U),
     --c5_2(V,W),
     --ndr1_1(V),
     --c4_1(V),
     --ndr1_0,
     ++c1_2(V,W),
     ++c4_2(V,W),
     ++c3_1(V),
     ++ndr1_1(U),
     ++c5_1(U),
     ++c1_0]).

input_clause(clause357,conjecture,
    [--c1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c5_2(a828,V),
     --ndr1_1(a828),
     ++c2_1(U),
     ++c4_2(a828,V),
     ++c3_2(a828,V),
     ++c3_0]).

input_clause(clause358,conjecture,
    [--ndr1_1(U),
     --c5_2(U,V),
     --c3_1(U),
     --ndr1_0,
     ++c3_2(U,W),
     ++c2_2(U,W),
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c2_2(a796,a797)]).

input_clause(clause359,conjecture,
    [--ndr1_1(U),
     --c5_2(U,V),
     --c3_1(U),
     --ndr1_0,
     ++c3_2(U,W),
     ++c2_2(U,W),
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c1_2(a796,a797)]).

input_clause(clause360,conjecture,
    [--ndr1_1(U),
     --c5_2(U,V),
     --c3_1(U),
     --ndr1_0,
     --c2_1(a796),
     ++c3_2(U,W),
     ++c2_2(U,W),
     ++c4_2(U,V),
     ++c3_2(U,V)]).

input_clause(clause361,conjecture,
    [--ndr1_1(U),
     --c3_2(U,V),
     --ndr1_0,
     ++c5_2(U,W),
     ++c3_2(U,W),
     ++c1_2(U,W),
     ++c5_2(U,V),
     ++c2_2(U,V),
     ++c5_1(U),
     ++c4_0,
     ++c3_0]).

input_clause(clause362,conjecture,
    [--ssSkP4(U),
     --c4_2(V,W),
     --c5_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --ndr1_0,
     --c2_1(U),
     --c2_0,
     ++c3_2(U,a848)]).

input_clause(clause363,conjecture,
    [--ssSkP8(U),
     --c5_2(V,W),
     --ndr1_1(V),
     --c4_1(V),
     --ndr1_0,
     ++c1_2(V,W),
     ++c4_2(V,W),
     ++c3_1(V),
     ++c4_2(U,a884),
     ++c5_1(U),
     ++c1_0]).

input_clause(clause364,conjecture,
    [--c2_1(U),
     --c3_1(U),
     --ndr1_0,
     --c5_2(a855,V),
     --c1_2(a855,V),
     --ndr1_1(a855),
     ++c5_1(U),
     ++c2_2(a855,V),
     ++c3_0]).

input_clause(clause365,conjecture,
    [--ndr1_1(U),
     --c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c3_2(U,W),
     ++c5_2(U,W),
     ++c4_2(U,W),
     ++ndr1_1(V),
     ++c3_1(V),
     ++c3_0]).

input_clause(clause366,conjecture,
    [--ssSkC13,
     --c5_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,W),
     ++c3_2(U,a832),
     ++c2_0]).

input_clause(clause367,conjecture,
    [--ndr1_1(U),
     --c5_2(U,V),
     --c3_1(U),
     --ndr1_0,
     --c2_2(a796,a798),
     ++c3_2(U,W),
     ++c2_2(U,W),
     ++c4_2(U,V),
     ++c3_2(U,V)]).

input_clause(clause368,conjecture,
    [--ndr1_1(U),
     --c5_2(U,V),
     --c3_1(U),
     --ndr1_0,
     --c3_2(a796,a798),
     ++c3_2(U,W),
     ++c2_2(U,W),
     ++c4_2(U,V),
     ++c3_2(U,V)]).

input_clause(clause369,conjecture,
    [--ndr1_1(U),
     --c5_2(U,V),
     --c3_1(U),
     --ndr1_0,
     --c5_2(a796,a797),
     ++c3_2(U,W),
     ++c2_2(U,W),
     ++c4_2(U,V),
     ++c3_2(U,V)]).

input_clause(clause370,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c5_2(V,W),
     --ndr1_1(V),
     ++c4_1(U),
     ++c1_1(U),
     ++c4_2(V,W),
     ++c2_2(V,W),
     ++c4_2(V,a791),
     ++c5_1(V),
     ++c2_0]).

input_clause(clause371,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c5_2(V,W),
     --ndr1_1(V),
     ++c4_1(U),
     ++c1_1(U),
     ++c4_2(V,W),
     ++c2_2(V,W),
     ++c3_2(V,a791),
     ++c5_1(V),
     ++c2_0]).

input_clause(clause372,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c5_2(V,W),
     --ndr1_1(V),
     ++c4_1(U),
     ++c1_1(U),
     ++c4_2(V,W),
     ++c2_2(V,W),
     ++c1_2(V,a791),
     ++c5_1(V),
     ++c2_0]).

input_clause(clause373,conjecture,
    [--ssSkP4(U),
     --c4_2(V,W),
     --c5_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --ndr1_0,
     --c5_2(U,a848),
     --c2_1(U),
     --c2_0]).

input_clause(clause374,conjecture,
    [--ssSkP4(U),
     --c4_2(V,W),
     --c5_2(V,W),
     --ndr1_1(V),
     --c1_1(V),
     --ndr1_0,
     --c4_2(U,a848),
     --c2_1(U),
     --c2_0]).

input_clause(clause375,conjecture,
    [--ssSkP8(U),
     --c5_2(V,W),
     --ndr1_1(V),
     --c4_1(V),
     --ndr1_0,
     --c2_2(U,a884),
     ++c1_2(V,W),
     ++c4_2(V,W),
     ++c3_1(V),
     ++c5_1(U),
     ++c1_0]).

input_clause(clause376,conjecture,
    [--ssSkP8(U),
     --c5_2(V,W),
     --ndr1_1(V),
     --c4_1(V),
     --ndr1_0,
     --c3_2(U,a884),
     ++c1_2(V,W),
     ++c4_2(V,W),
     ++c3_1(V),
     ++c5_1(U),
     ++c1_0]).

input_clause(clause377,conjecture,
    [--ndr1_1(U),
     --c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c3_2(U,W),
     ++c5_2(U,W),
     ++c4_2(U,W),
     ++c4_2(V,a846),
     ++c3_1(V),
     ++c3_0]).

input_clause(clause378,conjecture,
    [--ndr1_1(U),
     --c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c3_2(U,W),
     ++c5_2(U,W),
     ++c4_2(U,W),
     ++c5_2(V,a846),
     ++c3_1(V),
     ++c3_0]).

input_clause(clause379,conjecture,
    [--ndr1_1(U),
     --c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c1_1(V),
     ++c3_2(U,W),
     ++c5_2(U,W),
     ++c4_2(U,W),
     ++c3_2(V,a846),
     ++c3_1(V),
     ++c3_0]).

input_clause(clause380,conjecture,
    [--ssSkC13,
     --c5_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c2_2(U,a832),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,W),
     ++c2_0]).

input_clause(clause381,conjecture,
    [--ssSkC13,
     --c5_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c4_2(U,W),
     --c1_2(U,a832),
     --ndr1_0,
     ++c3_2(U,V),
     ++c5_2(U,W),
     ++c2_0]).

input_clause(clause382,conjecture,
    [--ssSkC6,
     --c4_1(U),
     --ndr1_0,
     --c2_2(V,W),
     --c4_2(V,W),
     --c3_2(V,W),
     --ndr1_1(V),
     --c3_1(V),
     ++c2_1(U),
     ++c2_2(V,a803)]).

input_clause(clause383,conjecture,
    [--ssSkC6,
     --c4_1(U),
     --ndr1_0,
     --c2_2(V,W),
     --c4_2(V,W),
     --c3_2(V,W),
     --ndr1_1(V),
     --c3_1(V),
     ++c2_1(U),
     ++c4_2(V,a803)]).

input_clause(clause384,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --ndr1_0,
     --c5_1(a827),
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c5_2(U,W),
     ++c4_2(U,W),
     ++c4_1(U),
     ++c2_0]).

input_clause(clause385,conjecture,
    [--c4_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --ndr1_0,
     --c4_1(a781),
     --c4_0,
     ++c1_2(U,W),
     ++c4_2(U,W),
     ++c1_1(U)]).

input_clause(clause386,conjecture,
    [--ssSkC6,
     --c4_1(U),
     --ndr1_0,
     --c2_2(V,W),
     --c4_2(V,W),
     --c3_2(V,W),
     --ndr1_1(V),
     --c5_2(V,a803),
     --c3_1(V),
     ++c2_1(U)]).

input_clause(clause387,conjecture,
    [--ssSkC2,
     --c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c4_2(U,W),
     --c5_1(U),
     --ndr1_0,
     ++c3_2(U,W),
     ++ndr1_1(X),
     ++c2_1(X)]).

input_clause(clause388,conjecture,
    [--ssSkC2,
     --c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c4_2(U,W),
     --c5_1(U),
     --ndr1_0,
     ++c3_2(U,W),
     ++c5_2(X,a785),
     ++c2_1(X)]).

input_clause(clause389,conjecture,
    [--ssSkC2,
     --c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c4_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c2_2(X,a785),
     ++c3_2(U,W),
     ++c2_1(X)]).

input_clause(clause390,conjecture,
    [--ssSkC2,
     --c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c4_2(U,W),
     --c5_1(U),
     --ndr1_0,
     --c1_2(X,a785),
     ++c3_2(U,W),
     ++c2_1(X)]).

input_clause(clause391,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c3_2(U,W),
     --ndr1_0,
     --c2_2(a827,X),
     --ndr1_1(a827),
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c5_2(U,W),
     ++c4_2(U,W),
     ++c4_1(U),
     ++c1_2(a827,X),
     ++c5_2(a827,X),
     ++c2_0]).

input_clause(clause392,conjecture,
    [--c4_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --ndr1_0,
     --c2_2(a781,X),
     --c1_2(a781,X),
     --ndr1_1(a781),
     --c4_0,
     ++c1_2(U,W),
     ++c4_2(U,W),
     ++c1_1(U),
     ++c4_2(a781,X)]).
%--------------------------------------------------------------------------
