%--------------------------------------------------------------------------
% File     : SYN518-1 : TPTP v2.2.1. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=150, K=3, D=2, P=0, Index=008
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-150-3-2-008.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  473 ( 294 non-Horn;   0 unit; 415 RR)
%            Number of literals   : 2046 (   0 equality)
%            Maximal clause size  :   15 (   4 average)
%            Number of predicates :   52 (  34 propositional; 0-2 arity)
%            Number of functors   :  151 ( 151 constant; 0-0 arity)
%            Number of variables  :  366 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++c4_0]).

input_clause(clause2,conjecture,
    [++ndr1_0,++c1_0]).

input_clause(clause3,conjecture,
    [++ndr1_0,++c5_0]).

input_clause(clause4,conjecture,
    [++c1_0,++c3_0]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC27]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC26]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC25]).

input_clause(clause8,conjecture,
    [++ndr1_0,++ssSkC24]).

input_clause(clause9,conjecture,
    [++ndr1_0,++ssSkC20]).

input_clause(clause10,conjecture,
    [++ndr1_0,++ssSkC19]).

input_clause(clause11,conjecture,
    [++ndr1_0,++ssSkC14]).

input_clause(clause12,conjecture,
    [++ndr1_0,++ssSkC13]).

input_clause(clause13,conjecture,
    [++ndr1_0,++ssSkC12]).

input_clause(clause14,conjecture,
    [++ndr1_0,++ssSkC11]).

input_clause(clause15,conjecture,
    [++ndr1_0,++ssSkC10]).

input_clause(clause16,conjecture,
    [++ndr1_0,++ssSkC9]).

input_clause(clause17,conjecture,
    [++ndr1_0,++ssSkC8]).

input_clause(clause18,conjecture,
    [++ndr1_0,++ssSkC6]).

input_clause(clause19,conjecture,
    [++ndr1_0,++ssSkC5]).

input_clause(clause20,conjecture,
    [++ndr1_0,++ssSkC4]).

input_clause(clause21,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause22,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause23,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause24,conjecture,
    [++ndr1_1(a1141),
     ++c4_0]).

input_clause(clause25,conjecture,
    [--c4_0,++ndr1_0]).

input_clause(clause26,conjecture,
    [++c3_1(a1121),
     ++c4_0]).

input_clause(clause27,conjecture,
    [++c1_1(a1113),
     ++c4_0]).

input_clause(clause28,conjecture,
    [++c2_1(a1113),
     ++c4_0]).

input_clause(clause29,conjecture,
    [--ssSkC19,++ndr1_0,++c2_0]).

input_clause(clause30,conjecture,
    [--c1_0,++ndr1_0]).

input_clause(clause31,conjecture,
    [--ssSkC16,--ssSkC17,++ndr1_0]).

input_clause(clause32,conjecture,
    [--ssSkC12,++ndr1_0,++c2_0]).

input_clause(clause33,conjecture,
    [--ssSkC10,--ssSkC11,++ndr1_0]).

input_clause(clause34,conjecture,
    [--c5_0,++ndr1_0]).

input_clause(clause35,conjecture,
    [--ssSkC2,++ndr1_0,++c2_0]).

input_clause(clause36,conjecture,
    [++ndr1_1(a1000),
     ++c5_0]).

input_clause(clause37,conjecture,
    [--c5_0,++c4_0]).

input_clause(clause38,conjecture,
    [--c2_0,++c4_0]).

input_clause(clause39,conjecture,
    [--c3_0,++c1_0]).

input_clause(clause40,conjecture,
    [--c4_0,++c5_0]).

input_clause(clause41,conjecture,
    [--c3_0,++c5_0]).

input_clause(clause42,conjecture,
    [--c2_0,++c5_0]).

input_clause(clause43,conjecture,
    [++c5_1(a1155),
     ++ssSkC27]).

input_clause(clause44,conjecture,
    [++ndr1_1(a1151),
     ++ssSkC26]).

input_clause(clause45,conjecture,
    [++c5_1(a1151),
     ++ssSkC26]).

input_clause(clause46,conjecture,
    [++ndr1_1(a1147),
     ++ssSkC25]).

input_clause(clause47,conjecture,
    [++c4_1(a1144),
     ++ssSkC24]).

input_clause(clause48,conjecture,
    [++ndr1_1(U),
     ++ssSkP6(U)]).

input_clause(clause49,conjecture,
    [++ndr1_1(a1116),
     ++ssSkC20]).

input_clause(clause50,conjecture,
    [++ndr1_1(a1110),
     ++ssSkC19]).

input_clause(clause51,conjecture,
    [++c4_1(a1110),
     ++ssSkC19]).

input_clause(clause52,conjecture,
    [++c2_1(a1110),
     ++ssSkC19]).

input_clause(clause53,conjecture,
    [++ndr1_1(U),
     ++ssSkP5(U)]).

input_clause(clause54,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause55,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause56,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause57,conjecture,
    [++c2_1(a1083),
     ++ssSkC14]).

input_clause(clause58,conjecture,
    [++ndr1_1(a1077),
     ++ssSkC13]).

input_clause(clause59,conjecture,
    [++c5_1(a1077),
     ++ssSkC13]).

input_clause(clause60,conjecture,
    [++c4_1(a1077),
     ++ssSkC13]).

input_clause(clause61,conjecture,
    [++ndr1_1(a1072),
     ++ssSkC12]).

input_clause(clause62,conjecture,
    [++c1_1(a1072),
     ++ssSkC12]).

input_clause(clause63,conjecture,
    [++ndr1_1(a1059),
     ++ssSkC11]).

input_clause(clause64,conjecture,
    [++ndr1_1(a1057),
     ++ssSkC10]).

input_clause(clause65,conjecture,
    [++c1_1(a1053),
     ++ssSkC9]).

input_clause(clause66,conjecture,
    [++c4_1(a1053),
     ++ssSkC9]).

input_clause(clause67,conjecture,
    [++ndr1_1(a1042),
     ++ssSkC8]).

input_clause(clause68,conjecture,
    [++ndr1_1(a1031),
     ++ssSkC6]).

input_clause(clause69,conjecture,
    [++c2_1(a1031),
     ++ssSkC6]).

input_clause(clause70,conjecture,
    [++c4_1(a1031),
     ++ssSkC6]).

input_clause(clause71,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause72,conjecture,
    [++c3_1(a1028),
     ++ssSkC5]).

input_clause(clause73,conjecture,
    [++ndr1_1(a1023),
     ++ssSkC3]).

input_clause(clause74,conjecture,
    [++c1_1(a1023),
     ++ssSkC3]).

input_clause(clause75,conjecture,
    [++c2_1(a1009),
     ++ssSkC2]).

input_clause(clause76,conjecture,
    [++c4_1(a1005),
     ++ssSkC1]).

input_clause(clause77,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause78,conjecture,
    [++c4_2(a1141,a1143),
     ++c4_0]).

input_clause(clause79,conjecture,
    [++c1_2(a1141,a1143),
     ++c4_0]).

input_clause(clause80,conjecture,
    [++c1_2(a1141,a1142),
     ++c4_0]).

input_clause(clause81,conjecture,
    [--c5_1(a1141),
     ++c4_0]).

input_clause(clause82,conjecture,
    [--c4_0,
     ++ndr1_1(a1135)]).

input_clause(clause83,conjecture,
    [--c4_0,
     ++c4_1(a1135)]).

input_clause(clause84,conjecture,
    [--ssSkC22,
     ++c4_1(a1129),
     ++c5_0]).

input_clause(clause85,conjecture,
    [--ssSkC21,--c2_0,++ndr1_0]).

input_clause(clause86,conjecture,
    [--c1_1(a1121),
     ++c4_0]).

input_clause(clause87,conjecture,
    [--c4_1(a1121),
     ++c4_0]).

input_clause(clause88,conjecture,
    [--ssSkC20,--c2_0,++ndr1_0]).

input_clause(clause89,conjecture,
    [--ssSkC19,
     ++c2_1(a1112),
     ++c2_0]).

input_clause(clause90,conjecture,
    [--c1_0,
     ++c5_1(a1103)]).

input_clause(clause91,conjecture,
    [--c1_0,
     ++ndr1_1(a1097)]).

input_clause(clause92,conjecture,
    [--ssSkC16,
     --ssSkC17,
     ++ndr1_1(a1094)]).

input_clause(clause93,conjecture,
    [--ssSkC14,
     ++ndr1_1(a1084),
     ++c4_0]).

input_clause(clause94,conjecture,
    [--ssSkC12,
     ++ndr1_1(a1075),
     ++c2_0]).

input_clause(clause95,conjecture,
    [--c1_1(a1071),
     ++c1_0]).

input_clause(clause96,conjecture,
    [--c2_1(a1071),
     ++c1_0]).

input_clause(clause97,conjecture,
    [++ndr1_1(a1067),
     ++c5_0,
     ++c2_0]).

input_clause(clause98,conjecture,
    [--ssSkC10,
     --ssSkC11,
     ++c4_1(a1062)]).

input_clause(clause99,conjecture,
    [--ssSkC9,
     ++ndr1_1(a1054),
     ++c4_0]).

input_clause(clause100,conjecture,
    [--ssSkC9,
     ++c2_1(a1054),
     ++c4_0]).

input_clause(clause101,conjecture,
    [--c1_0,
     ++c5_1(a1049)]).

input_clause(clause102,conjecture,
    [--ssSkC8,
     ++c2_1(a1046),
     ++c4_0]).

input_clause(clause103,conjecture,
    [--ssSkC4,--c3_0,++ndr1_0]).

input_clause(clause104,conjecture,
    [--c5_0,
     ++ndr1_1(a1014)]).

input_clause(clause105,conjecture,
    [--ssSkC2,
     ++ndr1_1(a1010),
     ++c2_0]).

input_clause(clause106,conjecture,
    [++c3_2(a1000,a1001),
     ++c5_0]).

input_clause(clause107,conjecture,
    [--c2_1(a1000),
     ++c5_0]).

input_clause(clause108,conjecture,
    [--c4_0,++c2_0,++c3_0]).

input_clause(clause109,conjecture,
    [--c5_0,--c1_0]).

input_clause(clause110,conjecture,
    [--c1_0,--c4_0]).

input_clause(clause111,conjecture,
    [--c3_0,--c5_0]).

input_clause(clause112,conjecture,
    [--c3_1(a1155),
     ++ssSkC27]).

input_clause(clause113,conjecture,
    [++c5_2(a1147,a1148),
     ++ssSkC25]).

input_clause(clause114,conjecture,
    [++c4_2(a1147,a1148),
     ++ssSkC25]).

input_clause(clause115,conjecture,
    [++c2_2(a1147,a1148),
     ++ssSkC25]).

input_clause(clause116,conjecture,
    [++c1_2(U,a1127),
     ++ssSkP6(U)]).

input_clause(clause117,conjecture,
    [++c4_2(a1116,a1117),
     ++ssSkC20]).

input_clause(clause118,conjecture,
    [--c4_1(a1116),
     ++ssSkC20]).

input_clause(clause119,conjecture,
    [++c1_2(a1110,a1111),
     ++ssSkC19]).

input_clause(clause120,conjecture,
    [++c5_2(a1110,a1111),
     ++ssSkC19]).

input_clause(clause121,conjecture,
    [++c1_2(U,a1107),
     ++ssSkP5(U)]).

input_clause(clause122,conjecture,
    [++c2_2(U,a1092),
     ++ssSkP4(U)]).

input_clause(clause123,conjecture,
    [++c4_2(U,a1092),
     ++ssSkP4(U)]).

input_clause(clause124,conjecture,
    [++c2_2(U,a1090),
     ++ssSkP3(U)]).

input_clause(clause125,conjecture,
    [++c5_2(U,a1090),
     ++ssSkP3(U)]).

input_clause(clause126,conjecture,
    [++c1_2(U,a1087),
     ++ssSkP2(U)]).

input_clause(clause127,conjecture,
    [++c5_2(U,a1087),
     ++ssSkP2(U)]).

input_clause(clause128,conjecture,
    [++c3_2(U,a1087),
     ++ssSkP2(U)]).

input_clause(clause129,conjecture,
    [--c1_1(a1083),
     ++ssSkC14]).

input_clause(clause130,conjecture,
    [++c5_2(a1077,a1078),
     ++ssSkC13]).

input_clause(clause131,conjecture,
    [++c2_2(a1072,a1073),
     ++ssSkC12]).

input_clause(clause132,conjecture,
    [++c4_2(a1072,a1073),
     ++ssSkC12]).

input_clause(clause133,conjecture,
    [++c3_2(a1059,a1061),
     ++ssSkC11]).

input_clause(clause134,conjecture,
    [++c1_2(a1059,a1061),
     ++ssSkC11]).

input_clause(clause135,conjecture,
    [++c5_2(a1059,a1060),
     ++ssSkC11]).

input_clause(clause136,conjecture,
    [++c2_2(a1059,a1060),
     ++ssSkC11]).

input_clause(clause137,conjecture,
    [++c3_2(a1057,a1058),
     ++ssSkC10]).

input_clause(clause138,conjecture,
    [--c2_1(a1057),
     ++ssSkC10]).

input_clause(clause139,conjecture,
    [--c5_1(a1057),
     ++ssSkC10]).

input_clause(clause140,conjecture,
    [++c1_2(a1042,a1045),
     ++ssSkC8]).

input_clause(clause141,conjecture,
    [++c5_2(a1042,a1043),
     ++ssSkC8]).

input_clause(clause142,conjecture,
    [++c5_2(a1031,a1032),
     ++ssSkC6]).

input_clause(clause143,conjecture,
    [++c2_2(U,a1029),
     ++ssSkP1(U)]).

input_clause(clause144,conjecture,
    [++c3_2(U,a1029),
     ++ssSkP1(U)]).

input_clause(clause145,conjecture,
    [--c3_1(a1026),
     ++ssSkC4]).

input_clause(clause146,conjecture,
    [++c1_2(a1023,a1024),
     ++ssSkC3]).

input_clause(clause147,conjecture,
    [++c3_2(a1023,a1024),
     ++ssSkC3]).

input_clause(clause148,conjecture,
    [--c2_1(a1023),
     ++ssSkC3]).

input_clause(clause149,conjecture,
    [--c3_1(a1005),
     ++ssSkC1]).

input_clause(clause150,conjecture,
    [++c3_2(U,a1003),
     ++ssSkP0(U)]).

input_clause(clause151,conjecture,
    [++c5_2(U,a1003),
     ++ssSkP0(U)]).

input_clause(clause152,conjecture,
    [--ssSkC26,
     --c1_0,
     ++ndr1_1(a1153)]).

input_clause(clause153,conjecture,
    [--ssSkC26,
     --c1_0,
     ++c2_1(a1153)]).

input_clause(clause154,conjecture,
    [--ssSkC25,
     --c1_0,
     ++ndr1_1(a1149)]).

input_clause(clause155,conjecture,
    [--ssSkC25,
     --c1_0,
     ++c5_1(a1149)]).

input_clause(clause156,conjecture,
    [--ssSkC24,
     --c5_0,
     ++ndr1_1(a1145)]).

input_clause(clause157,conjecture,
    [--c3_2(a1141,a1143),
     ++c4_0]).

input_clause(clause158,conjecture,
    [--c2_2(a1141,a1142),
     ++c4_0]).

input_clause(clause159,conjecture,
    [--c4_0,
     ++c4_2(a1135,a1136)]).

input_clause(clause160,conjecture,
    [--c4_0,
     ++c1_2(a1135,a1136)]).

input_clause(clause161,conjecture,
    [--c4_0,
     ++c2_2(a1135,a1136)]).

input_clause(clause162,conjecture,
    [--ssSkC22,
     --c2_1(a1129),
     ++c5_0]).

input_clause(clause163,conjecture,
    [--ssSkC20,
     --c2_0,
     ++ndr1_1(a1118)]).

input_clause(clause164,conjecture,
    [--c5_0,
     ++ndr1_1(a1114),
     ++c1_0]).

input_clause(clause165,conjecture,
    [--c1_0,
     ++ndr1_1(a1104),
     ++c5_0]).

input_clause(clause166,conjecture,
    [--c3_0,--c2_0,++ndr1_0]).

input_clause(clause167,conjecture,
    [--c1_0,
     ++c1_2(a1097,a1098)]).

input_clause(clause168,conjecture,
    [--c1_0,
     ++c5_2(a1097,a1098)]).

input_clause(clause169,conjecture,
    [--c1_0,
     ++c3_2(a1097,a1098)]).

input_clause(clause170,conjecture,
    [--c2_1(a1097),
     --c1_0]).

input_clause(clause171,conjecture,
    [--c5_1(a1097),
     --c1_0]).

input_clause(clause172,conjecture,
    [--ssSkC16,
     --ssSkC17,
     ++c2_2(a1094,a1095)]).

input_clause(clause173,conjecture,
    [--ssSkC16,
     --ssSkC17,
     --c2_1(a1094)]).

input_clause(clause174,conjecture,
    [--ssSkC14,
     ++c3_2(a1084,a1086),
     ++c4_0]).

input_clause(clause175,conjecture,
    [--ssSkC14,
     ++c1_2(a1084,a1085),
     ++c4_0]).

input_clause(clause176,conjecture,
    [--ssSkC14,
     ++c2_2(a1084,a1085),
     ++c4_0]).

input_clause(clause177,conjecture,
    [--ssSkC14,
     ++c3_2(a1084,a1085),
     ++c4_0]).

input_clause(clause178,conjecture,
    [--ssSkC13,
     --c1_1(a1079),
     ++c4_0]).

input_clause(clause179,conjecture,
    [--ssSkC13,
     --c2_1(a1079),
     ++c4_0]).

input_clause(clause180,conjecture,
    [++c2_2(a1067,a1068),
     ++c5_0,
     ++c2_0]).

input_clause(clause181,conjecture,
    [++c3_2(a1067,a1068),
     ++c5_0,
     ++c2_0]).

input_clause(clause182,conjecture,
    [--c3_1(a1067),
     ++c5_0,
     ++c2_0]).

input_clause(clause183,conjecture,
    [--c4_1(a1067),
     ++c5_0,
     ++c2_0]).

input_clause(clause184,conjecture,
    [--c1_1(a1063),
     ++c5_0,
     ++c2_0]).

input_clause(clause185,conjecture,
    [--ssSkC10,
     --ssSkC11,
     --c5_1(a1062)]).

input_clause(clause186,conjecture,
    [--ssSkC9,
     ++c3_2(a1054,a1056),
     ++c4_0]).

input_clause(clause187,conjecture,
    [--ssSkC9,
     ++c5_2(a1054,a1056),
     ++c4_0]).

input_clause(clause188,conjecture,
    [--ssSkC9,
     ++c4_2(a1054,a1056),
     ++c4_0]).

input_clause(clause189,conjecture,
    [--c3_1(a1049),
     --c1_0]).

input_clause(clause190,conjecture,
    [--ssSkC8,
     --c5_1(a1046),
     ++c4_0]).

input_clause(clause191,conjecture,
    [--ssSkC8,
     --c4_1(a1046),
     ++c4_0]).

input_clause(clause192,conjecture,
    [--ssSkC6,
     --c1_0,
     ++c3_1(a1033)]).

input_clause(clause193,conjecture,
    [--ssSkC4,
     --c3_0,
     ++c4_1(a1027)]).

input_clause(clause194,conjecture,
    [--ssSkC4,
     --c3_0,
     ++c5_1(a1027)]).

input_clause(clause195,conjecture,
    [--c5_0,
     ++c1_2(a1014,a1015)]).

input_clause(clause196,conjecture,
    [--c2_1(a1014),
     --c5_0]).

input_clause(clause197,conjecture,
    [--c2_0,
     ++c3_1(a1013),
     ++c1_0]).

input_clause(clause198,conjecture,
    [--ssSkC2,
     ++c2_2(a1010,a1012),
     ++c2_0]).

input_clause(clause199,conjecture,
    [--ssSkC2,
     ++c2_2(a1010,a1011),
     ++c2_0]).

input_clause(clause200,conjecture,
    [--c4_2(a1000,a1001),
     ++c5_0]).

input_clause(clause201,conjecture,
    [--c5_2(a1000,a1001),
     ++c5_0]).

input_clause(clause202,conjecture,
    [--c1_2(a1151,a1152),
     ++ssSkC26]).

input_clause(clause203,conjecture,
    [--c4_2(U,a1127),
     ++ssSkP6(U)]).

input_clause(clause204,conjecture,
    [--c5_2(U,a1127),
     ++ssSkP6(U)]).

input_clause(clause205,conjecture,
    [--c5_2(a1116,a1117),
     ++ssSkC20]).

input_clause(clause206,conjecture,
    [--c3_2(a1116,a1117),
     ++ssSkC20]).

input_clause(clause207,conjecture,
    [--c4_2(a1110,a1111),
     ++ssSkC19]).

input_clause(clause208,conjecture,
    [--c4_2(U,a1107),
     ++ssSkP5(U)]).

input_clause(clause209,conjecture,
    [--c5_2(U,a1107),
     ++ssSkP5(U)]).

input_clause(clause210,conjecture,
    [--c1_2(U,a1092),
     ++ssSkP4(U)]).

input_clause(clause211,conjecture,
    [--c1_2(U,a1090),
     ++ssSkP3(U)]).

input_clause(clause212,conjecture,
    [--c2_2(a1077,a1078),
     ++ssSkC13]).

input_clause(clause213,conjecture,
    [--c4_2(a1077,a1078),
     ++ssSkC13]).

input_clause(clause214,conjecture,
    [--c3_2(a1072,a1074),
     ++ssSkC12]).

input_clause(clause215,conjecture,
    [--c4_2(a1072,a1074),
     ++ssSkC12]).

input_clause(clause216,conjecture,
    [--c3_2(a1072,a1073),
     ++ssSkC12]).

input_clause(clause217,conjecture,
    [--c1_2(a1059,a1060),
     ++ssSkC11]).

input_clause(clause218,conjecture,
    [--c4_2(a1057,a1058),
     ++ssSkC10]).

input_clause(clause219,conjecture,
    [--c3_2(a1042,a1045),
     ++ssSkC8]).

input_clause(clause220,conjecture,
    [--c2_2(a1042,a1044),
     ++ssSkC8]).

input_clause(clause221,conjecture,
    [--c5_2(a1042,a1044),
     ++ssSkC8]).

input_clause(clause222,conjecture,
    [--c3_2(a1042,a1043),
     ++ssSkC8]).

input_clause(clause223,conjecture,
    [--c2_2(a1042,a1043),
     ++ssSkC8]).

input_clause(clause224,conjecture,
    [--c2_2(a1031,a1032),
     ++ssSkC6]).

input_clause(clause225,conjecture,
    [--c4_2(U,a1029),
     ++ssSkP1(U)]).

input_clause(clause226,conjecture,
    [--c2_2(a1023,a1024),
     ++ssSkC3]).

input_clause(clause227,conjecture,
    [--c1_2(U,a1003),
     ++ssSkP0(U)]).

input_clause(clause228,conjecture,
    [--ssSkC26,
     --c1_0,
     ++c4_2(a1153,a1154)]).

input_clause(clause229,conjecture,
    [--ssSkC26,
     --c1_0,
     ++c5_2(a1153,a1154)]).

input_clause(clause230,conjecture,
    [--ssSkC26,
     --c4_1(a1153),
     --c1_0]).

input_clause(clause231,conjecture,
    [--ssSkC25,
     --c1_0,
     ++c4_2(a1149,a1150)]).

input_clause(clause232,conjecture,
    [--ssSkC25,
     --c1_0,
     ++c3_2(a1149,a1150)]).

input_clause(clause233,conjecture,
    [--ssSkC25,
     --c3_1(a1149),
     --c1_0]).

input_clause(clause234,conjecture,
    [--ssSkC24,
     --c5_0,
     ++c1_2(a1145,a1146)]).

input_clause(clause235,conjecture,
    [--ssSkC24,
     --c2_1(a1145),
     --c5_0]).

input_clause(clause236,conjecture,
    [--ssSkC24,
     --c4_1(a1145),
     --c5_0]).

input_clause(clause237,conjecture,
    [--ssSkC20,
     --c2_0,
     ++c4_2(a1118,a1119)]).

input_clause(clause238,conjecture,
    [--ssSkC20,
     --c2_0,
     ++c5_2(a1118,a1119)]).

input_clause(clause239,conjecture,
    [--ssSkC20,
     --c2_0,
     ++c2_2(a1118,a1119)]).

input_clause(clause240,conjecture,
    [--c5_0,
     ++c3_2(a1114,a1115),
     ++c1_0]).

input_clause(clause241,conjecture,
    [--c1_0,
     ++c3_2(a1104,a1105),
     ++c5_0]).

input_clause(clause242,conjecture,
    [--c2_1(a1104),
     --c1_0,
     ++c5_0]).

input_clause(clause243,conjecture,
    [--c3_0,
     --c2_0,
     ++c5_1(a1099)]).

input_clause(clause244,conjecture,
    [--ssSkC16,
     --ssSkC17,
     --c4_2(a1094,a1095)]).

input_clause(clause245,conjecture,
    [--ssSkC15,
     --c1_1(a1089),
     --c4_0]).

input_clause(clause246,conjecture,
    [--ssSkC14,
     --c2_2(a1084,a1086),
     ++c4_0]).

input_clause(clause247,conjecture,
    [--ssSkC14,
     --c4_2(a1084,a1086),
     ++c4_0]).

input_clause(clause248,conjecture,
    [--c1_1(a1082),
     --c2_0,
     ++c1_0]).

input_clause(clause249,conjecture,
    [--ssSkC12,
     --c2_2(a1075,a1076),
     ++c2_0]).

input_clause(clause250,conjecture,
    [--ssSkC12,
     --c4_2(a1075,a1076),
     ++c2_0]).

input_clause(clause251,conjecture,
    [--ssSkC12,
     --c1_2(a1075,a1076),
     ++c2_0]).

input_clause(clause252,conjecture,
    [--c1_2(a1067,a1068),
     ++c5_0,
     ++c2_0]).

input_clause(clause253,conjecture,
    [--ssSkC9,
     --c4_2(a1054,a1055),
     ++c4_0]).

input_clause(clause254,conjecture,
    [--ssSkC9,
     --c2_2(a1054,a1055),
     ++c4_0]).

input_clause(clause255,conjecture,
    [--c2_1(a1050),
     --c1_0,
     ++c3_0]).

input_clause(clause256,conjecture,
    [--ssSkC6,
     --c5_1(a1033),
     --c1_0]).

input_clause(clause257,conjecture,
    [--c2_0,
     --c5_0,
     ++ndr1_1(a1018)]).

input_clause(clause258,conjecture,
    [--c3_0,
     --c4_0,
     ++ndr1_1(a1016)]).

input_clause(clause259,conjecture,
    [--c3_0,
     --c4_0,
     ++c1_1(a1016)]).

input_clause(clause260,conjecture,
    [--c3_2(a1014,a1015),
     --c5_0]).

input_clause(clause261,conjecture,
    [--c2_2(a1014,a1015),
     --c5_0]).

input_clause(clause262,conjecture,
    [--c2_1(a1013),
     --c2_0,
     ++c1_0]).

input_clause(clause263,conjecture,
    [--ssSkC2,
     --c5_2(a1010,a1012),
     ++c2_0]).

input_clause(clause264,conjecture,
    [--ssSkC2,
     --c1_2(a1010,a1012),
     ++c2_0]).

input_clause(clause265,conjecture,
    [--ssSkC2,
     --c5_2(a1010,a1011),
     ++c2_0]).

input_clause(clause266,conjecture,
    [--ssSkC2,
     --c3_2(a1010,a1011),
     ++c2_0]).

input_clause(clause267,conjecture,
    [--c1_0,--c2_0,--c3_0]).

input_clause(clause268,conjecture,
    [--ssSkC26,
     --c2_2(a1153,a1154),
     --c1_0]).

input_clause(clause269,conjecture,
    [--ssSkC24,
     --c2_2(a1145,a1146),
     --c5_0]).

input_clause(clause270,conjecture,
    [--ssSkC24,
     --c3_2(a1145,a1146),
     --c5_0]).

input_clause(clause271,conjecture,
    [--ndr1_0,
     --c2_0,
     ++ndr1_1(U),
     ++c1_1(U)]).

input_clause(clause272,conjecture,
    [--c5_2(a1114,a1115),
     --c5_0,
     ++c1_0]).

input_clause(clause273,conjecture,
    [--c4_2(a1114,a1115),
     --c5_0,
     ++c1_0]).

input_clause(clause274,conjecture,
    [--c5_2(a1104,a1105),
     --c1_0,
     ++c5_0]).

input_clause(clause275,conjecture,
    [--c2_1(a1099),
     --c3_0,
     --c2_0]).

input_clause(clause276,conjecture,
    [--c3_1(a1099),
     --c3_0,
     --c2_0]).

input_clause(clause277,conjecture,
    [--ndr1_0,
     --c5_0,
     ++ndr1_1(U),
     ++c4_1(U)]).

input_clause(clause278,conjecture,
    [--c2_0,
     --c5_0,
     ++c5_2(a1018,a1019)]).

input_clause(clause279,conjecture,
    [--c5_1(a1018),
     --c2_0,
     --c5_0]).

input_clause(clause280,conjecture,
    [--c3_0,
     --c4_0,
     ++c2_2(a1016,a1017)]).

input_clause(clause281,conjecture,
    [--c3_0,
     --c4_0,
     ++c5_2(a1016,a1017)]).

input_clause(clause282,conjecture,
    [--c4_1(a1016),
     --c3_0,
     --c4_0]).

input_clause(clause283,conjecture,
    [--ndr1_0,
     --c2_0,
     ++c2_2(U,a1140),
     ++c1_1(U)]).

input_clause(clause284,conjecture,
    [--ndr1_0,
     --c5_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++c1_0]).

input_clause(clause285,conjecture,
    [--ndr1_0,
     --c5_0,
     ++c4_2(U,a1020),
     ++c4_1(U)]).

input_clause(clause286,conjecture,
    [--ndr1_0,
     --c5_0,
     ++c1_2(U,a1020),
     ++c4_1(U)]).

input_clause(clause287,conjecture,
    [--c3_2(a1018,a1019),
     --c2_0,
     --c5_0]).

input_clause(clause288,conjecture,
    [--c4_2(a1018,a1019),
     --c2_0,
     --c5_0]).

input_clause(clause289,conjecture,
    [--c1_2(a1016,a1017),
     --c3_0,
     --c4_0]).

input_clause(clause290,conjecture,
    [--ssSkP6(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++ssSkC22]).

input_clause(clause291,conjecture,
    [--c5_1(U),
     --ndr1_0,
     ++c3_1(U),
     ++c4_1(U),
     ++c1_0]).

input_clause(clause292,conjecture,
    [--c5_2(U,a1140),
     --ndr1_0,
     --c2_0,
     ++c1_1(U)]).

input_clause(clause293,conjecture,
    [--ndr1_0,
     --c5_0,
     ++c5_2(U,a1109),
     ++c1_1(U),
     ++c1_0]).

input_clause(clause294,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++ndr1_1(a1051),
     ++c5_0]).

input_clause(clause295,conjecture,
    [--ndr1_0,
     --c4_1(a1036),
     ++c4_1(U),
     ++c2_1(U),
     ++c1_0]).

input_clause(clause296,conjecture,
    [--c5_2(U,a1020),
     --ndr1_0,
     --c5_0,
     ++c4_1(U)]).

input_clause(clause297,conjecture,
    [--ssSkP6(U),
     --ndr1_0,
     ++c2_2(U,a1128),
     ++c3_1(U),
     ++ssSkC22]).

input_clause(clause298,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++ssSkC21]).

input_clause(clause299,conjecture,
    [--ssSkP2(U),
     --c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC15]).

input_clause(clause300,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++ssSkC7]).

input_clause(clause301,conjecture,
    [--ssSkP0(U),
     --c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC0]).

input_clause(clause302,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c1_0,
     ++ndr1_1(U),
     ++c3_1(U)]).

input_clause(clause303,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c2_0,
     ++ndr1_1(U),
     ++c3_1(U)]).

input_clause(clause304,conjecture,
    [--ssSkC0,
     --ssSkC1,
     --c1_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U)]).

input_clause(clause305,conjecture,
    [--ndr1_1(a1144),
     ++c3_2(a1144,U),
     ++c5_2(a1144,U),
     ++ssSkC24]).

input_clause(clause306,conjecture,
    [--ndr1_1(a1083),
     ++c1_2(a1083,U),
     ++c5_2(a1083,U),
     ++ssSkC14]).

input_clause(clause307,conjecture,
    [--c4_2(a1113,U),
     --ndr1_1(a1113),
     ++c2_2(a1113,U),
     ++c4_0]).

input_clause(clause308,conjecture,
    [--c3_2(U,a1109),
     --ndr1_0,
     --c5_0,
     ++c1_1(U),
     ++c1_0]).

input_clause(clause309,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_1(U),
     ++c1_1(a1069)]).

input_clause(clause310,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c5_2(a1051,a1052),
     ++c5_0]).

input_clause(clause311,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c1_2(a1051,a1052),
     ++c5_0]).

input_clause(clause312,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_1(a1051),
     ++c1_1(U),
     ++c5_0]).

input_clause(clause313,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_0,
     --c5_0,
     ++c2_1(U)]).

input_clause(clause314,conjecture,
    [--ssSkP6(U),
     --c4_2(U,a1128),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC22]).

input_clause(clause315,conjecture,
    [--ssSkP6(U),
     --c5_2(U,a1128),
     --ndr1_0,
     ++c3_1(U),
     ++ssSkC22]).

input_clause(clause316,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c4_2(U,a1125),
     ++c4_1(U),
     ++ssSkC21]).

input_clause(clause317,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c1_2(U,a1125),
     ++c4_1(U),
     ++ssSkC21]).

input_clause(clause318,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_2(U,a1037),
     ++c4_1(U),
     ++ssSkC7]).

input_clause(clause319,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c5_2(U,a1037),
     ++c4_1(U),
     ++ssSkC7]).

input_clause(clause320,conjecture,
    [--ssSkP0(U),
     --c2_1(U),
     --ndr1_0,
     ++c4_2(U,a1004),
     ++ssSkC0]).

input_clause(clause321,conjecture,
    [--ssSkP0(U),
     --c2_1(U),
     --ndr1_0,
     ++c3_2(U,a1004),
     ++ssSkC0]).

input_clause(clause322,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c1_0,
     ++c5_2(U,a1120),
     ++c3_1(U)]).

input_clause(clause323,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c1_0,
     ++c4_2(U,a1120),
     ++c3_1(U)]).

input_clause(clause324,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c2_0,
     ++c4_2(U,a1035),
     ++c3_1(U)]).

input_clause(clause325,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_2(U,a1035),
     ++c3_1(U)]).

input_clause(clause326,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c4_0,
     ++c5_1(U),
     ++c3_1(U),
     ++c1_0]).

input_clause(clause327,conjecture,
    [--c5_2(a1009,U),
     --ndr1_1(a1009),
     ++c2_2(a1009,U),
     ++ssSkC2]).

input_clause(clause328,conjecture,
    [--c4_2(a1005,U),
     --ndr1_1(a1005),
     ++c5_2(a1005,U),
     ++ssSkC1]).

input_clause(clause329,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c4_1(a1069),
     --c2_0,
     ++c2_1(U)]).

input_clause(clause330,conjecture,
    [--c4_1(U),
     --ndr1_0,
     --c2_1(a1069),
     --c2_0,
     ++c2_1(U)]).

input_clause(clause331,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c4_2(a1051,a1052),
     ++c1_1(U),
     ++c5_0]).

input_clause(clause332,conjecture,
    [--ssSkP2(U),
     --c5_2(U,a1088),
     --c2_1(U),
     --ndr1_0,
     ++ssSkC15]).

input_clause(clause333,conjecture,
    [--c1_2(U,a1037),
     --c2_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++ssSkC7]).

input_clause(clause334,conjecture,
    [--ssSkP0(U),
     --c5_2(U,a1004),
     --c2_1(U),
     --ndr1_0,
     ++ssSkC0]).

input_clause(clause335,conjecture,
    [--c3_2(U,a1120),
     --c4_1(U),
     --ndr1_0,
     --c1_0,
     ++c3_1(U)]).

input_clause(clause336,conjecture,
    [--ndr1_1(a1071),
     ++c5_2(a1071,U),
     ++c4_2(a1071,U),
     ++c1_2(a1071,U),
     ++c1_0]).

input_clause(clause337,conjecture,
    [--c2_2(U,a1035),
     --c2_1(U),
     --ndr1_0,
     --c2_0,
     ++c3_1(U)]).

input_clause(clause338,conjecture,
    [--ssSkC0,
     --ssSkC1,
     --c3_2(U,a1006),
     --c1_1(U),
     --ndr1_0,
     ++c5_1(U)]).

input_clause(clause339,conjecture,
    [--ssSkC0,
     --ssSkC1,
     --c4_2(U,a1006),
     --c1_1(U),
     --ndr1_0,
     ++c5_1(U)]).

input_clause(clause340,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c5_0,
     --c2_0,
     ++c3_1(U),
     ++c1_1(U)]).

input_clause(clause341,conjecture,
    [--ssSkC21,
     --c4_2(a1126,U),
     --ndr1_1(a1126),
     --c2_0,
     ++c1_2(a1126,U)]).

input_clause(clause342,conjecture,
    [--c5_2(a1114,U),
     --ndr1_1(a1114),
     --c5_0,
     ++c3_2(a1114,U),
     ++c1_0]).

input_clause(clause343,conjecture,
    [--c5_2(a1063,U),
     --c3_2(a1063,U),
     --ndr1_1(a1063),
     ++c5_0,
     ++c2_0]).

input_clause(clause344,conjecture,
    [--ssSkC4,
     --c4_2(a1027,U),
     --ndr1_1(a1027),
     --c3_0,
     ++c1_2(a1027,U)]).

input_clause(clause345,conjecture,
    [--ndr1_1(a1116),
     ++c4_2(a1116,U),
     ++c2_2(a1116,U),
     ++c3_2(a1116,U),
     ++ssSkC20]).

input_clause(clause346,conjecture,
    [--ndr1_1(a1103),
     --c1_0,
     ++c5_2(a1103,U),
     ++c1_2(a1103,U),
     ++c3_2(a1103,U)]).

input_clause(clause347,conjecture,
    [--ssSkC12,
     --ndr1_1(a1075),
     ++c5_2(a1075,U),
     ++c1_2(a1075,U),
     ++c4_2(a1075,U),
     ++c2_0]).

input_clause(clause348,conjecture,
    [--c1_2(a1000,U),
     --ndr1_1(a1000),
     ++c5_2(a1000,U),
     ++c2_2(a1000,U),
     ++c5_0]).

input_clause(clause349,conjecture,
    [--c2_2(a1147,U),
     --ndr1_1(a1147),
     ++c1_2(a1147,U),
     ++c3_2(a1147,U),
     ++ssSkC25]).

input_clause(clause350,conjecture,
    [--c5_2(a1059,U),
     --ndr1_1(a1059),
     ++c3_2(a1059,U),
     ++c1_2(a1059,U),
     ++ssSkC11]).

input_clause(clause351,conjecture,
    [--c1_2(a1053,U),
     --ndr1_1(a1053),
     ++c4_2(a1053,U),
     ++c2_2(a1053,U),
     ++ssSkC9]).

input_clause(clause352,conjecture,
    [--ssSkC22,
     --c5_2(a1129,U),
     --ndr1_1(a1129),
     ++c3_2(a1129,U),
     ++c4_2(a1129,U),
     ++c5_0]).

input_clause(clause353,conjecture,
    [--ssSkC21,
     --ndr1_1(a1126),
     --c2_0,
     ++c3_2(a1126,U),
     ++c1_2(a1126,U),
     ++c2_2(a1126,U)]).

input_clause(clause354,conjecture,
    [--ndr1_1(a1102),
     --c4_0,
     ++c2_2(a1102,U),
     ++c3_2(a1102,U),
     ++c5_2(a1102,U),
     ++c1_0]).

input_clause(clause355,conjecture,
    [--ndr1_1(a1102),
     --c4_0,
     ++c3_2(a1102,U),
     ++c1_2(a1102,U),
     ++c2_2(a1102,U),
     ++c1_0]).

input_clause(clause356,conjecture,
    [--ssSkC15,
     --ndr1_1(a1089),
     --c4_0,
     ++c2_2(a1089,U),
     ++c3_2(a1089,U),
     ++c1_2(a1089,U)]).

input_clause(clause357,conjecture,
    [--ssSkC10,
     --ssSkC11,
     --c1_2(a1062,U),
     --ndr1_1(a1062),
     ++c5_2(a1062,U),
     ++c2_2(a1062,U)]).

input_clause(clause358,conjecture,
    [--ndr1_0,
     --c5_1(U),
     --c1_1(U),
     --c2_0,
     ++c5_1(V),
     ++c4_1(V),
     ++c2_1(U)]).

input_clause(clause359,conjecture,
    [--c1_2(a1151,U),
     --c2_2(a1151,U),
     --ndr1_1(a1151),
     ++c5_2(a1151,U),
     ++ssSkC26]).

input_clause(clause360,conjecture,
    [--c5_2(a1147,U),
     --c2_2(a1147,U),
     --ndr1_1(a1147),
     ++c3_2(a1147,U),
     ++ssSkC25]).

input_clause(clause361,conjecture,
    [--c2_2(a1144,U),
     --c1_2(a1144,U),
     --ndr1_1(a1144),
     ++c4_2(a1144,U),
     ++ssSkC24]).

input_clause(clause362,conjecture,
    [--c3_2(a1028,U),
     --c2_2(a1028,U),
     --ndr1_1(a1028),
     ++c5_2(a1028,U),
     ++ssSkC5]).

input_clause(clause363,conjecture,
    [--c5_2(a1026,U),
     --c4_2(a1026,U),
     --ndr1_1(a1026),
     ++c2_2(a1026,U),
     ++ssSkC4]).

input_clause(clause364,conjecture,
    [--ssSkC19,
     --c5_2(a1112,U),
     --c2_2(a1112,U),
     --ndr1_1(a1112),
     ++c1_2(a1112,U),
     ++c2_0]).

input_clause(clause365,conjecture,
    [--c3_2(a1103,U),
     --c1_2(a1103,U),
     --ndr1_1(a1103),
     --c1_0,
     ++c5_2(a1103,U)]).

input_clause(clause366,conjecture,
    [--ssSkC16,
     --ssSkC17,
     --c4_2(a1094,U),
     --c5_2(a1094,U),
     --ndr1_1(a1094),
     ++c2_2(a1094,U)]).

input_clause(clause367,conjecture,
    [--c5_2(a1082,U),
     --ndr1_1(a1082),
     --c2_0,
     ++c4_2(a1082,U),
     ++c2_2(a1082,U),
     ++c1_0]).

input_clause(clause368,conjecture,
    [--c2_2(a1082,U),
     --ndr1_1(a1082),
     --c2_0,
     ++c3_2(a1082,U),
     ++c5_2(a1082,U),
     ++c1_0]).

input_clause(clause369,conjecture,
    [--c2_2(a1050,U),
     --ndr1_1(a1050),
     --c1_0,
     ++c4_2(a1050,U),
     ++c3_2(a1050,U),
     ++c3_0]).

input_clause(clause370,conjecture,
    [--c2_2(a1049,U),
     --c3_2(a1049,U),
     --ndr1_1(a1049),
     --c1_0,
     ++c1_2(a1049,U)]).

input_clause(clause371,conjecture,
    [--ssSkC6,
     --c3_2(a1033,U),
     --ndr1_1(a1033),
     --c1_0,
     ++c5_2(a1033,U),
     ++c4_2(a1033,U)]).

input_clause(clause372,conjecture,
    [--ssSkC3,
     --c4_2(a1025,U),
     --c1_2(a1025,U),
     --ndr1_1(a1025),
     ++c5_2(a1025,U),
     ++c4_0]).

input_clause(clause373,conjecture,
    [--ssSkC3,
     --c3_2(a1025,U),
     --c1_2(a1025,U),
     --ndr1_1(a1025),
     ++c5_2(a1025,U),
     ++c4_0]).

input_clause(clause374,conjecture,
    [--c5_2(a1013,U),
     --ndr1_1(a1013),
     --c2_0,
     ++c1_2(a1013,U),
     ++c4_2(a1013,U),
     ++c1_0]).

input_clause(clause375,conjecture,
    [--ssSkC2,
     --c2_2(a1010,U),
     --c1_2(a1010,U),
     --ndr1_1(a1010),
     ++c3_2(a1010,U),
     ++c2_0]).

input_clause(clause376,conjecture,
    [--c2_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_0,
     ++c1_0]).

input_clause(clause377,conjecture,
    [--c5_2(a1135,U),
     --c1_2(a1135,U),
     --c3_2(a1135,U),
     --ndr1_1(a1135),
     --c4_0]).

input_clause(clause378,conjecture,
    [--ssSkC20,
     --c1_2(a1118,U),
     --c3_2(a1118,U),
     --ndr1_1(a1118),
     --c2_0,
     ++c4_2(a1118,U)]).

input_clause(clause379,conjecture,
    [--c2_2(a1114,U),
     --c4_2(a1114,U),
     --ndr1_1(a1114),
     --c5_0,
     ++c3_2(a1114,U),
     ++c1_0]).

input_clause(clause380,conjecture,
    [--ssSkC19,
     --c4_2(a1112,U),
     --c3_2(a1112,U),
     --c2_2(a1112,U),
     --ndr1_1(a1112),
     ++c2_0]).

input_clause(clause381,conjecture,
    [--ssSkC15,
     --c2_2(a1089,U),
     --c3_2(a1089,U),
     --ndr1_1(a1089),
     --c4_0,
     ++c1_2(a1089,U)]).

input_clause(clause382,conjecture,
    [--c4_2(a1018,U),
     --ndr1_1(a1018),
     --c2_0,
     --c5_0,
     ++c1_2(a1018,U),
     ++c5_2(a1018,U)]).

input_clause(clause383,conjecture,
    [--ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_2(U,V),
     ++c4_2(U,V),
     ++c2_1(U),
     ++c1_0]).

input_clause(clause384,conjecture,
    [--ndr1_0,
     --c5_2(U,V),
     --ndr1_1(U),
     ++c1_2(U,V),
     ++c1_2(U,a1137),
     ++c4_2(U,V),
     ++ssSkC23]).

input_clause(clause385,conjecture,
    [--c4_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,a1034),
     ++c2_0]).

input_clause(clause386,conjecture,
    [--c3_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c5_1(U),
     ++c5_0,
     ++c4_0]).

input_clause(clause387,conjecture,
    [--ssSkP3(U),
     --c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,a1091),
     ++ssSkC16]).

input_clause(clause388,conjecture,
    [--ssSkP3(U),
     --c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_2(U,a1091),
     ++ssSkC16]).

input_clause(clause389,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_0,
     ++c3_2(U,V),
     ++c1_2(U,a1100),
     ++c2_1(U),
     ++c4_0]).

input_clause(clause390,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c4_1(a1070),
     ++c4_2(U,V),
     ++c4_1(U)]).

input_clause(clause391,conjecture,
    [--ndr1_0,
     --c2_2(U,a1137),
     --c5_2(U,V),
     --ndr1_1(U),
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++ssSkC23]).

input_clause(clause392,conjecture,
    [--c4_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a1034),
     --ndr1_0,
     ++c2_2(U,V),
     ++c2_0]).

input_clause(clause393,conjecture,
    [--c4_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a1034),
     --ndr1_0,
     ++c2_2(U,V),
     ++c2_0]).

input_clause(clause394,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_0,
     --c1_0,
     ++c2_2(U,V),
     ++c4_2(U,V),
     ++c1_1(U)]).

input_clause(clause395,conjecture,
    [--ssSkP3(U),
     --c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a1091),
     --ndr1_0,
     ++ssSkC16]).

input_clause(clause396,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c5_1(a1157),
     ++c3_0]).

input_clause(clause397,conjecture,
    [--ssSkC27,
     --c2_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c3_2(U,a1156),
     ++c1_0]).

input_clause(clause398,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a1100),
     --ndr1_0,
     --c3_0,
     ++c3_2(U,V),
     ++c2_1(U),
     ++c4_0]).

input_clause(clause399,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++ndr1_1(a1039),
     ++c4_0]).

input_clause(clause400,conjecture,
    [--ndr1_0,
     --c3_2(a1036,U),
     --ndr1_1(a1036),
     ++c4_1(V),
     ++c2_1(V),
     ++c1_2(a1036,U),
     ++c4_2(a1036,U),
     ++c1_0]).

input_clause(clause401,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++c1_1(U),
     ++c2_0,
     ++c4_0]).

input_clause(clause402,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c5_2(U,a1106),
     ++c3_1(U),
     ++ssSkC18]).

input_clause(clause403,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c4_2(U,a1106),
     ++c3_1(U),
     ++ssSkC18]).

input_clause(clause404,conjecture,
    [--ssSkP4(U),
     --c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,a1093),
     ++ssSkC17]).

input_clause(clause405,conjecture,
    [--ssSkP4(U),
     --c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c2_2(U,a1093),
     ++ssSkC17]).

input_clause(clause406,conjecture,
    [--ssSkC27,
     --c2_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a1156),
     --c1_1(U),
     --ndr1_0,
     ++c1_0]).

input_clause(clause407,conjecture,
    [--ssSkC27,
     --c2_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a1156),
     --c1_1(U),
     --ndr1_0,
     ++c1_0]).

input_clause(clause408,conjecture,
    [--ssSkC23,
     --c3_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c4_2(U,V),
     ++c2_2(U,a1138),
     ++c2_0]).

input_clause(clause409,conjecture,
    [--ssSkP5(U),
     --ssSkC18,
     --c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,a1108),
     ++c2_0]).

input_clause(clause410,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c4_2(a1039,a1041),
     ++c4_0]).

input_clause(clause411,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c2_2(a1039,a1041),
     ++c4_0]).

input_clause(clause412,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c3_2(a1039,a1041),
     ++c4_0]).

input_clause(clause413,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++c2_2(a1039,a1040),
     ++c4_0]).

input_clause(clause414,conjecture,
    [--ssSkP1(U),
     --ssSkC5,
     --c3_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a1030),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c1_0]).

input_clause(clause415,conjecture,
    [--ssSkP1(U),
     --ssSkC5,
     --c3_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a1030),
     --ndr1_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c1_0]).

input_clause(clause416,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a1106),
     --ndr1_0,
     ++c5_2(U,V),
     ++c3_1(U),
     ++ssSkC18]).

input_clause(clause417,conjecture,
    [--ssSkP4(U),
     --c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a1093),
     --ndr1_0,
     ++c2_2(U,V),
     ++ssSkC17]).

input_clause(clause418,conjecture,
    [--ssSkC23,
     --c3_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a1138),
     --c3_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c4_2(U,V),
     ++c2_0]).

input_clause(clause419,conjecture,
    [--ssSkP5(U),
     --ssSkC18,
     --c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a1108),
     --ndr1_0,
     ++c2_2(U,V),
     ++c2_0]).

input_clause(clause420,conjecture,
    [--c3_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a1101),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_1(U),
     ++c2_0,
     ++c3_0]).

input_clause(clause421,conjecture,
    [--c3_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a1101),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_1(U),
     ++c2_0,
     ++c3_0]).

input_clause(clause422,conjecture,
    [--c3_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a1101),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_1(U),
     ++c2_0,
     ++c3_0]).

input_clause(clause423,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --c2_2(a1051,V),
     --c5_2(a1051,V),
     --ndr1_1(a1051),
     ++c1_1(U),
     ++c4_2(a1051,V),
     ++c5_0]).

input_clause(clause424,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c5_2(a1039,a1040),
     ++c5_1(U),
     ++c4_0]).

input_clause(clause425,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c3_2(a1039,a1040),
     ++c5_1(U),
     ++c4_0]).

input_clause(clause426,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++ndr1_1(a1080),
     ++c3_0]).

input_clause(clause427,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c1_1(a1080),
     ++c3_0]).

input_clause(clause428,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c1_1(U),
     ++c4_1(a1080),
     ++c3_0]).

input_clause(clause429,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c4_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++ndr1_1(a1047)]).

input_clause(clause430,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c4_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c5_2(a1047,a1048)]).

input_clause(clause431,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c4_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c4_2(a1047,a1048)]).

input_clause(clause432,conjecture,
    [--ssSkC7,
     --c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a1038),
     --c1_1(U),
     --ndr1_0,
     --c1_0,
     ++c2_2(U,V)]).

input_clause(clause433,conjecture,
    [--ssSkC7,
     --c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a1038),
     --c1_1(U),
     --ndr1_0,
     --c1_0,
     ++c2_2(U,V)]).

input_clause(clause434,conjecture,
    [--ssSkC7,
     --c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a1038),
     --c1_1(U),
     --ndr1_0,
     --c1_0,
     ++c2_2(U,V)]).

input_clause(clause435,conjecture,
    [--ndr1_0,
     --c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --c5_1(U),
     ++c2_1(W),
     ++c1_1(W),
     ++c2_2(U,V),
     ++c2_0]).

input_clause(clause436,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c1_2(U,W),
     --c4_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_2(U,V),
     ++ndr1_1(a1122)]).

input_clause(clause437,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c5_2(a1080,a1081),
     ++c1_1(U),
     ++c3_0]).

input_clause(clause438,conjecture,
    [--c1_2(U,V),
     --c4_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c4_2(a1080,a1081),
     ++c1_1(U),
     ++c3_0]).

input_clause(clause439,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c3_2(a1047,a1048),
     --c4_0,
     ++c2_2(U,V),
     ++c1_2(U,V)]).

input_clause(clause440,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c1_2(U,W),
     --c4_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_2(U,V),
     ++c5_2(a1122,a1124)]).

input_clause(clause441,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c1_2(U,W),
     --c4_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_2(U,V),
     ++c2_2(a1122,a1124)]).

input_clause(clause442,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c1_2(U,W),
     --c4_1(U),
     --ndr1_0,
     --c1_0,
     ++c1_2(U,V),
     ++c2_2(a1122,a1123)]).

input_clause(clause443,conjecture,
    [--ndr1_1(U),
     --c5_2(U,V),
     --c2_2(U,V),
     --c4_2(U,V),
     --ndr1_0,
     --c2_0,
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c3_1(U),
     ++ndr1_1(a1064)]).

input_clause(clause444,conjecture,
    [--ndr1_1(U),
     --c5_2(U,V),
     --c2_2(U,V),
     --c4_2(U,V),
     --ndr1_0,
     --c2_0,
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c3_1(U),
     ++c2_1(a1064)]).

input_clause(clause445,conjecture,
    [--c5_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --ndr1_1(W),
     ++c1_2(U,V),
     ++c5_2(W,X),
     ++c1_2(W,X),
     ++c4_2(W,a1134),
     ++c1_1(W),
     ++c5_0]).

input_clause(clause446,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c1_2(U,W),
     --c4_1(U),
     --ndr1_0,
     --c3_2(a1122,a1124),
     --c1_0,
     ++c1_2(U,V)]).

input_clause(clause447,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c1_2(U,W),
     --c4_1(U),
     --ndr1_0,
     --c1_2(a1122,a1123),
     --c1_0,
     ++c1_2(U,V)]).

input_clause(clause448,conjecture,
    [--ndr1_1(U),
     --c5_2(U,V),
     --c2_2(U,V),
     --c4_2(U,V),
     --ndr1_0,
     --c2_0,
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c3_1(U),
     ++c4_2(a1064,a1065)]).

input_clause(clause449,conjecture,
    [--c5_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --ndr1_1(W),
     --c5_2(W,a1134),
     ++c1_2(U,V),
     ++c5_2(W,X),
     ++c1_2(W,X),
     ++c1_1(W),
     ++c5_0]).

input_clause(clause450,conjecture,
    [--ndr1_1(U),
     --c5_2(U,V),
     --c2_2(U,V),
     --c4_2(U,V),
     --ndr1_0,
     --c5_2(a1064,a1066),
     --c2_0,
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c3_1(U)]).

input_clause(clause451,conjecture,
    [--ndr1_1(U),
     --c5_2(U,V),
     --c2_2(U,V),
     --c4_2(U,V),
     --ndr1_0,
     --c1_2(a1064,a1066),
     --c2_0,
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c3_1(U)]).

input_clause(clause452,conjecture,
    [--ndr1_1(U),
     --c5_2(U,V),
     --c2_2(U,V),
     --c4_2(U,V),
     --ndr1_0,
     --c2_2(a1064,a1065),
     --c2_0,
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c3_1(U)]).

input_clause(clause453,conjecture,
    [--ndr1_1(U),
     --c5_2(U,V),
     --c2_2(U,V),
     --c4_2(U,V),
     --ndr1_0,
     --c1_2(a1064,a1065),
     --c2_0,
     ++c4_2(U,W),
     ++c5_2(U,W),
     ++c3_1(U)]).

input_clause(clause454,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c5_2(U,W),
     --c1_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_2(U,V),
     ++c1_2(U,V),
     ++c1_2(U,W),
     ++c3_0]).

input_clause(clause455,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c3_2(a1070,W),
     --c2_2(a1070,W),
     --ndr1_1(a1070),
     ++c4_2(U,V),
     ++c4_1(U),
     ++c4_2(a1070,W)]).

input_clause(clause456,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c4_2(a1070,W),
     --c2_2(a1070,W),
     --ndr1_1(a1070),
     ++c4_2(U,V),
     ++c4_1(U),
     ++c3_2(a1070,W)]).

input_clause(clause457,conjecture,
    [--c1_2(U,V),
     --c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --ndr1_1(a1039),
     ++c5_1(U),
     ++c3_2(a1039,W),
     ++c2_2(a1039,W),
     ++c4_2(a1039,W),
     ++c4_0]).

input_clause(clause458,conjecture,
    [--c4_1(U),
     --c1_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --ndr1_1(V),
     --c1_2(V,X),
     ++c5_1(U),
     ++c1_2(V,W),
     ++c2_2(V,W),
     ++c2_2(V,X),
     ++c3_2(V,a1130),
     ++c3_0]).

input_clause(clause459,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_2(a1157,W),
     --ndr1_1(a1157),
     ++c4_2(U,V),
     ++c2_2(a1157,W),
     ++c1_2(a1157,W),
     ++c3_0]).

input_clause(clause460,conjecture,
    [--c4_1(U),
     --c1_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --ndr1_1(V),
     --c1_2(V,X),
     --c4_2(V,a1130),
     ++c5_1(U),
     ++c1_2(V,W),
     ++c2_2(V,W),
     ++c2_2(V,X),
     ++c3_0]).

input_clause(clause461,conjecture,
    [--c4_1(U),
     --c1_1(U),
     --ndr1_0,
     --c4_2(V,W),
     --ndr1_1(V),
     --c1_2(V,X),
     --c1_2(V,a1130),
     ++c5_1(U),
     ++c1_2(V,W),
     ++c2_2(V,W),
     ++c2_2(V,X),
     ++c3_0]).

input_clause(clause462,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c4_1(U),
     --ndr1_0,
     --ndr1_1(W),
     --c3_1(W),
     --c2_0,
     ++c2_2(U,V),
     ++c5_2(W,X),
     ++c4_2(W,X),
     ++c3_2(W,a1022)]).

input_clause(clause463,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --c4_1(U),
     --ndr1_0,
     --ndr1_1(W),
     --c5_2(W,a1022),
     --c3_1(W),
     --c2_0,
     ++c2_2(U,V),
     ++c5_2(W,X),
     ++c4_2(W,X)]).

input_clause(clause464,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(W,X),
     --c5_2(W,X),
     --ndr1_1(W),
     --c3_0,
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c3_1(U),
     ++c5_1(U),
     ++c4_2(W,X),
     ++c4_2(W,a1002)]).

input_clause(clause465,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(W,X),
     --c5_2(W,X),
     --ndr1_1(W),
     --c3_0,
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c3_1(U),
     ++c5_1(U),
     ++c4_2(W,X),
     ++c2_2(W,a1002)]).

input_clause(clause466,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c4_2(a1047,W),
     --ndr1_1(a1047),
     --c4_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c2_2(a1047,W),
     ++c5_2(a1047,W)]).

input_clause(clause467,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --c1_1(U),
     --ndr1_0,
     --c4_2(a1047,W),
     --ndr1_1(a1047),
     --c4_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c2_2(a1047,W),
     ++c3_2(a1047,W)]).

input_clause(clause468,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_2(W,X),
     --c5_2(W,X),
     --ndr1_1(W),
     --c1_2(W,a1002),
     --c3_0,
     ++c5_2(U,V),
     ++c3_2(U,V),
     ++c3_1(U),
     ++c5_1(U),
     ++c4_2(W,X)]).

input_clause(clause469,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c2_2(U,W),
     --c1_2(U,W),
     --c4_1(U),
     --ndr1_0,
     --c4_2(a1122,X),
     --ndr1_1(a1122),
     --c1_0,
     ++c1_2(U,V),
     ++c1_2(a1122,X),
     ++c2_2(a1122,X)]).

input_clause(clause470,conjecture,
    [--ndr1_1(U),
     --c4_2(U,V),
     --ndr1_0,
     --ndr1_1(W),
     --c1_1(W),
     ++c1_2(U,X),
     ++c2_2(U,X),
     ++c5_2(U,X),
     ++c1_2(U,V),
     ++c3_1(U),
     ++c3_2(W,Y),
     ++c2_2(W,Y),
     ++c5_2(W,Y),
     ++c3_2(W,a999),
     ++c3_0]).

input_clause(clause471,conjecture,
    [--ndr1_1(U),
     --c4_2(U,V),
     --ndr1_0,
     --ndr1_1(W),
     --c1_1(W),
     ++c1_2(U,X),
     ++c2_2(U,X),
     ++c5_2(U,X),
     ++c1_2(U,V),
     ++c3_1(U),
     ++c3_2(W,Y),
     ++c2_2(W,Y),
     ++c5_2(W,Y),
     ++c1_2(W,a999),
     ++c3_0]).

input_clause(clause472,conjecture,
    [--ndr1_1(U),
     --c4_2(U,V),
     --ndr1_0,
     --ndr1_1(W),
     --c2_2(W,a999),
     --c1_1(W),
     ++c1_2(U,X),
     ++c2_2(U,X),
     ++c5_2(U,X),
     ++c1_2(U,V),
     ++c3_1(U),
     ++c3_2(W,Y),
     ++c2_2(W,Y),
     ++c5_2(W,Y),
     ++c3_0]).

input_clause(clause473,conjecture,
    [--ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c1_2(V,W),
     --c3_2(V,W),
     --c5_2(V,W),
     --ndr1_1(V),
     --c2_0,
     ++c4_2(U,X),
     ++c5_2(U,X),
     ++c5_1(U),
     ++c2_2(V,Y),
     ++c1_2(V,Y),
     ++c3_2(V,Y),
     ++c2_1(V)]).
%--------------------------------------------------------------------------
