%--------------------------------------------------------------------------
% File     : SYN521-1 : TPTP v2.2.1. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=20, K=3, D=2, P=0, Index=049
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-20-3-2-049.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.33 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  102 (  54 non-Horn;   0 unit;  89 RR)
%            Number of literals   :  334 (   0 equality)
%            Maximal clause size  :    9 (   3 average)
%            Number of predicates :   24 (  12 propositional; 0-2 arity)
%            Number of functors   :   34 (  34 constant; 0-0 arity)
%            Number of variables  :   41 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++c3_0]).

input_clause(clause2,conjecture,
    [++ndr1_0,++ssSkC5]).

input_clause(clause3,conjecture,
    [++ndr1_0,++ssSkC4]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause8,conjecture,
    [--ssSkC3,++ndr1_0,++c4_0]).

input_clause(clause9,conjecture,
    [--c3_0,++ndr1_0]).

input_clause(clause10,conjecture,
    [++ndr1_1(a74),
     ++c3_0]).

input_clause(clause11,conjecture,
    [--c4_0,++ndr1_0]).

input_clause(clause12,conjecture,
    [++ndr1_1(a97),
     ++ssSkC4]).

input_clause(clause13,conjecture,
    [++ndr1_1(a93),
     ++ssSkC3]).

input_clause(clause14,conjecture,
    [++c4_1(a93),
     ++ssSkC3]).

input_clause(clause15,conjecture,
    [++c3_1(a93),
     ++ssSkC3]).

input_clause(clause16,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause17,conjecture,
    [++ndr1_1(a88),
     ++ssSkC1]).

input_clause(clause18,conjecture,
    [++c1_1(a88),
     ++ssSkC1]).

input_clause(clause19,conjecture,
    [++c4_1(a80),
     ++ssSkC0]).

input_clause(clause20,conjecture,
    [--ssSkC5,
     ++ndr1_1(a102),
     ++c3_0]).

input_clause(clause21,conjecture,
    [--ssSkC5,
     ++c2_1(a102),
     ++c3_0]).

input_clause(clause22,conjecture,
    [--ssSkC4,--c5_0,++ndr1_0]).

input_clause(clause23,conjecture,
    [--ssSkC3,
     ++ndr1_1(a95),
     ++c4_0]).

input_clause(clause24,conjecture,
    [--c2_0,++ndr1_0,++c4_0]).

input_clause(clause25,conjecture,
    [--c3_0,
     ++ndr1_1(a82)]).

input_clause(clause26,conjecture,
    [--c3_0,
     ++c1_1(a82)]).

input_clause(clause27,conjecture,
    [++c5_2(a74,a75),
     ++c3_0]).

input_clause(clause28,conjecture,
    [--c2_1(a74),
     ++c3_0]).

input_clause(clause29,conjecture,
    [--c4_0,
     ++ndr1_1(a70)]).

input_clause(clause30,conjecture,
    [--c5_0,--c2_0]).

input_clause(clause31,conjecture,
    [++c5_2(a97,a99),
     ++ssSkC4]).

input_clause(clause32,conjecture,
    [++c5_2(a97,a98),
     ++ssSkC4]).

input_clause(clause33,conjecture,
    [++c2_2(a93,a94),
     ++ssSkC3]).

input_clause(clause34,conjecture,
    [--c4_1(a90),
     ++ssSkC2]).

input_clause(clause35,conjecture,
    [--c3_1(a90),
     ++ssSkC2]).

input_clause(clause36,conjecture,
    [--c2_1(a90),
     ++ssSkC2]).

input_clause(clause37,conjecture,
    [++c4_2(a88,a89),
     ++ssSkC1]).

input_clause(clause38,conjecture,
    [--c2_1(a80),
     ++ssSkC0]).

input_clause(clause39,conjecture,
    [--c3_1(a80),
     ++ssSkC0]).

input_clause(clause40,conjecture,
    [--ssSkC5,
     ++c1_2(a102,a103),
     ++c3_0]).

input_clause(clause41,conjecture,
    [--ssSkC4,
     --c5_0,
     ++c4_1(a100)]).

input_clause(clause42,conjecture,
    [--ssSkC4,
     --c5_0,
     ++c2_1(a100)]).

input_clause(clause43,conjecture,
    [--ssSkC3,
     ++c1_2(a95,a96),
     ++c4_0]).

input_clause(clause44,conjecture,
    [--ssSkC3,
     ++c5_2(a95,a96),
     ++c4_0]).

input_clause(clause45,conjecture,
    [--c2_0,
     ++ndr1_1(a85),
     ++c4_0]).

input_clause(clause46,conjecture,
    [--c2_0,
     ++c5_1(a85),
     ++c4_0]).

input_clause(clause47,conjecture,
    [--c3_0,
     ++c4_2(a82,a83)]).

input_clause(clause48,conjecture,
    [--c4_0,
     ++c1_1(a76),
     ++c1_0]).

input_clause(clause49,conjecture,
    [--c4_0,
     ++c3_1(a76),
     ++c1_0]).

input_clause(clause50,conjecture,
    [--c2_2(a74,a75),
     ++c3_0]).

input_clause(clause51,conjecture,
    [--c1_2(a74,a75),
     ++c3_0]).

input_clause(clause52,conjecture,
    [--c4_0,
     ++c4_2(a70,a71)]).

input_clause(clause53,conjecture,
    [--c4_0,
     ++c1_2(a70,a71)]).

input_clause(clause54,conjecture,
    [--c2_2(a97,a99),
     ++ssSkC4]).

input_clause(clause55,conjecture,
    [--c1_2(a97,a99),
     ++ssSkC4]).

input_clause(clause56,conjecture,
    [--c2_2(a97,a98),
     ++ssSkC4]).

input_clause(clause57,conjecture,
    [--c1_2(a93,a94),
     ++ssSkC3]).

input_clause(clause58,conjecture,
    [--c4_2(a93,a94),
     ++ssSkC3]).

input_clause(clause59,conjecture,
    [--c2_2(U,a91),
     ++ssSkP0(U)]).

input_clause(clause60,conjecture,
    [--c4_2(U,a91),
     ++ssSkP0(U)]).

input_clause(clause61,conjecture,
    [--c1_2(U,a91),
     ++ssSkP0(U)]).

input_clause(clause62,conjecture,
    [--c2_2(a88,a89),
     ++ssSkC1]).

input_clause(clause63,conjecture,
    [--c5_2(a88,a89),
     ++ssSkC1]).

input_clause(clause64,conjecture,
    [--ssSkC5,
     --c5_2(a102,a103),
     ++c3_0]).

input_clause(clause65,conjecture,
    [--ssSkC3,
     --c4_2(a95,a96),
     ++c4_0]).

input_clause(clause66,conjecture,
    [--c2_0,
     ++c4_2(a85,a87),
     ++c4_0]).

input_clause(clause67,conjecture,
    [--c2_0,
     ++c5_2(a85,a87),
     ++c4_0]).

input_clause(clause68,conjecture,
    [--c2_2(a82,a84),
     --c3_0]).

input_clause(clause69,conjecture,
    [--c4_2(a82,a84),
     --c3_0]).

input_clause(clause70,conjecture,
    [--c5_2(a82,a84),
     --c3_0]).

input_clause(clause71,conjecture,
    [--c5_2(a82,a83),
     --c3_0]).

input_clause(clause72,conjecture,
    [--c5_2(a70,a73),
     --c4_0]).

input_clause(clause73,conjecture,
    [--c4_2(a70,a73),
     --c4_0]).

input_clause(clause74,conjecture,
    [--c5_2(a70,a72),
     --c4_0]).

input_clause(clause75,conjecture,
    [--c2_2(a70,a72),
     --c4_0]).

input_clause(clause76,conjecture,
    [--c3_2(a70,a72),
     --c4_0]).

input_clause(clause77,conjecture,
    [--c2_2(a70,a71),
     --c4_0]).

input_clause(clause78,conjecture,
    [--c3_2(a85,a87),
     --c2_0,
     ++c4_0]).

input_clause(clause79,conjecture,
    [--c3_2(a85,a86),
     --c2_0,
     ++c4_0]).

input_clause(clause80,conjecture,
    [--c1_2(a85,a86),
     --c2_0,
     ++c4_0]).

input_clause(clause81,conjecture,
    [--ndr1_1(a88),
     ++c5_2(a88,U),
     ++c2_2(a88,U),
     ++ssSkC1]).

input_clause(clause82,conjecture,
    [--c2_2(a101,U),
     --c5_2(a101,U),
     --ndr1_1(a101),
     ++ssSkC5]).

input_clause(clause83,conjecture,
    [--ndr1_1(a97),
     ++c3_2(a97,U),
     ++c2_2(a97,U),
     ++c1_2(a97,U),
     ++ssSkC4]).

input_clause(clause84,conjecture,
    [--ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++ndr1_1(a77),
     ++c3_0]).

input_clause(clause85,conjecture,
    [--c1_2(a101,U),
     --c5_2(a101,U),
     --ndr1_1(a101),
     ++c3_2(a101,U),
     ++ssSkC5]).

input_clause(clause86,conjecture,
    [--ssSkC3,
     --c1_2(a95,U),
     --c3_2(a95,U),
     --ndr1_1(a95),
     ++c5_2(a95,U),
     ++c4_0]).

input_clause(clause87,conjecture,
    [--ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c3_2(a77,a79),
     ++c3_0]).

input_clause(clause88,conjecture,
    [--ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c3_1(a77),
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c3_0]).

input_clause(clause89,conjecture,
    [--ssSkC5,
     --c1_2(a102,U),
     --c5_2(a102,U),
     --c3_2(a102,U),
     --ndr1_1(a102),
     ++c3_0]).

input_clause(clause90,conjecture,
    [--ssSkC0,
     --ndr1_1(U),
     --ndr1_0,
     --c1_0,
     ++c4_2(U,V),
     ++c2_2(U,V),
     ++c4_2(U,a81),
     ++c1_1(U)]).

input_clause(clause91,conjecture,
    [--ssSkC0,
     --ndr1_1(U),
     --ndr1_0,
     --c1_0,
     ++c4_2(U,V),
     ++c2_2(U,V),
     ++c1_2(U,a81),
     ++c1_1(U)]).

input_clause(clause92,conjecture,
    [--ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c5_2(a77,a79),
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c3_0]).

input_clause(clause93,conjecture,
    [--ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_2(a77,a79),
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c3_0]).

input_clause(clause94,conjecture,
    [--ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c5_2(a77,a78),
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c3_0]).

input_clause(clause95,conjecture,
    [--ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c3_2(a77,a78),
     ++c4_2(U,V),
     ++c1_2(U,V),
     ++c3_0]).

input_clause(clause96,conjecture,
    [--ssSkC4,
     --c4_2(a100,U),
     --c3_2(a100,U),
     --c2_2(a100,U),
     --ndr1_1(a100),
     --c5_0]).

input_clause(clause97,conjecture,
    [--ssSkC0,
     --ndr1_1(U),
     --c5_2(U,a81),
     --ndr1_0,
     --c1_0,
     ++c4_2(U,V),
     ++c2_2(U,V),
     ++c1_1(U)]).

input_clause(clause98,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c1_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c3_0]).

input_clause(clause99,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c2_1(U),
     ++c5_0]).

input_clause(clause100,conjecture,
    [--ssSkP0(U),
     --ssSkC1,
     --ssSkC2,
     --c3_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c1_2(U,a92)]).

input_clause(clause101,conjecture,
    [--ssSkP0(U),
     --ssSkC1,
     --ssSkC2,
     --c3_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c5_2(U,a92)]).

input_clause(clause102,conjecture,
    [--c3_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c4_0,
     ++c1_2(U,V),
     ++c4_1(U),
     ++c2_0]).
%--------------------------------------------------------------------------
