%--------------------------------------------------------------------------
% File     : SYN522-1 : TPTP v2.2.1. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=20, K=3, D=2, P=0, Index=051
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-20-3-2-051.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.33 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  111 (  64 non-Horn;   1 unit;  86 RR)
%            Number of literals   :  429 (   0 equality)
%            Maximal clause size  :   11 (   3 average)
%            Number of predicates :   30 (  14 propositional; 0-2 arity)
%            Number of functors   :   33 (  33 constant; 0-0 arity)
%            Number of variables  :   80 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++c4_0]).

input_clause(clause2,conjecture,
    [++ndr1_0,++c1_0]).

input_clause(clause3,conjecture,
    [++ndr1_0,++c2_0]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC7]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC5]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC4]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause8,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause9,conjecture,
    [--ssSkC4,--ssSkC5,++ndr1_0]).

input_clause(clause10,conjecture,
    [--c1_0,++ndr1_0]).

input_clause(clause11,conjecture,
    [++c5_1(a118),
     ++c1_0]).

input_clause(clause12,conjecture,
    [++c1_1(a118),
     ++c1_0]).

input_clause(clause13,conjecture,
    [--ssSkC0,--ssSkC1,++ndr1_0]).

input_clause(clause14,conjecture,
    [++ndr1_1(U),
     ++ssSkP4(U)]).

input_clause(clause15,conjecture,
    [++ndr1_1(a128),
     ++ssSkC5]).

input_clause(clause16,conjecture,
    [++c3_1(a128),
     ++ssSkC5]).

input_clause(clause17,conjecture,
    [++ndr1_1(a125),
     ++ssSkC4]).

input_clause(clause18,conjecture,
    [++ndr1_1(U),
     ++ssSkP3(U)]).

input_clause(clause19,conjecture,
    [++ndr1_1(U),
     ++ssSkP2(U)]).

input_clause(clause20,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause21,conjecture,
    [++c3_1(a109),
     ++ssSkC2]).

input_clause(clause22,conjecture,
    [++ndr1_1(a106),
     ++ssSkC1]).

input_clause(clause23,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause24,conjecture,
    [--c1_0,
     ++ndr1_1(a121)]).

input_clause(clause25,conjecture,
    [--c2_1(a118),
     ++c1_0]).

input_clause(clause26,conjecture,
    [--c1_1(a114),
     ++c2_0]).

input_clause(clause27,conjecture,
    [--ssSkC0,
     --ssSkC1,
     ++c3_1(a108)]).

input_clause(clause28,conjecture,
    [--c2_1(a134),
     ++ssSkC7]).

input_clause(clause29,conjecture,
    [++c4_2(a128,a129),
     ++ssSkC5]).

input_clause(clause30,conjecture,
    [++c2_2(a128,a129),
     ++ssSkC5]).

input_clause(clause31,conjecture,
    [--c2_1(a128),
     ++ssSkC5]).

input_clause(clause32,conjecture,
    [++c1_2(a125,a126),
     ++ssSkC4]).

input_clause(clause33,conjecture,
    [--c4_1(a125),
     ++ssSkC4]).

input_clause(clause34,conjecture,
    [++c4_2(U,a119),
     ++ssSkP3(U)]).

input_clause(clause35,conjecture,
    [++c5_2(U,a116),
     ++ssSkP2(U)]).

input_clause(clause36,conjecture,
    [++c1_2(U,a116),
     ++ssSkP2(U)]).

input_clause(clause37,conjecture,
    [++c2_2(U,a115),
     ++ssSkP1(U)]).

input_clause(clause38,conjecture,
    [++c5_2(U,a115),
     ++ssSkP1(U)]).

input_clause(clause39,conjecture,
    [--c1_1(a109),
     ++ssSkC2]).

input_clause(clause40,conjecture,
    [++c1_2(a106,a107),
     ++ssSkC1]).

input_clause(clause41,conjecture,
    [++c4_2(a106,a107),
     ++ssSkC1]).

input_clause(clause42,conjecture,
    [++c2_2(a106,a107),
     ++ssSkC1]).

input_clause(clause43,conjecture,
    [--c5_1(a106),
     ++ssSkC1]).

input_clause(clause44,conjecture,
    [++c4_2(U,a104),
     ++ssSkP0(U)]).

input_clause(clause45,conjecture,
    [++c3_2(U,a104),
     ++ssSkP0(U)]).

input_clause(clause46,conjecture,
    [--c3_0,--c4_0,++ndr1_0]).

input_clause(clause47,conjecture,
    [--ssSkC6,
     --c5_1(a133),
     ++c2_0]).

input_clause(clause48,conjecture,
    [--ssSkC6,
     --c2_1(a133),
     ++c2_0]).

input_clause(clause49,conjecture,
    [--ssSkC4,
     --ssSkC5,
     --c1_1(a130)]).

input_clause(clause50,conjecture,
    [--c1_0,
     ++c3_2(a121,a122)]).

input_clause(clause51,conjecture,
    [--ssSkC3,
     --c1_0,
     ++ndr1_1(a112)]).

input_clause(clause52,conjecture,
    [--ssSkC0,
     --ssSkC1,
     --c4_1(a108)]).

input_clause(clause53,conjecture,
    [--c5_0,--c1_0,++c3_0]).

input_clause(clause54,conjecture,
    [--c4_2(U,a131),
     ++ssSkP4(U)]).

input_clause(clause55,conjecture,
    [--c1_2(U,a131),
     ++ssSkP4(U)]).

input_clause(clause56,conjecture,
    [--c1_2(a128,a129),
     ++ssSkC5]).

input_clause(clause57,conjecture,
    [--c4_2(a125,a127),
     ++ssSkC4]).

input_clause(clause58,conjecture,
    [--c3_2(a125,a127),
     ++ssSkC4]).

input_clause(clause59,conjecture,
    [--c2_2(a125,a127),
     ++ssSkC4]).

input_clause(clause60,conjecture,
    [--c3_2(a125,a126),
     ++ssSkC4]).

input_clause(clause61,conjecture,
    [--c5_2(a125,a126),
     ++ssSkC4]).

input_clause(clause62,conjecture,
    [--c3_2(U,a119),
     ++ssSkP3(U)]).

input_clause(clause63,conjecture,
    [--c2_2(U,a119),
     ++ssSkP3(U)]).

input_clause(clause64,conjecture,
    [--c2_2(U,a116),
     ++ssSkP2(U)]).

input_clause(clause65,conjecture,
    [--c4_2(U,a115),
     ++ssSkP1(U)]).

input_clause(clause66,conjecture,
    [--c1_2(U,a104),
     ++ssSkP0(U)]).

input_clause(clause67,conjecture,
    [--c3_0,
     --c4_0,
     ++c4_1(a137)]).

input_clause(clause68,conjecture,
    [--c3_0,
     --c4_0,
     ++c1_1(a137)]).

input_clause(clause69,conjecture,
    [--c2_2(a121,a122),
     --c1_0]).

input_clause(clause70,conjecture,
    [--ssSkC3,
     --c1_0,
     ++c2_2(a112,a113)]).

input_clause(clause71,conjecture,
    [--ssSkC3,
     --c5_2(a112,a113),
     --c1_0]).

input_clause(clause72,conjecture,
    [--ssSkC3,
     --c3_2(a112,a113),
     --c1_0]).

input_clause(clause73,conjecture,
    [--ssSkP4(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++ssSkC6]).

input_clause(clause74,conjecture,
    [--ssSkP4(U),
     --ndr1_0,
     ++c2_2(U,a132),
     ++c5_1(U),
     ++ssSkC6]).

input_clause(clause75,conjecture,
    [--ssSkP4(U),
     --ndr1_0,
     ++c5_2(U,a132),
     ++c5_1(U),
     ++ssSkC6]).

input_clause(clause76,conjecture,
    [--ssSkP4(U),
     --ndr1_0,
     ++c1_2(U,a132),
     ++c5_1(U),
     ++ssSkC6]).

input_clause(clause77,conjecture,
    [--ssSkP3(U),
     --ndr1_0,
     --c4_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++c3_0]).

input_clause(clause78,conjecture,
    [--ssSkC4,
     --ssSkC5,
     --ndr1_1(a130),
     ++c5_2(a130,U),
     ++c2_2(a130,U)]).

input_clause(clause79,conjecture,
    [--c3_2(a114,U),
     --ndr1_1(a114),
     ++c5_2(a114,U),
     ++c2_0]).

input_clause(clause80,conjecture,
    [--ssSkP3(U),
     --ndr1_0,
     --c4_0,
     ++c2_2(U,a120),
     ++c4_1(U),
     ++c3_0]).

input_clause(clause81,conjecture,
    [--ssSkP3(U),
     --ndr1_0,
     --c4_0,
     ++c5_2(U,a120),
     ++c4_1(U),
     ++c3_0]).

input_clause(clause82,conjecture,
    [--ssSkC3,
     --ndr1_1(a112),
     --c1_0,
     ++c5_2(a112,U),
     ++c1_2(a112,U)]).

input_clause(clause83,conjecture,
    [--ssSkP3(U),
     --c1_2(U,a120),
     --ndr1_0,
     --c4_0,
     ++c4_1(U),
     ++c3_0]).

input_clause(clause84,conjecture,
    [--ndr1_1(a114),
     ++c1_2(a114,U),
     ++c5_2(a114,U),
     ++c4_2(a114,U),
     ++c2_0]).

input_clause(clause85,conjecture,
    [--ssSkP1(U),
     --ssSkP2(U),
     --c4_1(V),
     --ndr1_0,
     --c3_0,
     ++c2_1(V),
     ++ndr1_1(U)]).

input_clause(clause86,conjecture,
    [--ssSkC0,
     --ssSkC1,
     --ndr1_1(a108),
     ++c4_2(a108,U),
     ++c2_2(a108,U),
     ++c1_2(a108,U)]).

input_clause(clause87,conjecture,
    [--c5_2(a134,U),
     --ndr1_1(a134),
     ++c4_2(a134,U),
     ++c1_2(a134,U),
     ++ssSkC7]).

input_clause(clause88,conjecture,
    [--ssSkP1(U),
     --ssSkP2(U),
     --c4_1(V),
     --ndr1_0,
     --c3_0,
     ++c2_1(V),
     ++c4_2(U,a117)]).

input_clause(clause89,conjecture,
    [--ssSkP1(U),
     --ssSkP2(U),
     --c4_1(V),
     --ndr1_0,
     --c3_0,
     ++c2_1(V),
     ++c3_2(U,a117)]).

input_clause(clause90,conjecture,
    [--c1_2(a121,U),
     --c4_2(a121,U),
     --ndr1_1(a121),
     --c1_0,
     ++c3_2(a121,U)]).

input_clause(clause91,conjecture,
    [--c5_2(a121,U),
     --c1_2(a121,U),
     --ndr1_1(a121),
     --c1_0,
     ++c3_2(a121,U)]).

input_clause(clause92,conjecture,
    [--ssSkP1(U),
     --ssSkP2(U),
     --c4_1(V),
     --ndr1_0,
     --c5_2(U,a117),
     --c3_0,
     ++c2_1(V)]).

input_clause(clause93,conjecture,
    [--c2_2(a134,U),
     --c3_2(a134,U),
     --c1_2(a134,U),
     --ndr1_1(a134),
     ++ssSkC7]).

input_clause(clause94,conjecture,
    [--ssSkC4,
     --ssSkC5,
     --c3_2(a130,U),
     --c2_2(a130,U),
     --c4_2(a130,U),
     --ndr1_1(a130)]).

input_clause(clause95,conjecture,
    [--ndr1_1(U),
     --c3_1(U),
     --c4_1(U),
     --ndr1_0,
     --c1_0,
     ++c4_2(U,V),
     ++c5_2(U,V),
     ++c5_0]).

input_clause(clause96,conjecture,
    [--ssSkP0(U),
     --c5_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c2_2(U,a105),
     ++ssSkC0]).

input_clause(clause97,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c4_2(U,V),
     ++c5_2(U,a111),
     ++ssSkC3]).

input_clause(clause98,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c4_2(U,V),
     ++c2_2(U,a111),
     ++ssSkC3]).

input_clause(clause99,conjecture,
    [--ssSkP0(U),
     --c5_2(U,V),
     --ndr1_1(U),
     --c4_2(U,a105),
     --ndr1_0,
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++ssSkC0]).

input_clause(clause100,conjecture,
    [--ssSkP0(U),
     --c5_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a105),
     --ndr1_0,
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++ssSkC0]).

input_clause(clause101,conjecture,
    [--ndr1_1(U),
     --c4_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++ndr1_1(a139),
     ++c3_0]).

input_clause(clause102,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c2_0,
     --c4_0,
     ++c5_2(U,V),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c5_2(U,a138),
     ++c5_1(U)]).

input_clause(clause103,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a111),
     --c4_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c4_2(U,V),
     ++ssSkC3]).

input_clause(clause104,conjecture,
    [--ndr1_1(U),
     --c4_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c2_2(a139,a140),
     ++c3_0]).

input_clause(clause105,conjecture,
    [--ndr1_1(U),
     --c4_1(U),
     --c5_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c1_2(a139,a140),
     ++c3_0]).

input_clause(clause106,conjecture,
    [--ndr1_1(U),
     --c4_1(U),
     --c5_1(U),
     --ndr1_0,
     --c5_1(a139),
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c3_0]).

input_clause(clause107,conjecture,
    [--ndr1_1(U),
     --c4_2(U,a138),
     --ndr1_0,
     --c2_0,
     --c4_0,
     ++c5_2(U,V),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c5_1(U)]).

input_clause(clause108,conjecture,
    [--ndr1_1(U),
     --c4_1(U),
     --c5_1(U),
     --ndr1_0,
     --c4_2(a139,a140),
     ++c1_2(U,V),
     ++c2_2(U,V),
     ++c3_2(U,V),
     ++c3_0]).

input_clause(clause109,conjecture,
    [--ssSkC2,
     --c5_2(U,V),
     --c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_1(a110)]).

input_clause(clause110,conjecture,
    [--ssSkC2,
     --c5_2(U,V),
     --c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c3_1(U),
     --ndr1_0,
     --c3_1(a110)]).

input_clause(clause111,conjecture,
    [--ssSkC2,
     --c5_2(U,V),
     --c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --c3_1(U),
     --ndr1_0,
     --ndr1_1(a110),
     ++c1_2(a110,W),
     ++c5_2(a110,W)]).
%--------------------------------------------------------------------------
