%--------------------------------------------------------------------------
% File     : SYN525-1 : TPTP v2.2.1. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=20, K=3, D=2, P=0, Index=094
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-20-3-2-094.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.33 v2.2.0, 0.00 v2.1.0
% Syntax   : Number of clauses    :  104 (  67 non-Horn;   0 unit;  91 RR)
%            Number of literals   :  388 (   0 equality)
%            Maximal clause size  :   12 (   3 average)
%            Number of predicates :   25 (  13 propositional; 0-2 arity)
%            Number of functors   :   30 (  30 constant; 0-0 arity)
%            Number of variables  :   52 (   1 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [--ssSkC2,++ndr1_0]).

input_clause(clause2,conjecture,
    [++ndr1_0,++ssSkC6]).

input_clause(clause3,conjecture,
    [++ndr1_0,++ssSkC5]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC4]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause8,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause9,conjecture,
    [--ssSkC6,++ndr1_0,++c3_0]).

input_clause(clause10,conjecture,
    [--ssSkC5,++ndr1_0,++c5_0]).

input_clause(clause11,conjecture,
    [--ssSkC4,++ndr1_0,++c4_0]).

input_clause(clause12,conjecture,
    [--ssSkC3,++ndr1_0,++c4_0]).

input_clause(clause13,conjecture,
    [--ssSkC2,
     ++c4_1(a196)]).

input_clause(clause14,conjecture,
    [--ssSkC1,++ndr1_0,++c1_0]).

input_clause(clause15,conjecture,
    [++ndr1_1(a210),
     ++ssSkC5]).

input_clause(clause16,conjecture,
    [++c1_1(a210),
     ++ssSkC5]).

input_clause(clause17,conjecture,
    [++c3_1(a200),
     ++ssSkC3]).

input_clause(clause18,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause19,conjecture,
    [++c5_1(a191),
     ++ssSkC1]).

input_clause(clause20,conjecture,
    [++c2_1(a191),
     ++ssSkC1]).

input_clause(clause21,conjecture,
    [++ndr1_1(a188),
     ++ssSkC0]).

input_clause(clause22,conjecture,
    [++c3_1(a188),
     ++ssSkC0]).

input_clause(clause23,conjecture,
    [--ssSkC6,
     ++c1_1(a216),
     ++c3_0]).

input_clause(clause24,conjecture,
    [--ssSkC6,
     ++c2_1(a216),
     ++c3_0]).

input_clause(clause25,conjecture,
    [--ssSkC5,
     ++ndr1_1(a212),
     ++c5_0]).

input_clause(clause26,conjecture,
    [--c5_0,++ndr1_0,++c2_0]).

input_clause(clause27,conjecture,
    [--ssSkC4,
     ++ndr1_1(a203),
     ++c4_0]).

input_clause(clause28,conjecture,
    [--ssSkC4,
     ++c2_1(a203),
     ++c4_0]).

input_clause(clause29,conjecture,
    [--ssSkC3,
     ++c2_1(a201),
     ++c4_0]).

input_clause(clause30,conjecture,
    [--ssSkC1,
     ++ndr1_1(a192),
     ++c1_0]).

input_clause(clause31,conjecture,
    [--ssSkC0,--c4_0,++ndr1_0]).

input_clause(clause32,conjecture,
    [--c5_1(a215),
     ++ssSkC6]).

input_clause(clause33,conjecture,
    [--c3_1(a215),
     ++ssSkC6]).

input_clause(clause34,conjecture,
    [++c4_2(a210,a211),
     ++ssSkC5]).

input_clause(clause35,conjecture,
    [--c2_1(a202),
     ++ssSkC4]).

input_clause(clause36,conjecture,
    [--c3_1(a202),
     ++ssSkC4]).

input_clause(clause37,conjecture,
    [++c1_2(U,a197),
     ++ssSkP0(U)]).

input_clause(clause38,conjecture,
    [++c4_2(U,a197),
     ++ssSkP0(U)]).

input_clause(clause39,conjecture,
    [--c2_1(a195),
     ++ssSkC2]).

input_clause(clause40,conjecture,
    [--c1_1(a195),
     ++ssSkC2]).

input_clause(clause41,conjecture,
    [--c3_1(a191),
     ++ssSkC1]).

input_clause(clause42,conjecture,
    [++c3_2(a188,a189),
     ++ssSkC0]).

input_clause(clause43,conjecture,
    [++c5_2(a188,a189),
     ++ssSkC0]).

input_clause(clause44,conjecture,
    [--ssSkC6,
     --c4_1(a216),
     ++c3_0]).

input_clause(clause45,conjecture,
    [--ssSkC5,
     ++c1_2(a212,a214),
     ++c5_0]).

input_clause(clause46,conjecture,
    [--ssSkC5,
     ++c5_2(a212,a214),
     ++c5_0]).

input_clause(clause47,conjecture,
    [--ssSkC5,
     ++c4_2(a212,a213),
     ++c5_0]).

input_clause(clause48,conjecture,
    [--ssSkC5,
     ++c3_2(a212,a213),
     ++c5_0]).

input_clause(clause49,conjecture,
    [--ssSkC5,
     --c2_1(a212),
     ++c5_0]).

input_clause(clause50,conjecture,
    [--c5_0,
     ++ndr1_1(a206),
     ++c2_0]).

input_clause(clause51,conjecture,
    [--c5_0,
     ++c1_1(a206),
     ++c2_0]).

input_clause(clause52,conjecture,
    [--ssSkC4,
     ++c2_2(a203,a204),
     ++c4_0]).

input_clause(clause53,conjecture,
    [--ssSkC4,
     ++c5_2(a203,a204),
     ++c4_0]).

input_clause(clause54,conjecture,
    [--ssSkC3,
     --c5_1(a201),
     ++c4_0]).

input_clause(clause55,conjecture,
    [--c2_0,--c5_0,++ndr1_0]).

input_clause(clause56,conjecture,
    [--ssSkC1,
     ++c3_2(a192,a194),
     ++c1_0]).

input_clause(clause57,conjecture,
    [--ssSkC1,
     ++c5_2(a192,a194),
     ++c1_0]).

input_clause(clause58,conjecture,
    [--ssSkC1,
     ++c5_2(a192,a193),
     ++c1_0]).

input_clause(clause59,conjecture,
    [--ssSkC1,
     --c5_1(a192),
     ++c1_0]).

input_clause(clause60,conjecture,
    [--ssSkC0,
     --c4_0,
     ++c4_1(a190)]).

input_clause(clause61,conjecture,
    [--c3_2(a210,a211),
     ++ssSkC5]).

input_clause(clause62,conjecture,
    [--c5_2(a210,a211),
     ++ssSkC5]).

input_clause(clause63,conjecture,
    [--c4_2(a188,a189),
     ++ssSkC0]).

input_clause(clause64,conjecture,
    [--ssSkC5,
     --c4_2(a212,a214),
     ++c5_0]).

input_clause(clause65,conjecture,
    [--ssSkC5,
     --c1_2(a212,a213),
     ++c5_0]).

input_clause(clause66,conjecture,
    [--c5_0,
     ++c3_2(a206,a208),
     ++c2_0]).

input_clause(clause67,conjecture,
    [--c5_0,
     ++c2_2(a206,a207),
     ++c2_0]).

input_clause(clause68,conjecture,
    [--ssSkC4,
     --c3_2(a203,a204),
     ++c4_0]).

input_clause(clause69,conjecture,
    [--c2_0,
     --c5_0,
     ++c3_1(a199)]).

input_clause(clause70,conjecture,
    [--ssSkC1,
     --c1_2(a192,a193),
     ++c1_0]).

input_clause(clause71,conjecture,
    [--ssSkC1,
     --c4_2(a192,a193),
     ++c1_0]).

input_clause(clause72,conjecture,
    [--ssSkC0,
     --c2_1(a190),
     --c4_0]).

input_clause(clause73,conjecture,
    [--c2_2(a206,a208),
     --c5_0,
     ++c2_0]).

input_clause(clause74,conjecture,
    [--c1_2(a206,a208),
     --c5_0,
     ++c2_0]).

input_clause(clause75,conjecture,
    [--c4_2(a206,a207),
     --c5_0,
     ++c2_0]).

input_clause(clause76,conjecture,
    [--c2_1(a199),
     --c2_0,
     --c5_0]).

input_clause(clause77,conjecture,
    [--c5_1(a199),
     --c2_0,
     --c5_0]).

input_clause(clause78,conjecture,
    [--ssSkC4,
     --c4_2(a203,U),
     --ndr1_1(a203),
     ++c4_0]).

input_clause(clause79,conjecture,
    [--ssSkC2,
     --ndr1_1(a196),
     ++c5_2(a196,U),
     ++c1_2(a196,U)]).

input_clause(clause80,conjecture,
    [--c2_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_0,
     ++c5_0]).

input_clause(clause81,conjecture,
    [--ssSkC0,
     --ndr1_1(a190),
     --c4_0,
     ++c3_2(a190,U),
     ++c5_2(a190,U)]).

input_clause(clause82,conjecture,
    [--c3_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_0,
     ++c1_1(U),
     ++c4_0]).

input_clause(clause83,conjecture,
    [--ndr1_1(a210),
     ++c3_2(a210,U),
     ++c4_2(a210,U),
     ++c2_2(a210,U),
     ++ssSkC5]).

input_clause(clause84,conjecture,
    [--ndr1_1(a195),
     ++c2_2(a195,U),
     ++c3_2(a195,U),
     ++c1_2(a195,U),
     ++ssSkC2]).

input_clause(clause85,conjecture,
    [--c2_2(a200,U),
     --ndr1_1(a200),
     ++c1_2(a200,U),
     ++c4_2(a200,U),
     ++ssSkC3]).

input_clause(clause86,conjecture,
    [--c1_2(a200,U),
     --ndr1_1(a200),
     ++c3_2(a200,U),
     ++c5_2(a200,U),
     ++ssSkC3]).

input_clause(clause87,conjecture,
    [--ssSkP0(U),
     --c1_1(V),
     --c5_1(V),
     --ndr1_0,
     --c4_0,
     ++ndr1_1(U),
     ++c3_1(U)]).

input_clause(clause88,conjecture,
    [--c3_2(a188,U),
     --c4_2(a188,U),
     --ndr1_1(a188),
     ++c1_2(a188,U),
     ++ssSkC0]).

input_clause(clause89,conjecture,
    [--ssSkC3,
     --c2_2(a201,U),
     --c1_2(a201,U),
     --ndr1_1(a201),
     ++c5_2(a201,U),
     ++c4_0]).

input_clause(clause90,conjecture,
    [--ssSkC2,
     --c4_2(a196,U),
     --c1_2(a196,U),
     --c3_2(a196,U),
     --ndr1_1(a196)]).

input_clause(clause91,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_1(V),
     ++c2_1(U),
     ++ndr1_1(V),
     ++c2_1(V),
     ++c3_0]).

input_clause(clause92,conjecture,
    [--ssSkP0(U),
     --c1_1(V),
     --c5_1(V),
     --ndr1_0,
     --c2_2(U,a198),
     --c4_0,
     ++c3_1(U)]).

input_clause(clause93,conjecture,
    [--ssSkP0(U),
     --c1_1(V),
     --c5_1(V),
     --ndr1_0,
     --c4_2(U,a198),
     --c4_0,
     ++c3_1(U)]).

input_clause(clause94,conjecture,
    [--ssSkP0(U),
     --c1_1(V),
     --c5_1(V),
     --ndr1_0,
     --c3_2(U,a198),
     --c4_0,
     ++c3_1(U)]).

input_clause(clause95,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c4_1(V),
     ++c2_1(U),
     ++c4_2(V,a205),
     ++c2_1(V),
     ++c3_0]).

input_clause(clause96,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c5_2(V,a205),
     --c4_1(V),
     ++c2_1(U),
     ++c2_1(V),
     ++c3_0]).

input_clause(clause97,conjecture,
    [--c1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c2_2(V,a205),
     --c4_1(V),
     ++c2_1(U),
     ++c2_1(V),
     ++c3_0]).

input_clause(clause98,conjecture,
    [--ndr1_1(U),
     --c4_2(U,a209),
     --c3_1(U),
     --ndr1_0,
     --c2_0,
     ++c3_2(U,V),
     ++c2_2(U,V),
     ++c4_2(U,V)]).

input_clause(clause99,conjecture,
    [--ndr1_1(U),
     --c5_2(U,a209),
     --c3_1(U),
     --ndr1_0,
     --c2_0,
     ++c3_2(U,V),
     ++c2_2(U,V),
     ++c4_2(U,V)]).

input_clause(clause100,conjecture,
    [--ndr1_1(U),
     --c3_2(U,a209),
     --c3_1(U),
     --ndr1_0,
     --c2_0,
     ++c3_2(U,V),
     ++c2_2(U,V),
     ++c4_2(U,V)]).

input_clause(clause101,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c3_1(W),
     --c4_0,
     ++c4_2(U,V),
     ++c3_1(U),
     ++c2_1(U),
     ++c1_1(W)]).

input_clause(clause102,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c5_2(V,W),
     --ndr1_1(V),
     ++c1_2(U,X),
     ++c5_2(U,X),
     ++c4_2(U,X),
     ++c1_1(U),
     ++c1_2(V,W),
     ++c2_2(V,W),
     ++c5_2(V,a217),
     ++c4_1(V)]).

input_clause(clause103,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c5_2(V,W),
     --ndr1_1(V),
     ++c1_2(U,X),
     ++c5_2(U,X),
     ++c4_2(U,X),
     ++c1_1(U),
     ++c1_2(V,W),
     ++c2_2(V,W),
     ++c1_2(V,a217),
     ++c4_1(V)]).

input_clause(clause104,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c5_2(V,W),
     --ndr1_1(V),
     --c4_2(V,a217),
     ++c1_2(U,X),
     ++c5_2(U,X),
     ++c4_2(U,X),
     ++c1_1(U),
     ++c1_2(V,W),
     ++c2_2(V,W),
     ++c4_1(V)]).
%--------------------------------------------------------------------------
