%--------------------------------------------------------------------------
% File     : SYN526-1 : TPTP v2.2.1. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=011
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-011.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.33 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  113 (  70 non-Horn;   1 unit; 100 RR)
%            Number of literals   :  507 (   0 equality)
%            Maximal clause size  :   14 (   4 average)
%            Number of predicates :   28 (  16 propositional; 0-2 arity)
%            Number of functors   :   33 (  33 constant; 0-0 arity)
%            Number of variables  :   92 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++c3_0]).

input_clause(clause2,conjecture,
    [--c2_0]).

input_clause(clause3,conjecture,
    [++ndr1_0,++ssSkC8]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC7]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC4]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause7,conjecture,
    [++ndr1_1(a248),
     ++c3_0]).

input_clause(clause8,conjecture,
    [++c3_1(a248),
     ++c3_0]).

input_clause(clause9,conjecture,
    [--ssSkC8,--ssSkC9,++ndr1_0]).

input_clause(clause10,conjecture,
    [--ssSkC5,--ssSkC6,++ndr1_0]).

input_clause(clause11,conjecture,
    [++ndr1_0,++c5_0,++c4_0]).

input_clause(clause12,conjecture,
    [--c3_0,++c5_0]).

input_clause(clause13,conjecture,
    [++c3_1(a236),
     ++ssSkC4]).

input_clause(clause14,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause15,conjecture,
    [++ndr1_1(a223),
     ++ssSkC0]).

input_clause(clause16,conjecture,
    [++c2_1(a223),
     ++ssSkC0]).

input_clause(clause17,conjecture,
    [++c5_1(a223),
     ++ssSkC0]).

input_clause(clause18,conjecture,
    [++c4_2(a248,a249),
     ++c3_0]).

input_clause(clause19,conjecture,
    [++c2_2(a248,a249),
     ++c3_0]).

input_clause(clause20,conjecture,
    [--ssSkC5,
     --ssSkC6,
     ++ndr1_1(a240)]).

input_clause(clause21,conjecture,
    [--ssSkC5,
     --ssSkC6,
     ++c3_1(a240)]).

input_clause(clause22,conjecture,
    [--ssSkC4,--c3_0,++ndr1_0]).

input_clause(clause23,conjecture,
    [--ssSkC1,--c3_0,++ndr1_0]).

input_clause(clause24,conjecture,
    [--ssSkC0,--c5_0,++ndr1_0]).

input_clause(clause25,conjecture,
    [++ndr1_1(a221),
     ++c5_0,
     ++c4_0]).

input_clause(clause26,conjecture,
    [--c5_1(a245),
     ++ssSkC8]).

input_clause(clause27,conjecture,
    [--c3_1(a242),
     ++ssSkC7]).

input_clause(clause28,conjecture,
    [--c2_1(a242),
     ++ssSkC7]).

input_clause(clause29,conjecture,
    [--c4_1(a242),
     ++ssSkC7]).

input_clause(clause30,conjecture,
    [--c4_1(a236),
     ++ssSkC4]).

input_clause(clause31,conjecture,
    [++c4_2(U,a227),
     ++ssSkP0(U)]).

input_clause(clause32,conjecture,
    [++c1_2(U,a227),
     ++ssSkP0(U)]).

input_clause(clause33,conjecture,
    [++c4_2(a223,a224),
     ++ssSkC0]).

input_clause(clause34,conjecture,
    [++c2_2(a223,a224),
     ++ssSkC0]).

input_clause(clause35,conjecture,
    [--c1_2(a248,a249),
     ++c3_0]).

input_clause(clause36,conjecture,
    [--ssSkC8,
     --ssSkC9,
     --c3_1(a247)]).

input_clause(clause37,conjecture,
    [--ssSkC5,
     --ssSkC6,
     ++c3_2(a240,a241)]).

input_clause(clause38,conjecture,
    [--ssSkC5,
     --ssSkC6,
     --c2_1(a240)]).

input_clause(clause39,conjecture,
    [--ssSkC4,
     --c3_0,
     ++c2_1(a237)]).

input_clause(clause40,conjecture,
    [--ssSkC0,
     --c5_0,
     ++ndr1_1(a225)]).

input_clause(clause41,conjecture,
    [--ssSkC0,
     --c5_0,
     ++c4_1(a225)]).

input_clause(clause42,conjecture,
    [++c1_2(a221,a222),
     ++c5_0,
     ++c4_0]).

input_clause(clause43,conjecture,
    [--c5_2(U,a227),
     ++ssSkP0(U)]).

input_clause(clause44,conjecture,
    [--c5_2(a223,a224),
     ++ssSkC0]).

input_clause(clause45,conjecture,
    [--ssSkC5,
     --ssSkC6,
     --c5_2(a240,a241)]).

input_clause(clause46,conjecture,
    [--ssSkC5,
     --ssSkC6,
     --c1_2(a240,a241)]).

input_clause(clause47,conjecture,
    [--c4_1(a232),
     --c5_0,
     ++c3_0]).

input_clause(clause48,conjecture,
    [--c3_1(a232),
     --c5_0,
     ++c3_0]).

input_clause(clause49,conjecture,
    [--ssSkC1,
     --c4_1(a229),
     --c3_0]).

input_clause(clause50,conjecture,
    [--ssSkC0,
     --c5_0,
     ++c1_2(a225,a226)]).

input_clause(clause51,conjecture,
    [--c5_2(a221,a222),
     ++c5_0,
     ++c4_0]).

input_clause(clause52,conjecture,
    [--c1_0,--c5_0,--c3_0]).

input_clause(clause53,conjecture,
    [--ssSkC2,
     --ssSkC3,
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U)]).

input_clause(clause54,conjecture,
    [--ssSkC0,
     --c3_2(a225,a226),
     --c5_0]).

input_clause(clause55,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC5]).

input_clause(clause56,conjecture,
    [--ssSkC7,
     --ndr1_0,
     --c4_0,
     ++ndr1_1(U),
     ++c4_1(U)]).

input_clause(clause57,conjecture,
    [--ssSkC2,
     --ssSkC3,
     --ndr1_0,
     ++c4_2(U,a235),
     ++c5_1(U)]).

input_clause(clause58,conjecture,
    [--ssSkC2,
     --ssSkC3,
     --ndr1_0,
     ++c1_2(U,a235),
     ++c5_1(U)]).

input_clause(clause59,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++c3_1(U),
     ++ssSkC9]).

input_clause(clause60,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++ssSkC1]).

input_clause(clause61,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_2(U,a238),
     ++ssSkC5]).

input_clause(clause62,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c1_2(U,a238),
     ++ssSkC5]).

input_clause(clause63,conjecture,
    [--ssSkC7,
     --ndr1_0,
     --c4_0,
     ++c1_2(U,a243),
     ++c4_1(U)]).

input_clause(clause64,conjecture,
    [--ssSkC2,
     --ssSkC3,
     --c5_2(U,a235),
     --ndr1_0,
     ++c5_1(U)]).

input_clause(clause65,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++ssSkC2]).

input_clause(clause66,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     ++c1_2(U,a228),
     ++c5_1(U),
     ++ssSkC1]).

input_clause(clause67,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c4_1(U),
     ++c5_0,
     ++c4_0]).

input_clause(clause68,conjecture,
    [--c2_2(U,a238),
     --c2_1(U),
     --ndr1_0,
     ++ssSkC5]).

input_clause(clause69,conjecture,
    [--ssSkC7,
     --c5_2(U,a243),
     --ndr1_0,
     --c4_0,
     ++c4_1(U)]).

input_clause(clause70,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c4_0,
     ++c5_1(U),
     ++ndr1_1(a230)]).

input_clause(clause71,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c4_0,
     ++c5_1(U),
     ++c2_1(a230)]).

input_clause(clause72,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c4_0,
     ++c5_1(U),
     ++c3_1(a230)]).

input_clause(clause73,conjecture,
    [--c1_2(U,a246),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++ssSkC9]).

input_clause(clause74,conjecture,
    [--c2_2(U,a246),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++ssSkC9]).

input_clause(clause75,conjecture,
    [--c3_2(U,a246),
     --ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++ssSkC9]).

input_clause(clause76,conjecture,
    [--c4_1(U),
     --c3_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++ssSkC6]).

input_clause(clause77,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c3_2(U,a233),
     ++c4_1(U),
     ++ssSkC2]).

input_clause(clause78,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c2_2(U,a233),
     ++c4_1(U),
     ++ssSkC2]).

input_clause(clause79,conjecture,
    [--ssSkP0(U),
     --c2_2(U,a228),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC1]).

input_clause(clause80,conjecture,
    [--ndr1_0,
     --c1_0,
     --c4_0,
     ++c2_1(U),
     ++c3_1(U),
     ++c4_1(U)]).

input_clause(clause81,conjecture,
    [--c3_2(a245,U),
     --ndr1_1(a245),
     ++c5_2(a245,U),
     ++ssSkC8]).

input_clause(clause82,conjecture,
    [--ssSkC8,
     --ssSkC9,
     --c3_2(a247,U),
     --ndr1_1(a247),
     ++c1_2(a247,U)]).

input_clause(clause83,conjecture,
    [--c4_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c2_2(U,a239),
     ++ssSkC6]).

input_clause(clause84,conjecture,
    [--c5_2(U,a233),
     --c2_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++ssSkC2]).

input_clause(clause85,conjecture,
    [--c1_2(U,a219),
     --c2_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c5_0,
     ++c4_0]).

input_clause(clause86,conjecture,
    [--c2_2(U,a219),
     --c2_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c5_0,
     ++c4_0]).

input_clause(clause87,conjecture,
    [--c3_2(U,a219),
     --c2_1(U),
     --ndr1_0,
     ++c4_1(U),
     ++c5_0,
     ++c4_0]).

input_clause(clause88,conjecture,
    [--ssSkC4,
     --c5_2(a237,U),
     --ndr1_1(a237),
     --c3_0,
     ++c4_2(a237,U)]).

input_clause(clause89,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c1_2(a230,a231),
     --c4_0,
     ++c5_1(U)]).

input_clause(clause90,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c5_2(a230,a231),
     --c4_0,
     ++c5_1(U)]).

input_clause(clause91,conjecture,
    [--c5_2(U,a239),
     --c4_1(U),
     --c3_1(U),
     --ndr1_0,
     ++ssSkC6]).

input_clause(clause92,conjecture,
    [--c4_2(U,a239),
     --c4_1(U),
     --c3_1(U),
     --ndr1_0,
     ++ssSkC6]).

input_clause(clause93,conjecture,
    [--c4_2(a245,U),
     --ndr1_1(a245),
     ++c1_2(a245,U),
     ++c5_2(a245,U),
     ++ssSkC8]).

input_clause(clause94,conjecture,
    [--c4_2(a236,U),
     --ndr1_1(a236),
     ++c3_2(a236,U),
     ++c5_2(a236,U),
     ++ssSkC4]).

input_clause(clause95,conjecture,
    [--ssSkC1,
     --c1_2(a229,U),
     --ndr1_1(a229),
     --c3_0,
     ++c5_2(a229,U),
     ++c4_2(a229,U)]).

input_clause(clause96,conjecture,
    [--c2_2(a221,U),
     --c1_2(a221,U),
     --ndr1_1(a221),
     ++c5_2(a221,U),
     ++c5_0,
     ++c4_0]).

input_clause(clause97,conjecture,
    [--ssSkC4,
     --c3_2(a237,U),
     --c2_2(a237,U),
     --ndr1_1(a237),
     --c3_0,
     ++c5_2(a237,U)]).

input_clause(clause98,conjecture,
    [--ssSkC1,
     --c5_2(a229,U),
     --c4_2(a229,U),
     --c3_2(a229,U),
     --ndr1_1(a229),
     --c3_0]).

input_clause(clause99,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c5_0,
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c5_2(U,a244)]).

input_clause(clause100,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c5_1(U),
     --ndr1_0,
     --c5_0,
     ++c3_2(U,V),
     ++c4_2(U,V),
     ++c2_2(U,a244)]).

input_clause(clause101,conjecture,
    [--c5_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a244),
     --c5_1(U),
     --ndr1_0,
     --c5_0,
     ++c3_2(U,V),
     ++c4_2(U,V)]).

input_clause(clause102,conjecture,
    [--c3_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c5_0,
     ++c3_1(U),
     ++ndr1_1(W),
     ++c1_1(W)]).

input_clause(clause103,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c4_2(U,a234),
     ++ssSkC3]).

input_clause(clause104,conjecture,
    [--c3_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c5_0,
     ++c3_1(U),
     ++c5_2(W,a218),
     ++c1_1(W)]).

input_clause(clause105,conjecture,
    [--c3_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c5_0,
     ++c3_1(U),
     ++c1_2(W,a218),
     ++c1_1(W)]).

input_clause(clause106,conjecture,
    [--c2_2(U,V),
     --c4_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a234),
     --c1_1(U),
     --ndr1_0,
     ++ssSkC3]).

input_clause(clause107,conjecture,
    [--c3_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     --c3_2(W,a218),
     --c5_0,
     ++c3_1(U),
     ++c1_1(W)]).

input_clause(clause108,conjecture,
    [--c4_2(U,V),
     --c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_1(W),
     ++c5_1(U),
     ++ndr1_1(W),
     ++c4_1(W)]).

input_clause(clause109,conjecture,
    [--c4_2(U,V),
     --c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c3_1(W),
     ++c5_1(U),
     ++c4_2(W,a250),
     ++c4_1(W)]).

input_clause(clause110,conjecture,
    [--c4_2(U,V),
     --c1_2(U,V),
     --c5_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     --c5_2(W,a250),
     --c3_1(W),
     ++c5_1(U),
     ++c4_1(W)]).

input_clause(clause111,conjecture,
    [--c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_2(W,X),
     --ndr1_1(W),
     --c2_1(W),
     --c4_0,
     ++c2_2(U,V),
     ++c2_1(U),
     ++c5_1(U),
     ++c4_2(W,X),
     ++c3_2(W,X),
     ++c1_2(W,a220)]).

input_clause(clause112,conjecture,
    [--c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_2(W,X),
     --ndr1_1(W),
     --c2_1(W),
     --c4_0,
     ++c2_2(U,V),
     ++c2_1(U),
     ++c5_1(U),
     ++c4_2(W,X),
     ++c3_2(W,X),
     ++c4_2(W,a220)]).

input_clause(clause113,conjecture,
    [--c5_2(U,V),
     --c1_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c2_2(W,X),
     --ndr1_1(W),
     --c3_2(W,a220),
     --c2_1(W),
     --c4_0,
     ++c2_2(U,V),
     ++c2_1(U),
     ++c5_1(U),
     ++c4_2(W,X),
     ++c3_2(W,X)]).
%--------------------------------------------------------------------------
