%--------------------------------------------------------------------------
% File     : SYN529-1 : TPTP v2.2.1. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=033
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-033.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.33 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :  136 ( 100 non-Horn;   0 unit; 122 RR)
%            Number of literals   :  483 (   0 equality)
%            Maximal clause size  :   12 (   3 average)
%            Number of predicates :   27 (  15 propositional; 0-2 arity)
%            Number of functors   :   43 (  43 constant; 0-0 arity)
%            Number of variables  :   55 (   0 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++c3_0]).

input_clause(clause2,conjecture,
    [++ndr1_0,++ssSkC8]).

input_clause(clause3,conjecture,
    [++ndr1_0,++ssSkC7]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC6]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC5]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC4]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause8,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause9,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause10,conjecture,
    [++ndr1_0,++c2_0,++c5_0]).

input_clause(clause11,conjecture,
    [--ssSkC6,++ndr1_0,++c5_0]).

input_clause(clause12,conjecture,
    [++c2_1(a343),
     ++c3_0]).

input_clause(clause13,conjecture,
    [++ndr1_0,++c4_0,++c5_0]).

input_clause(clause14,conjecture,
    [--ssSkC3,++ndr1_0,++c4_0]).

input_clause(clause15,conjecture,
    [--ssSkC2,++ndr1_0,++c5_0]).

input_clause(clause16,conjecture,
    [--ssSkC1,++ndr1_0,++c4_0]).

input_clause(clause17,conjecture,
    [--c5_0,++c2_0]).

input_clause(clause18,conjecture,
    [--c3_0,++c2_0]).

input_clause(clause19,conjecture,
    [++ndr1_1(a351),
     ++ssSkC8]).

input_clause(clause20,conjecture,
    [++c4_1(a351),
     ++ssSkC8]).

input_clause(clause21,conjecture,
    [++ndr1_1(a348),
     ++ssSkC7]).

input_clause(clause22,conjecture,
    [++ndr1_1(a344),
     ++ssSkC6]).

input_clause(clause23,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause24,conjecture,
    [++ndr1_1(a338),
     ++ssSkC5]).

input_clause(clause25,conjecture,
    [++c1_1(a338),
     ++ssSkC5]).

input_clause(clause26,conjecture,
    [++c4_1(a338),
     ++ssSkC5]).

input_clause(clause27,conjecture,
    [++ndr1_1(a331),
     ++ssSkC4]).

input_clause(clause28,conjecture,
    [++c5_1(a331),
     ++ssSkC4]).

input_clause(clause29,conjecture,
    [++c3_1(a331),
     ++ssSkC4]).

input_clause(clause30,conjecture,
    [++c5_1(a328),
     ++ssSkC3]).

input_clause(clause31,conjecture,
    [++ndr1_1(a324),
     ++ssSkC2]).

input_clause(clause32,conjecture,
    [++ndr1_1(a316),
     ++ssSkC0]).

input_clause(clause33,conjecture,
    [++c1_1(a316),
     ++ssSkC0]).

input_clause(clause34,conjecture,
    [++ndr1_1(a355),
     ++c2_0,
     ++c5_0]).

input_clause(clause35,conjecture,
    [--ssSkC8,
     ++ndr1_1(a353),
     ++c3_0]).

input_clause(clause36,conjecture,
    [--ssSkC6,
     ++ndr1_1(a346),
     ++c5_0]).

input_clause(clause37,conjecture,
    [--ssSkC6,
     ++c4_1(a346),
     ++c5_0]).

input_clause(clause38,conjecture,
    [--ssSkC6,
     ++c3_1(a346),
     ++c5_0]).

input_clause(clause39,conjecture,
    [--c1_1(a343),
     ++c3_0]).

input_clause(clause40,conjecture,
    [++ndr1_1(a335),
     ++c4_0,
     ++c5_0]).

input_clause(clause41,conjecture,
    [--ssSkC4,--c4_0,++ndr1_0]).

input_clause(clause42,conjecture,
    [--ssSkC3,
     ++ndr1_1(a329),
     ++c4_0]).

input_clause(clause43,conjecture,
    [--ssSkC3,
     ++c1_1(a329),
     ++c4_0]).

input_clause(clause44,conjecture,
    [--ssSkC2,
     ++ndr1_1(a326),
     ++c5_0]).

input_clause(clause45,conjecture,
    [--ssSkC2,
     ++c2_1(a326),
     ++c5_0]).

input_clause(clause46,conjecture,
    [--ssSkC2,
     ++c4_1(a326),
     ++c5_0]).

input_clause(clause47,conjecture,
    [--ssSkC1,
     ++ndr1_1(a322),
     ++c4_0]).

input_clause(clause48,conjecture,
    [--ssSkC1,
     ++c3_1(a322),
     ++c4_0]).

input_clause(clause49,conjecture,
    [--ssSkC0,--c4_0,++ndr1_0]).

input_clause(clause50,conjecture,
    [--c1_0,++c3_0,++c5_0]).

input_clause(clause51,conjecture,
    [++c2_2(a351,a352),
     ++ssSkC8]).

input_clause(clause52,conjecture,
    [--c1_1(a351),
     ++ssSkC8]).

input_clause(clause53,conjecture,
    [++c2_2(a348,a349),
     ++ssSkC7]).

input_clause(clause54,conjecture,
    [--c3_1(a348),
     ++ssSkC7]).

input_clause(clause55,conjecture,
    [++c3_2(a344,a345),
     ++ssSkC6]).

input_clause(clause56,conjecture,
    [--c2_1(a344),
     ++ssSkC6]).

input_clause(clause57,conjecture,
    [++c2_2(U,a340),
     ++ssSkP0(U)]).

input_clause(clause58,conjecture,
    [++c1_2(a338,a339),
     ++ssSkC5]).

input_clause(clause59,conjecture,
    [++c1_2(a331,a332),
     ++ssSkC4]).

input_clause(clause60,conjecture,
    [++c2_2(a331,a332),
     ++ssSkC4]).

input_clause(clause61,conjecture,
    [--c2_1(a328),
     ++ssSkC3]).

input_clause(clause62,conjecture,
    [++c1_2(a324,a325),
     ++ssSkC2]).

input_clause(clause63,conjecture,
    [++c5_2(a324,a325),
     ++ssSkC2]).

input_clause(clause64,conjecture,
    [++c3_2(a316,a317),
     ++ssSkC0]).

input_clause(clause65,conjecture,
    [++c2_2(a316,a317),
     ++ssSkC0]).

input_clause(clause66,conjecture,
    [--c4_1(a316),
     ++ssSkC0]).

input_clause(clause67,conjecture,
    [--c3_1(a355),
     ++c2_0,
     ++c5_0]).

input_clause(clause68,conjecture,
    [--ssSkC8,
     ++c2_2(a353,a354),
     ++c3_0]).

input_clause(clause69,conjecture,
    [--ssSkC8,
     ++c3_2(a353,a354),
     ++c3_0]).

input_clause(clause70,conjecture,
    [--ssSkC6,
     ++c1_2(a346,a347),
     ++c5_0]).

input_clause(clause71,conjecture,
    [++c1_2(a335,a337),
     ++c4_0,
     ++c5_0]).

input_clause(clause72,conjecture,
    [++c5_2(a335,a337),
     ++c4_0,
     ++c5_0]).

input_clause(clause73,conjecture,
    [++c4_2(a335,a336),
     ++c4_0,
     ++c5_0]).

input_clause(clause74,conjecture,
    [++c5_2(a335,a336),
     ++c4_0,
     ++c5_0]).

input_clause(clause75,conjecture,
    [++c2_2(a335,a336),
     ++c4_0,
     ++c5_0]).

input_clause(clause76,conjecture,
    [--ssSkC2,
     ++c3_2(a326,a327),
     ++c5_0]).

input_clause(clause77,conjecture,
    [--ssSkC1,
     ++c5_2(a322,a323),
     ++c4_0]).

input_clause(clause78,conjecture,
    [--ssSkC0,
     --c4_0,
     ++ndr1_1(a318)]).

input_clause(clause79,conjecture,
    [--c3_0,--c5_0,++c4_0]).

input_clause(clause80,conjecture,
    [--c1_0,--c5_0,++c4_0]).

input_clause(clause81,conjecture,
    [--c1_2(a351,a352),
     ++ssSkC8]).

input_clause(clause82,conjecture,
    [--c4_2(a351,a352),
     ++ssSkC8]).

input_clause(clause83,conjecture,
    [--c5_2(a348,a349),
     ++ssSkC7]).

input_clause(clause84,conjecture,
    [--c1_2(a344,a345),
     ++ssSkC6]).

input_clause(clause85,conjecture,
    [--c4_2(U,a340),
     ++ssSkP0(U)]).

input_clause(clause86,conjecture,
    [--c1_2(U,a340),
     ++ssSkP0(U)]).

input_clause(clause87,conjecture,
    [--c3_2(a338,a339),
     ++ssSkC5]).

input_clause(clause88,conjecture,
    [--c4_2(a338,a339),
     ++ssSkC5]).

input_clause(clause89,conjecture,
    [--c5_2(a331,a332),
     ++ssSkC4]).

input_clause(clause90,conjecture,
    [--c4_2(a316,a317),
     ++ssSkC0]).

input_clause(clause91,conjecture,
    [--c4_2(a355,a356),
     ++c2_0,
     ++c5_0]).

input_clause(clause92,conjecture,
    [--c5_2(a355,a356),
     ++c2_0,
     ++c5_0]).

input_clause(clause93,conjecture,
    [--ssSkC6,
     --c5_2(a346,a347),
     ++c5_0]).

input_clause(clause94,conjecture,
    [--c3_2(a335,a337),
     ++c4_0,
     ++c5_0]).

input_clause(clause95,conjecture,
    [--ssSkC4,
     --c3_1(a333),
     --c4_0]).

input_clause(clause96,conjecture,
    [--ssSkC3,
     --c2_2(a329,a330),
     ++c4_0]).

input_clause(clause97,conjecture,
    [--ssSkC2,
     --c2_2(a326,a327),
     ++c5_0]).

input_clause(clause98,conjecture,
    [--ssSkC2,
     --c5_2(a326,a327),
     ++c5_0]).

input_clause(clause99,conjecture,
    [--ssSkC1,
     --c4_2(a322,a323),
     ++c4_0]).

input_clause(clause100,conjecture,
    [--ssSkC1,
     --c1_2(a322,a323),
     ++c4_0]).

input_clause(clause101,conjecture,
    [--ssSkC0,
     --c4_0,
     ++c2_2(a318,a320)]).

input_clause(clause102,conjecture,
    [--ssSkC0,
     --c4_0,
     ++c4_2(a318,a319)]).

input_clause(clause103,conjecture,
    [--ssSkC0,
     --c4_0,
     ++c2_2(a318,a319)]).

input_clause(clause104,conjecture,
    [--c4_0,--c3_0,--c2_0]).

input_clause(clause105,conjecture,
    [--ssSkC0,
     --c4_2(a318,a320),
     --c4_0]).

input_clause(clause106,conjecture,
    [--ndr1_0,
     ++ndr1_1(U),
     ++c3_1(U),
     ++c5_1(U),
     ++c1_0]).

input_clause(clause107,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++c4_0]).

input_clause(clause108,conjecture,
    [--ndr1_0,
     ++c4_2(U,a334),
     ++c3_1(U),
     ++c5_1(U),
     ++c1_0]).

input_clause(clause109,conjecture,
    [--ndr1_0,
     ++c2_2(U,a334),
     ++c3_1(U),
     ++c5_1(U),
     ++c1_0]).

input_clause(clause110,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c5_2(U,a342),
     ++c5_1(U),
     ++c4_0]).

input_clause(clause111,conjecture,
    [--c4_1(U),
     --ndr1_0,
     ++c2_2(U,a342),
     ++c5_1(U),
     ++c4_0]).

input_clause(clause112,conjecture,
    [--ndr1_1(a324),
     ++c3_2(a324,U),
     ++c1_2(a324,U),
     ++ssSkC2]).

input_clause(clause113,conjecture,
    [--c1_2(a355,U),
     --ndr1_1(a355),
     ++c3_2(a355,U),
     ++c2_0,
     ++c5_0]).

input_clause(clause114,conjecture,
    [--c4_2(a324,U),
     --ndr1_1(a324),
     ++c3_2(a324,U),
     ++c2_2(a324,U),
     ++ssSkC2]).

input_clause(clause115,conjecture,
    [--c4_2(a348,U),
     --c2_2(a348,U),
     --ndr1_1(a348),
     ++c5_2(a348,U),
     ++ssSkC7]).

input_clause(clause116,conjecture,
    [--ssSkC8,
     --c2_2(a353,U),
     --c5_2(a353,U),
     --ndr1_1(a353),
     ++c3_2(a353,U),
     ++c3_0]).

input_clause(clause117,conjecture,
    [--ssSkC8,
     --c1_2(a353,U),
     --c4_2(a353,U),
     --ndr1_1(a353),
     ++c3_2(a353,U),
     ++c3_0]).

input_clause(clause118,conjecture,
    [--ssSkC3,
     --c4_2(a329,U),
     --c5_2(a329,U),
     --ndr1_1(a329),
     ++c1_2(a329,U),
     ++c4_0]).

input_clause(clause119,conjecture,
    [--c2_2(a344,U),
     --c1_2(a344,U),
     --c5_2(a344,U),
     --ndr1_1(a344),
     ++ssSkC6]).

input_clause(clause120,conjecture,
    [--ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c2_2(U,V),
     ++c3_1(U),
     ++c5_0]).

input_clause(clause121,conjecture,
    [--ssSkC7,
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c2_2(U,a350)]).

input_clause(clause122,conjecture,
    [--ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++c5_1(U),
     ++ndr1_1(a314),
     ++c4_0]).

input_clause(clause123,conjecture,
    [--ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++c5_1(U),
     ++c4_1(a314),
     ++c4_0]).

input_clause(clause124,conjecture,
    [--ssSkC7,
     --c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a350),
     --c3_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c5_2(U,V)]).

input_clause(clause125,conjecture,
    [--ssSkC7,
     --c4_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a350),
     --c3_1(U),
     --ndr1_0,
     ++c1_2(U,V),
     ++c5_2(U,V)]).

input_clause(clause126,conjecture,
    [--ssSkP0(U),
     --ssSkC5,
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c2_2(U,a341)]).

input_clause(clause127,conjecture,
    [--ssSkP0(U),
     --ssSkC5,
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c4_2(U,a341)]).

input_clause(clause128,conjecture,
    [--ssSkP0(U),
     --ssSkC5,
     --c3_2(U,V),
     --ndr1_1(U),
     --ndr1_0,
     --c5_0,
     ++c2_2(U,V),
     ++c1_2(U,V),
     ++c3_2(U,a341)]).

input_clause(clause129,conjecture,
    [--ndr1_1(U),
     --ndr1_0,
     --c2_1(V),
     ++c5_2(U,W),
     ++c4_2(U,W),
     ++c4_1(U),
     ++c2_1(U),
     ++c4_1(V),
     ++c1_1(X),
     ++c5_1(X)]).

input_clause(clause130,conjecture,
    [--c4_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c2_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++c5_2(U,a321),
     ++ssSkC1]).

input_clause(clause131,conjecture,
    [--ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c3_2(a314,a315),
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++c5_1(U),
     ++c4_0]).

input_clause(clause132,conjecture,
    [--ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c2_2(a314,a315),
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++c5_1(U),
     ++c4_0]).

input_clause(clause133,conjecture,
    [--ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c1_2(a314,a315),
     ++c4_2(U,V),
     ++c3_2(U,V),
     ++c1_2(U,V),
     ++c5_1(U),
     ++c4_0]).

input_clause(clause134,conjecture,
    [--c4_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a321),
     --c2_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++ssSkC1]).

input_clause(clause135,conjecture,
    [--c4_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c2_2(U,a321),
     --c2_1(U),
     --ndr1_0,
     ++c2_2(U,V),
     ++ssSkC1]).

input_clause(clause136,conjecture,
    [--ndr1_1(U),
     --c4_1(U),
     --ndr1_0,
     --c1_2(a314,V),
     --ndr1_1(a314),
     ++c4_2(U,W),
     ++c3_2(U,W),
     ++c1_2(U,W),
     ++c5_1(U),
     ++c4_2(a314,V),
     ++c3_2(a314,V),
     ++c4_0]).
%--------------------------------------------------------------------------
