%--------------------------------------------------------------------------
% File     : SYN533-1 : TPTP v2.2.1. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=082
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-082.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.33 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :   92 (  50 non-Horn;   1 unit;  84 RR)
%            Number of literals   :  282 (   0 equality)
%            Maximal clause size  :   11 (   3 average)
%            Number of predicates :   23 (  10 propositional; 0-2 arity)
%            Number of functors   :   28 (  28 constant; 0-0 arity)
%            Number of variables  :   34 (   1 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++c4_0]).

input_clause(clause2,conjecture,
    [--ssSkC3,++ndr1_0]).

input_clause(clause3,conjecture,
    [++ndr1_0,++c1_0]).

input_clause(clause4,conjecture,
    [++ndr1_0,++c2_0]).

input_clause(clause5,conjecture,
    [++ndr1_0,++c3_0]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause7,conjecture,
    [++ndr1_0,++ssSkC1]).

input_clause(clause8,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause9,conjecture,
    [++c4_1(a467),
     ++c1_0]).

input_clause(clause10,conjecture,
    [++c5_1(a467),
     ++c1_0]).

input_clause(clause11,conjecture,
    [++ndr1_1(a465),
     ++c2_0]).

input_clause(clause12,conjecture,
    [++c3_1(a464),
     ++c2_0]).

input_clause(clause13,conjecture,
    [++ndr1_1(a445),
     ++c3_0]).

input_clause(clause14,conjecture,
    [++c3_1(a445),
     ++c3_0]).

input_clause(clause15,conjecture,
    [++ndr1_1(U),
     ++ssSkP1(U)]).

input_clause(clause16,conjecture,
    [++ndr1_1(a458),
     ++ssSkC2]).

input_clause(clause17,conjecture,
    [++c1_1(a458),
     ++ssSkC2]).

input_clause(clause18,conjecture,
    [++ndr1_1(a453),
     ++ssSkC1]).

input_clause(clause19,conjecture,
    [++ndr1_1(a447),
     ++ssSkC0]).

input_clause(clause20,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause21,conjecture,
    [--ssSkC3,
     --c3_1(a470)]).

input_clause(clause22,conjecture,
    [--ssSkC3,
     --c5_1(a470)]).

input_clause(clause23,conjecture,
    [--c3_1(a467),
     ++c1_0]).

input_clause(clause24,conjecture,
    [++c1_2(a465,a466),
     ++c2_0]).

input_clause(clause25,conjecture,
    [--c5_1(a465),
     ++c2_0]).

input_clause(clause26,conjecture,
    [--c5_1(a464),
     ++c2_0]).

input_clause(clause27,conjecture,
    [--c2_1(a464),
     ++c2_0]).

input_clause(clause28,conjecture,
    [--ssSkC2,--c3_0,++ndr1_0]).

input_clause(clause29,conjecture,
    [--ssSkC1,--c1_0,++ndr1_0]).

input_clause(clause30,conjecture,
    [--ssSkC0,
     ++ndr1_1(a449),
     ++c2_0]).

input_clause(clause31,conjecture,
    [--ssSkC0,
     ++c1_1(a449),
     ++c2_0]).

input_clause(clause32,conjecture,
    [--ssSkC0,
     ++c2_1(a449),
     ++c2_0]).

input_clause(clause33,conjecture,
    [--c3_0,++c1_0,++c2_0]).

input_clause(clause34,conjecture,
    [++c2_2(U,a468),
     ++ssSkP1(U)]).

input_clause(clause35,conjecture,
    [++c5_2(U,a468),
     ++ssSkP1(U)]).

input_clause(clause36,conjecture,
    [++c5_2(a458,a459),
     ++ssSkC2]).

input_clause(clause37,conjecture,
    [--c5_1(a458),
     ++ssSkC2]).

input_clause(clause38,conjecture,
    [++c5_2(a453,a454),
     ++ssSkC1]).

input_clause(clause39,conjecture,
    [--c4_1(a453),
     ++ssSkC1]).

input_clause(clause40,conjecture,
    [++c3_2(U,a443),
     ++ssSkP0(U)]).

input_clause(clause41,conjecture,
    [--c5_2(a465,a466),
     ++c2_0]).

input_clause(clause42,conjecture,
    [--c4_2(a465,a466),
     ++c2_0]).

input_clause(clause43,conjecture,
    [--c2_0,
     ++ndr1_1(a461),
     ++c1_0]).

input_clause(clause44,conjecture,
    [--c2_0,
     ++c1_1(a461),
     ++c1_0]).

input_clause(clause45,conjecture,
    [--ssSkC2,
     --c3_0,
     ++c2_1(a460)]).

input_clause(clause46,conjecture,
    [--ssSkC1,
     --c1_0,
     ++ndr1_1(a455)]).

input_clause(clause47,conjecture,
    [--c5_0,
     ++ndr1_1(a451),
     ++c2_0]).

input_clause(clause48,conjecture,
    [--c5_0,
     ++c3_1(a451),
     ++c2_0]).

input_clause(clause49,conjecture,
    [--ssSkC0,
     ++c5_2(a449,a450),
     ++c2_0]).

input_clause(clause50,conjecture,
    [--c4_2(a445,a446),
     ++c3_0]).

input_clause(clause51,conjecture,
    [--c2_2(a445,a446),
     ++c3_0]).

input_clause(clause52,conjecture,
    [--c1_2(U,a468),
     ++ssSkP1(U)]).

input_clause(clause53,conjecture,
    [--c1_2(a458,a459),
     ++ssSkC2]).

input_clause(clause54,conjecture,
    [--c3_2(a458,a459),
     ++ssSkC2]).

input_clause(clause55,conjecture,
    [--c1_2(a453,a454),
     ++ssSkC1]).

input_clause(clause56,conjecture,
    [--c3_2(a453,a454),
     ++ssSkC1]).

input_clause(clause57,conjecture,
    [--c1_2(a447,a448),
     ++ssSkC0]).

input_clause(clause58,conjecture,
    [--c4_2(a447,a448),
     ++ssSkC0]).

input_clause(clause59,conjecture,
    [--c2_2(a447,a448),
     ++ssSkC0]).

input_clause(clause60,conjecture,
    [--c1_2(U,a443),
     ++ssSkP0(U)]).

input_clause(clause61,conjecture,
    [--c2_0,
     ++c2_2(a461,a463),
     ++c1_0]).

input_clause(clause62,conjecture,
    [--c2_0,
     ++c1_2(a461,a463),
     ++c1_0]).

input_clause(clause63,conjecture,
    [--c2_0,
     ++c1_2(a461,a462),
     ++c1_0]).

input_clause(clause64,conjecture,
    [--ssSkC2,
     --c1_1(a460),
     --c3_0]).

input_clause(clause65,conjecture,
    [--ssSkC1,
     --c1_0,
     ++c1_2(a455,a457)]).

input_clause(clause66,conjecture,
    [--ssSkC1,
     --c1_0,
     ++c2_2(a455,a457)]).

input_clause(clause67,conjecture,
    [--ssSkC1,
     --c1_0,
     ++c2_2(a455,a456)]).

input_clause(clause68,conjecture,
    [--ssSkC1,
     --c1_0,
     ++c3_2(a455,a456)]).

input_clause(clause69,conjecture,
    [--ssSkC1,
     --c1_1(a455),
     --c1_0]).

input_clause(clause70,conjecture,
    [--c5_0,
     ++c3_2(a451,a452),
     ++c2_0]).

input_clause(clause71,conjecture,
    [--c4_1(a451),
     --c5_0,
     ++c2_0]).

input_clause(clause72,conjecture,
    [--ssSkC0,
     --c2_2(a449,a450),
     ++c2_0]).

input_clause(clause73,conjecture,
    [--ssSkC0,
     --c3_2(a449,a450),
     ++c2_0]).

input_clause(clause74,conjecture,
    [--ndr1_0,
     ++c2_1(U),
     ++c3_1(U),
     ++c1_0]).

input_clause(clause75,conjecture,
    [--c5_2(a461,a462),
     --c2_0,
     ++c1_0]).

input_clause(clause76,conjecture,
    [--c4_2(a461,a462),
     --c2_0,
     ++c1_0]).

input_clause(clause77,conjecture,
    [--ssSkC1,
     --c4_2(a455,a457),
     --c1_0]).

input_clause(clause78,conjecture,
    [--ssSkC1,
     --c4_2(a455,a456),
     --c1_0]).

input_clause(clause79,conjecture,
    [--c2_2(a451,a452),
     --c5_0,
     ++c2_0]).

input_clause(clause80,conjecture,
    [--c3_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c2_0,
     ++c3_0]).

input_clause(clause81,conjecture,
    [--ssSkP1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c1_1(U),
     ++ssSkC3]).

input_clause(clause82,conjecture,
    [--ssSkC2,
     --ndr1_1(a460),
     --c3_0,
     ++c3_2(a460,U)]).

input_clause(clause83,conjecture,
    [--ssSkP1(U),
     --ndr1_0,
     ++c5_2(U,a469),
     ++c1_1(U),
     ++ssSkC3]).

input_clause(clause84,conjecture,
    [--ssSkP1(U),
     --ndr1_0,
     ++c4_2(U,a469),
     ++c1_1(U),
     ++ssSkC3]).

input_clause(clause85,conjecture,
    [--ssSkP1(U),
     --ndr1_0,
     ++c2_2(U,a469),
     ++c1_1(U),
     ++ssSkC3]).

input_clause(clause86,conjecture,
    [--c5_2(a447,U),
     --ndr1_1(a447),
     ++c3_2(a447,U),
     ++c1_2(a447,U),
     ++ssSkC0]).

input_clause(clause87,conjecture,
    [--c3_2(U,V),
     --ndr1_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c5_2(U,V),
     ++c4_2(U,V),
     ++c3_0,
     ++c1_0]).

input_clause(clause88,conjecture,
    [--c2_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c1_0,
     ++c5_2(U,V),
     ++c2_1(U),
     ++c2_0]).

input_clause(clause89,conjecture,
    [--c3_1(U),
     --ndr1_0,
     --ndr1_1(V),
     --c1_1(V),
     --c4_1(V),
     ++c2_1(U),
     ++c4_2(V,W),
     ++c2_2(V,W),
     ++c5_2(V,W)]).

input_clause(clause90,conjecture,
    [--ssSkP0(U),
     --c3_2(V,W),
     --ndr1_1(V),
     --c5_2(V,X),
     --ndr1_0,
     --c2_1(U),
     ++c1_2(V,W),
     ++c4_2(V,W),
     ++c3_2(V,X),
     ++ndr1_1(U),
     ++c1_0]).

input_clause(clause91,conjecture,
    [--ssSkP0(U),
     --c3_2(V,W),
     --ndr1_1(V),
     --c5_2(V,X),
     --ndr1_0,
     --c5_2(U,a444),
     --c2_1(U),
     ++c1_2(V,W),
     ++c4_2(V,W),
     ++c3_2(V,X),
     ++c1_0]).

input_clause(clause92,conjecture,
    [--ssSkP0(U),
     --c3_2(V,W),
     --ndr1_1(V),
     --c5_2(V,X),
     --ndr1_0,
     --c3_2(U,a444),
     --c2_1(U),
     ++c1_2(V,W),
     ++c4_2(V,W),
     ++c3_2(V,X),
     ++c1_0]).
%--------------------------------------------------------------------------
