%--------------------------------------------------------------------------
% File     : SYN534-1 : TPTP v2.2.1. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=5, R=1, L=25, K=3, D=2, P=0, Index=090
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-5-1-25-3-2-090.cnf [Wei97]

% Status   : satisfiable
% Rating   : 0.00 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses    :   77 (  55 non-Horn;   0 unit;  69 RR)
%            Number of literals   :  371 (   0 equality)
%            Maximal clause size  :   13 (   4 average)
%            Number of predicates :   22 (  10 propositional; 0-2 arity)
%            Number of functors   :   21 (  21 constant; 0-0 arity)
%            Number of variables  :   70 (   2 singleton)
%            Maximal term depth   :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
input_clause(clause1,conjecture,
    [++ndr1_0,++c3_0]).

input_clause(clause2,conjecture,
    [--ssSkC0,++ndr1_0]).

input_clause(clause3,conjecture,
    [++c5_0,++c1_0]).

input_clause(clause4,conjecture,
    [++ndr1_0,++ssSkC3]).

input_clause(clause5,conjecture,
    [++ndr1_0,++ssSkC2]).

input_clause(clause6,conjecture,
    [++ndr1_0,++ssSkC0]).

input_clause(clause7,conjecture,
    [++c3_1(a491),
     ++c3_0]).

input_clause(clause8,conjecture,
    [++c5_1(a491),
     ++c3_0]).

input_clause(clause9,conjecture,
    [--ssSkC2,++ndr1_0,++c2_0]).

input_clause(clause10,conjecture,
    [--ssSkC0,
     ++ndr1_1(a474)]).

input_clause(clause11,conjecture,
    [++ndr1_1(U),
     ++ssSkP0(U)]).

input_clause(clause12,conjecture,
    [++ndr1_1(a472),
     ++ssSkC0]).

input_clause(clause13,conjecture,
    [++c5_1(a472),
     ++ssSkC0]).

input_clause(clause14,conjecture,
    [--ssSkC3,--c5_0,++ndr1_0]).

input_clause(clause15,conjecture,
    [--ssSkC2,
     ++ndr1_1(a485),
     ++c2_0]).

input_clause(clause16,conjecture,
    [--ssSkC2,
     ++c2_1(a485),
     ++c2_0]).

input_clause(clause17,conjecture,
    [--ssSkC2,
     ++c4_1(a485),
     ++c2_0]).

input_clause(clause18,conjecture,
    [--c3_0,++ndr1_0,++c4_0]).

input_clause(clause19,conjecture,
    [--ssSkC0,
     ++c2_2(a474,a475)]).

input_clause(clause20,conjecture,
    [--c1_0,++ndr1_0,++c2_0]).

input_clause(clause21,conjecture,
    [--c5_0,++c3_0,++c1_0]).

input_clause(clause22,conjecture,
    [--c2_0,--c3_0]).

input_clause(clause23,conjecture,
    [++c3_2(U,a489),
     ++ssSkP0(U)]).

input_clause(clause24,conjecture,
    [++c5_2(U,a489),
     ++ssSkP0(U)]).

input_clause(clause25,conjecture,
    [--c2_1(a487),
     ++ssSkC3]).

input_clause(clause26,conjecture,
    [--c3_1(a484),
     ++ssSkC2]).

input_clause(clause27,conjecture,
    [--c1_1(a484),
     ++ssSkC2]).

input_clause(clause28,conjecture,
    [--c1_1(a472),
     ++ssSkC0]).

input_clause(clause29,conjecture,
    [--ssSkC3,
     --c5_0,
     ++c4_1(a488)]).

input_clause(clause30,conjecture,
    [--ssSkC3,
     --c5_0,
     ++c2_1(a488)]).

input_clause(clause31,conjecture,
    [--ssSkC2,
     ++c3_2(a485,a486),
     ++c2_0]).

input_clause(clause32,conjecture,
    [--ssSkC2,
     ++c2_2(a485,a486),
     ++c2_0]).

input_clause(clause33,conjecture,
    [--ssSkC2,
     ++c5_2(a485,a486),
     ++c2_0]).

input_clause(clause34,conjecture,
    [--c3_0,
     ++c5_1(a479),
     ++c4_0]).

input_clause(clause35,conjecture,
    [--ssSkC0,
     --c5_2(a474,a475)]).

input_clause(clause36,conjecture,
    [--c2_2(U,a489),
     ++ssSkP0(U)]).

input_clause(clause37,conjecture,
    [--c5_2(a472,a473),
     ++ssSkC0]).

input_clause(clause38,conjecture,
    [--c3_2(a472,a473),
     ++ssSkC0]).

input_clause(clause39,conjecture,
    [--c2_1(a471),
     --c1_0,
     ++c2_0]).

input_clause(clause40,conjecture,
    [--c4_1(a471),
     --c1_0,
     ++c2_0]).

input_clause(clause41,conjecture,
    [--ndr1_0,
     ++c1_1(U),
     ++c3_1(U),
     ++c3_0,
     ++c5_0]).

input_clause(clause42,conjecture,
    [--ndr1_1(a484),
     ++c4_2(a484,U),
     ++ssSkC2]).

input_clause(clause43,conjecture,
    [--ndr1_0,
     --c3_0,
     ++c3_1(U),
     ++c5_1(U),
     ++c1_0]).

input_clause(clause44,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c2_0,
     ++ndr1_1(U),
     ++c4_0]).

input_clause(clause45,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++ndr1_1(U),
     ++c5_1(U),
     ++ssSkC1]).

input_clause(clause46,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     --c5_0,
     ++ndr1_1(U),
     ++c2_1(U),
     ++c3_0]).

input_clause(clause47,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c2_0,
     ++c3_2(U,a483),
     ++c4_0]).

input_clause(clause48,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c2_0,
     ++c2_2(U,a483),
     ++c4_0]).

input_clause(clause49,conjecture,
    [--c2_1(U),
     --ndr1_0,
     --c2_0,
     ++c1_2(U,a483),
     ++c4_0]).

input_clause(clause50,conjecture,
    [--ssSkC0,
     --c3_2(a474,U),
     --ndr1_1(a474),
     ++c4_2(a474,U)]).

input_clause(clause51,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c5_2(U,a477),
     ++c5_1(U),
     ++ssSkC1]).

input_clause(clause52,conjecture,
    [--c2_1(U),
     --ndr1_0,
     ++c1_2(U,a477),
     ++c5_1(U),
     ++ssSkC1]).

input_clause(clause53,conjecture,
    [--ssSkP0(U),
     --ndr1_0,
     --c5_0,
     ++c1_2(U,a490),
     ++c2_1(U),
     ++c3_0]).

input_clause(clause54,conjecture,
    [--ssSkC3,
     --ndr1_1(a488),
     --c5_0,
     ++c1_2(a488,U),
     ++c4_2(a488,U)]).

input_clause(clause55,conjecture,
    [--c2_2(U,a477),
     --c2_1(U),
     --ndr1_0,
     ++c5_1(U),
     ++ssSkC1]).

input_clause(clause56,conjecture,
    [--ssSkP0(U),
     --c3_2(U,a490),
     --ndr1_0,
     --c5_0,
     ++c2_1(U),
     ++c3_0]).

input_clause(clause57,conjecture,
    [--ssSkC1,
     --c4_1(U),
     --c1_1(U),
     --ndr1_0,
     ++c2_1(U),
     ++c1_1(a478)]).

input_clause(clause58,conjecture,
    [--c3_1(U),
     --c5_1(U),
     --ndr1_0,
     --c2_0,
     ++c4_1(U),
     ++c5_0]).

input_clause(clause59,conjecture,
    [--ssSkC1,
     --c4_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_1(a478),
     ++c2_1(U)]).

input_clause(clause60,conjecture,
    [--ssSkC0,
     --c5_2(a474,U),
     --c4_2(a474,U),
     --ndr1_1(a474),
     ++c1_2(a474,U)]).

input_clause(clause61,conjecture,
    [--c2_2(a487,U),
     --c5_2(a487,U),
     --ndr1_1(a487),
     ++c4_2(a487,U),
     ++ssSkC3]).

input_clause(clause62,conjecture,
    [--c1_2(a479,U),
     --c5_2(a479,U),
     --c2_2(a479,U),
     --ndr1_1(a479),
     --c3_0,
     ++c4_0]).

input_clause(clause63,conjecture,
    [--ndr1_0,
     --c2_2(U,V),
     --c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     ++c2_1(W),
     ++c4_1(U),
     ++c1_1(U),
     ++c4_0]).

input_clause(clause64,conjecture,
    [--c1_2(U,V),
     --c3_2(U,V),
     --ndr1_1(U),
     --c3_1(U),
     --ndr1_0,
     --c5_0,
     ++c5_2(U,V),
     ++c1_1(U),
     ++c2_0]).

input_clause(clause65,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c3_2(U,a476),
     --c3_1(U),
     --ndr1_0,
     --c2_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c4_0]).

input_clause(clause66,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c1_2(U,a476),
     --c3_1(U),
     --ndr1_0,
     --c2_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c4_0]).

input_clause(clause67,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c5_2(U,a476),
     --c3_1(U),
     --ndr1_0,
     --c2_0,
     ++c3_2(U,V),
     ++c5_2(U,V),
     ++c4_0]).

input_clause(clause68,conjecture,
    [--ssSkC1,
     --c4_1(U),
     --c1_1(U),
     --ndr1_0,
     --c2_2(a478,V),
     --c1_2(a478,V),
     --c4_2(a478,V),
     --ndr1_1(a478),
     ++c2_1(U)]).

input_clause(clause69,conjecture,
    [--c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c3_2(U,W),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,W),
     ++c2_1(U),
     ++ndr1_1(a480),
     ++c5_0]).

input_clause(clause70,conjecture,
    [--c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c3_2(U,W),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,W),
     ++c2_1(U),
     ++c1_2(a480,a481),
     ++c5_0]).

input_clause(clause71,conjecture,
    [--c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c3_2(U,W),
     --ndr1_0,
     ++c2_2(U,V),
     ++c4_2(U,W),
     ++c2_1(U),
     ++c2_2(a480,a481),
     ++c5_0]).

input_clause(clause72,conjecture,
    [--c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c3_2(U,W),
     --ndr1_0,
     --c5_1(a480),
     ++c2_2(U,V),
     ++c4_2(U,W),
     ++c2_1(U),
     ++c5_0]).

input_clause(clause73,conjecture,
    [--c5_2(U,V),
     --c4_2(U,V),
     --ndr1_1(U),
     --c5_2(U,W),
     --c3_2(U,W),
     --ndr1_0,
     --c4_2(a480,a481),
     ++c2_2(U,V),
     ++c4_2(U,W),
     ++c2_1(U),
     ++c5_0]).

input_clause(clause74,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c4_2(U,W),
     --c2_2(U,W),
     --ndr1_0,
     --c2_1(X),
     --c3_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c4_1(U),
     ++ndr1_1(X),
     ++c1_1(X)]).

input_clause(clause75,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c4_2(U,W),
     --c2_2(U,W),
     --ndr1_0,
     --c2_1(X),
     --c3_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c4_1(U),
     ++c3_2(X,a482),
     ++c1_1(X)]).

input_clause(clause76,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c4_2(U,W),
     --c2_2(U,W),
     --ndr1_0,
     --c2_1(X),
     --c3_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c4_1(U),
     ++c1_2(X,a482),
     ++c1_1(X)]).

input_clause(clause77,conjecture,
    [--c4_2(U,V),
     --ndr1_1(U),
     --c1_2(U,W),
     --c4_2(U,W),
     --c2_2(U,W),
     --ndr1_0,
     --c4_2(X,a482),
     --c2_1(X),
     --c3_0,
     ++c1_2(U,V),
     ++c5_2(U,V),
     ++c4_1(U),
     ++c1_1(X)]).
%--------------------------------------------------------------------------
