%--------------------------------------------------------------------------
% File     : TOP007-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Topology
% Problem  : Property 1 of topological spaces
% Version  : [WM89] axioms : Incomplete.
% English  : If (cx,ct) is a topological space, A is a subset of X, and 
%            every point in A has a neighborhood U that is a subset of A, 
%            then A is open in (cx,ct).

% Refs     : [WM89]  Wick & McCune (1989), Automated Reasoning about Elemen
% Source   : [WM89]
% Names    : Problem 2 [WM89]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :  114 (  23 non-Horn;   3 unit; 109 RR)
%            Number of literals   :  343 (   0 equality)
%            Maximal clause size  :    8 (   3 average)
%            Number of predicates :   22 (   0 propositional; 1-4 arity)
%            Number of functors   :   39 (   4 constant; 0-5 arity)
%            Number of variables  :  359 (  56 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : The axioms in this version are known to be incomplete. To
%            obtain a proof of this theorem it may be necessary to add
%            appropriate set theory axioms.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms 
include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
input_clause(problem_2_112,conjecture,
    [++topological_space(cx,ct)]).

input_clause(problem_2_113,conjecture,
    [++subset_sets(a,cx)]).

input_clause(problem_2_114,conjecture,
    [--element_of_set(Y,a),
     ++neighborhood(f30(Y),Y,cx,ct)]).

input_clause(problem_2_115,conjecture,
    [--element_of_set(Y,a),
     ++subset_sets(f30(Y),a)]).

input_clause(problem_2_116,conjecture,
    [--open(a,cx,ct)]).
%--------------------------------------------------------------------------
