%--------------------------------------------------------------------------
% File     : TOP012-1 : TPTP v2.2.1. Released v1.0.0.
% Domain   : Topology
% Problem  : Intersections and finite unions of closed sets are closed
% Version  : [WM89] axioms : Incomplete.
% English  : 

% Refs     : [WM89]  Wick & McCune (1989), Automated Reasoning about Elemen
% Source   : [WM89]
% Names    : Problem 7 [WM89]

% Status   : unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses    :  119 (  27 non-Horn;   1 unit; 114 RR)
%            Number of literals   :  376 (   0 equality)
%            Maximal clause size  :    8 (   3 average)
%            Number of predicates :   22 (   0 propositional; 1-4 arity)
%            Number of functors   :   40 (   6 constant; 0-5 arity)
%            Number of variables  :  360 (  56 singleton)
%            Maximal term depth   :    3 (   1 average)

% Comments : The axioms in this version are known to be incomplete. To
%            obtain a proof of this theorem it may be necessary to add
%            appropriate set theory axioms.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms 
include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
input_clause(problem_7_129,conjecture,
    [++topological_space(cx,ct)]).

input_clause(problem_7_130,conjecture,
    [--closed(empty_set,cx,ct),
     --closed(cx,cx,ct),
     ++closed(cy1,cx,ct),
     ++subset_sets(union_of_members(f),cx)]).

input_clause(problem_7_131,conjecture,
    [--closed(empty_set,cx,ct),
     --closed(cx,cx,ct),
     ++closed(cy1,cx,ct),
     --element_of_collection(V,f),
     ++closed(V,cx,ct)]).

input_clause(problem_7_132,conjecture,
    [--closed(empty_set,cx,ct),
     --closed(cx,cx,ct),
     ++closed(cy1,cx,ct),
     --closed(intersection_of_members(f),cx,ct)]).

input_clause(problem_7_133,conjecture,
    [--closed(empty_set,cx,ct),
     --closed(cx,cx,ct),
     ++closed(cy2,cx,ct),
     ++subset_sets(union_of_members(f),cx)]).

input_clause(problem_7_134,conjecture,
    [--closed(empty_set,cx,ct),
     --closed(cx,cx,ct),
     ++closed(cy2,cx,ct),
     --element_of_collection(V,f),
     ++closed(V,cx,ct)]).

input_clause(problem_7_135,conjecture,
    [--closed(empty_set,cx,ct),
     --closed(cx,cx,ct),
     ++closed(cy2,cx,ct),
     --closed(intersection_of_members(f),cx,ct)]).

input_clause(problem_7_136,conjecture,
    [--closed(empty_set,cx,ct),
     --closed(cx,cx,ct),
     --closed(union_of_sets(cy1,cy2),cx,ct),
     ++subset_sets(union_of_members(f),cx)]).

input_clause(problem_7_137,conjecture,
    [--closed(empty_set,cx,ct),
     --closed(cx,cx,ct),
     --closed(union_of_sets(cy1,cy2),cx,ct),
     --element_of_collection(V,f),
     ++closed(V,cx,ct)]).

input_clause(problem_7_138,conjecture,
    [--closed(empty_set,cx,ct),
     --closed(cx,cx,ct),
     --closed(union_of_sets(cy1,cy2),cx,ct),
     --closed(intersection_of_members(f),cx,ct)]).
%--------------------------------------------------------------------------
